<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_bedah_mulut {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<div style="padding:;background:#f1f4f6;width:100%;max-width:1000px;margin:0px auto;" id='FormPage'>
<!-- <link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css"> -->
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">ASESMEN GIGI</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DATA PASIEN</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!--  <form> -->
<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">ASESMEN GIGI</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
        <div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="tanggalasesmen_poli_bedah_mulut"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen_poli_bedah_mulut" type="text" class="form-control input-date" name="tanggalasesmen_poli_bedah_mulut" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalAsesmenPoliBedahMulut != "" ? $objPatientNursing->vTanggalAsesmenPoliBedahMulut : date("d-m-Y") ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="jamasesmen_poli_bedah_mulut"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen_poli_bedah_mulut" type="text" class="form-control" name="jamasesmen_poli_bedah_mulut" placeholder="HH:mm" value="<?= $objPatientNursing->vJamAsesmenPoliBedahMulut != "" ? $objPatientNursing->vJamAsesmenPoliBedahMulut : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
        </div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Keluhan Utama</b></label>
				<textarea name="keluhan_utama_poli_bedah_mulut" id="keluhan_utama_poli_bedah_mulut" rows="4" class="form-control" placeholder="Keluhan Utama" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vKeluhanUtamaPoliBedahMulut) ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Anamnea Khusus (Riwayat penyakit sekarang)</b></label>
				<textarea name="anamnea_khusus_poli_bedah_mulut" id="anamnea_khusus_poli_bedah_mulut" rows="4" class="form-control" placeholder="Anamnea Khusus (Riwayat penyakit sekarang)" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vAnamneaKhususPoliBedahMulut) ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Penyakit Dahulu</b></label>
				<textarea name="riwayat_penyakit_dahulu_poli_bedah_mulut" id="riwayat_penyakit_dahulu_poli_bedah_mulut" rows="4" class="form-control" placeholder="Riwayat Penyakit Dahulu" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vRiwayatPenyakitDahuluPoliBedahMulut) ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Alergi</b></label>
				<textarea name="riwayat_alergi_poli_bedah_mulut" id="riwayat_alergi_poli_bedah_mulut" rows="4" class="form-control" placeholder="Riwayat Alergi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vRiwayatAlergiPoliBedahMulut) ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Pengobatan</b></label>
				<textarea name="riwayat_pengobatan_poli_bedah_mulut" id="riwayat_pengobatan_poli_bedah_mulut" rows="4" class="form-control" placeholder="Riwayat Pengobatan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vRiwayatPengobatanPoliBedahMulut) ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>Riwayat Operasi</b></label>
				<textarea name="riwayat_operasi_poli_bedah_mulut" id="riwayat_operasi_poli_bedah_mulut" rows="4" class="form-control" placeholder="Riwayat Operasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vRiwayatOperasiPoliBedahMulut) ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;">
		<div class="row">
			<div class="col-md-12">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/gigi.png';

					$gambarTersimpan = $objPatientNursing->vLokasiAnatomiBedahMulut ? $objPatientNursing->vLokasiAnatomiBedahMulut : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="500" height="260" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
			<div class="col-md-12">
				<div class="row" style="">
					<div class="col-md-6">
						<label class="control-label" for="" ><b>Pemeriksaan Fisik</b></label>
						<textarea name="pemeriksaan_fisik_poli_bedah_mulut" id="pemeriksaan_fisik_poli_bedah_mulut" rows="4" class="form-control" placeholder="Pemeriksaan Psikiatri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vPemeriksaanFisikPoliBedahMulut) ?></textarea>
					</div>
					<div class="col-md-6">
						<label class="control-label" for=""><b>Hasil  Pemeriksaan Penunjang ( &#60; 30 hari )</b></label>
						<textarea name="hasil_pemeriksaan_penunjang_poli_bedah_mulut" id="hasil_pemeriksaan_penunjang_poli_bedah_mulut" rows="4" class="form-control" placeholder="Hasil  Pemeriksaan Penunjang ( &#60; 30 hari )" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vHasilPenunjangPoliBedahMulut) ?></textarea>
					</div>
					<div class="col-md-6">
						<label class="control-label" for=""><b>Diagnosa</b></label>
						<textarea name="diagnosa_poli_bedah_mulut" id="diagnosa_poli_bedah_mulut" rows="4" class="form-control" placeholder="Diagnosa" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vDiagnosaPoliBedahMulut) ?></textarea>
					</div>
					<div class="col-md-6">
						<label class="control-label" for=""><b>Pengobatan / Tindakan / Rencana Pemeriksaan</b></label>
						<textarea name="pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" id="pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" rows="4" class="form-control" placeholder="Pengobatan / Tindakan / Rencana Pemeriksaan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= nl2br($objPatientNursing->vPengobatanTindakanPoliBedahMulut) ?></textarea>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">TINDAK LANJUT</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>MRS Ruang</b></label>
				<input type="text" class="form-control" placeholder="MRS Ruang" id="mrs_ruang_poli_bedah_mulut" value="<?= nl2br($objPatientNursing->vMrsRuangPoliBedahMulut) ; ?>" >
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Kontrol tanggal</b></label>
              <div class="input-group">
				  <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
					<input type="text" class="form-control input-date" placeholder="Kontrol tanggal" id="kontrol_tanggal_poli_bedah_mulut" data-mask="00-00-0000" value="<?= nl2br($objPatientNursing->vKontrolTanggalPoliBedahMulut) ; ?>" >
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Rujuk ke</b></label>
				<input type="text" class="form-control" placeholder="Rujuk ke" id="rujuk_ke_poli_bedah_mulut" value="<?= nl2br($objPatientNursing->vRujukKePoliBedahMulut) ; ?>" >
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Indikasi Rujuk</b></label>
				<input type="text" class="form-control" placeholder="Indikasi Rujuk" id="indikasi_rujuk_poli_bedah_mulut" value="<?= nl2br($objPatientNursing->vIndikasiRujukPoliBedahMulut) ; ?>" >
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DOKTER</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for=""><b>Dokter yang menangani</b></label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_poli_bedah_mulut" id="dokter_yang_menangani_poli_bedah_mulut" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterPoliBedahMulutId != "" ? $objPatientNursing->vDokterPoliBedahMulutId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterPoliBedahMulutNama != "" ? $objPatientNursing->vDokterPoliBedahMulutNama : $objPatientNursing->DoctorName; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>



<!-- </form> -->
<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	$("#tanggalasesmen_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("tanggalasesmen_poli_bedah_mulut" , $("#tanggalasesmen_poli_bedah_mulut").val() );
	});
	$("#jamasesmen_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("jamasesmen_poli_bedah_mulut" , $("#jamasesmen_poli_bedah_mulut").val() );
	});
	$("#keluhan_utama_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("keluhan_utama_poli_bedah_mulut" , $("#keluhan_utama_poli_bedah_mulut").val() );
	});
	$("#anamnea_khusus_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("anamnea_khusus_poli_bedah_mulut" , $("#anamnea_khusus_poli_bedah_mulut").val() );
	});
	$("#riwayat_penyakit_dahulu_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_penyakit_dahulu_poli_bedah_mulut" , $("#riwayat_penyakit_dahulu_poli_bedah_mulut").val() );
	});
	$("#riwayat_alergi_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_alergi_poli_bedah_mulut" , $("#riwayat_alergi_poli_bedah_mulut").val() );
	});
	$("#riwayat_pengobatan_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_pengobatan_poli_bedah_mulut" , $("#riwayat_pengobatan_poli_bedah_mulut").val() );
	});
	$("#riwayat_operasi_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_operasi_poli_bedah_mulut" , $("#riwayat_operasi_poli_bedah_mulut").val() );
	});
	$("#pemeriksaan_fisik_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("pemeriksaan_fisik_poli_bedah_mulut" , $("#pemeriksaan_fisik_poli_bedah_mulut").val() );
	});
	$("#hasil_pemeriksaan_penunjang_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("hasil_pemeriksaan_penunjang_poli_bedah_mulut" , $("#hasil_pemeriksaan_penunjang_poli_bedah_mulut").val() );
	});
	$("#diagnosa_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("diagnosa_poli_bedah_mulut" , $("#diagnosa_poli_bedah_mulut").val() );
	});
	$("#pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" , $("#pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut").val() );
	});
	$("#mrs_ruang_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("mrs_ruang_poli_bedah_mulut" , $("#mrs_ruang_poli_bedah_mulut").val() );
	});
	$("#kontrol_tanggal_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("kontrol_tanggal_poli_bedah_mulut" , $("#kontrol_tanggal_poli_bedah_mulut").val() );
	});
	$("#rujuk_ke_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("rujuk_ke_poli_bedah_mulut" , $("#rujuk_ke_poli_bedah_mulut").val() );
	});
	$("#indikasi_rujuk_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("indikasi_rujuk_poli_bedah_mulut" , $("#indikasi_rujuk_poli_bedah_mulut").val() );
	});
	$("#dokter_yang_menangani_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_poli_bedah_mulut" , $("#dokter_yang_menangani_poli_bedah_mulut").val() );
	});
	
	$(document).ready(function() {
		
		if( sessionStorage.getItem("form-asesmen-paru") == "yes" ) {
			if( sessionStorage.getItem("form-asesmen-paru-nursing-id") == '<?= $objPatientNursing->Id; ?>' ){
				if ( sessionStorage.getItem("tanggalasesmen_poli_bedah_mulut") ) {
					$("#tanggalasesmen_poli_bedah_mulut").val(sessionStorage.getItem("tanggalasesmen_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("jamasesmen_poli_bedah_mulut") ) {
					$("#jamasesmen_poli_bedah_mulut").val(sessionStorage.getItem("jamasesmen_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("keluhan_utama_poli_bedah_mulut") ) {
					$("#keluhan_utama_poli_bedah_mulut").val(sessionStorage.getItem("keluhan_utama_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("anamnea_khusus_poli_bedah_mulut") ) {
					$("#anamnea_khusus_poli_bedah_mulut").val(sessionStorage.getItem("anamnea_khusus_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("riwayat_penyakit_dahulu_poli_bedah_mulut") ) {
					$("#riwayat_penyakit_dahulu_poli_bedah_mulut").val(sessionStorage.getItem("riwayat_penyakit_dahulu_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("riwayat_alergi_poli_bedah_mulut") ) {
					$("#riwayat_alergi_poli_bedah_mulut").val(sessionStorage.getItem("riwayat_alergi_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("riwayat_pengobatan_poli_bedah_mulut") ) {
					$("#riwayat_pengobatan_poli_bedah_mulut").val(sessionStorage.getItem("riwayat_pengobatan_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("riwayat_operasi_poli_bedah_mulut") ) {
					$("#riwayat_operasi_poli_bedah_mulut").val(sessionStorage.getItem("riwayat_operasi_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("pemeriksaan_fisik_poli_bedah_mulut") ) {
					$("#pemeriksaan_fisik_poli_bedah_mulut").val(sessionStorage.getItem("pemeriksaan_fisik_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("hasil_pemeriksaan_penunjang_poli_bedah_mulut") ) {
					$("#hasil_pemeriksaan_penunjang_poli_bedah_mulut").val(sessionStorage.getItem("hasil_pemeriksaan_penunjang_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("diagnosa_poli_bedah_mulut") ) {
					$("#diagnosa_poli_bedah_mulut").val(sessionStorage.getItem("diagnosa_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut") ) {
					$("#pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut").val(sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("mrs_ruang_poli_bedah_mulut") ) {
					$("#mrs_ruang_poli_bedah_mulut").val(sessionStorage.getItem("mrs_ruang_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("kontrol_tanggal_poli_bedah_mulut") ) {
					$("#kontrol_tanggal_poli_bedah_mulut").val(sessionStorage.getItem("kontrol_tanggal_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("rujuk_ke_poli_bedah_mulut") ) {
					$("#rujuk_ke_poli_bedah_mulut").val(sessionStorage.getItem("rujuk_ke_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("indikasi_rujuk_poli_bedah_mulut") ) {
					$("#indikasi_rujuk_poli_bedah_mulut").val(sessionStorage.getItem("indikasi_rujuk_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_poli_bedah_mulut") ) {
					$("#dokter_yang_menangani_poli_bedah_mulut").val(sessionStorage.getItem("dokter_yang_menangani_poli_bedah_mulut") );
				}
			} else {
				sessionStorage.setItem( "form-asesmen-paru-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggalasesmen_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "jamasesmen_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "keluhan_utama_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "anamnea_khusus_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "riwayat_penyakit_dahulu_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "riwayat_alergi_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "riwayat_pengobatan_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "riwayat_operasi_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "pemeriksaan_fisik_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "hasil_pemeriksaan_penunjang_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "diagnosa_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "mrs_ruang_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "kontrol_tanggal_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "rujuk_ke_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "indikasi_rujuk_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_poli_bedah_mulut" ,"") ; 
			}
		}  else { 
			sessionStorage.setItem( "form-asesmen-paru" , "yes" );
		}
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/gigi.png';
			$urlGambar = $objPatientNursing->vLokasiAnatomiBedahMulut ? $objPatientNursing->vLokasiAnatomiBedahMulut : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(500);
			image.scaleToHeight(260);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(500);
				image.scaleToHeight(260);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'BEDAH MULUT');
			fd.append("gambar", blob, 'gigi.png');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadBedahMulut')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

boolChange = false ; 

    function anyChange()
    {
        $('#save').removeClass('disabled');
        $('#save-and-reentry').removeClass('disabled');
        boolChange = true ;
    }

    $("#FormPage").on('input select change',function(){
        anyChange();
    });
	
	function exitForm(){
		if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	}
	
    function back()
    {
        var agree = function()
        {
            jQuery.fallr('hide',function(){
                // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
                exitForm();
            });
        };
		var cancel = function()
        {
            jQuery.fallr('hide',function(){
				$('#float-kembali').show();
				$('#float-kembali-loading').hide();
            });
        };

        if(boolChange){
            jFallr(
                'Kembali ke halaman sebelumnya <br>' +
                'Semua perubahan akan diabaikan <br>' +
                'Mohon konfirmasi [ Ya / Tidak ]'
                , agree
				, cancel
            );
        }
        else {
            // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
            exitForm();
			
        } 
    }

	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Bedah Mulut')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-bedah-mulut') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
			boolChange = false ; 
		} else {
			posting('DRAFT');
			boolChange = false ; 
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
			boolChange = false ; 
		} else {
			posting('DRAFT');
			boolChange = false ; 
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalAsesmenPoliBedahMulut = $('#tanggalasesmen_poli_bedah_mulut').val();
		post.JamAsesmenPoliBedahMulut = $('#jamasesmen_poli_bedah_mulut').val()
		post.KeluhanUtamaPoliBedahMulut = $('#keluhan_utama_poli_bedah_mulut').val()
		post.AnamneaKhususPoliBedahMulut = $('#anamnea_khusus_poli_bedah_mulut').val()
		post.RiwayatPenyakitDahuluPoliBedahMulut = $('#riwayat_penyakit_dahulu_poli_bedah_mulut').val()
		post.RiwayatAlergiPoliBedahMulut = $('#riwayat_alergi_poli_bedah_mulut').val()
		post.RiwayatPengobatanPoliBedahMulut = $('#riwayat_pengobatan_poli_bedah_mulut').val()
		post.RiwayatOperasiPoliBedahMulut = $('#riwayat_operasi_poli_bedah_mulut').val()
		post.PemeriksaanFisikPoliBedahMulut = $('#pemeriksaan_fisik_poli_bedah_mulut').val()
		post.HasilPenunjangPoliBedahMulut = $('#hasil_pemeriksaan_penunjang_poli_bedah_mulut').val()
		post.DiagnosaPoliBedahMulut = $('#diagnosa_poli_bedah_mulut').val()
		post.PengobatanTindakanPoliBedahMulut = $('#pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut').val()
		post.MrsRuangPoliBedahMulut = $('#mrs_ruang_poli_bedah_mulut').val()
		post.KontrolTanggalPoliBedahMulut = $('#kontrol_tanggal_poli_bedah_mulut').val()
		post.RujukKePoliBedahMulut = $('#rujuk_ke_poli_bedah_mulut').val()
		post.IndikasiRujukPoliBedahMulut = $('#indikasi_rujuk_poli_bedah_mulut').val()
		post.DokterPoliBedahMulutId = $('#dokter_yang_menangani_poli_bedah_mulut').val()
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenAwalBedahMulut')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					sessionStorage.setItem( "tanggalasesmen_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "jamasesmen_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "keluhan_utama_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "anamnea_khusus_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "riwayat_penyakit_dahulu_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "riwayat_alergi_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "riwayat_pengobatan_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "riwayat_operasi_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "pemeriksaan_fisik_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "hasil_pemeriksaan_penunjang_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "diagnosa_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "mrs_ruang_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "kontrol_tanggal_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "rujuk_ke_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "indikasi_rujuk_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_poli_bedah_mulut" , "" );
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#triage").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#dokter_yang_menangani_poli_bedah_mulut').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormAssementAwalBedahMulut == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});

</script>
