<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
.ext-el-mask{width:100%!important;height:100%!important;}
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1">ASESMEN AWAL DOKTER GINEKOLOGI INSTALASI RAWAT JALAN</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<!-- <form>-->
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Asesmen Awal</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggalasesmen"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen" type="text" class="form-control input-date" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="" style="z-index:0">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="jamasesmen"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen" type="text" class="form-control" name="jamasesmen" placeholder="Jam Asesmen" value="" style="z-index:0">
                </div>
            </div>
        </div>
        
    </div>
</div>



<div class="box box-info form-horizontal" style="padding-bottom: 25px;">
    <div class="box-body">
        <div class="row">
            <div class="col-md-12">
                <?php
                if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
                ?>
                <!-- <button>Simpan</button> -->
                <?php
                }
                ?>
                <button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
                <button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan</button>
                <a href="#" id="cetak-laporan" class="btn btn-warning"><i class="fa fa-print"></i> Cetak Laporan</a>
                <a href="#" id="page-tindakan" class="btn btn-default">Tindakan</a>
            </div>
        </div>
    </div>
</div>

<!-- </form> -->

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">

var ObjectData = {};


function showMePicker(input) {
    Timepicker.showPicker({
        onSubmit: function(time){$(input).val(time.formatted())},
        onCancel: function(){$(input).val('')}
    });
}

$(document).ready(function() {
    
    $('#tombol-save-loading').hide();
    //ALERGI OBAT
    var selected_value = $("input[name='alergiobat']:checked").val();
    if(selected_value == 'YA'){
        $('.alergiobatrow').show();
    }else{
        $('.alergiobatrow').hide();
        $('#uraianalergiobat').val(''); //kosongkan jika tidak ada alergi
    }
    //
    $(".alergiobat").change(function (e) {
        var selected_value = $("input[name='alergiobat']:checked").val();
        if(selected_value == 'YA'){
            $('.alergiobatrow').show();
        }else{
            $('.alergiobatrow').hide();
            $('#uraianalergiobat').val(''); //kosongkan jika tidak ada alergi
        }
    });
    // ALERGI MAKANAN
    var selected_value = $("input[name='alergimakanan']:checked").val();
    if(selected_value == 'YA'){
        $('.alergimakananrow').show();
    }else{
        $('.alergimakananrow').hide();
        $('#uraianalergimakanan').val(''); //kosongkan jika tidak ada alergi
    }
    //
    $(".alergimakanan").change(function (e) {
        var selected_value = $("input[name='alergimakanan']:checked").val();
        if(selected_value == 'YA'){
            $('.alergimakananrow').show();
        }else{
            $('.alergimakananrow').hide();
            $('#uraianalergimakanan').val(''); //kosongkan jika tidak ada alergi
        }
    });
    //RIWAYAT IMUNISASI
    var selected_value = $("input[name='riwayatimunisasi']:checked").val();
    if(selected_value == 'LENGKAP'){
        $('.riwayatimunisasirow').hide();
        $('#uraianriwayatimunisasibelum').val(''); //kosongkan 
    }else if(typeof selected_value === "undefined"){
        $('.riwayatimunisasirow').hide();
        $('#uraianriwayatimunisasibelum').val(''); //kosongkan 
    }
    else{
        $('.riwayatimunisasirow').show();
    }
    //
    $(".riwayatimunisasi").change(function (e) {
        var selected_value = $("input[name='riwayatimunisasi']:checked").val();
        if(selected_value == 'LENGKAP'){
            $('.riwayatimunisasirow').hide();
            $('#uraianriwayatimunisasibelum').val(''); //kosongkan 
        }else if(typeof selected_value === "undefined"){
            $('.riwayatimunisasirow').hide();
            $('#uraianriwayatimunisasibelum').val(''); //kosongkan 
        }
        else{
            $('.riwayatimunisasirow').show();
        }
    });
    //KEADAAN UMUM
    var selected_value = $("input[name='keadaanumum']:checked").val();
    if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
        $('.keadaanumumrow').hide();
        $('#uraiankeadaanumum').val(''); //kosongkan 
    }else if(typeof selected_value === "undefined"){
        $('.keadaanumumrow').hide();
        $('#uraiankeadaanumum').val(''); //kosongkan 
    }
    else{
        $('.keadaanumumrow').show();
    }
    //
    $(".keadaanumum").change(function (e) {
        var selected_value = $("input[name='keadaanumum']:checked").val();
        if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
            $('.keadaanumumrow').hide();
            $('#uraiankeadaanumum').val(''); //kosongkan 
        }else if(typeof selected_value === "undefined"){
            $('.keadaanumumrow').hide();
            $('#uraiankeadaanumum').val(''); //kosongkan 
        }
        else{
            $('.keadaanumumrow').show();
        }
    });
    //nyeri
    var selected_value = $("input[name='nyeri']:checked").val();
    if(selected_value == 'YA'){
        $('.nyerirow').show();
    }
    else{
        $('.nyerirow').hide();
    }
    $(".nyeri").change(function (e) {
        var selected_value = $("input[name='nyeri']:checked").val();
        if(selected_value == 'YA'){
            $('.nyerirow').show();
        }
        else{
            $('.nyerirow').hide();
        }
    });
    // Skala nyeri dewasa + wbc
    var nilaiSkalaNyeriDewasa = "<?= $objPatientNursing->GeneralNilaiSkalaNyeriDewasa ?>";
    var nilaiSkalaNyeriWbc = "<?= $objPatientNursing->GeneralNilaiSkalaNyeriWbc ?>";
    ObjectData.NilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
    ObjectData.NilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;

    $('.areaklik').each(function(i){
        if(String($(this).data('numericscale')) === nilaiSkalaNyeriDewasa){
            $(this).css('fill', '#ff0000');
        }
    })

    $('.iconwbc').each(function(i){
        if(String($(this).data('nilaiwbc')) === nilaiSkalaNyeriWbc){
            var targetcentang = $(this).data('centang');
            $(targetcentang).css('fill', '#00ff00');
        }
    })


    //dewasa
    $('.areaklik').click(function(e){
        $('.areaklik').css('fill', '#ffffaa');
        $(e.target).css('fill', '#ff0000');
        if(nilaiSkalaNyeriDewasa === $(e.target).data('numericscale')){ //hati2 dgn value 0 dan empty string, gunakan === dari pada == 
            $(e.target).css('fill', '#ffffaa');
            nilaiSkalaNyeriDewasa = ""; //reset ke empty string
        }else{
            nilaiSkalaNyeriWbc = ""; //hanya ada 1 skala yg terisi
            $('.tandacentang').css('fill', '#ffffff'); //reset juga style pada skala wbc(wong baker scale)
            nilaiSkalaNyeriDewasa = $(e.target).data('numericscale'); //kode untuk disimpan
        }
        console.log('skalaNyeriDewasa:' + nilaiSkalaNyeriDewasa);
        console.log('skalaNyeriWbc:' + nilaiSkalaNyeriWbc);
        ObjectData.NilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
        ObjectData.NilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;
    });
    //wbc
    $('.iconwbc').click(function(e){
        $('.tandacentang').css('fill', '#ffffff');
        var targetcentang = $(e.target).data('centang');
        var nilaiwbc = $(e.target).data('nilaiwbc');
        $(targetcentang).css('fill', '#00ff00');
        if(nilaiSkalaNyeriWbc === nilaiwbc){ //hati2 dgn value 0 dan empty string, gunakan === dari pada == 
            $(targetcentang).css('fill', '#ffffff');
            nilaiSkalaNyeriWbc = ""; //reset ke empty string
        }else{
            nilaiSkalaNyeriDewasa = ""; //hanya ada 1 skala yg terisi
            $('.areaklik').css('fill', '#ffffaa'); //reset juga style pada skala dewasa(numeric)
            nilaiSkalaNyeriWbc = nilaiwbc; //kode untuk disimpan
        }
        console.log('skalaNyeriDewasa:' + nilaiSkalaNyeriDewasa);
        console.log('skalaNyeriWbc:' + nilaiSkalaNyeriWbc);
        ObjectData.NilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
        ObjectData.NilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;
    });
});

$('#content').off('click', '#tombol-save').on('click', '#tombol-save', function (event) {
    event.preventDefault();
    console.log('simpan asesmen awal');

    ObjectData.pageId = strPageId;
    ObjectData.actorId = strActorId;
    ObjectData.nursingId = '<?= $strId ?>'; //nursing id
    ObjectData.department = strDepartmentId;
    
    ObjectData.TanggalAsesmen = $('#tanggalasesmen').val();
    ObjectData.JamAsesmen = $('#jamasesmen').val();
    // ObjectData.KeluhanUtama = $('#keluhanutama').val();
    // ObjectData.RiwayatPenyakitSekarang = $('#riwayatpenyakitsekarang').val();
    // ObjectData.RiwayatPenyakitDahulu = $('#riwayatpenyakitdahulu').val();
    // ObjectData.RiwayatPenyakitKeluarga = $('#riwayatpenyakitkeluarga').val();
    // ObjectData.AlergiObat = $("input[name='alergiobat']:checked").val() ? $("input[name='alergiobat']:checked").val() : '';
    // ObjectData.UraianAlergiObat = $('#uraianalergiobat').val();
    // ObjectData.AlergiMakanan = $("input[name='alergimakanan']:checked").val() ? $("input[name='alergimakanan']:checked").val() : '';
    // ObjectData.UraianAlergiMakanan = $('#uraianalergimakanan').val();
    // ObjectData.RiwayatImunisasi = $("input[name='riwayatimunisasi']:checked").val() ? $("input[name='riwayatimunisasi']:checked").val() : '';
    // ObjectData.UraianRiwayatImunisasiBelum = $('#uraianriwayatimunisasibelum').val();
    // ObjectData.KeadaanUmum = $("input[name='keadaanumum']:checked").val() ? $("input[name='keadaanumum']:checked").val() : '';
    // ObjectData.UraianKeadaanUmum = $('#uraiankeadaanumum').val();
    // ObjectData.KesanSakit = $("input[name='kesansakit']:checked").val() ? $("input[name='kesansakit']:checked").val() : '';
    // ObjectData.Gcs = $('#gcs').val();
    // ObjectData.Td = $('#td').val();
    // ObjectData.Nadi = $('#nadi').val();
    // ObjectData.Rr = $('#rr').val();
    // ObjectData.Suhu = $('#suhu').val();
    // ObjectData.Bb = $('#bb').val();
    // ObjectData.Tb = $('#tb').val();
    // ObjectData.Nyeri = $("input[name='nyeri']:checked").val() ? $("input[name='nyeri']:checked").val() : '';
    // ObjectData.FlaccScale = $("input[name='flaccscale']:checked").val() ? $("input[name='flaccscale']:checked").val() : '';
    // ObjectData.NipsScale = $("input[name='nipsscale']:checked").val() ? $("input[name='nipsscale']:checked").val() : '';
    // ObjectData.StatusAmbulasi = $('#statusambulasi').val();
    // ObjectData.FisikKepalaWajah = $('#fisikkepalawajah').val();
    // ObjectData.FisikLeher = $('#fisikleher').val();
    // ObjectData.FisikDada = $('#fisikdada').val();
    // ObjectData.FisikAbdomen = $('#fisikabdomen').val();
    // ObjectData.FisikExtremitas = $('#fisikextremitas').val();
    // ObjectData.FisikGenital = $('#fisikgenital').val();
    // ObjectData.KhususParu = $('#khususparu').val();
    // ObjectData.KhususJantung = $('#khususjantung').val();
    // ObjectData.KhususNeurologi = $('#khususneurologi').val();
    // ObjectData.KhususUrologi = $('#khususurologi').val();
    // ObjectData.PemeriksaanLaboratorium = $('#pemeriksaanlaboratorium').val();
    // ObjectData.PemeriksaanRadiologi = $('#pemeriksaanradiologi').val();
    // ObjectData.PemeriksaanEkg = $('#pemeriksaanekg').val();
    // ObjectData.PemeriksaanEchocardiografi = $('#pemeriksaanechocardiografi').val();
    // ObjectData.PemeriksaanTreadmil = $('#pemeriksaantreadmil').val();
    // ObjectData.PemeriksaanLainnya = $('#pemeriksaanlainnya').val();
    // ObjectData.DiagnosaMedis = $('#diagnosamedis').val();
    // ObjectData.MasalahMedis = $('#masalahmedis').val();
    // ObjectData.RencanaTindakan = $('#rencanatindakan').val();
    // ObjectData.RencanaTerapi = $('#rencanaterapi').val();
    // ObjectData.ModalitasFisik = $('#modalitasfisik').val();
    // ObjectData.ProtesaOrtesa = $('#protesaortesa').val();
    


    console.log(ObjectData)
    $.ajax({
        url: "<?= QApplication::UrlActionCreator('PatientNursingAssessment/AsesmenAwalMata')?>", 
        success: function(result){
            toastr.info('Data Terkirim', 'Informasi');
			$('#cetak-laporan').removeClass('disabled');
        },
        timeout: 5* 60 * 1000,
        error: function(xhr,status,error){
            console.log(xhr);
            alert('Gagal menyimpan data');
        },
        beforeSend: function(xhr){
            $('#tombol-save').hide();
            $('#tombol-save-loading').show();
        },
        complete: function(xhr,status){
            $('#tombol-save').show();
            $('#tombol-save-loading').hide();
        },
        type: "POST",
        data: ObjectData
    });

});

$("#jamasesmen").focus(function(e){
    showMePicker(e.target);
});

	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#fff;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
$('#content').off('click', '#cetak-laporan').on('click', '#cetak-laporan', function () {
		FormPrintPage.setTitle('Print Preview Asesmen Ginekologi')
    var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-ginekologi')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
    openFormPrintPage(url);
});

$('#content').off('click', '#page-tindakan').on('click', '#page-tindakan', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
    //var Id = '<?= $objPatientNursing->Id ?>';
    //console.log(Id);
    //setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
});

function openInNewTab(url) {
    var win = window.open(url, '_blank');
    win.focus();
} 

$('.input-date').datepicker({
    format: "dd-mm-yyyy",
    autoclose: true,
    endDate: null
});

function convertDateToISO(strDateIna) {
    return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}
	$('#cetak-laporan').addClass('disabled');
</script>
