<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
-->
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">PEMERIKSAAN ECHOCARDIOGRAFI</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6" style="margin-bottom:5px;">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!-- <form> -->

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
	<div class="box-header" style="padding-bottom:0px;">
		<i class="fa fa-user"></i>
		<h3 class="box-title">Pemeriksaan Echocardiografi</h3>
	</div>
	<div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggalasesmen_echocardiografi"><b>Tanggal</b></label>
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:20px;"><i class="glyphicon glyphicon-calendar"></i></div>
					</span>
					<input id="tanggalasesmen_echocardiografi" type="text" class="form-control input-date" name="tanggalasesmen_echocardiografi" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalAsesmenEchocardiografi != "" ? $objPatientNursing->vTanggalAsesmenEchocardiografi : date("d-m-Y")  ?>" style="z-index:0" data-mask="00-00-0000">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="jamasesmen_echocardiografi"><b>Jam</b></label>
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:20px;"><i class="glyphicon glyphicon-time"></i></div>
					</span>
					<input id="jamasesmen_echocardiografi" type="text" class="form-control" name="jamasesmen_echocardiografi" placeholder="HH:mm" value="<?= $objPatientNursing->vJamAsesmenEchocardiografi != "" ? $objPatientNursing->vJamAsesmenEchocardiografi : date("H:i");?>" style="z-index:0" data-mask="00:00">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-3">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:20px;"><b>BB</b></div>
					</span>
					<input id="bb_echocardiografi" type="text" class="form-control" name="bb_echocardiografi" placeholder="BB" value="<?= $objPatientNursing->vBBEchocardiografi ?>">
				</div>
			</div>
			<div class="col-md-3">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:20px;"><b>TB</b></div>
					</span>
					<input id="tb_echocardiografi" type="text" class="form-control" name="tb_echocardiografi" placeholder="TB" value="<?= $objPatientNursing->vTBEchocardiografi ?>">
				</div>
			</div>
			<div class="col-md-3">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:20px;"><b>T</b></div>
					</span>
					<input id="t_echocardiografi" type="text" class="form-control" name="t_echocardiografi" placeholder="T" value="<?= $objPatientNursing->vTEchocardiografi ?>">
				</div>
			</div>
		</div>
	</div>
</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:5px;">
	<div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>IVSD</b></div>
					</span>
					<input id="echocardiografi_ivsd" type="text" class="form-control" name="echocardiografi_ivsd" placeholder="IVSD" value="<?= $objPatientNursing->vEchocardiografiIVSD ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>IVSS</b></div>
					</span>
					<input id="echocardiografi_ivss" type="text" class="form-control" name="echocardiografi_ivss" placeholder="IVSS" value="<?= $objPatientNursing->vEchocardiografiIVSS ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>LPWD</b></div>
					</span>
					<input id="echocardiografi_lpwd" type="text" class="form-control" name="echocardiografi_lpwd" placeholder="LPWD" value="<?= $objPatientNursing->vEchocardiografiLPWD ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>LPWF</b></div>
					</span>
					<input id="echocardiografi_lpwf" type="text" class="form-control" name="echocardiografi_lpwf" placeholder="LPWF" value="<?= $objPatientNursing->vEchocardiografiLPWF ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>LVIDD</b></div>
					</span>
					<input id="echocardiografi_lvdd" type="text" class="form-control" name="echocardiografi_lvdd" placeholder="LVIDD" value="<?= $objPatientNursing->vEchocardiografiLVIDD ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>LVIDS</b></div>
					</span>
					<input id="echocardiografi_lvids" type="text" class="form-control" name="echocardiografi_lvids" placeholder="LVIDS" value="<?= $objPatientNursing->vEchocardiografiLVIDS ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>EDV</b></div>
					</span>
					<input id="echocardiografi_edv" type="text" class="form-control" name="echocardiografi_edv" placeholder="EDV" value="<?= $objPatientNursing->vEchocardiografiEDV ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>ESV</b></div>
					</span>
					<input id="echocardiografi_esv" type="text" class="form-control" name="echocardiografi_esv" placeholder="ESV" value="<?= $objPatientNursing->vEchocardiografiESV ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>EF</b></div>
					</span>
					<input id="echocardiografi_ef" type="text" class="form-control" name="echocardiografi_ef" placeholder="EF" value="<?= $objPatientNursing->vEchocardiografiEF ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>FS</b></div>
					</span>
					<input id="echocardiografi_fs" type="text" class="form-control" name="echocardiografi_fs" placeholder="FS" value="<?= $objPatientNursing->vEchocardiografiFS ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>SV</b></div>
					</span>
					<input id="echocardiografi_sv" type="text" class="form-control" name="echocardiografi_sv" placeholder="SV" value="<?= $objPatientNursing->vEchocardiografiSV ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>HR</b></div>
					</span>
					<input id="echocardiografi_hr" type="text" class="form-control" name="echocardiografi_hr" placeholder="HR" value="<?= $objPatientNursing->vEchocardiografiHR ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>CO</b></div>
					</span>
					<input id="echocardiografi_co" type="text" class="form-control" name="echocardiografi_co" placeholder="CO" value="<?= $objPatientNursing->vEchocardiografiCO ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>LVN</b></div>
					</span>
					<input id="echocardiografi_lvn" type="text" class="form-control" name="echocardiografi_lvn" placeholder="LVN" value="<?= $objPatientNursing->vEchocardiografiLVN ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>LVNI</b></div>
					</span>
					<input id="echocardiografi_lvni" type="text" class="form-control" name="echocardiografi_lvni" placeholder="LVNI" value="<?= $objPatientNursing->vEchocardiografiLVNI ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>CI</b></div>
					</span>
					<input id="echocardiografi_ci" type="text" class="form-control" name="echocardiografi_ci" placeholder="CI" value="<?= $objPatientNursing->vEchocardiografiCI ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>RWT</b></div>
					</span>
					<input id="echocardiografi_rwt" type="text" class="form-control" name="echocardiografi_rwt" placeholder="RWT" value="<?= $objPatientNursing->vEchocardiografiRWT ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>LA Mayor</b></div>
					</span>
					<input id="echocardiografi_la_mayor" type="text" class="form-control" name="echocardiografi_la_mayor" placeholder="LA Mayor" value="<?= $objPatientNursing->vEchocardiografiLAMayor ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>LA Minor</b></div>
					</span>
					<input id="echocardiografi_la_minor" type="text" class="form-control" name="echocardiografi_la_minor" placeholder="LA Minor" value="<?= $objPatientNursing->vEchocardiografiLAMinor ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>RA Mayor</b></div>
					</span>
					<input id="echocardiografi_ra_mayor" type="text" class="form-control" name="echocardiografi_ra_mayor" placeholder="RA Mayor" value="<?= $objPatientNursing->vEchocardiografiRAMayor ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>RA Minor</b></div>
					</span>
					<input id="echocardiografi_ra_minor" type="text" class="form-control" name="echocardiografi_ra_minor" placeholder="RA Minor" value="<?= $objPatientNursing->vEchocardiografiRAMinor ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>RVDB</b></div>
					</span>
					<input id="echocardiografi_rvdb" type="text" class="form-control" name="echocardiografi_rvdb" placeholder="RVDB" value="<?= $objPatientNursing->vEchocardiografiRVDB ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:60px;"><b>TAPSE</b></div>
					</span>
					<input id="echocardiografi_tapse" type="text" class="form-control" name="echocardiografi_tapse" placeholder="TAPSE" value="<?= $objPatientNursing->vEchocardiografiTAPSE ?>">
				</div>
			</div>
		</div>
	</div>
</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:5px;">
	<div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:140px;"><b>Kwalitatif</b></div>
					</span>
					<input id="echocardiografi_kwalitatif" type="text" class="form-control" name="echocardiografi_kwalitatif" placeholder="Kwalitatif" value="<?= $objPatientNursing->vEchocardiografiKwalitatif ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:140px;"><b>Katup-katup</b></div>
					</span>
					<input id="echocardiografi_katup_katup" type="text" class="form-control" name="echocardiografi_katup_katup" placeholder="Katup-katup" value="<?= $objPatientNursing->vEchocardiografiKatupKatup ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:140px;"><b>Ruang Jantung</b></div>
					</span>
					<input id="echocardiografi_ruang_jantung" type="text" class="form-control" name="echocardiografi_ruang_jantung" placeholder="Ruang Jantung" value="<?= $objPatientNursing->vEchocardiografiRuangJantung ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:140px;"><b>Fungsi Sistole LV</b></div>
					</span>
					<input id="echocardiografi_fungsi_sistole_lv" type="text" class="form-control" name="echocardiografi_fungsi_sistole_lv" placeholder="Fungsi Sistole LV" value="<?= $objPatientNursing->vEchocardiografiFungsiSistoleLV ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:140px;"><b>Fungsi Sistole RV</b></div>
					</span>
					<input id="echocardiografi_fungsi_sistole_rv" type="text" class="form-control" name="echocardiografi_fungsi_sistole_rv" placeholder="Fungsi Sistole RV" value="<?= $objPatientNursing->vEchocardiografiFungsiSistoleRV ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:140px;"><b>Fungsi Diastole LV</b></div>
					</span>
					<input id="echocardiografi_fungsi_diastole_lv" type="text" class="form-control" name="echocardiografi_fungsi_diastole_lv" placeholder="Fungsi Diastole LV" value="<?= $objPatientNursing->vEchocardiografiFungsiDiastoleLV ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon">
						<div style="width:140px;"><b>Analisa Segmental LV</b></div>
					</span>
					<input id="echocardiografi_analisis_segmental_lv" type="text" class="form-control" name="echocardiografi_analisis_segmental_lv" placeholder="Analisa Segmental LV" value="<?= $objPatientNursing->vEchocardiografiAnalisaSegmentalLV ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Kesimpulan</b></label>
				<textarea name="echocardiografi_kesimpulan" id="echocardiografi_kesimpulan" rows="4" class="form-control" placeholder="Kesimpulan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vEchocardiografiKesimpulan ?></textarea>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="">
		<i class="fa fa-user-md"></i>
        <h3 class="box-title">Dokter</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
						<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Dokter yang menangani</b></div>
					</span>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_echocardiografi" id="dokter_yang_menangani_echocardiografi" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterEchocardiografiId != "" ? $objPatientNursing->vDokterEchocardiografiId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterEchocardiografiNama != "" ? $objPatientNursing->vDokterEchocardiografiNama : $objPatientNursing->DoctorName; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>
<!--
<div class="box box-info form-horizontal box-info-pasien" style="padding-top: 10px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-12">
				<h4>Diagnosa</h4>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Utama</label>
					<div class="col-sm-4">
						<input name="diagnosedesc1" id="diagnosedesc1" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc1" placeholder="Diagnosa Utama Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						 <select name="diagnosecode1" id="diagnosecode1" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?> >
							<?php if ($objPatientNursing->AdmissionDiagnoseCode1) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode1);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select> 
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel1" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Sekunder</label>
					<div class="col-sm-4">
						<input name="diagnosedesc2" id="diagnosedesc2" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" placeholder="Diagnosa Sekunder Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription2 ?>" autocomplete="off"/>
					</div>
				<div class="col-sm-5">
							 <select name="diagnosecode2" id="diagnosecode2" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : '' ?> >
							<?php if ($objPatientNursing->AdmissionDiagnoseCode2) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode2);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select> 
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel2" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 1</label>
					<div class="col-sm-4">
						<input name="diagnosedesc3" id="diagnosedesc3" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc3" placeholder="Diagnosa Komplikasi 1 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription3 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						 <select name="diagnosecode3" id="diagnosecode3" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode3) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode3);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select> 
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel3" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 2</label>
					<div class="col-sm-4">
						<input name="diagnosedesc4" id="diagnosedesc4" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc4" placeholder="Diagnosa Komplikasi 2 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription4 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						 <select name="diagnosecode4" id="diagnosecode4" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode4) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode4);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select> 
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel4" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 3</label>
					<div class="col-sm-4">
						<input name="diagnosedesc5" id="diagnosedesc5" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc5" placeholder="Diagnosa Komplikasi 3 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription5 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						 <select name="diagnosecode5" id="diagnosecode5" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode5) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode5);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select> 
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel5" style="font-weight: bold"></span>
					</div>
				</div>
				<hr>
			</div>
		</div>
	</div>
</div>
-->

<!-- </form>  -->

<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
		
	$('#tanggalasesmen_echocardiografi').bind('input propertychange', function () {
		sessionStorage.setItem( "tanggalasesmen_echocardiografi" , $( "#tanggalasesmen_echocardiografi" ).val() );
	})
	$('#jamasesmen_echocardiografi').bind('input propertychange', function () {
		sessionStorage.setItem( "jamasesmen_echocardiografi" , $( "#jamasesmen_echocardiografi" ).val() );
	})
	$('#bb_echocardiografi').bind('input propertychange', function () {
		sessionStorage.setItem( "bb_echocardiografi" , $( "#bb_echocardiografi" ).val() );
	})
	$('#tb_echocardiografi').bind('input propertychange', function () {
		sessionStorage.setItem( "tb_echocardiografi" , $( "#tb_echocardiografi" ).val() );
	})
	$('#t_echocardiografi').bind('input propertychange', function () {
		sessionStorage.setItem( "t_echocardiografi" , $( "#t_echocardiografi" ).val() );
	})
	$('#echocardiografi_ivsd').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_ivsd" , $( "#echocardiografi_ivsd" ).val() );
	})
	$('#echocardiografi_ivss').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_ivss" , $( "#echocardiografi_ivss" ).val() );
	})
	$('#echocardiografi_lpwd').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_lpwd" , $( "#echocardiografi_lpwd" ).val() );
	})
	$('#echocardiografi_lpwf').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_lpwf" , $( "#echocardiografi_lpwf" ).val() );
	})
	$('#echocardiografi_lvdd').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_lvdd" , $( "#echocardiografi_lvdd" ).val() );
	})
	$('#echocardiografi_lvids').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_lvids" , $( "#echocardiografi_lvids" ).val() );
	})
	$('#echocardiografi_edv').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_edv" , $( "#echocardiografi_edv" ).val() );
	})
	$('#echocardiografi_esv').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_esv" , $( "#echocardiografi_esv" ).val() );
	})
	$('#echocardiografi_ef').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_ef" , $( "#echocardiografi_ef" ).val() );
	})
	$('#echocardiografi_fs').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_fs" , $( "#echocardiografi_fs" ).val() );
	})
	$('#echocardiografi_sv').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_sv" , $( "#echocardiografi_sv" ).val() );
	})
	$('#echocardiografi_hr').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_hr" , $( "#echocardiografi_hr" ).val() );
	})
	$('#echocardiografi_co').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_co" , $( "#echocardiografi_co" ).val() );
	})
	$('#echocardiografi_lvn').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_lvn" , $( "#echocardiografi_lvn" ).val() );
	})
	$('#echocardiografi_lvni').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_lvni" , $( "#echocardiografi_lvni" ).val() );
	})
	$('#echocardiografi_ci').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_ci" , $( "#echocardiografi_ci" ).val() );
	})
	$('#echocardiografi_rwt').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_rwt" , $( "#echocardiografi_rwt" ).val() );
	})
	$('#echocardiografi_la_mayor').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_la_mayor" , $( "#echocardiografi_la_mayor" ).val() );
	})
	$('#echocardiografi_la_minor').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_la_minor" , $( "#echocardiografi_la_minor" ).val() );
	})
	$('#echocardiografi_ra_mayor').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_ra_mayor" , $( "#echocardiografi_ra_mayor" ).val() );
	})
	$('#echocardiografi_ra_minor').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_ra_minor" , $( "#echocardiografi_ra_minor" ).val() );
	})
	$('#echocardiografi_rvdb').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_rvdb" , $( "#echocardiografi_rvdb" ).val() );
	})
	$('#echocardiografi_tapse').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_tapse" , $( "#echocardiografi_tapse" ).val() );
	})
	$('#echocardiografi_kwalitatif').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_kwalitatif" , $( "#echocardiografi_kwalitatif" ).val() );
	})
	$('#echocardiografi_katup_katup').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_katup_katup" , $( "#echocardiografi_katup_katup" ).val() );
	})
	$('#echocardiografi_ruang_jantung').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_ruang_jantung" , $( "#echocardiografi_ruang_jantung" ).val() );
	})
	$('#echocardiografi_fungsi_sistole_lv').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_fungsi_sistole_lv" , $( "#echocardiografi_fungsi_sistole_lv" ).val() );
	})
	$('#echocardiografi_fungsi_sistole_rv').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_fungsi_sistole_rv" , $( "#echocardiografi_fungsi_sistole_rv" ).val() );
	})
	$('#echocardiografi_fungsi_diastole_lv').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_fungsi_diastole_lv" , $( "#echocardiografi_fungsi_diastole_lv" ).val() );
	})
	$('#echocardiografi_analisis_segmental_lv').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_analisis_segmental_lv" , $( "#echocardiografi_analisis_segmental_lv" ).val() );
	})
	$('#echocardiografi_kesimpulan').bind('input propertychange', function () {
		sessionStorage.setItem( "echocardiografi_kesimpulan" , $( "#echocardiografi_kesimpulan" ).val() );
	})

		sessionStorage.setItem( "form-echocardiografi" , "yes" );
		sessionStorage.setItem( "form-echocardiografi-nursing-id" , '<?= $objPatientNursing->Id; ?>' );

	

	$(document).ready(function() {
		if( sessionStorage.getItem("form-echocardiografi") == "yes" ) {
			if(sessionStorage.getItem("form-echocardiografi-nursing-id") == '<?= $objPatientNursing->Id; ?>'){
				if ( sessionStorage.getItem("tanggalasesmen_echocardiografi") ) {
					$("#tanggalasesmen_echocardiografi").val(sessionStorage.getItem("tanggalasesmen_echocardiografi") );
				}
				if ( sessionStorage.getItem("jamasesmen_echocardiografi") ) {
					$("#jamasesmen_echocardiografi").val(sessionStorage.getItem("jamasesmen_echocardiografi") );
				}
				if ( sessionStorage.getItem("bb_echocardiografi") ) {
					$("#bb_echocardiografi").val(sessionStorage.getItem("bb_echocardiografi") );
				}
				if ( sessionStorage.getItem("tb_echocardiografi") ) {
					$("#tb_echocardiografi").val(sessionStorage.getItem("tb_echocardiografi") );
				}
				if ( sessionStorage.getItem("t_echocardiografi") ) {
					$("#t_echocardiografi").val(sessionStorage.getItem("t_echocardiografi") );
				}
				if ( sessionStorage.getItem("echocardiografi_ivsd") ) {
					$("#echocardiografi_ivsd").val(sessionStorage.getItem("echocardiografi_ivsd") );
				}
				if ( sessionStorage.getItem("echocardiografi_ivss") ) {
					$("#echocardiografi_ivss").val(sessionStorage.getItem("echocardiografi_ivss") );
				}
				if ( sessionStorage.getItem("echocardiografi_lpwd") ) {
					$("#echocardiografi_lpwd").val(sessionStorage.getItem("echocardiografi_lpwd") );
				}
				if ( sessionStorage.getItem("echocardiografi_lpwf") ) {
					$("#echocardiografi_lpwf").val(sessionStorage.getItem("echocardiografi_lpwf") );
				}
				if ( sessionStorage.getItem("echocardiografi_lvdd") ) {
					$("#echocardiografi_lvdd").val(sessionStorage.getItem("echocardiografi_lvdd") );
				}
				if ( sessionStorage.getItem("echocardiografi_lvids") ) {
					$("#echocardiografi_lvids").val(sessionStorage.getItem("echocardiografi_lvids") );
				}
				if ( sessionStorage.getItem("echocardiografi_edv") ) {
					$("#echocardiografi_edv").val(sessionStorage.getItem("echocardiografi_edv") );
				}
				if ( sessionStorage.getItem("echocardiografi_esv") ) {
					$("#echocardiografi_esv").val(sessionStorage.getItem("echocardiografi_esv") );
				}
				if ( sessionStorage.getItem("echocardiografi_ef") ) {
					$("#echocardiografi_ef").val(sessionStorage.getItem("echocardiografi_ef") );
				}
				if ( sessionStorage.getItem("echocardiografi_fs") ) {
					$("#echocardiografi_fs").val(sessionStorage.getItem("echocardiografi_fs") );
				}
				if ( sessionStorage.getItem("echocardiografi_sv") ) {
					$("#echocardiografi_sv").val(sessionStorage.getItem("echocardiografi_sv") );
				}
				if ( sessionStorage.getItem("echocardiografi_hr") ) {
					$("#echocardiografi_hr").val(sessionStorage.getItem("echocardiografi_hr") );
				}
				if ( sessionStorage.getItem("echocardiografi_co") ) {
					$("#echocardiografi_co").val(sessionStorage.getItem("echocardiografi_co") );
				}
				if ( sessionStorage.getItem("echocardiografi_lvn") ) {
					$("#echocardiografi_lvn").val(sessionStorage.getItem("echocardiografi_lvn") );
				}
				if ( sessionStorage.getItem("echocardiografi_lvni") ) {
					$("#echocardiografi_lvni").val(sessionStorage.getItem("echocardiografi_lvni") );
				}
				if ( sessionStorage.getItem("echocardiografi_ci") ) {
					$("#echocardiografi_ci").val(sessionStorage.getItem("echocardiografi_ci") );
				}
				if ( sessionStorage.getItem("echocardiografi_rwt") ) {
					$("#echocardiografi_rwt").val(sessionStorage.getItem("echocardiografi_rwt") );
				}
				if ( sessionStorage.getItem("echocardiografi_la_mayor") ) {
					$("#echocardiografi_la_mayor").val(sessionStorage.getItem("echocardiografi_la_mayor") );
				}
				if ( sessionStorage.getItem("echocardiografi_la_minor") ) {
					$("#echocardiografi_la_minor").val(sessionStorage.getItem("echocardiografi_la_minor") );
				}
				if ( sessionStorage.getItem("echocardiografi_ra_mayor") ) {
					$("#echocardiografi_ra_mayor").val(sessionStorage.getItem("echocardiografi_ra_mayor") );
				}
				if ( sessionStorage.getItem("echocardiografi_ra_minor") ) {
					$("#echocardiografi_ra_minor").val(sessionStorage.getItem("echocardiografi_ra_minor") );
				}
				if ( sessionStorage.getItem("echocardiografi_rvdb") ) {
					$("#echocardiografi_rvdb").val(sessionStorage.getItem("echocardiografi_rvdb") );
				}
				if ( sessionStorage.getItem("echocardiografi_tapse") ) {
					$("#echocardiografi_tapse").val(sessionStorage.getItem("echocardiografi_tapse") );
				}
				if ( sessionStorage.getItem("echocardiografi_kwalitatif") ) {
					$("#echocardiografi_kwalitatif").val(sessionStorage.getItem("echocardiografi_kwalitatif") );
				}
				if ( sessionStorage.getItem("echocardiografi_katup_katup") ) {
					$("#echocardiografi_katup_katup").val(sessionStorage.getItem("echocardiografi_katup_katup") );
				}
				if ( sessionStorage.getItem("echocardiografi_ruang_jantung") ) {
					$("#echocardiografi_ruang_jantung").val(sessionStorage.getItem("echocardiografi_ruang_jantung") );
				}
				if ( sessionStorage.getItem("echocardiografi_fungsi_sistole_lv") ) {
					$("#echocardiografi_fungsi_sistole_lv").val(sessionStorage.getItem("echocardiografi_fungsi_sistole_lv") );
				}
				if ( sessionStorage.getItem("echocardiografi_fungsi_sistole_rv") ) {
					$("#echocardiografi_fungsi_sistole_rv").val(sessionStorage.getItem("echocardiografi_fungsi_sistole_rv") );
				}
				if ( sessionStorage.getItem("echocardiografi_fungsi_diastole_lv") ) {
					$("#echocardiografi_fungsi_diastole_lv").val(sessionStorage.getItem("echocardiografi_fungsi_diastole_lv") );
				}
				if ( sessionStorage.getItem("echocardiografi_analisis_segmental_lv") ) {
					$("#echocardiografi_analisis_segmental_lv").val(sessionStorage.getItem("echocardiografi_analisis_segmental_lv") );
				}
				if ( sessionStorage.getItem("echocardiografi_kesimpulan") ) {
					$("#echocardiografi_kesimpulan").val(sessionStorage.getItem("echocardiografi_kesimpulan") );
				}

			}else{
				sessionStorage.setItem( "form-echocardiografi-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggalasesmen_echocardiografi" ,"") ; 
				sessionStorage.setItem( "jamasesmen_echocardiografi" ,"") ; 
				sessionStorage.setItem( "bb_echocardiografi" ,"") ; 
				sessionStorage.setItem( "tb_echocardiografi" ,"") ; 
				sessionStorage.setItem( "t_echocardiografi" ,"") ; 
				sessionStorage.setItem( "echocardiografi_ivsd" ,"") ; 
				sessionStorage.setItem( "echocardiografi_ivss" ,"") ; 
				sessionStorage.setItem( "echocardiografi_lpwd" ,"") ; 
				sessionStorage.setItem( "echocardiografi_lpwf" ,"") ; 
				sessionStorage.setItem( "echocardiografi_lvdd" ,"") ; 
				sessionStorage.setItem( "echocardiografi_lvids" ,"") ; 
				sessionStorage.setItem( "echocardiografi_edv" ,"") ; 
				sessionStorage.setItem( "echocardiografi_esv" ,"") ; 
				sessionStorage.setItem( "echocardiografi_ef" ,"") ; 
				sessionStorage.setItem( "echocardiografi_fs" ,"") ; 
				sessionStorage.setItem( "echocardiografi_sv" ,"") ; 
				sessionStorage.setItem( "echocardiografi_hr" ,"") ; 
				sessionStorage.setItem( "echocardiografi_co" ,"") ; 
				sessionStorage.setItem( "echocardiografi_lvn" ,"") ; 
				sessionStorage.setItem( "echocardiografi_lvni" ,"") ; 
				sessionStorage.setItem( "echocardiografi_ci" ,"") ; 
				sessionStorage.setItem( "echocardiografi_rwt" ,"") ; 
				sessionStorage.setItem( "echocardiografi_la_mayor" ,"") ; 
				sessionStorage.setItem( "echocardiografi_la_minor" ,"") ; 
				sessionStorage.setItem( "echocardiografi_ra_mayor" ,"") ; 
				sessionStorage.setItem( "echocardiografi_ra_minor" ,"") ; 
				sessionStorage.setItem( "echocardiografi_rvdb" ,"") ; 
				sessionStorage.setItem( "echocardiografi_tapse" ,"") ; 
				sessionStorage.setItem( "echocardiografi_kwalitatif" ,"") ; 
				sessionStorage.setItem( "echocardiografi_katup_katup" ,"") ; 
				sessionStorage.setItem( "echocardiografi_ruang_jantung" ,"") ; 
				sessionStorage.setItem( "echocardiografi_fungsi_sistole_lv" ,"") ; 
				sessionStorage.setItem( "echocardiografi_fungsi_sistole_rv" ,"") ; 
				sessionStorage.setItem( "echocardiografi_fungsi_diastole_lv" ,"") ; 
				sessionStorage.setItem( "echocardiografi_analisis_segmental_lv" ,"") ; 
				sessionStorage.setItem( "echocardiografi_kesimpulan" ,"") ; 
			}
		} else { 
			sessionStorage.setItem( "form-echocardiografi" , "yes" );
		}

		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/mata2.jpg';
			$urlGambar = $objPatientNursing->vLokasiAnatomiMata ? $objPatientNursing->vLokasiAnatomiMata : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ; ?>', function(image){
			image.scaleToWidth(900);
			image.scaleToHeight(458);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(900);
				image.scaleToHeight(458);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end
		
		$('#simpanGambar').click(function() {
			simpangambar();
		})
		
		var simpangambar = function(){
			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'MATA');
			fd.append("gambar", blob, 'mata2.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadMata')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})		
		}

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Urologi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-urologi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Echocardiografi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-form-echocardiografi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
/*	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-echocardiografi') ?>', strOption);
	}
*/
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(){
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(){
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function () {
			posting('DRAFT');
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function () {
		cetaklaporan();
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalAsesmenEchocardiografi = $("#tanggalasesmen_echocardiografi").val();
		post.JamAsesmenEchocardiografi = $("#jamasesmen_echocardiografi").val();
		post.BBEchocardiografi = $("#bb_echocardiografi").val();
		post.TBEchocardiografi = $("#tb_echocardiografi").val();
		post.TEchocardiografi = $("#t_echocardiografi").val();
		post.EchocardiografiIVSD = $("#echocardiografi_ivsd").val();
		post.EchocardiografiIVSS = $("#echocardiografi_ivss").val();
		post.EchocardiografiLPWD = $("#echocardiografi_lpwd").val();
		post.EchocardiografiLPWF = $("#echocardiografi_lpwf").val();
		post.EchocardiografiLVIDD = $("#echocardiografi_lvdd").val();
		post.EchocardiografiLVIDS = $("#echocardiografi_lvids").val();
		post.EchocardiografiEDV = $("#echocardiografi_edv").val();
		post.EchocardiografiESV = $("#echocardiografi_esv").val();
		post.EchocardiografiEF = $("#echocardiografi_ef").val();
		post.EchocardiografiFS = $("#echocardiografi_fs").val();
		post.EchocardiografiSV = $("#echocardiografi_sv").val();
		post.EchocardiografiHR = $("#echocardiografi_hr").val();
		post.EchocardiografiCO = $("#echocardiografi_co").val();
		post.EchocardiografiLVN = $("#echocardiografi_lvn").val();
		post.EchocardiografiLVNI = $("#echocardiografi_lvni").val();
		post.EchocardiografiCI = $("#echocardiografi_ci").val();
		post.EchocardiografiRWT = $("#echocardiografi_rwt").val();
		post.EchocardiografiLAMayor = $("#echocardiografi_la_mayor").val();
		post.EchocardiografiLAMinor = $("#echocardiografi_la_minor").val();
		post.EchocardiografiRAMayor = $("#echocardiografi_ra_mayor").val();
		post.EchocardiografiRAMinor = $("#echocardiografi_ra_minor").val();
		post.EchocardiografiRVDB = $("#echocardiografi_rvdb").val();
		post.EchocardiografiTAPSE = $("#echocardiografi_tapse").val();
		post.EchocardiografiKwalitatif = $("#echocardiografi_kwalitatif").val();
		post.EchocardiografiKatupKatup = $("#echocardiografi_katup_katup").val();
		post.EchocardiografiRuangJantung = $("#echocardiografi_ruang_jantung").val();
		post.EchocardiografiFungsiSistoleLV = $("#echocardiografi_fungsi_sistole_lv").val();
		post.EchocardiografiFungsiSistoleRV = $("#echocardiografi_fungsi_sistole_rv").val();
		post.EchocardiografiFungsiDiastoleLV = $("#echocardiografi_fungsi_diastole_lv").val();
		post.EchocardiografiAnalisaSegmentalLV = $("#echocardiografi_analisis_segmental_lv").val();
		post.EchocardiografiKesimpulan = $("#echocardiografi_kesimpulan").val();
		post.DokterEchocardiografiId = $('#dokter_yang_menangani_echocardiografi').val()

		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenEchocardiografi')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					sessionStorage.setItem( "tanggalasesmen_echocardiografi" ,"") ; 
					sessionStorage.setItem( "jamasesmen_echocardiografi" ,"") ; 
					sessionStorage.setItem( "bb_echocardiografi" ,"") ; 
					sessionStorage.setItem( "tb_echocardiografi" ,"") ; 
					sessionStorage.setItem( "t_echocardiografi" ,"") ; 
					sessionStorage.setItem( "echocardiografi_ivsd" ,"") ; 
					sessionStorage.setItem( "echocardiografi_ivss" ,"") ; 
					sessionStorage.setItem( "echocardiografi_lpwd" ,"") ; 
					sessionStorage.setItem( "echocardiografi_lpwf" ,"") ; 
					sessionStorage.setItem( "echocardiografi_lvdd" ,"") ; 
					sessionStorage.setItem( "echocardiografi_lvids" ,"") ; 
					sessionStorage.setItem( "echocardiografi_edv" ,"") ; 
					sessionStorage.setItem( "echocardiografi_esv" ,"") ; 
					sessionStorage.setItem( "echocardiografi_ef" ,"") ; 
					sessionStorage.setItem( "echocardiografi_fs" ,"") ; 
					sessionStorage.setItem( "echocardiografi_sv" ,"") ; 
					sessionStorage.setItem( "echocardiografi_hr" ,"") ; 
					sessionStorage.setItem( "echocardiografi_co" ,"") ; 
					sessionStorage.setItem( "echocardiografi_lvn" ,"") ; 
					sessionStorage.setItem( "echocardiografi_lvni" ,"") ; 
					sessionStorage.setItem( "echocardiografi_ci" ,"") ; 
					sessionStorage.setItem( "echocardiografi_rwt" ,"") ; 
					sessionStorage.setItem( "echocardiografi_la mayor" ,"") ; 
					sessionStorage.setItem( "echocardiografi_la minor" ,"") ; 
					sessionStorage.setItem( "echocardiografi_ra mayor" ,"") ; 
					sessionStorage.setItem( "echocardiografi_ra minor" ,"") ; 
					sessionStorage.setItem( "echocardiografi_rvdb" ,"") ; 
					sessionStorage.setItem( "echocardiografi_tapse" ,"") ; 
					sessionStorage.setItem( "echocardiografi_kwalitatif" ,"") ; 
					sessionStorage.setItem( "echocardiografi_katup katup" ,"") ; 
					sessionStorage.setItem( "echocardiografi_ruang jantung" ,"") ; 
					sessionStorage.setItem( "echocardiografi_fungsi sistole lv" ,"") ; 
					sessionStorage.setItem( "echocardiografi_fungsi sistole rv" ,"") ; 
					sessionStorage.setItem( "echocardiografi_fungsi diastole lv" ,"") ; 
					sessionStorage.setItem( "echocardiografi_analisis segmental lv" ,"") ; 
					sessionStorage.setItem( "echocardiografi_kesimpulan" ,"") ; 
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$('#dokter_yang_menangani_echocardiografi').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	$("#triage").chosen({
			no_results_text: 'Tidak ditemukan'
			, width: '100%;'
			, allow_single_deselect: true
		});

};

$('#content').ready(function(){
	FormGizi();
	window.scrollTo(0, 0);
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormAssementEchocardiografi == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});
</script>