<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>

<!--
 <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_jiwa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>

<div style="width:100%;max-width:1000px;margin:0px auto;">
<div id="e-rm-form-gizi" class="hidden">true</div>
<!-- <link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css"> -->
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">RESEP KACAMATA</h1>
    </div>
</div>

<div class="box box-info box-info-pasien">
    <div class="box-header with-border" style="text-align:;">
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">No. Rekam Medis</div></span>
						<input type="text" class="form-control input-sm" name="rekmed" id='rekmed'  value="<?= $objPatientNursing->Mr ; ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Cara bayar</div></span>
						<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Nama</div></span>
						<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Ruang / Kamar</div></span>
						<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Alamat</div></span>
						<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Tanggal Masuk</div></span>
						<input type="text" class="form-control input-sm" name="masuk" id="masuk"  value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Umur</div></span>
						<input type="text" class="form-control input-sm" id="umur"  value="<?= $lahir . ' / ' . $umur ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">ID</div></span>
						<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Diagnosa</div></span>
						<input type="text" class="form-control input-sm" id="diagnosautama"  value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">DPJP</div></span>
						<input type="text" class="form-control input-sm" name="DoctorName" id="DoctorName" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!--  <form> -->
<div class="box" style="border-top-width:0px;">
    <div class="box-body" style="">
        <div class="row">
            <div class="col-md-6 col-lg-3" style="margin-bottom: 10px;">
                <label class="control-label" for="tanggalresep">Tanggal Resep</label>
                <div class="input-group" style="width:100%;">
                    <input id="tanggalresep" type="date" class="form-control" name="tanggalresep" placeholder="Tanggal" value="<?= $objPatientNursing->vTanggalResepKacamata != "" ? $objPatientNursing->vTanggalResepKacamata : date("Y-m-d") ?>" style="z-index:0">
                </div>
            </div>
            <div class="col-md-6 col-lg-3">
                <label class="control-label" for="jamresep">Jam Resep</label>
                <div class="input-group" style="width:100%;">
                    <input id="jamresep" type="time" class="form-control" name="jamresep" placeholder="HH:mm" value="<?= $objPatientNursing->vJamResepKacamata != "" ? $objPatientNursing->vJamResepKacamata : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
	    <div class="col-md-6 col-lg-3">
		<div class="form-group">
			<label class="radio-inline"><b>Kegunaan Kacamata: </b></label>
			<label class="radio-inline alergiobat"><input type="radio" name="KegunaanKacamata" id="untuk_melihat_jauh" value="Untuk Melihat Jauh" <?= ($objPatientNursing->vKegunaanKacamata == 'Untuk Melihat Jauh' ) ? 'checked' : '' ?>>Untuk Melihat Jauh</label>
			<label class="radio-inline alergiobat"><input type="radio" name="KegunaanKacamata" id="untuk_melihat_dekat" value="Untuk Melihat Dekat" <?= ($objPatientNursing->vKegunaanKacamata == 'Untuk Melihat Dekat') ? 'checked' : '' ?>>Untuk Melihat Dekat</label>
		</div>
	    </div>
        </div>

	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-body">
	<table cellspacing="0" border="1" width="100%" align="center">
	    <tr align="center">
		<td width="10%">Gelas</td>
		<td width="10%">Spher</td>
		<td width="10%">Cyl</td>
		<td width="10%">As.</td>
		<td width="10%">Prism</td>
		<td width="10%">Basis</td>
		<td width="10%">Warna</td>
	    </tr>
	    <tr align="center">
		<td height="100px">Kanan</td>
		<td>
		   <textarea name="spher_mata_kanan" id="spher_mata_kanan" class="form-control autoresize" placeholder="spher kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vSpherMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="cyl_mata_kanan" id="cyl_mata_kanan" class="form-control autoresize" placeholder="cyl kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vCylMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="as_mata_kanan" id="as_mata_kanan" class="form-control autoresize" placeholder="as kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vAsMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="prism_mata_kanan" id="prism_mata_kanan" class="form-control autoresize" placeholder="prism kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vPrismMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="basis_mata_kanan" id="basis_mata_kanan" class="form-control autoresize" placeholder="basis kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vBasisMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="warna_mata_kanan" id="warna_mata_kanan" class="form-control autoresize" placeholder="warna kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vWarnaMataKanan ?></textarea>
		</td>

	    </tr>
	    <tr align="center">
		<td height="100px">Kiri</td>
		<td>
		   <textarea name="spher_mata_kiri" id="spher_mata_kiri" class="form-control autoresize" placeholder="spher kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vSpherMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="cyl_mata_kiri" id="cyl_mata_kiri" class="form-control autoresize" placeholder="cyl kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vCylMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="as_mata_kiri" id="as_mata_kiri" class="form-control autoresize" placeholder="as kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vAsMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="prism_mata_kiri" id="prism_mata_kiri" class="form-control autoresize" placeholder="prism kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vPrismMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="basis_mata_kiri" id="basis_mata_kiri" class="form-control autoresize" placeholder="basis kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vBasisMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="warna_mata_kiri" id="warna_mata_kiri" class="form-control autoresize" placeholder="warna kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vWarnaMataKiri ?></textarea>
		</td>
	     </tr>
	    <tr align="center">
		<td height="100px">Addisi</td>
		<td colspan="6" align="left">
		   <textarea name="addisi_resep_kacamata" id="addisi_resep_kacamata" class="form-control autoresize" placeholder="addisi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vAddisiResepKacamata ?></textarea>
		</td>
	     </tr>

	</table>
	<table cellpadding="5" width="100%"  style="margin-top:20px;">
	     <tr>
		<td>Gagang</td>
		<td>: </td>
		<td colspan="4">
			<input type="text" name="gagang_kacamata" id="gagang_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vGagangKacamata ?>">
		</td>
	     </tr>
	     <tr>
		<td>Jarak antara kedua pupil</td>
		<td>: </td>
		<td colspan="4">
			<input type="text" name="jarak_kedua_pupil_kacamata" id="jarak_kedua_pupil_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vJarakKeduaPupilKacamata ?>">
		</td>
	     </tr>
	     <tr>
		<td>Gelas miring kemuka</td>
		<td>: </td>
		<td colspan="4">
			<input type="text" name="gelas_miring_kemuka_kacamata" id="gelas_miring_kemuka_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vGelasMiringKemukaKacamata ?>">
		</td>
	     </tr>
	     <tr>
		<td width="160px">Jembatan hidung</td>
		<td width="1px">: </td>
		<td width="110px">
			<input type="text" name="jembatan_hidung_1_kacamata" id="jembatan_hidung_1_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vJembatanHidung1Kacamata ?>">
		</td>
		<td width="105px">mm diatas dan </td>
		<td width="90px">
			<input type="text" name="jembatan_hidung_2_kacamata" id="jembatan_hidung_2_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vJembatanHidung2Kacamata ?>">
		</td>
		<td>mm</td>
	     </tr>
	     <tr>
		<td colspan="6">Dimuka/dibelakang garis antara centra kedua gelas</td>
	     </tr>
	     <tr>
		<td>Lebar muka</td>
		<td>: </td>
		<td>
			<input type="text" name="lebar_muka_kacamata" id="lebar_muka_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vLebarMukaKacamata ?>">
		</td>
		<td>Panjang gagang : </td>
		<td>
			<input type="text" name="panjang_gagang_kacamata" id="panjang_gagang_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vPanjangGagangKacamata ?>">

		</td>

	     </tr>

	</table>
    </div>
</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-12">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/kacamata.jpg';

					$gambarTersimpan = $objPatientNursing->vLokasiKacamata ? $objPatientNursing->vLokasiKacamata : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="900" height="458" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
		</div>
	</div>


	<div class="box-footer">
		<div class="row">
			<div class="col-xs-12">
				<button id="save-loading" class="btn btn-primary disabled" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin" style="width:18px;"></i> Simpan</button>
				<button id="save" class="btn btn-primary"><i class="fa fa-save" style="width:18px;"></i> Simpan</button>
				<button id="cetak_laporan" class="btn btn-success"><i class="fa fa-print" style="width:18px;"></i> Print</button>
				<button id="back"type="button" class="page-kembali btn btn-default pull-right">Kembali</button>
			</div>
		</div>
	</div>
</div>



<!-- </form> -->
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">
        
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
var FormGizi = function(){

	'use strict';
	
	
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Resep Kacamata')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-form-kacamata') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalResepKacamata = $('#tanggalresep').val();
		post.JamResepKacamata = $('#jamresep').val();

		post.KegunaanKacamata = '';
		if( $("#untuk_melihat_jauh").is(':checked') ) {
			if( post.KegunaanKacamata ) {
				post.KegunaanKacamata = post.KegunaanKacamata + ',' + 'Untuk Melihat Jauh';
			} else {
				post.KegunaanKacamata = 'Untuk Melihat Jauh';
			}
		}
		if( $("#untuk_melihat_dekat").is(':checked') ) {
			if( post.KegunaanKacamata ) {
				post.KegunaanKacamata = post.KegunaanKacamata + ',' + 'Untuk Melihat Dekat';
			} else {
				post.KegunaanKacamata = 'Untuk Melihat Dekat';
			}
		}

		post.SpherMataKanan= $('#spher_mata_kanan').val();
		post.CylMataKanan= $('#cyl_mata_kanan').val();
		post.AsMataKanan= $('#as_mata_kanan').val();
		post.PrismMataKanan= $('#prism_mata_kanan').val();
		post.BasisMataKanan= $('#basis_mata_kanan').val();
		post.WarnaMataKanan= $('#warna_mata_kanan').val();
		post.SpherMataKiri= $('#spher_mata_kiri').val();
		post.CylMataKiri= $('#cyl_mata_kiri').val();
		post.AsMataKiri= $('#as_mata_kiri').val();
		post.PrismMataKiri= $('#prism_mata_kiri').val();
		post.BasisMataKiri= $('#basis_mata_kiri').val();
		post.WarnaMataKiri= $('#warna_mata_kiri').val();
		post.AddisiResepKacamata= $('#addisi_resep_kacamata').val();
		post.GagangKacamata= $('#gagang_kacamata').val();
		post.JarakKeduaPupilKacamata= $('#jarak_kedua_pupil_kacamata').val();
		post.GelasMiringKemukaKacamata= $('#gelas_miring_kemuka_kacamata').val();
		post.JembatanHidung1Kacamata= $('#jembatan_hidung_1_kacamata').val();
		post.JembatanHidung2Kacamata= $('#jembatan_hidung_2_kacamata').val();
		post.LebarMukaKacamata= $('#lebar_muka_kacamata').val();
		post.PanjangGagangKacamata= $('#panjang_gagang_kacamata').val();

				
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveResepKacamata')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#dokter_pemeriksa_id").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	
	$('#dokter_pemeriksa_id').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormResepKacamata == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>

		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/kacamata.jpg';
			$urlGambar = $objPatientNursing->vLokasiKacamata ? $objPatientNursing->vLokasiKacamata : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ; ?>', function(image){
			image.scaleToWidth(900);
			image.scaleToHeight(458);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(900);
				image.scaleToHeight(458);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end
		
		$('#simpanGambar').click(function() {
			simpangambar();
		})
		
		var simpangambar = function(){
			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'KACAMATA');
			fd.append("gambar", blob, 'kacamata.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadMata')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})		
		}

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	

});

</script>