<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);


require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}

	div#main {padding-bottom:0px!important;}
	.disabled2{cursor: not-allowed!important;pointer-events:none!important;opacity:0.45;}
#tab_konsultasi1,#tab_konsultasi2,#tab_konsultasi3{font-weight:bold;}
.active a{cursor:pointer!important;color:#337ab7!important}
.active{border-top-color:#337ab7!important}
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div style="width:100%;max-width:1000px;margin:0px auto;">
<div class="row" style="margin-bottom: 10px;">
	<div class="col-md-12" style="text-align:center;">
		<h1 class="panel-title1">KONSULTASI</h1>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
	<div class="box-header">
		<i class="fa fa-user"></i>
		<h3 class="box-title">Data Pasien</h3>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-6">
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Nama</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Umur</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
					</div>
				</div>

			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>
<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!--
<div style="text-align:center; padding: 5px">
	<a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
</div>
-->
<!--
<form>
-->

<?php 
 if ($objPatientNursing->vKonsultasiVer3){
	$KonsultasiVer = "3" ;
?>
<script>
		$('#tab_konsultasi3').removeClass('disabled2').addClass('active');
		$('#tab_konsultasi2').removeClass('disabled2');
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi3 a').html('Form Konsultasi 3 <i style="color:#;" class="fa fa-check"></i>');
</script>
<?php	
 } else if($objPatientNursing->vKonsultasiVer2){
	$KonsultasiVer = "2" ;
?>
<script>
		$('#tab_konsultasi3').removeClass('disabled2');
		$('#tab_konsultasi2').removeClass('disabled2').addClass('active');
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i style="color:#;" class="fa fa-check"></i>');
</script>
<?php	
 } else if ($objPatientNursing->vKonsultasiVer1) {
	$KonsultasiVer = "1" ;
?>
<script>
		$('#tab_konsultasi2').removeClass('disabled2');
		$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i style="color:#;" class="fa fa-check"></i>');
</script>
<?php	
 } else {
	$KonsultasiVer = "1" ;
 }
?>

<input type="hidden" class="form-control" id="versi_konsultasi" value="<?= $KonsultasiVer ?>">
<script>
	$('#content').off('click', '#tab_konsultasi1').on('click', '#tab_konsultasi1', function () {
		$('#tab_konsultasi1').addClass('active');
		$('#tab_konsultasi2').removeClass('active');
		$('#tab_konsultasi3').removeClass('active');
		$('#versi_konsultasi').val('1');
		requestKonsulVer('1');
	});
	$('#content').off('click', '#tab_konsultasi2').on('click', '#tab_konsultasi2', function () {
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi2').addClass('active');
		$('#tab_konsultasi3').removeClass('active');
		$('#versi_konsultasi').val('2');
		requestKonsulVer('2');
	});
	$('#content').off('click', '#tab_konsultasi3').on('click', '#tab_konsultasi3', function () {
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi2').removeClass('active');
		$('#tab_konsultasi3').addClass('active');
		$('#versi_konsultasi').val('3');
		requestKonsulVer('3');
	});
	
	function requestKonsulVer(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; 
		post.department = strDepartmentId;
		post.mode = mode;

		//console.log(post);
		//toastr.info('Menyimpan Data', 'Informasi');
		showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingKonsul/requestKonsulVer')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( result.status != 'error' ){
					//toastr.info( result.message , 'Informasi');
					
					result.vTanggalKonsul ? $('#tanggalkonsul').val(result.vTanggalKonsul) : $('#tanggalkonsul').val("<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>") ;
					result.vJamKonsul ? $('#jamkonsul').val(result.vJamKonsul) : $('#jamkonsul').val("<?= date('H:i') ?>") ;
					result.vKeteranganKonsul  ? $('#keterangankonsul').val(result.vKeteranganKonsul) : $('#keterangankonsul').val("") ;
					result.vDiagnosaKonsul ? $('#diagnosakonsul').val(result.vDiagnosaKonsul)  : $('#diagnosakonsul').val("") ;
					result.vJawabanKonsul ? $('#jawabankonsultasi').val(result.vJawabanKonsul)  : $('#jawabankonsultasi').val("") ;

					//console.log(result.vTujuanKonsulNama+''+result.vDokterKonsulNama+''+result.vTujuanKonsul+''+result.vDokterKonsul)
					if (result.vTujuanKonsul) {
						var tujuankonsul = $('#tujuankonsul');
						tujuankonsul.html('<option value="'+result.vTujuanKonsul+'">'+result.vTujuanKonsulNama+'</option>');
						tujuankonsul.trigger("chosen:updated");
					} else {
						var tujuankonsul = $('#tujuankonsul');
						tujuankonsul.html('<option value="">Pilih Poli</option>');
						tujuankonsul.trigger("chosen:updated");
					}
					
					if (result.vDokterKonsul) {
						var doctor = $('#dokterkonsul');
						doctor.html('<option value="'+result.vDokterKonsul+'">'+result.vDokterKonsulNama+'</option>');
						doctor.trigger("chosen:updated");
					} else {
						var doctor = $('#dokterkonsul');
						doctor.html('<option value="">Pilih Dokter</option>');
						doctor.trigger("chosen:updated");
					}
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal memanggil data');
			}
		});

	}
</script>

<div class="box" style="border-top-width:0px;margin-bottom:20px!important;">
    <div class="box-header " style="padding:0px;">
		<div id="tab-pasien" class="nav-tabs-custom" >
			<ul class="nav nav-tabs">
				<li class="active" id="tab_konsultasi1"><a href="#" class="" data-toggle="tab" aria-expanded="true">Form Konsultasi 1</a></li>
				<li class="disabled2" id="tab_konsultasi2"><a href="#"  data-toggle="tab" aria-expanded="false">Form Konsultasi 2</a></li>
				<li class="disabled2" id="tab_konsultasi3"><a href="#"  data-toggle="tab" aria-expanded="false">Form Konsultasi 3</a></li>
			</ul>
		</div>
    </div>
	<div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:10px;">
				<label class="control-label" for="tanggalkonsul"><b>Tanggal Konsul</b></label>
				<div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
					<?php $vTanggalKonsul = 'vTanggalKonsul'.$KonsultasiVer ?>
					<input id="tanggalkonsul" type="text" class="form-control input-tanggal-konsul" name="tanggalkonsul" placeholder="Tanggal Konsul" value="<?= $objPatientNursing->$vTanggalKonsul ? $objPatientNursing->$vTanggalKonsul : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:10px;">
				<label class="control-label" for="jamkonsul"><b>Jam Konsul</b></label>
				<div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					<?php $vJamKonsul = 'vJamKonsul'.$KonsultasiVer ?>
					<input id="jamkonsul" type="text" class="form-control" name="jamkonsul" placeholder="HH:mm" value="<?= $objPatientNursing->$vJamKonsul ? $objPatientNursing->$vJamKonsul : date('H:i') ?>" style="z-index:0" data-mask="00:00">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:10px;">
				<label class="control-label" for="jamkonsul"><b>Tujuan / Poli</b></label>
				<div class="input-group" style="width:100%;">
					<select name="tujuankonsul" id="tujuankonsul" class="form-control input-sm-2 department" data-placeholder="Pilih Poli" style="width:100%:">
					<?php $vTujuanKonsul = 'vTujuanKonsul'.$KonsultasiVer ?>
					<?php $vTujuanKonsulNama = 'vTujuanKonsulNama'.$KonsultasiVer ?>
						<option value="<?= $objPatientNursing->$vTujuanKonsul ?>" selected><?= $objPatientNursing->$vTujuanKonsulNama ?></option>
					</select>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:10px;">
				<label class="control-label" for="jamkonsul"><b>Dokter Poli</b></label>
				<div class="input-group" style="width:100%;">
					<select name="dokterkonsul" id="dokterkonsul" class="form-control doctor" style="width: 540px;"  data-placeholder="Pilih Dokter" style="width:100%:">
					<?php $vDokterKonsul = 'vDokterKonsul'.$KonsultasiVer ?>
					<?php $vDokterKonsulNama = 'vDokterKonsulNama'.$KonsultasiVer ?>
						<option value="<?= $objPatientNursing->$vDokterKonsul ?>" selected><?= $objPatientNursing->$vDokterKonsulNama ?></option>
					</select>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;">
					<label for="keterangankonsul"><b>Keterangan Konsultasi :</b></label>
						<?php $vKeteranganKonsul = 'vKeteranganKonsul'.$KonsultasiVer ?>
					<textarea class="form-control autoresize" rows="3" id="keterangankonsul" name="keterangankonsul" placeholder="Keterangan Konsul" autocomplete="on"><?= $objPatientNursing->$vKeteranganKonsul ?></textarea>
				</div>
			</div>

			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;">
					<label for="diagnosakonsul"><b>Diagnosa :</b></label>
						<?php $vDiagnosaKonsul = 'vDiagnosaKonsul'.$KonsultasiVer ?>
					<textarea class="form-control autoresize" rows="3" id="diagnosakonsul" name="diagnosakonsul" placeholder="Diagnosa" autocomplete="on"><?= $objPatientNursing->$vDiagnosaKonsul ?></textarea>
				</div>
			</div>

			<?php if( strlen($objPatientNursing->vJawabanKonsultasi) ) { ?>
			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;">
					<label for="jawabankonsultasi"><b>Jawaban Konsultasi :</b></label>
					<textarea class="form-control" rows="3" id="jawabankonsultasi" name="jawabankonsultasi" placeholder="Diagnosa" autocomplete="on" readonly><?= $objPatientNursing->vJawabanKonsultasi ?></textarea>
				</div>
			</div>
			<?php } ?>

		</div>
	</div>
    <div class="box-footer with-border" >
		<div class="row">
			<div class="col-md-12">
				<button disabled class="btn btn-success" id="tombol-save-loading" style="display:none;"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
				<button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan</button>
				<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
				<a href="#" class="page-tindakan btn btn-default pull-right">Kembali ke Tindakan</a>
			</div>
		</div>
    </div>
</div>


<!--
</form>
-->
</div>



<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	

	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#F2F5FA;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openAppPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
	FormPrintPage.setTitle('Print Preview Konsultasi')
	openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-form-konsultasi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&FormVer='+$('#versi_konsultasi').val());
	}
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});

    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		event.preventDefault();
		prosesKirimData('DRAFT');
	});
	
var ObjectData = {};

$(document).ready(function() {
	$('#tombol-save-loading').hide();
	$('#simpanGambar-loading').hide();
	//KEADAAN UMUM
	var selected_value = $("input[name='keadaanumum']:checked").val();
	if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
		$('.keadaanumumrow').hide();
		$('#uraiankeadaanumum').val(''); //kosongkan 
	}else if(typeof selected_value === "undefined"){
		$('.keadaanumumrow').hide();
		$('#uraiankeadaanumum').val(''); //kosongkan 
	}
	else{
		$('.keadaanumumrow').show();
	}
	//
	$(".keadaanumum").change(function (e) {
		var selected_value = $("input[name='keadaanumum']:checked").val();
		if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
			$('.keadaanumumrow').hide();
			$('#uraiankeadaanumum').val(''); //kosongkan 
		}else if(typeof selected_value === "undefined"){
			$('.keadaanumumrow').hide();
			$('#uraiankeadaanumum').val(''); //kosongkan 
		}
		else{
			$('.keadaanumumrow').show();
		}
	});
});


$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
	event.preventDefault();
	console.log('simpan asesmen awal');
	if(validasiSimpan()){
		prosesKirimData('VERIFIKASI');
	}
})

$('#content').off('click', '#tombol-save').on('click', '#tombol-save', function (event) {
	event.preventDefault();
	console.log('simpan draft asesmen awal');
	prosesKirimData('DRAFT');
});

var validasiSimpan = function(){
	var password = $('#password');
	var checkSetuju = $('#check-setuju');

	if(!password.val()){
		toastr.warning('Password Masih Kosong', 'Peringatan');
		return null;
	}
	if(! checkSetuju.prop('checked')){
		toastr.warning('Anda Harus Menyetujui', 'Peringatan');
		return null;
	}
	return true;
}

var prosesKirimData = function(mode){
	ObjectData.pageId = strPageId;
	ObjectData.actorId = strActorId;
	ObjectData.nursingId = '<?= $strId ?>'; //nursing id
	ObjectData.department = strDepartmentId;

	if(mode == 'VERIFIKASI'){
		ObjectData.password = $('#password').val();
	}
	
	ObjectData.vKonsultasiVer = $('#versi_konsultasi').val();
	ObjectData.vTanggalKonsul = $('#tanggalkonsul').val();
	ObjectData.vJamKonsul = $('#jamkonsul').val();
	ObjectData.vTujuanKonsul = $('#tujuankonsul').val();
	ObjectData.vDokterKonsul = $('#dokterkonsul').val();
	ObjectData.vKeteranganKonsul = $('#keterangankonsul').val();
	ObjectData.vDiagnosaKonsul = $('#diagnosakonsul').val();

	ObjectData.mode = mode;

	var url;
	if(mode == 'DRAFT'){
		url = "<?= QApplication::UrlActionCreator('PatientNursingKonsul/Consult')?>";
	}else{
		url = "<?= QApplication::UrlActionCreator('PatientNursingKonsul/Consult')?>";
	}


	console.log(ObjectData)
	if(! ObjectData.vTujuanKonsul){
		toastr.error('Poli tujuan Konsultasi masih kosong', 'Informasi');
		return null;
	}
	if(! ObjectData.vDokterKonsul){
		toastr.error('Dokter Konsultasi masih kosong', 'Informasi');
		return null;
	}
	if(! ObjectData.vKeteranganKonsul){
		toastr.error('Keterangan Konsultasi masih kosong', 'Informasi');
		return null;
	}

	$.ajax({
		url: url, 
		success: function(result){
			if(mode == 'VERIFIKASI' && result.status != 'error'){
				$('#modal-area').modal("hide");
				disableAllInput();
				toastr.info(result.message, 'Informasi');
				$('#selesaiFullName').text(result.FullName);
				$('#selesaiTanggal').text(result.Tanggal);
				$('#selesaiJam').text(result.Jam);
				$('#selesaiIp').text(result.Ip);
				$('#cetak_laporan').removeClass('disabled');
				$('#float-print').removeClass('btn disabled');
			}else if(result.status == 'error'){
				toastr.error(result.message, 'Error');
				console.log(result.debugInfo);
			}else{
				toastr.info(result.message, 'Informasi');
				$('#cetak_laporan').removeClass('disabled');
				$('#float-print').removeClass('btn disabled');
				if (result.vKonsultasiVer3) {
					$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i class="fa fa-check"></i>');
					$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i class="fa fa-check"></i>');
					$('#tab_konsultasi3 a').html('Form Konsultasi 3 <i class="fa fa-check"></i>');
				} else if (result.vKonsultasiVer2) {
					//console.log('tes2')
					$('#tab_konsultasi3').removeClass('disabled2');
					$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i class="fa fa-check"></i>');
					$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i class="fa fa-check"></i>');
				} else if (result.vKonsultasiVer1) {
					//console.log('tes1')
					$('#tab_konsultasi2').removeClass('disabled2');
					$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i class="fa fa-check"></i>');
				}
			}
		},
		timeout: 5* 60 * 1000,
		error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		},
		beforeSend: function(xhr){
			$('#float-simpan').hide();
			$('#float-loading').show();
			$('#tombol-save').hide();
			$('#tombol-save-loading').show();
		},
		complete: function(xhr,status){
			$('#tombol-save').show();
			$('#tombol-save-loading').hide();
			$('#float-simpan').show();
			$('#float-loading').hide();
		},
		type: "POST",
		data: ObjectData
	});
}



$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function(event){
	event.preventDefault();
	event.stopPropagation();
	$('#float-kembali').hide();
	$('#float-kembali-loading').show();
	if (sessionStorage.exitForm) {
	setContent(sessionStorage.exitForm,'content');
	} else {
		setContent(goBackLink(),'content');
	}
});


$('#jamkonsul').change(function(e){
	var waktu = $('#jamkonsul').val().split(":");
	var jam = waktu[0];
	var menit = waktu[1];
	if(jam > 23 || menit > 60){
		$('#jamkonsul').val('')
	}
})
//-------------

$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
	$('#modal-area').modal("show");
	$('#tandatangani').show();
	$('#tandatanganiperubahan').hide();
});

//-------------
$('.department').each(function() {
	$(this).ajaxChosen({
		type: 'GET'
		, dataType: 'json'
	},{
		useAjax: function(e){ return true; }
		, minLength: 0
		, processItems: function(data){
			return data;
		}
		, generateUrl: function(strSearch) {

			return "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmen/?pageId=')?><?=$strPageId?>"+ '&type=POLI&search=' + strSearch
		}
	}, {
		allow_single_deselect: true
	}).on('change', function(e) {
		// NOTHING
	});
});

$('#tujuankonsul').change(function(){
	console.log('tujuankonsul CHANGE')

	var optionSelected = $('#tujuankonsul option:selected');
	var doctor = $('#dokterkonsul');
	doctor.empty();
	if(optionSelected.data('personilId') && optionSelected.data('personilName')){
		doctor.append('<option selected value="'+optionSelected.data('personilId')+'">'+optionSelected.data('personilName')+'</option>');
		doctor.trigger("chosen:updated");
		return null;
	}

	var viewMainDepartment = $('#tujuankonsul').val() ? $('#tujuankonsul').val() : '';
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDoctor/?pageId=')?><?=$strPageId?>&department=" + viewMainDepartment, 
		success: function(result){
			var doctor = $('#dokterkonsul');
			doctor.empty();
			doctor.append('<option value="" >Pilih Dokter...</option>');
			result.forEach(function(res){
				doctor.append('<option value="'+res.id+'">'+res.text+'</option>');
			});
			doctor.trigger("chosen:updated");
	}});
});

$('#dokterkonsul').chosen({
});



$('#content').off('click', '#dokterkonsul_chosen').on('click', '#dokterkonsul_chosen', function(event){
	//console.log('test')
	var viewMainDepartment = $('#tujuankonsul').val() ? $('#tujuankonsul').val() : '';
	if ($('#tujuankonsul').val() == "") {
		toastr.error('Pilih Poli Tujuan Terlebih Dahulu','informasi')
		return false;
	}
	if ($('#tujuankonsul').val() != "" && $('#tujuankonsul_chosen a span').text() != "kosongkan / reset") {
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDoctor/?pageId=')?><?=$strPageId?>&department=" + viewMainDepartment, 
			success: function(result){
				var doctor = $('#dokterkonsul');
				var doctortId = $('#dokterkonsul').val();
				var doctortName = $('#dokterkonsul_chosen a span').text();
				if (doctortId != ""){
					doctor.html('<option value="'+doctortId+'">'+doctortName+'</option>');
					doctor.append('<option value="" disabled>===== GANTI DOKTER =====</option>');
				} else {
					doctor.html('<option value="'+doctortId+'">'+doctortName+'</option>');
				}
				result.forEach(function(res){
					doctor.append('<option value="'+res.id+'">'+res.text+'</option>');
				});
				doctor.trigger("chosen:updated");
		}});
	}
});



$('#content').off('click', '#tujuankonsul_chosen').on('click', '#tujuankonsul_chosen', function(event){
	//console.log('test')
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmen/?pageId=')?><?=$strPageId?>&type=POLI", 
		success: function(result){
			var tujuankonsul = $('#tujuankonsul');
			var tujuankonsultId = $('#tujuankonsul').val();
			var tujuankonsulName = $('#tujuankonsul_chosen a span').text();
			if (tujuankonsultId != ""){
				tujuankonsul.html('<option value="'+tujuankonsultId+'">'+tujuankonsulName+'</option>');
				tujuankonsul.append('<option value="" disabled>===== GANTI POLI =====</option>');
			} else {
				tujuankonsul.html('<option value="'+tujuankonsultId+'">'+tujuankonsulName+'</option>');
			}
			result.forEach(function(res){
				tujuankonsul.append('<option value="'+res.id+'">'+res.text+'</option>');
			});
			tujuankonsul.trigger("chosen:updated");
	}});
});

$('#dokterkonsul').change(function(){
	ObjectData.vDokterKonsul = $(this).val();
	console.log(ObjectData.vDokterKonsul);
});

function openInNewTab(url) {
	var win = window.open(url, '_blank');
	win.focus();
} 

$('.input-tanggal-konsul').datepicker({
	format: "dd-mm-yyyy",
	autoclose: true,
	maxDate: new Date('<?= date('d-m-Y') ?>'),
	minDate: new Date('<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>'),
	// endDate: null
});

function convertDateToISO(strDateIna) {
	return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}
/*
function disableAllInput(){
	$("input, textarea, select").prop('disabled', true);
	$('.hideSelesai').hide();
	$('.showSelesai').show();
	warnaPencil = 'transparent';
}

<?php if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){ ?>
	disableAllInput();
<?php } ?>
*/

$('#cetak_laporan').addClass('disabled');
$('#float-print').addClass('btn disabled');
<?= $objPatientNursing->vFormKonsul == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
</script>

