
<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<!-- 
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_urologi {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
	
.modal-hasil-expertise{padding:0px;}
.modal-hasil-expertise img {width:100%;}
.hasil_upload{width:300px;height:300px;object-fit:cover;padding:15px;background:#fff;border-radius:10px;border:1px solid #eee;cursor:pointer;}
.delete_upload{box-shadow:3px 3px 3px rgba(0,0,0,0.1);background:#eee;border-radius:5px;height:30px;width:30px;display:inline-block;line-height:30px;text-align:center;font-size:25px;position:absolute;right:25px;top:25px;opacity:0.7;cursor:pointer;}
.delete_upload:hover{opacity:1;box-shadow:3px 3px 3px rgba(0,0,0,0.2)}
.hasil_upload_cover{position:relative;width:300px;height:300px;border-radius:10px;transition:0.5s;display:inline-block;margin-right:15px;margin-top:15px;}
.hasil_upload_cover:hover{box-shadow:0px 3px 5px rgba(0,0,0,0.2)}
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">MICRO LARINGOSCOPY </h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">ID</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
					</div>
				</div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">DPJP</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!-- <form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/PoliSimpan')?>"  -->

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="box-title" style="margin-bottom:0px;"><b>Pemeriksaan Micro Laringoscopy </b></span>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6" style="margin-bottom: 5px;">
                <label class="control-label" for="tanggalasesmen_micro_laringoscopy"><b>Tanggal</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen_micro_laringoscopy" type="text" class="form-control input-date" name="tanggalasesmen_micro_laringoscopy" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalMicroLaringoscopy != "" ? $objPatientNursing->vTanggalMicroLaringoscopy : date("d-m-Y") ;?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom: 5px;">
                <label class="control-label" for="jamasesmen_micro_laringoscopy"><b>Jam</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen_micro_laringoscopy" type="text" class="form-control timepicker" name="jamasesmen_micro_laringoscopy" placeholder="HH:mm" value="<?= $objPatientNursing->vJamMicroLaringoscopy != "" ? $objPatientNursing->vJamMicroLaringoscopy : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
        </div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Diagnosa Klinik / Keterangan Klinik</b></label>
				<textarea name="keterangan_klinik" id="keterangan_klinik" rows="4" class="form-control" placeholder="Diagnosa Klinik / Keterangan Klinik" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeteranganKlinikMicroLaringoscopy ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="box-title" style="margin-bottom:0px;"><b>Upload Hasil Expertise / Hasil Pemeriksaan </b></span>
    </div>
	<div class="box-body"">
		<div class="row">
			<div class="col-md-12">
				<a id="upload_expertises" class="btn btn-primary"> Upload <span><span class="CountUpload">0</span>/4</span></a> 
			</div>
			<div class="col-md-12">
				<script>
				 
				function ModalHasilExpertise(urlfile, title) {
					$('.modal-hasil-title').text(title);
					$('.modal-hasil-expertise').html('<img src="'+urlfile+'">');
					$('#modalGambarExpertise').modal('show');
				};
							
				function deleteItem(id) {
					var _deleteItem = function() {
						showLoader();
						jQuery.fallr('hide', function () {
							var formTime = '<?= $formTime?>';
							var formId = '<?= $formId ?>';
							var request = $.post('<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/PatientNursingPerawatanGizi/Delete',{'pageId' : sessionStorage.pageId,'formId' : formId,'formTime' : formTime,'id' : id});
							request.done(function(response){
								hideLoader();
								if(response.status == 'success')
								{
									toastr[response.status](response.message,'Informasi');
									//console.log(response.IdFile)
									$('.'+response.IdFile).remove();
									$(".img_upload_container").css("min-height","0");
									var countUpload = parseInt($('.CountUpload').text())
									countUpload -= 1;
									$('.CountUpload').text(countUpload);
									$('#upload_expertises').removeClass('disabled');
								}
								else
								{
									var first = response.status.substr(0,1).toUpperCase();
									var last = response.status.substr(1).toLowerCase();
									toastr[response.type](response.message,first+last);
								}
							});
							request.fail(function() {
								toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
							});
						});
					};

					jFallr(
						'Perhatian !!! ' + '<br />' +
						'Hapus data ' + '<br />' +
						'Mohon konfirmasi hapus [ Ya / Tidak ] !'
						, _deleteItem
					);

				}
				</script>
				<div class="img_upload_container" style="min-height:0;transition:0.5s;">
				<?php
					$sqlList =  " SELECT * FROM system_file_manager ";
					$sqlWhere = " WHERE state = 'A' ";
					$sqlWhere = $sqlWhere . " AND group_name = 'HASIL EXPERTISE'" ;
					if( strlen($objPatientNursing->Id) ) {
						$sqlWhere = $sqlWhere . " AND patient_nursing_id = '".$objPatientNursing->Id."'" ;
					}
					$objDb = QApplication::$Database[1];
					$objDbFileHandle = $objDb->Query( $sqlList . $sqlWhere ." ORDER BY id ASC ");
					if( $objDbFileHandle->CountRows() > 0 ) {
						echo '<script>$(".img_upload_container").css("min-height","300px"); $(".CountUpload").html("'.$objDbFileHandle->CountRows().'")</script>';
						while ( $row = $objDbFileHandle->FetchArray()) {
							$objFileRecord = SystemFileManager::DirectRowRead( $row );
							$urlFile = __FOTO_ASSETS__ . $objFileRecord->Directory . '/' . $objFileRecord->FileName;
							$deleteGambar = "deleteItem('" . $objFileRecord->Id . "')";
							$modalGambar = "ModalHasilExpertise('" . $urlFile . "','Lampiran Hasil Expertise')";
							echo '<div class="hasil_upload_cover ' . $objFileRecord->Id . '"><img class="hasil_upload" onclick="' . $modalGambar . '" src="'.$urlFile.'" ><span onclick="' . $deleteGambar . '" class="delete_upload">&times;</span></div>';
						}
					}
				?>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="box-title" style="margin-bottom:0px;"><b>Dokter </b></span>
    </div>
    <div class="box-body">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
						<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Dokter yang menangani</b></div>
					</span>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_micro_laringascopy" id="dokter_micro_laringascopy" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterMicroLaringoscopyId != "" ? $objPatientNursing->vDokterMicroLaringoscopyId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterMicroLaringoscopyNama != "" ? $objPatientNursing->vDokterMicroLaringoscopyNama : $objPatientNursing->DoctorName ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>




<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>

<!-- </form> -->



<!-- Modal -->
<div id="modalMicroLaringoscopy" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Upload Micro Laringoscopy</h4>
	  </div>
	  <div class="modal-body">
		<form>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">No RM</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->Mr ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Nama</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->FirstName ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Upload Data</div>
				<div class="col-sm-8">
					<input type="file" name="file_micro_laringoscopy" id="file_micro_laringoscopy" class="form-control">
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Deskripsi</div>
				<div class="col-sm-8">
					<textarea name="deskripsi_file_micro_laringoscopy" id="deskripsi_file_micro_laringoscopy" class="form-control"></textarea>
				</div>
			</div>
		<form>
	  </div>
	  <div class="modal-footer">
		<button type="button" id="simpanMicroLaringoscopy" class="btn btn-success">Simpan</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	  </div>
	</div>

  </div>
</div>

<!-- Modal -->
<div id="modalGambarExpertise" class="modal fade" role="dialog">
  <div class="modal-dialog modal-lg">

<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title modal-hasil-title">Hasil Expertise</h4>
	  </div>
	  <div class="modal-body modal-hasil-expertise">
	  <img style="width:100%;overflow:hidden;border-radius:10px;" src="">
	  </div>
	  <div class="modal-footer">
		<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	  </div>
	</div>
  </div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	var countUpload = parseInt($('.CountUpload').text());
	if (countUpload > 3) {
		$('#upload_expertises').addClass('disabled');
		console.log('berhasil');
	} 
	
	
var FormGizi = function(){
	
	$('#content').off('click', '#upload_expertises').on('click', '#upload_expertises', function () {
		$('#modalMicroLaringoscopy').modal('show');
	});
	
	$('#simpanMicroLaringoscopy').click(function(){
		var fd = new FormData();
		var files = $('#file_micro_laringoscopy')[0].files;
		
		// Check file selected or not
		if(files.length == 0 ){
			alert("Please select a file.");
			return null;
		}
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $objPatientNursing->Id ?>');
		fd.append("department", strDepartmentId);

		fd.append('deskripsifile', $('#deskripsi_file_micro_laringoscopy').val());
		fd.append('file',files[0]);

		$.ajax({
			url: '<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/UploadMicroLaringoscopy')?>',
			type: 'post',
			data: fd,
			contentType: false,
			processData: false,
			success: function(response){
				if(response.status == 'success'){
					$('#modalMicroLaringoscopy').modal('hide');
					toastr.info(response.message,'Informasi');
					$(".img_upload_container").css("min-height","300px");
					var urlFile = "<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/HospitalFileService/Content/?pageId="+sessionStorage.pageId+"&Id=" + response.id;
					var deleteFile = "deleteItem('"+response.id+"')";
					var modalUrlFile = "ModalHasilExpertise('"+response.urlFile+"')";
					var countUpload = parseInt($('.CountUpload').text())
					countUpload += 1;
					$('.CountUpload').text(countUpload);
					if ( countUpload > 3 ) {$('#upload_expertises').addClass('disabled');}
					setTimeout(function() {
					  $('.img_upload_container').append('<div class="hasil_upload_cover ' + response.id + '"><img class="hasil_upload" onclick="'+modalUrlFile+'" src="'+urlFile+'" ><span onclick="'+deleteFile+'" class="delete_upload">&times;</span></div>');
					  $("div#info-time").click();
					}, 500);
				}else{
					alert('file not uploaded');
				}
			},
		});
	})

	'use strict';
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
	var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}
	
	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Micro Laringoscopy')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-micro-laringoscopy') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
/*
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-endoskopi-tht') ?>', strOption);
	}
*/
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		posting('DRAFT');
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalMicroLaringoscopy = $('#tanggalasesmen_micro_laringoscopy').val();
		post.JamMicroLaringoscopy = $('#jamasesmen_micro_laringoscopy').val();
		post.KeteranganKlinikMicroLaringoscopy = $('#keterangan_klinik').val();
		post.DokterMicroLaringoscopyId = $('#dokter_micro_laringascopy').val();
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveMicroLaringascopy')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					sessionStorage.setItem( "tanggalasesmen_endoskopi_tht" , "" );
					sessionStorage.setItem( "jamasesmen_endoskopi_tht" , "" );
					sessionStorage.setItem( "endoskopi_tht" , "" );
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#triage").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

	$('#dokter_micro_laringascopy').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
};

$('#content').ready(function(){
	FormGizi();
	window.scrollTo(0, 0);
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormMicroLaringoscopy == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});

</script>