<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

if( $objUser->ReferenceId ) {
	$objPersonil = HmisRefEmployee::LoadById( $objUser->ReferenceId );
}


$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<!-- <script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
		
	
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_urologi {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">SITOSTATIKA.</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!-- <form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/PoliSimpan')?>" > -->



<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">OBAT SITOSTATIKA JKN</h2>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-12">
                <label class="control-label" for="diagnosa_sitostatika"><b>Diagnosa</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_ca_prostat" value="Ca Prostat" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'Ca Prostat' ) ? 'checked' : '' ?>> Ca Prostat</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_ca_mamae" value="Ca  Mamae" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'Ca  Mamae' ) ? 'checked' : '' ?>> Ca  Mamae</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_nhl" value="NHL" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'NHL' ) ? 'checked' : '' ?>> NHL</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_ca_buli" value="Ca Buli" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'Ca Buli' ) ? 'checked' : '' ?>> Ca Buli</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_malignat_stt" value="Malignat STT" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'Malignat STT' ) ? 'checked' : '' ?>> Malignat STT</label>
					</div>
                </div>
            </div>
            <div class="col-md-12">
                <label class="control-label" for="rencana_pemberian_obat_sitostatika_1_keur"><b>Rencana Pemberian Obat Sitostatika 1 keur</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="rencana_pemberian_obat_sitostatika" id="rencana_pemberian_obat_sitostatika_6seri" value="6 Seri" <?= ($objPatientNursing->vObatSitostatikaSeri  == '6 Seri' ) ? 'checked' : '' ?>> 6 Seri</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="rencana_pemberian_obat_sitostatika" id="rencana_pemberian_obat_sitostatika_12seri" value="12 Seri" <?= ($objPatientNursing->vObatSitostatikaSeri  == '12 Seri' ) ? 'checked' : '' ?>> 12 Seri</label>
					</div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="mulai_tanggal_sitostatika"><b>Mulai Tanggal</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="mulai_tanggal_sitostatika" type="text" class="form-control input-date" name="mulai_tanggal_sitostatika" placeholder="Mulai Tanggal" value="<?= $objPatientNursing->vMulaiTanggalObatSitostatika != '' ? $objPatientNursing->vMulaiTanggalObatSitostatika : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="sampai_tanggal_sitostatika"><b>Sampai Tanggal</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="sampai_tanggal_sitostatika" type="text" class="form-control input-date" name="sampai_tanggal_sitostatika" placeholder="Sampai Tanggal" value="<?= $objPatientNursing->vSampaiTanggalObatSitostatika != '' ? $objPatientNursing->vSampaiTanggalObatSitostatika : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
        </div>
		<div class="row">
            <div class="col-md-12">
                <label class="control-label" for="di_ulang_setiap"><b>Di Ulang Setiap</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="di_ulang_setiap" id="di_ulang_setiap_21hari" value="7" <?= ($objPatientNursing->vDiUlangSetiap  == '21 Hari' ) ? 'checked' : '' ?>> 21 Hari</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="di_ulang_setiap" id="di_ulang_setiap_30hari" value="8 Hari" <?= ($objPatientNursing->vDiUlangSetiap  == '30 Hari' ) ? 'checked' : '' ?>> 30 Hari</label>
					</div>
                </div>
            </div>
		</div>
	</div>
</div>



<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">DAFTAR OBAT</h2>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-4">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Nama Obat</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_1" type="text" class="form-control" name="nama_obat_sitostatika_1" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika1 != "" ? $objPatientNursing->vNamaObatSitostatika1 : "Cappe Citabine" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Jumlah</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_1" type="text" class="form-control" name="jumlah_obat_sitostatika_1" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika1; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Dosis</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_1" type="text" class="form-control" name="dosis_obat_sitostatika_1" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika1; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Keterangan</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_1" type="text" class="form-control" name="keterangan_obat_sitostatika_1" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika1; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_2" type="text" class="form-control" name="nama_obat_sitostatika_2" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika2 != "" ? $objPatientNursing->vNamaObatSitostatika2 : "Tamoxifen" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_2" type="text" class="form-control" name="jumlah_obat_sitostatika_2" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika2; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_2" type="text" class="form-control" name="dosis_obat_sitostatika_2" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika2; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_2" type="text" class="form-control" name="keterangan_obat_sitostatika_2" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika2 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_3" type="text" class="form-control" name="nama_obat_sitostatika_3" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika3 != "" ? $objPatientNursing->vNamaObatSitostatika3 : "Aromasin" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_3" type="text" class="form-control" name="jumlah_obat_sitostatika_3" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika3 ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_3" type="text" class="form-control" name="dosis_obat_sitostatika_3" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika3 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_3" type="text" class="form-control" name="keterangan_obat_sitostatika_3" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika3 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_4" type="text" class="form-control" name="nama_obat_sitostatika_4" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika4 != "" ? $objPatientNursing->vNamaObatSitostatika4 : "Ca Sodex" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_4" type="text" class="form-control" name="jumlah_obat_sitostatika_4" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika4 ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_4" type="text" class="form-control" name="dosis_obat_sitostatika_4" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika4 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_4" type="text" class="form-control" name="keterangan_obat_sitostatika_4" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika4 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_5" type="text" class="form-control" name="nama_obat_sitostatika_5" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika5 != "" ? $objPatientNursing->vNamaObatSitostatika5 : "Zoladex" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_5" type="text" class="form-control" name="jumlah_obat_sitostatika_5" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika5; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_5" type="text" class="form-control" name="dosis_obat_sitostatika_5" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika5 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_5" type="text" class="form-control" name="keterangan_obat_sitostatika_5" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika5 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_6" type="text" class="form-control" name="nama_obat_sitostatika_6" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika6 != "" ? $objPatientNursing->vNamaObatSitostatika6 : "Nateran" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_6" type="text" class="form-control" name="jumlah_obat_sitostatika_6" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika6 ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_6" type="text" class="form-control" name="dosis_obat_sitostatika_6" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika6 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_6" type="text" class="form-control" name="keterangan_obat_sitostatika_6" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika6 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_7" type="text" class="form-control" name="nama_obat_sitostatika_7" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika7 != "" ? $objPatientNursing->vNamaObatSitostatika7 : "Letrozole" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_7" type="text" class="form-control" name="jumlah_obat_sitostatika_7" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika7 ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_7" type="text" class="form-control" name="dosis_obat_sitostatika_7" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika7 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_7" type="text" class="form-control" name="keterangan_obat_sitostatika_7" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika7 ; ?>">
                </div>
            </div>
		</div>
	</div>
</div>



<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">PEMBERIAN ORAL SITOSTIKA</h2>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_1"><b>Tanggal Siklus I</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_1" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_1" placeholder="Tanggal Siklus I" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus1 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus1 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_1"><b>Nama Obat</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_1" type="text" class="form-control" name="nama_obat_siklus_sitostatika_1" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus1 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_2"><b>Tanggal Siklus II</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_2" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_2" placeholder="Tanggal Siklus II" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus2 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus2 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_2"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_2" type="text" class="form-control" name="nama_obat_siklus_sitostatika_2" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus2 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_3"><b>Tanggal Siklus III</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_3" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_3" placeholder="Tanggal Siklus III" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus3 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus3 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_3"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_3" type="text" class="form-control" name="nama_obat_siklus_sitostatika_3" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus3 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_4"><b>Tanggal Siklus IV</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_4" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_4" placeholder="Tanggal Siklus IV" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus4 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus4 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_4"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_4" type="text" class="form-control" name="nama_obat_siklus_sitostatika_4" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus4 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_5"><b>Tanggal Siklus V</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_5" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_5" placeholder="Tanggal Siklus V" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus5 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus5 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_5"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_5" type="text" class="form-control" name="nama_obat_siklus_sitostatika_5" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus5 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_6"><b>Tanggal Siklus VI</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_6" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_6" placeholder="Tanggal Siklus VI" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus6 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus6 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_6"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_6" type="text" class="form-control" name="nama_obat_siklus_sitostatika_6" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus6 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_7"><b>Tanggal Siklus VII</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_7" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_7" placeholder="Tanggal Siklus VII" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus7 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus7 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_7"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_7" type="text" class="form-control" name="nama_obat_siklus_sitostatika_7" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus7 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_8"><b>Tanggal Siklus VIII</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_8" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_8" placeholder="Tanggal Siklus VIII" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus8 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus8 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_8"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_8" type="text" class="form-control" name="nama_obat_siklus_sitostatika_8" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus8 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_9"><b>Tanggal Siklus IX</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_9" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_9" placeholder="Tanggal Siklus IX" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus9 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus9 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_9"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_9" type="text" class="form-control" name="nama_obat_siklus_sitostatika_9" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus9 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_10"><b>Tanggal Siklus X</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_10" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_10" placeholder="Tanggal Siklus X" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus10 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus10 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_10"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_10" type="text" class="form-control" name="nama_obat_siklus_sitostatika_10" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus10 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_11"><b>Tanggal Siklus XI</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_11" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_11" placeholder="Tanggal Siklus XI" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus11 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus11 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_11"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_11" type="text" class="form-control" name="nama_obat_siklus_sitostatika_11" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus11 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_12"><b>Tanggal Siklus XII</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_12" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_12" placeholder="Tanggal Siklus XII" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus12 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus12 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_12"><b></b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_12" type="text" class="form-control" name="nama_obat_siklus_sitostatika_12" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus12 ; ?>">
                </div>
            </div>
		</div>
	</div>
</div>


<!-- 
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="">
		<i class="fa fa-user-md"></i>
        <h3 class="box-title">Dokter</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
						<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Dokter yang menangani</b></div>
					</span>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_uroflowmetri" id="dokter_yang_menangani_uroflowmetri" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterUroflowmetriId ; ?>" selected ><?= $objPatientNursing->vDokterUroflowmetriNama; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>
-->

<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>

<!-- </form> -->

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	// Function to add days to the start date
	function addDays(date, days) {
		return moment(date).add(days, 'days').toDate();
	}

	// Function to format the date
	function formatDate(date) {
		return moment(date).format('DD-MM-YYYY');
	}

	// Function to parse the date from the input
	function parseDate(dateString) {
		return moment(dateString, 'DD-MM-YYYY');
	}

	// Function to get the start date from the input
	function getStartDate() {
		var dateString = document.getElementById("mulai_tanggal_sitostatika").value;
		if (dateString === "") {
			// Return a default date if the dateString is empty
			return new Date();
		}
		var startDate = parseDate(dateString);
		return startDate.toDate(); // Return the original date object
	}
	
	// Function to handle the radio input change
	function diulangSetiap21Hari() {
		var newDateSiklus1 = addDays(getStartDate(), 21);
		var dateSiklus1 = formatDate(newDateSiklus1);
		$("#tanggal_siklus_sitostatika_1").val(dateSiklus1);
		
		var newDateSiklus2 = addDays(newDateSiklus1, 21);
		var dateSiklus2 = formatDate(newDateSiklus2);
		$("#tanggal_siklus_sitostatika_2").val(dateSiklus2);
		
		var newDateSiklus3 = addDays(newDateSiklus2, 21);
		var dateSiklus3 = formatDate(newDateSiklus3);
		$("#tanggal_siklus_sitostatika_3").val(dateSiklus3);
		
		var newDateSiklus4 = addDays(newDateSiklus3, 21);
		var dateSiklus4 = formatDate(newDateSiklus4);
		$("#tanggal_siklus_sitostatika_4").val(dateSiklus4);
		
		var newDateSiklus5 = addDays(newDateSiklus4, 21);
		var dateSiklus5 = formatDate(newDateSiklus5);
		$("#tanggal_siklus_sitostatika_5").val(dateSiklus5);
		
		var newDateSiklus6 = addDays(newDateSiklus5, 21);
		var dateSiklus6 = formatDate(newDateSiklus6);
		$("#tanggal_siklus_sitostatika_6").val(dateSiklus6);
		
		var newDateSiklus7 = addDays(newDateSiklus6, 21);
		var dateSiklus7 = formatDate(newDateSiklus7);
		$("#tanggal_siklus_sitostatika_7").val(dateSiklus7);
		
		var newDateSiklus8 = addDays(newDateSiklus7, 21);
		var dateSiklus8 = formatDate(newDateSiklus8);
		$("#tanggal_siklus_sitostatika_8").val(dateSiklus8);
		
		var newDateSiklus9 = addDays(newDateSiklus8, 21);
		var dateSiklus9 = formatDate(newDateSiklus9);
		$("#tanggal_siklus_sitostatika_9").val(dateSiklus9);
		
		var newDateSiklus10 = addDays(newDateSiklus9, 21);
		var dateSiklus10 = formatDate(newDateSiklus10);
		$("#tanggal_siklus_sitostatika_10").val(dateSiklus10);
		
		var newDateSiklus11 = addDays(newDateSiklus10, 21);
		var dateSiklus11 = formatDate(newDateSiklus11);
		$("#tanggal_siklus_sitostatika_11").val(dateSiklus11);
		
		var newDateSiklus12 = addDays(newDateSiklus11, 21);
		var dateSiklus12 = formatDate(newDateSiklus12);
		$("#tanggal_siklus_sitostatika_12").val(dateSiklus12);
	}
	
	function diulangSetiap30Hari() {
		var newDateSiklus1 = addDays(getStartDate(), 30);
		var dateSiklus1 = formatDate(newDateSiklus1);
		$("#tanggal_siklus_sitostatika_1").val(dateSiklus1);
		
		var newDateSiklus2 = addDays(newDateSiklus1, 30);
		var dateSiklus2 = formatDate(newDateSiklus2);
		$("#tanggal_siklus_sitostatika_2").val(dateSiklus2);
		
		var newDateSiklus3 = addDays(newDateSiklus2, 30);
		var dateSiklus3 = formatDate(newDateSiklus3);
		$("#tanggal_siklus_sitostatika_3").val(dateSiklus3);
		
		var newDateSiklus4 = addDays(newDateSiklus3, 30);
		var dateSiklus4 = formatDate(newDateSiklus4);
		$("#tanggal_siklus_sitostatika_4").val(dateSiklus4);
		
		var newDateSiklus5 = addDays(newDateSiklus4, 30);
		var dateSiklus5 = formatDate(newDateSiklus5);
		$("#tanggal_siklus_sitostatika_5").val(dateSiklus5);
		
		var newDateSiklus6 = addDays(newDateSiklus5, 30);
		var dateSiklus6 = formatDate(newDateSiklus6);
		$("#tanggal_siklus_sitostatika_6").val(dateSiklus6);
		
		var newDateSiklus7 = addDays(newDateSiklus6, 30);
		var dateSiklus7 = formatDate(newDateSiklus7);
		$("#tanggal_siklus_sitostatika_7").val(dateSiklus7);
		
		var newDateSiklus8 = addDays(newDateSiklus7, 30);
		var dateSiklus8 = formatDate(newDateSiklus8);
		$("#tanggal_siklus_sitostatika_8").val(dateSiklus8);
		
		var newDateSiklus9 = addDays(newDateSiklus8, 30);
		var dateSiklus9 = formatDate(newDateSiklus9);
		$("#tanggal_siklus_sitostatika_9").val(dateSiklus9);
		
		var newDateSiklus10 = addDays(newDateSiklus9, 30);
		var dateSiklus10 = formatDate(newDateSiklus10);
		$("#tanggal_siklus_sitostatika_10").val(dateSiklus10);
		
		var newDateSiklus11 = addDays(newDateSiklus10, 30);
		var dateSiklus11 = formatDate(newDateSiklus11);
		$("#tanggal_siklus_sitostatika_11").val(dateSiklus11);
		
		var newDateSiklus12 = addDays(newDateSiklus11, 30);
		var dateSiklus12 = formatDate(newDateSiklus12);
		$("#tanggal_siklus_sitostatika_12").val(dateSiklus12);
	}

	// Add an event listener to the radio inputs to call the handleRadioChange function when their state changes
	$("#di_ulang_setiap_21hari").change(diulangSetiap21Hari);
	$("#di_ulang_setiap_30hari").change(diulangSetiap30Hari);
	
	

var FormGizi = function(){

	'use strict';
	
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
	var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Urologi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-urologi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Obat Sitostatika')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-obat-sitostatika') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
/*	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-uroflowmetri') ?>', strOption);
	}
*/
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		posting('DRAFT');
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}


		post.DiagnosaSitostatika = '';
		$("#diagnosa_sitostatika_ca_prostat").is(':checked') ?  post.DiagnosaSitostatika = 'Ca Prostat' : '' ;
		$("#diagnosa_sitostatika_ca_mamae").is(':checked') ?  post.DiagnosaSitostatika = 'Ca  Mamae' : '' ;
		$("#diagnosa_sitostatika_nhl").is(':checked') ?  post.DiagnosaSitostatika = 'NHL' : '' ;
		$("#diagnosa_sitostatika_ca_buli").is(':checked') ?  post.DiagnosaSitostatika = 'Ca Buli' : '' ;
		$("#diagnosa_sitostatika_malignat_stt").is(':checked') ?  post.DiagnosaSitostatika = 'Malignat STT' : '' ;
		

		post.ObatSitostatikaSeri = '';
		$("#rencana_pemberian_obat_sitostatika_6seri").is(':checked') ?  post.ObatSitostatikaSeri = '6 Seri' : '' ;
		$("#rencana_pemberian_obat_sitostatika_12seri").is(':checked') ?  post.ObatSitostatikaSeri = '12 Seri' : '' ;
		
	
		post.MulaiTanggalObatSitostatika = $('#mulai_tanggal_sitostatika').val();
		post.SampaiTanggalObatSitostatika = $('#sampai_tanggal_sitostatika').val();
		

		post.DiUlangSetiap = '';
		$("#di_ulang_setiap_21hari").is(':checked') ?  post.DiUlangSetiap = '21 Hari' : '' ;
		$("#di_ulang_setiap_30hari").is(':checked') ?  post.DiUlangSetiap = '30 Hari' : '' ;
		
		
		post.NamaObatSitostatika1 = $('#nama_obat_sitostatika_1').val();
		post.JumlahObatSitostatika1 = $('#jumlah_obat_sitostatika_1').val();
		post.DosisObatSitostatika1 = $('#dosis_obat_sitostatika_1').val();
		post.KetObatSitostatika1 = $('#keterangan_obat_sitostatika_1').val();
		
		post.NamaObatSitostatika2 = $('#nama_obat_sitostatika_2').val();
		post.JumlahObatSitostatika2 = $('#jumlah_obat_sitostatika_2').val();
		post.DosisObatSitostatika2 = $('#dosis_obat_sitostatika_2').val();
		post.KetObatSitostatika2 = $('#keterangan_obat_sitostatika_2').val();
				
		post.NamaObatSitostatika3 = $('#nama_obat_sitostatika_3').val();
		post.JumlahObatSitostatika3 = $('#jumlah_obat_sitostatika_3').val();
		post.DosisObatSitostatika3 = $('#dosis_obat_sitostatika_3').val();
		post.KetObatSitostatika3 = $('#keterangan_obat_sitostatika_3').val();
		
		post.NamaObatSitostatika4 = $('#nama_obat_sitostatika_4').val();
		post.JumlahObatSitostatika4 = $('#jumlah_obat_sitostatika_4').val();
		post.DosisObatSitostatika4 = $('#dosis_obat_sitostatika_4').val();
		post.KetObatSitostatika4 = $('#keterangan_obat_sitostatika_4').val();
		
		post.NamaObatSitostatika5 = $('#nama_obat_sitostatika_5').val();
		post.JumlahObatSitostatika5 = $('#jumlah_obat_sitostatika_5').val();
		post.DosisObatSitostatika5 = $('#dosis_obat_sitostatika_5').val();
		post.KetObatSitostatika5 = $('#keterangan_obat_sitostatika_5').val();
		
		post.NamaObatSitostatika6 = $('#nama_obat_sitostatika_6').val();
		post.JumlahObatSitostatika6 = $('#jumlah_obat_sitostatika_6').val();
		post.DosisObatSitostatika6 = $('#dosis_obat_sitostatika_6').val();
		post.KetObatSitostatika6 = $('#keterangan_obat_sitostatika_6').val();
		
		post.NamaObatSitostatika7 = $('#nama_obat_sitostatika_7').val();
		post.JumlahObatSitostatika7 = $('#jumlah_obat_sitostatika_7').val();
		post.DosisObatSitostatika7 = $('#dosis_obat_sitostatika_7').val();
		post.KetObatSitostatika7 = $('#keterangan_obat_sitostatika_7').val();
		
		post.TanggalSitostatikaSiklus1 = $('#tanggal_siklus_sitostatika_1').val();
		post.NamaObatSitostatikaSiklus1 = $('#nama_obat_siklus_sitostatika_1').val();
		
		post.TanggalSitostatikaSiklus2 = $('#tanggal_siklus_sitostatika_2').val();
		post.NamaObatSitostatikaSiklus2 = $('#nama_obat_siklus_sitostatika_2').val();
		
		post.TanggalSitostatikaSiklus3 = $('#tanggal_siklus_sitostatika_3').val();
		post.NamaObatSitostatikaSiklus3 = $('#nama_obat_siklus_sitostatika_3').val();
		
		post.TanggalSitostatikaSiklus4 = $('#tanggal_siklus_sitostatika_4').val();
		post.NamaObatSitostatikaSiklus4 = $('#nama_obat_siklus_sitostatika_4').val();
		
		post.TanggalSitostatikaSiklus5 = $('#tanggal_siklus_sitostatika_5').val();
		post.NamaObatSitostatikaSiklus5 = $('#nama_obat_siklus_sitostatika_5').val();
		
		post.TanggalSitostatikaSiklus6 = $('#tanggal_siklus_sitostatika_6').val();
		post.NamaObatSitostatikaSiklus6 = $('#nama_obat_siklus_sitostatika_6').val();
		
		post.TanggalSitostatikaSiklus7 = $('#tanggal_siklus_sitostatika_7').val();
		post.NamaObatSitostatikaSiklus7 = $('#nama_obat_siklus_sitostatika_7').val();
		
		post.TanggalSitostatikaSiklus8 = $('#tanggal_siklus_sitostatika_8').val();
		post.NamaObatSitostatikaSiklus8 = $('#nama_obat_siklus_sitostatika_8').val();
		
		post.TanggalSitostatikaSiklus9 = $('#tanggal_siklus_sitostatika_9').val();
		post.NamaObatSitostatikaSiklus9 = $('#nama_obat_siklus_sitostatika_9').val();
		
		post.TanggalSitostatikaSiklus10 = $('#tanggal_siklus_sitostatika_10').val();
		post.NamaObatSitostatikaSiklus10 = $('#nama_obat_siklus_sitostatika_10').val();
		
		post.TanggalSitostatikaSiklus11 = $('#tanggal_siklus_sitostatika_11').val();
		post.NamaObatSitostatikaSiklus11 = $('#nama_obat_siklus_sitostatika_11').val();
		
		post.TanggalSitostatikaSiklus12 = $('#tanggal_siklus_sitostatika_12').val();
		post.NamaObatSitostatikaSiklus12 = $('#nama_obat_siklus_sitostatika_12').val();
		
		

		
		post.JamAsesmenUroflowmetri = $('#jamasesmen_uroflowmetri').val();
		post.HasilUroflowmetri = $('#uroflowmetri').val();
		post.DokterUroflowmetriId = $('#dokter_yang_menangani_uroflowmetri').val();
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/ObatSitostatika')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#triage").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

	$('#dokter_yang_menangani_uroflowmetri').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();
	window.scrollTo(0, 0);
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormObatSitostatika == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});

</script>