<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}
if ($objPatientNursing->vOperationId != "" ) {
	$strSql = "SELECT * FROM activity_nursing_request_examination WHERE id = '".$objPatientNursing->vOperationId."'";
	$objDb = QApplication::$Database[1];
	$result = $objDb->Query($strSql);
	while ($rowActivityNursingRequestExamination = $result->FetchArray()) {
		$objExamination = ActivityNursingRequestExamination::DirectRowRead($rowActivityNursingRequestExamination);
	}
}				
?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_saraf {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<div style="padding:;background:#f1f4f6;width:100%;max-width:1000px;margin:0px auto;" id='FormPage'>
<!-- <link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css"> -->
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
	<?php $nomorPersiapanTindakan = $objPatientNursing->vNomorPersiapanTindakan ? $objPatientNursing->vNomorPersiapanTindakan : '1' ; ?>
        <h1 class="panel-title1" style="text-align:center;">PERSIAPAN TINDAKAN</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DATA PASIEN</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:center;border-bottom:0px solid #eee;padding:12px 12px 6px 12px;">
		<h3 class="box-title" style="font-size:18px;">PERSIAPAN TINDAKAN  ke - <?= $nomorPersiapanTindakan ?></h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
        <div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="tanggalasesmen_saraf"><b>Tanggal Rencana Tindakan</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_rencana_tindakan" type="text" class="form-control input-date" name="tanggal_rencana_tindakan" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalRencanaTindakanPT != "" ? $objPatientNursing->vTanggalRencanaTindakanPT : date("d-m-Y") ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="jamasesmen_saraf"><b>Jam Rencana Tindakan</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jam_rencana_tindakan" type="text" class="form-control" name="jam_rencana_tindakan" placeholder="HH:mm" value="<?= $objPatientNursing->vJamRencanaTindakanPT != "" ? $objPatientNursing->vJamRencanaTindakanPT : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Jenis Tindakan</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="jenis_rencana_tindakan" value="Operasi"  <?= $objPatientNursing->vJenisTindakanPT == 'Operasi' ? 'checked' : '' ?>>Operasi</label>
					</div>
				</div>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">PELAKSANA</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for=""><b>Dokter Pelaksana</b></label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_pelaksana_pt" id="dokter_pelaksana_pt" data-placeholder="Pilih Dokter Pelaksana">
					<option value="<?= $objPatientNursing->vDokterPelaksanaPTId != "" ? $objPatientNursing->vDokterPelaksanaPTId : "" ; ?>" selected ><?= $objPatientNursing->vDokterPelaksanaPTNama != "" ? $objPatientNursing->vDokterPelaksanaPTNama : ""; ?></option>
					</select>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for=""><b>Dokter Anestesi</b></label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_anestesi_pt" id="dokter_anestesi_pt" data-placeholder="Pilih Dokter Anestesi">
					<option value="<?= $objPatientNursing->vDokterAnestesiPTId != "" ? $objPatientNursing->vDokterAnestesiPTId : "" ; ?>" selected ><?= $objPatientNursing->vDokterAnestesiPTNama != "" ? $objPatientNursing->vDokterAnestesiPTNama : ""; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	$("#container_nama_penerima_informasi_saraf").hide();
	$('input[name="penerima_informasi"]').on('change', function() {
		if(this.checked && this.value === 'Bukan Pasien') {
			$("#container_nama_penerima_informasi_saraf").show();
		} else {
			$("#container_nama_penerima_informasi_saraf").hide();
			$("#nama_penerima_informasi_saraf").val("");
		}
	});
	$('input[name="penerima_informasi"][value="Bukan Pasien"]').trigger('change');
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
		$(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
	
var FormGizi = function(){

	'use strict';
	
	
	$("#tanggalasesmen_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("tanggalasesmen_saraf" , $("#tanggalasesmen_saraf").val() );
	});
	$("#jamasesmen_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("jamasesmen_saraf" , $("#jamasesmen_saraf").val() );
	});
	$("#keluhan_utama_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("keluhan_utama_saraf" , $("#keluhan_utama_saraf").val() );
	});
	$("#anamnea_khusus_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("anamnea_khusus_saraf" , $("#anamnea_khusus_saraf").val() );
	});
	$("#riwayat_penyakit_dahulu_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_penyakit_dahulu_saraf" , $("#riwayat_penyakit_dahulu_saraf").val() );
	});
	$("#riwayat_alergi_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_alergi_saraf" , $("#riwayat_alergi_saraf").val() );
	});
	$("#riwayat_pengobatan_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_pengobatan_saraf" , $("#riwayat_pengobatan_saraf").val() );
	});
	$("#riwayat_operasi_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_operasi_saraf" , $("#riwayat_operasi_saraf").val() );
	});
	$("#pemeriksaan_psikiatri_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("pemeriksaan_psikiatri_saraf" , $("#pemeriksaan_psikiatri_saraf").val() );
	});
	$("#hasil_pemeriksaan_penunjang_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("hasil_pemeriksaan_penunjang_saraf" , $("#hasil_pemeriksaan_penunjang_saraf").val() );
	});
	$("#diagnosa_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("diagnosa_saraf" , $("#diagnosa_saraf").val() );
	});
	$("#pengobatan_tindakan_rencana_pemeriksaan_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("pengobatan_tindakan_rencana_pemeriksaan_saraf" , $("#pengobatan_tindakan_rencana_pemeriksaan_saraf").val() );
	});
	$("#mrs_ruang_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("mrs_ruang_saraf" , $("#mrs_ruang_saraf").val() );
	});
	$("#kontrol_tanggal_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("kontrol_tanggal_saraf" , $("#kontrol_tanggal_saraf").val() );
	});
	$("#rujuk_ke_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("rujuk_ke_saraf" , $("#rujuk_ke_saraf").val() );
	});
	$("#indikasi_rujuk_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("indikasi_rujuk_saraf" , $("#indikasi_rujuk_saraf").val() );
	});
	$("#dokter_yang_menangani_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_saraf" , $("#dokter_yang_menangani_saraf").val() );
	});
	
	$(document).ready(function() {
		
		if( sessionStorage.getItem("form-asesmen-paru") == "yes" ) {
			if( sessionStorage.getItem("form-asesmen-paru-nursing-id") == '<?= $objPatientNursing->Id; ?>' ){
				if ( sessionStorage.getItem("tanggalasesmen_saraf") ) {
					$("#tanggalasesmen_saraf").val(sessionStorage.getItem("tanggalasesmen_saraf") );
				}
				if ( sessionStorage.getItem("jamasesmen_saraf") ) {
					$("#jamasesmen_saraf").val(sessionStorage.getItem("jamasesmen_saraf") );
				}
				if ( sessionStorage.getItem("keluhan_utama_saraf") ) {
					$("#keluhan_utama_saraf").val(sessionStorage.getItem("keluhan_utama_saraf") );
				}
				if ( sessionStorage.getItem("anamnea_khusus_saraf") ) {
					$("#anamnea_khusus_saraf").val(sessionStorage.getItem("anamnea_khusus_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_penyakit_dahulu_saraf") ) {
					$("#riwayat_penyakit_dahulu_saraf").val(sessionStorage.getItem("riwayat_penyakit_dahulu_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_alergi_saraf") ) {
					$("#riwayat_alergi_saraf").val(sessionStorage.getItem("riwayat_alergi_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_pengobatan_saraf") ) {
					$("#riwayat_pengobatan_saraf").val(sessionStorage.getItem("riwayat_pengobatan_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_operasi_saraf") ) {
					$("#riwayat_operasi_saraf").val(sessionStorage.getItem("riwayat_operasi_saraf") );
				}
				if ( sessionStorage.getItem("pemeriksaan_psikiatri_saraf") ) {
					$("#pemeriksaan_psikiatri_saraf").val(sessionStorage.getItem("pemeriksaan_psikiatri_saraf") );
				}
				if ( sessionStorage.getItem("hasil_pemeriksaan_penunjang_saraf") ) {
					$("#hasil_pemeriksaan_penunjang_saraf").val(sessionStorage.getItem("hasil_pemeriksaan_penunjang_saraf") );
				}
				if ( sessionStorage.getItem("diagnosa_saraf") ) {
					$("#diagnosa_saraf").val(sessionStorage.getItem("diagnosa_saraf") );
				}
				if ( sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_saraf") ) {
					$("#pengobatan_tindakan_rencana_pemeriksaan_saraf").val(sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_saraf") );
				}
				if ( sessionStorage.getItem("mrs_ruang_saraf") ) {
					$("#mrs_ruang_saraf").val(sessionStorage.getItem("mrs_ruang_saraf") );
				}
				if ( sessionStorage.getItem("kontrol_tanggal_saraf") ) {
					$("#kontrol_tanggal_saraf").val(sessionStorage.getItem("kontrol_tanggal_saraf") );
				}
				if ( sessionStorage.getItem("rujuk_ke_saraf") ) {
					$("#rujuk_ke_saraf").val(sessionStorage.getItem("rujuk_ke_saraf") );
				}
				if ( sessionStorage.getItem("indikasi_rujuk_saraf") ) {
					$("#indikasi_rujuk_saraf").val(sessionStorage.getItem("indikasi_rujuk_saraf") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_saraf") ) {
					$("#dokter_yang_menangani_saraf").val(sessionStorage.getItem("dokter_yang_menangani_saraf") );
				}
			} else {
				sessionStorage.setItem( "form-asesmen-paru-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggalasesmen_saraf" ,"") ; 
				sessionStorage.setItem( "jamasesmen_saraf" ,"") ; 
				sessionStorage.setItem( "keluhan_utama_saraf" ,"") ; 
				sessionStorage.setItem( "anamnea_khusus_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_penyakit_dahulu_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_alergi_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_pengobatan_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_operasi_saraf" ,"") ; 
				sessionStorage.setItem( "pemeriksaan_psikiatri_saraf" ,"") ; 
				sessionStorage.setItem( "hasil_pemeriksaan_penunjang_saraf" ,"") ; 
				sessionStorage.setItem( "diagnosa_saraf" ,"") ; 
				sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_saraf" ,"") ; 
				sessionStorage.setItem( "mrs_ruang_saraf" ,"") ; 
				sessionStorage.setItem( "kontrol_tanggal_saraf" ,"") ; 
				sessionStorage.setItem( "rujuk_ke_saraf" ,"") ; 
				sessionStorage.setItem( "indikasi_rujuk_saraf" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_saraf" ,"") ; 
			}
		}  else { 
			sessionStorage.setItem( "form-asesmen-paru" , "yes" );
		}
		
	});
		
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

boolChange = false ; 

    function anyChange()
    {
        $('#save').removeClass('disabled');
        $('#save-and-reentry').removeClass('disabled');
        boolChange = true ;
    }

    $("#FormPage").on('input select change',function(){
        anyChange();
    });
	
	function exitForm(){
		if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	}
	
    function back()
    {
        var agree = function()
        {
            jQuery.fallr('hide',function(){
                // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
                exitForm();
            });
        };
		var cancel = function()
        {
            jQuery.fallr('hide',function(){
				$('#float-kembali').show();
				$('#float-kembali-loading').hide();
            });
        };

        if(boolChange){
            jFallr(
                'Kembali ke halaman sebelumnya <br>' +
                'Semua perubahan akan diabaikan <br>' +
                'Mohon konfirmasi [ Ya / Tidak ]'
                , agree
				, cancel
            );
        }
        else {
            // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
            exitForm();
			
        } 
    }

	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Urologi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-saraf') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});
	
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});

	function SimpanData(){
        var agree = function() {
            jQuery.fallr('hide',function(){
				posting('DRAFT');
		boolChange = false ; 
			});
        };
		var cancel = function() {
            jQuery.fallr('hide',function(){
            });
        };
		jFallr(
			//'Konfirmasi !<br>' +
			"Pasien : <?= $objPatientNursing->FirstName; ?> [<?= $objPatientNursing->Mr; ?>] <br>"+
			'Tanggal : '+ $('#tanggal_rencana_tindakan').val() +'<br>' +
			'Tindakan : '+ $('input[name="jenis_rencana_tindakan"]:checked').val() +'<br>' +
			//'Dok. Pelaksana : '+ $('#dokter_pelaksana_pt option').text() +'<br>' +
			//'Dok. Anestesi : '+ $('#dokter_anestesi_pt option').text() +'<br>' +
			'Apakah Anda Yakin?'
			, agree
			, cancel
		);
	}
	
	$('#content').off('click', '#save').on('click', '#save', function (event) {
		SimpanData()
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		SimpanData()
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.PatientNursingId = '<?= $strId ?>';
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.vTanggalRencanaTindakanPT = $('#tanggal_rencana_tindakan').val();
		post.vJamRencanaTindakanPT = $('#jam_rencana_tindakan').val();
		post.vJenisTindakanPT = $('input[name="jenis_rencana_tindakan"]:checked').val();
		
		post.vDokterPelaksanaPTId = $('#dokter_pelaksana_pt').val();
		post.vDokterAnestesiPTId = $('#dokter_anestesi_pt').val();
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/PersiapanTindakan')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					sessionStorage.setItem( "tanggalasesmen_saraf" , "" );
					sessionStorage.setItem( "jamasesmen_saraf" , "" );
					sessionStorage.setItem( "keluhan_utama_saraf" , "" );
					sessionStorage.setItem( "anamnea_khusus_saraf" , "" );
					sessionStorage.setItem( "riwayat_penyakit_dahulu_saraf" , "" );
					sessionStorage.setItem( "riwayat_alergi_saraf" , "" );
					sessionStorage.setItem( "riwayat_pengobatan_saraf" , "" );
					sessionStorage.setItem( "riwayat_operasi_saraf" , "" );
					sessionStorage.setItem( "pemeriksaan_psikiatri_saraf" , "" );
					sessionStorage.setItem( "hasil_pemeriksaan_penunjang_saraf" , "" );
					sessionStorage.setItem( "diagnosa_saraf" , "" );
					sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_saraf" , "" );
					sessionStorage.setItem( "mrs_ruang_saraf" , "" );
					sessionStorage.setItem( "kontrol_tanggal_saraf" , "" );
					sessionStorage.setItem( "rujuk_ke_saraf" , "" );
					sessionStorage.setItem( "indikasi_rujuk_saraf" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_saraf" , "" );
					//$('#cetak_laporan').removeClass('disabled');
					//$('#float-print').removeClass('btn disabled');

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#triage").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#dokter_pelaksana_pt').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#dokter_anestesi_pt').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormRencanaTindakan == '1.0' ? "//$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
	console.log('Id : <?= $objPatientNursing->vOperationId ?>')
	
});

</script>