<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);


if( strlen($objHmisPatient->vProgramRehabilitasiMedikId) > 0 ) { // jika objHmisPatient->vProgramRehabilitasiMedikId ada 
	
	if ($objPatientNursing->vIdPemeriksaan == "" ) { 													// jika IdPemeriksaan kosong langsung loadbyid dari objHmisPatient
	$objPatientNursing1 = HmisPatientNursing::LoadById($objHmisPatient->vProgramRehabilitasiMedikId);
	} else if ( $objPatientNursing->vIdPemeriksaan == $objHmisPatient->vProgramRehabilitasiMedikId ) { 	// jika IdPemeriksaan dan id dari objHmisPatient sama, maka loadbyid dari objHmisPatient
	$objPatientNursing1 = HmisPatientNursing::LoadById($objHmisPatient->vProgramRehabilitasiMedikId);
	} else if  ( $objPatientNursing->vIdPemeriksaan != $objHmisPatient->vProgramRehabilitasiMedikId ) {	// jika IdPemeriksaan berbeda dari id objHmisPatient, maka load id dari IdPemeriksaan saja karena sudah terdaftar di siklus lain
	$objPatientNursing1 = HmisPatientNursing::LoadById($objPatientNursing->vIdPemeriksaan);
	}
	
	if (date('Ymd', strtotime($objPatientNursing1->NursingStartDate->PhpDate('d-m-Y'))) < date('Ymd', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) // memastikan tanggal perawatan yang dibuka berada diantara tanggal pemeriksaan dan tanggal berakhir
	&& date('Ymd', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) < date('Ymd', strtotime($objPatientNursing1->vProgramBerakhirPadaTanggal))
	) {
		if ($objPatientNursing1->vTanggalPelayananRehab1Id == "" || $objPatientNursing1->vTanggalPelayananRehab1Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 0 ) { 		// jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 1
			$nomerKontrol = "0";
			include('form-rehabilitasi-1.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab2Id == "" || $objPatientNursing1->vTanggalPelayananRehab2Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 1 ) { 	// jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 2
			$nomerKontrol = "1";
			include('form-rehabilitasi-2.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab3Id == "" || $objPatientNursing1->vTanggalPelayananRehab3Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 2 ) { 	// jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 3
			$nomerKontrol = "2";
			include('form-rehabilitasi-2.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab4Id == "" || $objPatientNursing1->vTanggalPelayananRehab4Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 3 ) { 	// jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 4
			$nomerKontrol = "3";
			$notifikasi = "*Disarankan Evaluasi Dokter" ;
			include('form-rehabilitasi-2.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab5Id == "" || $objPatientNursing1->vTanggalPelayananRehab5Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 4 ) { 	// jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 5
			$nomerKontrol = "4";
			include('form-rehabilitasi-2.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab6Id == "" || $objPatientNursing1->vTanggalPelayananRehab6Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 5 ) { 	// jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 6
			$nomerKontrol = "5";
			include('form-rehabilitasi-2.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab7Id == "" || $objPatientNursing1->vTanggalPelayananRehab7Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 6 ) { 	// jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 7
			$nomerKontrol = "6";
			include('form-rehabilitasi-2.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab8Id == "" || $objPatientNursing1->vTanggalPelayananRehab8Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 7 ) { 	// jika id tanggal masih kosong atau id  tanggalsama dengan id perawatan sekarang dan pengulangan siklus minimal 8
			$nomerKontrol = "7";
			include('form-rehabilitasi-2.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab9Id == "" || $objPatientNursing1->vTanggalPelayananRehab9Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 8 ) { 	// jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 9
			$nomerKontrol = "8";
			include('form-rehabilitasi-2.php');
		} else if ($objPatientNursing1->vTanggalPelayananRehab10Id == "" || $objPatientNursing1->vTanggalPelayananRehab10Id == $objPatientNursing->Id && $objPatientNursing1->vPengulanganSiklus > 9 ) { // jika id tanggal masih kosong atau id tanggal sama dengan id perawatan sekarang dan pengulangan siklus minimal 10
			$nomerKontrol = "9";
			include('form-rehabilitasi-2.php');
		} 
	} else {
		//echo 'siklus penuh<br>';
		//echo 'idpemeriksaan'.$objPatientNursing->vIdPemeriksaan;
		include('form-rehabilitasi-1.php');
	}
} else {
	include('form-rehabilitasi-1.php');
}

?>