<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	
	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
</style>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>

<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="box-header">
				<i class="fa fa-user"></i>
				<h3 class="box-title">Data Pasien</h3>
			</div>
			<div class="box-body">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Nama</label>
							<div class="col-sm-8">
								<?php
								$namaPasien = ViewHelper::autoFullName($objPatientNursing->FirstName, $objHmisPatient->Predicate, $objPatientNursing->CreateTime->Timestamp, $objPatientNursing->DateOfBirth->Timestamp, $objPatientNursing->Gender);
								?>
								<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $namaPasien ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Umur</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="dpjp" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
							</div>
						</div>
						<?php if($objPatientNursing->NursingCategory == 3){ ?>
							<div class="form-group">
								<label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
								<div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
									<input type="text" class="form-control input-sm" id="ppjp" required value="<?= $strPpjp ?>" readonly>
								</div>
							</div>
						<?php } ?>

					</div>


					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
							<div class="col-sm-8">
								<?php
								if($objPatientNursing->DepartmentName){
									$namaDepartemen = $objPatientNursing->DepartmentName;
								}elseif($objPatientNursing->TransferDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}elseif($objPatientNursing->StartCheckinDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}
								?>
								<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $namaDepartemen ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">TT</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" required value="<?= $objPatientNursing->NursingBedName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="dxU" id="dxU" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">ID</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>



<!-- <form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" > -->

<div id="FormPage">

	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">PENGKAJIAN TRIAGE GAWAT DARURAT</h2>
    </div>
		<div class="row">
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_diisi_triage_igd"><b>Jam Kedatangan</b></label>
				<div class="input-group" style="width:100%">
					<input type="text" class="form-control timepicker" name='jam_kedatangan' id='jam_kedatangan' placeholder="HH:mm" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamKedatanganTriage ; ?>" data-mask="00:00">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
				</div>
			</div>
			<div class="col-md-8" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_diisi_triage_igd"><b>Triage</b></label>
				<div class="input-group" style="width:100%">
					<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kondisi_triage_igd" id="kondisi_triage_igd_trauma" value="Trauma" <?= ($objPatientNursing->vTriage  == 'Trauma' ) ? 'checked' : '' ?>> Trauma</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kondisi_triage_igd" id="kondisi_triage_igd_non_trauma" value="Non Trauma" <?= ($objPatientNursing->vTriage  == 'Non Trauma' ) ? 'checked' : '' ?>> Non Trauma</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kondisi_triage_igd" id="kondisi_triage_igd_maternity" value="Maternity" <?= ($objPatientNursing->vTriage  == 'Maternity' ) ? 'checked' : '' ?>> Maternity</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kondisi_triage_igd" id="kondisi_triage_igd_belum" value="Belum dipilih" <?= ($objPatientNursing->vTriage  == 'Belum dipilih' ) ? 'checked' : '' ?>> Belum dipilih</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-8" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_diisi_triage_igd"><b>Pasien datang</b></label>
				<div class="input-group" style="width:100%">
					<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="pasien_datang" id="pasien_datang_sendiri" value="Sendiri" <?= ($objPatientNursing->vPasienTriageDatang  == 'Sendiri' ) ? 'checked' : '' ?>> Sendiri</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="pasien_datang" id="pasien_datang_diantar" value="Diantar" <?= ($objPatientNursing->vPasienTriageDatang  == 'Diantar' ) ? 'checked' : '' ?>> Diantar</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="pasien_datang" id="pasien_datang_rujukan" value="Rujukan" <?= ($objPatientNursing->vPasienTriageDatang  == 'Rujukan' ) ? 'checked' : '' ?>> Rujukan</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="pasien_datang" id="pasien_datang_belum" value="Belum dipilih" <?= ($objPatientNursing->vPasienTriageDatang  == 'Belum dipilih' ) ? 'checked' : '' ?>> Belum dipilih</label>
					</div>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_diisi_triage_igd"><b>Diantar oleh</b></label>
				<div class="input-group" style="width:100%">
					<input type="text" class="form-control" name='diantar_oleh' id='diantar_oleh' placeholder="Pasien diantar oleh " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vDiantarOlehTriage ; ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_diisi_triage_igd"><b>Keluhan pasien</b></label>
				<div class="input-group" style="width:100%">
					<textarea name="keluhan_pasien" id="keluhan_pasien" rows="4" class="form-control" placeholder="Keluhan pasien" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeluhanPasienTriage ?></textarea>
				</div>
			</div>
		</div>
	</div>


	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
		<div class="row" style="">
			<div class="col-md-12" style="margin-left: px; margin-bottom: 5px;margin-top:5px;" ><b>AIRWAY</b></div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b></b></label>
				<div class="input-group" style="width:100%">
					<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="airway" id="airway_obstruksi" value="Obstruksi" <?= ($objPatientNursing->vAirwayTriage  == 'Obstruksi' ) ? 'checked' : '' ?>> Obstruksi</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="airway" id="airway_paten" value="Paten" <?= ($objPatientNursing->vAirwayTriage  == 'Paten' ) ? 'checked' : '' ?>> Paten</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="airway" id="airway_belum" value="Belum dipilih" <?= ($objPatientNursing->vAirwayTriage  == 'Belum dipilih' ) ? 'checked' : '' ?>> Belum dipilih</label>
					</div>
				</div>
			</div>
		</div>
	</div>
	

	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
		<div class="row" style="">
			<div class="col-md-12" style="margin-left: px; margin-bottom: 5px;margin-top:5px;" ><b>BREATHING</b></div>
		</div>
		<div class="row">

<?php if ($objPatientNursing->vRrTriage !=""){
	$RR = $objPatientNursing->vRrTriage;
	$NotifRR = "";
} else if ($objPatientNursing->vRrTriage == "" && $objPatientNursing->vRrPrimerTriageIgd !=""){
	$RR = $objPatientNursing->vRrPrimerTriageIgd;
	$NotifRR = "Data RR diambil dari Asesmen Medis IGD Umum";
} else if ($objPatientNursing->vRrTriage == "" && $objPatientNursing->vPernafasanSekunderTriageIgd !=""){
	$RR = $objPatientNursing->vPernafasanSekunderTriageIgd;
	$NotifRR = "Data RR diambil dari Asesmen Medis IGD Umum";
} else if($objPatientNursing->vRrTriage == "" && $objPatientNursing->vRrPrimarySurveyAkpIgd !=""){
	$RR = $objPatientNursing->vRrPrimarySurveyAkpIgd;
	$NotifRR = "Data RR diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vRrTriage == "" && $objPatientNursing->GeneralRr != "") {
	$RR = $objPatientNursing->GeneralRr;
	$NotifRR = "Data RR diambil dari Asesmen Awal";
} else {
	$RR = "";
	$NotifRR = "";
} ?>
			<div class="col-md-3" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_diisi_triage_igd"><b>RR</b></label>
				<div class="input-group" style="width:100%">
					<input type="text" class="form-control" name='rr' id='rr' placeholder="RR" autocomplete="off" style="width: 100%;" value="<?= $RR ? $RR : "" ; ?>">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 40px; padding-right: 5px; margin-top: 3px;" ><b>x/Hz</b></div>
					</span>
				</div><span style="font-size:10px;font-weight:bold"><?=$NotifRR ? '*'.$NotifRR : '' ;?></span>
			</div>
			<div class="col-md-3" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_diisi_triage_igd"><b>SpO2</b></label>
				<div class="input-group" style="width:100%">
					<input type="text" class="form-control" name='spo2_1' id='spo2_1' placeholder="SpO2" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpo2Triage1 ; ?>">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 40px; padding-right: 5px; margin-top: 3px;" ><b>%</b></div>
					</span>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Respirasi</b></label>
				<div class="input-group" style="width:100%">
					<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="respirasi" id="respirasi_ada" value="Ada" <?= ($objPatientNursing->vRespirasiTiage  == 'Ada' ) ? 'checked' : '' ?>> Ada</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="respirasi" id="respirasi_tidak_ada" value="Tidak Ada" <?= ($objPatientNursing->vRespirasiTiage  == 'Tidak Ada' ) ? 'checked' : '' ?>> Tidak Ada</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="respirasi" id="respirasi_belum" value="Belum dipilih" <?= ($objPatientNursing->vRespirasiTiage  == 'Belum dipilih' ) ? 'checked' : '' ?>> Belum dipilih</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
				<div class="col-md-6" style="margin-bottom:5px;">
					<label class="control-label" for="tanggal_diisi_triage_igd"><b>Distres nafas berat</b></label>
					<div class="input-group" style="width:100%">
						<div class="form-control" style="padding-top: 0px;height:auto;">
							<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="distres_nafas_berat" id="distres_nafas_berat_ya" value="Ya" <?= ($objPatientNursing->vDistresNafasBeratTriage  == 'Ya' ) ? 'checked' : '' ?>> Ya</label>
							<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="distres_nafas_berat" id="distres_nafas_berat_tidak" value="Tidak" <?= ($objPatientNursing->vDistresNafasBeratTriage  == 'Tidak' ) ? 'checked' : '' ?>> Tidak</label>
							<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="distres_nafas_berat" id="distres_nafas_berat_belum" value="Belum dipilih" <?= ($objPatientNursing->vDistresNafasBeratTriage  == 'Belum dipilih' ) ? 'checked' : '' ?>> Belum dipilih</label>
						</div>
					</div>
				</div>
				<div class="col-md-6" style="margin-bottom:5px;">
					<label class="control-label" for="tanggal_diisi_triage_igd"><b>Frekuensi nafas</b></label>
					<div class="input-group" style="width:100%">
						<select id='frekuensi_nafas' name="frekuensi_nafas"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
							<option></option>
							<option value="Neonatus < 40 x/mnt" <?= $objPatientNursing->vFrekuensiNafas == 'Neonatus < 40 x/mnt' ? 'selected' : '' ?>>Neonatus &#60; 40 x/mnt</option>
							<option value="Neonatus > 60 x/mnt" <?= $objPatientNursing->vFrekuensiNafas == 'Neonatus > 60 x/mnt' ? 'selected' : '' ?>>Neonatus &#62; 60 x/mnt</option>
							<option value="Neonatus 40 - 60 x/mnt" <?= $objPatientNursing->vFrekuensiNafas == 'Neonatus 40 - 60 x/mnt' ? 'selected' : '' ?>>Neonatus 40 - 60 x/mnt</option>
							<option value="Anak < 20 x/mnt" <?= $objPatientNursing->vFrekuensiNafas == 'Anak < 20 x/mnt' ? 'selected' : '' ?>>Anak &#60; 20 x/mnt</option>
							<option value="Anak > 40 x/mnt" <?= $objPatientNursing->vFrekuensiNafas == 'Anak > 40 x/mnt' ? 'selected' : '' ?>>Anak &#62; 40 x/mnt</option>
							<option value="Anak 20 - 40 x/mnt" <?= $objPatientNursing->vFrekuensiNafas == 'Anak 20 - 40 x/mnt' ? 'selected' : '' ?>>Anak 20 - 40 x/mnt</option>
							<option value="Dewasa < 8 x/mnt atau" <?= $objPatientNursing->vFrekuensiNafas == 'Dewasa < 8 x/mnt atau > 30 x/mnt' ? 'selected' : '' ?>>Dewasa &#60; 8 x/mnt atau &#62; 30 x/mnt</option>
							<option value="Dewasa < 25 - 30 x/mnt" <?= $objPatientNursing->vFrekuensiNafas == 'Dewasa < 25 - 30 x/mnt' ? 'selected' : '' ?>>Dewasa &#60; 25 - 30 x/mnt</option>
							<option value="Dewasa > 18 - 24 x/mnt" <?= $objPatientNursing->vFrekuensiNafas == 'Dewasa > 18 - 24 x/mnt' ? 'selected' : '' ?>>Dewasa &#60; 18 - 24 x/mnt</option>
						</select>
					</div>
				</div>
			</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Paru-paru</b></label>
				<div class="input-group" style="width:100%">
					<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="paru_paru" id="paru_paru_asimetrical" value="Asimentrical" <?= ($objPatientNursing->vParuParuTriage  == 'Asimentrical' ) ? 'checked' : '' ?>> Asimentrical</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="paru_paru" id="paru_paru_symetrical" value="Symetrical" <?= ($objPatientNursing->vParuParuTriage  == 'Symetrical' ) ? 'checked' : '' ?>> Symetrical</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="paru_paru" id="paru_paru_belum" value="Belum dipilih" <?= ($objPatientNursing->vParuParuTriage  == 'Belum dipilih' ) ? 'checked' : '' ?>> Belum dipilih</label>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Kategori SpO2</b></label>
					<div class="input-group" style="width:100%">
					<select id='spo2_2' name="spo2_2"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Spo2 ≤ 85%" <?= $objPatientNursing->vSpo2Triage2 == 'Spo2 ≤ 85%' ? 'selected' : '' ?>>Spo2 ≤ 85%</option>
						<option value="Spo2 85 - 95%" <?= $objPatientNursing->vSpo2Triage2 == 'Spo2 85 - 95%' ? 'selected' : '' ?>>Spo2 85 - 95%</option>
						<option value=">Spo2 > 95%<" <?= $objPatientNursing->vSpo2Triage2 == 'Spo2 > 95%' ? 'selected' : '' ?>>Spo2 > 95%</option>
					</select>
				</div>
			</div>
		</div>
	</div>
	
	
	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
		<div class="row" style="">
			<div class="col-md-12" style="margin-left: px; margin-bottom: 5px;margin-top:5px;" ><b>CIRCULATION</b></div>
		</div>
		<div class="row">
			<div class="col-md-3" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>BP</b></label>
					<div class="input-group" style="width:100%">
					<input type="text" class="form-control" name='bp' id='bp' placeholder="BP" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vBpTriage ; ?>">
				</div>
			</div>

<?php if ($objPatientNursing->vHrTriage !=""){
	$Nadi = $objPatientNursing->vHrTriage;
	$NotifNadi = "";
} else if ($objPatientNursing->vHrTriage == "" && $objPatientNursing->vNPrimerTriageIgd !=""){
	$Nadi = $objPatientNursing->vNPrimerTriageIgd;
	$NotifNadi = "Data Nadi diambil dari Asesmen Medis IGD Umum";
} else if ($objPatientNursing->vHrTriage == "" && $objPatientNursing->vNadiKesimpulanTriageIgd !=""){
	$Nadi = $objPatientNursing->vNadiKesimpulanTriageIgd;
	$NotifNadi = "Data nadi diambil dari Asesmen Medis IGD Umum";
} else if($objPatientNursing->vHrTriage == "" && $objPatientNursing->vHrAkpIgd !=""){
	$Nadi = $objPatientNursing->vHrAkpIgd;
	$NotifNadi = "Data nadi diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vHrTriage == "" && $objPatientNursing->GeneralNadi != "") {
	$Nadi = $objPatientNursing->GeneralNadi;
	$NotifNadi = "Data Nadi diambil dari Asesmen Awal";
} else {
	$Nadi = "";
	$NotifNadi = "";
} ?>
			<div class="col-md-3" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Nadi</b></label>
					<div class="input-group" style="width:100%">
					<input type="text" class="form-control" name='hr' id='hr' placeholder="HR" autocomplete="off" style="width: 100%;" value="<?= $Nadi ; ?>">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 40px; padding-right: 5px; margin-top: 3px;" ><b>x/mnt</b></div>
					</span>
				</div><span style="font-size:10px;font-weight:bold"><?=$NotifNadi ? '*'.$NotifNadi : '' ;?></span>
			</div>


<?php if ($objPatientNursing->vSistolikTriage !=""){
	$Sistolik = $objPatientNursing->vSistolikTriage;
	$NotifTekananDarah = "";
} else if ($objPatientNursing->vSistolikTriage == "" && $objPatientNursing->vSistolikSekuderTriageIgd !=""){
	$Sistolik = $objPatientNursing->vSistolikSekuderTriageIgd;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asesmen Medis IGD Umum";
} else if($objPatientNursing->vSistolikTriage == "" && $objPatientNursing->vSistolikPengkajianAkpIgd !=""){
	$Sistolik = $objPatientNursing->vSistolikPengkajianAkpIgd;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vSistolikTriage == "" && $objPatientNursing->GeneralSistolik != "") {
	$Sistolik = $objPatientNursing->GeneralSistolik;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asesmen Awal";
} else {
	$Sistolik = "";
	$NotifTekananDarah = "";
} ?>

<?php if ($objPatientNursing->vDiastolikTriage !=""){
	$Diastolik = $objPatientNursing->vDiastolikTriage;
	$NotifTekananDarah = "";
} else if ($objPatientNursing->vDiastolikTriage == "" && $objPatientNursing->vDiastolikSekuderTriageIgd !=""){
	$Diastolik = $objPatientNursing->vDiastolikSekuderTriageIgd;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asesmen Medis IGD Umum";
} else if($objPatientNursing->vDiastolikTriage == "" && $objPatientNursing->vDiastolikPengkajianAkpIgd !=""){
	$Diastolik = $objPatientNursing->vDiastolikPengkajianAkpIgd;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vDiastolikTriage == "" && $objPatientNursing->GeneralDiastolik != "") {
	$Diastolik = $objPatientNursing->GeneralDiastolik;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asesmen Awal";
} else {
	$Diastolik = "";
	$NotifTekananDarah = "";
} ?>
			<div class="col-md-3" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>TD</b></label>
					<div class="input-group" style="width:100%">
					<input type="text" class="form-control" name='sistolik_triage_igd' id='sistolik_triage_igd' placeholder="Sis" autocomplete="off" style="width:50%;text-align:;" value="<?= $Sistolik ; ?>">
					<input type="text" class="form-control" name='diastolik_triage_igd' id='diastolik_triage_igd' placeholder="Dias" autocomplete="off" style="border-width:1px 1px 1px 0px;width:50%;text-align:;" value="<?= $Diastolik ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">mmHg</div></span>
				</div><span style="font-size:10px;font-weight:bold"><?=$NotifTekananDarah ? '*'.$NotifTekananDarah : '' ;?></span>
			</div>

<?php if ($objPatientNursing->vSuhuTriage !=""){
	$Suhu = $objPatientNursing->vSuhuTriage;
	$NotifSuhu = "";
} else if ($objPatientNursing->vSuhuTriage == "" && $objPatientNursing->vSuhuSekunderTriageIgd !=""){
	$Suhu = $objPatientNursing->vSuhuSekunderTriageIgd;
	$NotifSuhu = "Data Suhu diambil dari Asesmen Medis IGD Umum";
} else if ($objPatientNursing->vSuhuTriage == "" && $objPatientNursing->vSuhuPengkajianAkpIgd !=""){
	$Suhu = $objPatientNursing->vSuhuPengkajianAkpIgd;
	$NotifSuhu = "Data Suhu diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vSuhuTriage == "" && $objPatientNursing->GeneralSuhu != "") {
	$Suhu = $objPatientNursing->GeneralSuhu;
	$NotifSuhu = "Data Suhu diambil dari Asesmen Awal";
} else {
	$Suhu = "";
	$NotifSuhu = "";
} ?>
			<div class="col-md-3" style="margin-bottom:5px;">
                		<label class="control-label" for="suhu_triage"><b>Suhu</b></label>
                			<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="suhu_triage" id='suhu_triage' placeholder="Suhu" autocomplete="off"  value="<?= $Suhu ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">&#176;C</div></span>
				</div><span style="font-size:10px;font-weight:bold"><?=$NotifSuhu ? '*'.$NotifSuhu : '' ;?></span>
			</div>

		</div>
		<div class="row">
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Membran color</b></label>
					<div class="input-group" style="width:100%">
					<select id='membran_color' name="membran_color"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Cyanotic" <?= $objPatientNursing->vMembranColor == 'Cyanotic' ? 'selected' : '' ?>>Cyanotic</option>
						<option value="Joundice" <?= $objPatientNursing->vMembranColor == 'Joundice' ? 'selected' : '' ?>>Joundice</option>
						<option value="Ashen" <?= $objPatientNursing->vMembranColor == 'Ashen' ? 'selected' : '' ?>>Ashen</option>
						<option value="Flushed" <?= $objPatientNursing->vMembranColor == 'Flushed' ? 'selected' : '' ?>>Flushed</option>
					</select>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Skin temp</b></label>
					<div class="input-group" style="width:100%">
					<select id='skin_temp' name="skin_temp"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Cold" <?= $objPatientNursing->vSkinTemp == 'Cold' ? 'selected' : '' ?>>Cold</option>
						<option value="Hot" <?= $objPatientNursing->vSkinTemp == 'Hot' ? 'selected' : '' ?>>Hot</option>
						<option value="Warm" <?= $objPatientNursing->vSkinTemp == 'Warm' ? 'selected' : '' ?>>Warm</option>
					</select>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Gangguan hemodinamik</b></label>
					<div class="input-group" style="width:100%">
					<select id='gangguan_hemodinamik' name="berpakaian_sendiri"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Berat" <?= $objPatientNursing->vGangguanHemodinamik == 'Berat' ? 'selected' : '' ?>>Berat</option>
						<option value="Sedang Ringan" <?= $objPatientNursing->vGangguanHemodinamik == 'Sedang Ringan' ? 'selected' : '' ?>>Sedang Ringan</option>
						<option value="Tidak Ada" <?= $objPatientNursing->vGangguanHemodinamik == 'Tidak Ada' ? 'selected' : '' ?>>Tidak Ada</option>
					</select>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Kategori Nadi</b></label>
					<div class="input-group" style="width:100%">
					<select id='nadi' name="nadi"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Nadi Lemah" <?= $objPatientNursing->vNadiTriage == 'Nadi Lemah' ? 'selected' : '' ?>>Nadi Lemah</option>
						<option value="Tanpap Nadi" <?= $objPatientNursing->vNadiTriage == 'Tanpa Nadi / Henti Jantung' ? 'selected' : '' ?>>Tanpa Nadi / Henti Jantung</option>
						<option value="Normal" <?= $objPatientNursing->vNadiTriage == 'Normal' ? 'selected' : '' ?>>Normal</option>
					</select>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Aksal dingin</b></label>
					<div class="input-group" style="width:100%">
					<select id='aksal_dingin' name="aksal_dingin"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Ya" <?= $objPatientNursing->vAksalDingin == 'Ya' ? 'selected' : '' ?>>Ya</option>
						<option value="Tidak" <?= $objPatientNursing->vAksalDinginTriage == 'Tidak' ? 'selected' : '' ?>>Tidak</option>
					</select>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>CRI / CRT</b></label>
					<div class="input-group" style="width:100%">
					<select id='cri_crt' name="cri_crt"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="CRI > 2 Detik" <?= $objPatientNursing->vCriCrtTriage == 'CRI > 2 Detik' ? 'selected' : '' ?>>CRI &#62; 2 Detik</option>
						<option value="CRT > 2 Detik" <?= $objPatientNursing->vCriCrtTriage == 'CRT > 2 Detik' ? 'selected' : '' ?>>CRT &#62; 2 Detik</option>
						<option value="CRT < 2 Detik" <?= $objPatientNursing->vCriCrtTriage == 'CRT < 2 Detik' ? 'selected' : '' ?>>CRT &#60; 2 Detik</option>
					</select>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Sistole &#62;  180 mmHg atau &#60; 90 mmHg</b></label>
					<div class="input-group" style="width:100%">
					<select id='sistole' name="sistole"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option id="sistole_param_lebih" value="Ya" <?= $objPatientNursing->vSistoleTriage == 'Ya' ? 'selected' : '' ?>>Ya</option>
						<option id="sistole_param_kurang" value="Tidak" <?= $objPatientNursing->vSistoleTriage == 'Tidak' ? 'selected' : '' ?>>Tidak</option>
					</select>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Pulse Frekuensi</b></label>
					<div class="input-group" style="width:100%">
					<select id='pulse_frekuensi' name="pulse_frekuensi"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Neunatus > 160 x/mnt atau  100 - 120 x/mnt" <?= $objPatientNursing->vPulseFrekuensiTriage == 'Neunatus > 160 x/mnt atau  100 - 120 x/mnt' ? 'selected' : '' ?>>Neunatus &#62; 160 x/mnt atau  100 - 120 x/mnt</option>
						<option value="Neunatus > 120 - 160 x/mnt" <?= $objPatientNursing->vPulseFrekuensiTriage == 'Neunatus > 120 - 160 x/mnt' ? 'selected' : '' ?>>Neunatus &#62; 120 - 160 x/mnt</option>
						<option value="Anak > 120 x/mnt atau > 80 x/mnt" <?= $objPatientNursing->vPulseFrekuensiTriage == 'Anak > 120 x/mnt atau > 80 x/mnt' ? 'selected' : '' ?>>Anak &#62; 120 x/mnt atau &#60; 80 x/mnt</option>
						<option value="Anak 80 - 120 x/mnt" <?= $objPatientNursing->vPulseFrekuensiTriage == 'Anak 80 - 120 x/mnt' ? 'selected' : '' ?>>Anak 80 - 120 x/mnt</option>
						<option value="Dewasa > 100 x/mnt atau < 60 x/mnt" <?= $objPatientNursing->vPulseFrekuensiTriage == 'Dewasa > 100 x/mnt atau < 60 x/mnt' ? 'selected' : '' ?>>Dewasa &#62; 100 x/mnt atau &#60; 60 x/mnt</option>
						<option value="Dewasa 60 - 100 x/mnt" <?= $objPatientNursing->vPulseFrekuensiTriage == 'Dewasa 60 - 100 x/mnt' ? 'selected' : '' ?>>Dewasa 60 - 100 x/mnt</option>
					</select>
				</div>
			</div>
		</div>
	</div>

	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
		<div class="row" style="">
			<div class="col-md-12" style="margin-left: px; margin-bottom: 5px;margin-top:5px;" ><b>DISABILITY</b></div>
		</div>
		<div class="row">
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Kategori GCS</b></label>
					<div class="input-group" style="width:100%">
					<select id='gcs' name="berpakaian_sendiri"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="GCS ≤ 8" <?= $objPatientNursing->vGcsTriage == 'GCS ≤ 8' ? 'selected' : '' ?>>GCS &#8804; 8</option>
						<option value="GCS : 9 - 14" <?= $objPatientNursing->vGcsTriage == 'GCS : 9 - 14' ? 'selected' : '' ?>>GCS : 9 - 14</option>
						<option value="GCS : 15" <?= $objPatientNursing->vGcsTriage == 'GCS : 15' ? 'selected' : '' ?>>GCS : 15</option>
					</select>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Respon</b></label>
					<div class="input-group" style="width:100%">
					<select id='respon' name="respon"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Respon" <?= $objPatientNursing->vResponTriage == 'Respon' ? 'selected' : '' ?>>Respon</option>
						<option value="Unrespon" <?= $objPatientNursing->vResponTriage == 'Unrespon' ? 'selected' : '' ?>>Unrespon</option>
					</select>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Verbal</b></label>
					<div class="input-group" style="width:100%">
					<select id='verbal' name="verbal"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Ya" <?= $objPatientNursing->vVerbalTriage == 'Ya' ? 'selected' : '' ?>>Ya</option>
						<option value="Tidak" <?= $objPatientNursing->vVerbalTriage == 'Tidak' ? 'selected' : '' ?>>Tidak</option>
					</select>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Pain</b></label>
					<div class="input-group" style="width:100%">
					<select id='pain' name="pain"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Ya" <?= $objPatientNursing->vPainTriage == 'Ya' ? 'selected' : '' ?>>Ya</option>
						<option value="Tidak" <?= $objPatientNursing->vPainTriage == 'Tidak' ? 'selected' : '' ?>>Tidak</option>
					</select>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Alert</b></label>
					<div class="input-group" style="width:100%">
					<select id='alert' name="alert"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
						<option></option>
						<option value="Ya (P2)" <?= $objPatientNursing->vAlertTriage == 'Ya (P2)' ? 'selected' : '' ?>>Ya (P2)</option>
						<option value="Ya (P3)" <?= $objPatientNursing->vAlertTriage == 'Ya (P3)' ? 'selected' : '' ?>>Ya (P3)</option>
						<option value="Tidak" <?= $objPatientNursing->vAlertTriage == 'Tidak' ? 'selected' : '' ?>>Tidak</option>
					</select>
				</div>
			</div>
		</div>
	</div>



	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
		<div class="box-header" style="padding:0px;text-align:center;">
			<h2 class="box-title">KESIMPULAN</h2>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b></b></label>
					<div class="input-group" style="width:100%">
					<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kesimpulan" id="kesimpulan_p1" value="P1 (GAWAT DARURAT)" <?= ($objPatientNursing->vKesimpulanTriage  == 'P1 (GAWAT DARURAT)' ) ? 'checked' : '' ?>> P1 (GAWAT DARURAT)</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kesimpulan" id="kesimpulan_p2" value="P2 (GAWAT TIDAK DARURAT)" <?= ($objPatientNursing->vKesimpulanTriage  == 'P2 (GAWAT TIDAK DARURAT)' ) ? 'checked' : '' ?>> P2 (GAWAT TIDAK DARURAT)</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kesimpulan" id="kesimpulan_p3" value="P3 (TIDAK GAWAT TIDAK DARURAT)" <?= ($objPatientNursing->vKesimpulanTriage  == 'P3 (TIDAK GAWAT TIDAK DARURAT)' ) ? 'checked' : '' ?>> P3 (TIDAK GAWAT TIDAK DARURAT)</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kesimpulan" id="kesimpulan_p0" value="P0 (MENINGGAL)" <?= ($objPatientNursing->vKesimpulanTriage  == 'P0 (MENINGGAL)' ) ? 'checked' : '' ?>> P0 (MENINGGAL)</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kesimpulan" id="kesimpulan_belum" value="Belum Dipilih" <?= ($objPatientNursing->vKesimpulanTriage  == 'Belum Dipilih' ) ? 'checked' : '' ?>> Belum Dipilih</label>
					</div>
				</div>
			</div>
		</div>
	</div>


	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Tanggal pengisian</b></label>
					<div class="input-group" style="width:100%">
					<input type="text" class="form-control input-date" name='tanggal_pengisian' id='tanggal_pengisian' placeholder="Tanggal pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTanggalPengisianTriage ; ?>">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Jam pengisian</b></label>
					<div class="input-group" style="width:100%">
					<input type="text" class="form-control timepicker" name='jam_pengisian' id='jam_pengisian' placeholder="HH:mm" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamPengisianTriage ; ?>" data-mask="00:00" z-index="0">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Petugas Triage</b></label>
					<div class="input-group" style="width:100%">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="petugas_triage" id="petugas_triage" data-placeholder="Pilih Petugas Triage">
					<option value="<?= $objPatientNursing->vPetugasTriageId != "" ? $objPatientNursing->vPetugasTriageId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vPetugasTriageNama!= "" ? $objPatientNursing->vPetugasTriageNama : $objPatientNursing->DoctorName  ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
	
</div>
<!-- </form> -->


<?php $modeValidasi = System::getPublicVariable('mode_validasi'); ?>
<?php 	if($modeValidasi == "verifikasi_tanda_tangan") { ?>
<div class="alert alert-success sudah-simpan" role="alert">
	<strong>Selesai!</strong> Triage Gawat Darurat (P0-P3) telah di Verifikasi Oleh <b class="clientUserName"><?=$objPatientNursing->vTriageModifiedLoginName?></b> pada <b class="clientTimeStamp"><?=$objPatientNursing->vTriageModifiedTimestamp?></b> dari perangkat dengan IP <b class="clientIP"><?=$objPatientNursing->vTriageFromIpAddress?></b>.
</div>
<div class="row">
	<div class="col-xs-12">
		<a class="btn btn-danger sudah-simpan koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan</a>
		<a href="#" type="button" class="btn btn-success show-modal" id="validasi">
			<?php require (__DOCROOT__ . __ASSETS__ . '/user/php/svg_checkmark.php'); ?>Validasi 
		</a>
		<a href="#" id="preview_sebelum_tte" type="button" class="btn btn-success sudah-simpan" ><i class="fa fa-save" style="width:18px;"></i> Tanda Tangan</a>
		<div class="input-group print_preview" style="display:inline-block;margin-left:30px;visibility: hidden;">
			<input type="number" id="nama_versi" class="form-control"  placeholder="" style="width:130px;border-radius:3px 0px 0px 3px;" >
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>
<?php	} else if($modeValidasi == "verifikasi") {
?>
<div class="alert alert-success sudah-simpan" role="alert">
	<strong>Selesai!</strong> Triage Gawat Darurat (P0-P3) telah di Verifikasi Oleh <b class="clientUserName"><?=$objPatientNursing->vTriageModifiedLoginName?></b> pada <b class="clientTimeStamp"><?=$objPatientNursing->vTriageModifiedTimestamp?></b> dari perangkat dengan IP <b class="clientIP"><?=$objPatientNursing->vTriageFromIpAddress?></b>.
</div>
<div class="row">
	<div class="col-xs-12">
		<a class="btn btn-danger sudah-simpan koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan</a>
		<a href="#" type="button" class="btn btn-success show-modal" id="validasi">
		<?php require (__DOCROOT__ . __ASSETS__ . '/user/php/svg_checkmark.php'); ?>Validasi 
		</a>
		<div class="input-group print_preview" style="display:inline-block;margin-left:30px;visibility: hidden;">
			<input type="number" id="nama_versi" class="form-control"  placeholder="" style="width:130px;border-radius:3px 0px 0px 3px;" >
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>
<?php	} else if($modeValidasi == "tanda_tangan") {
?>
<div class="row">
	<div class="col-xs-12">
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan</a>
		<a href="#" id="preview_sebelum_tte" type="button" class="btn btn-success sudah-simpan" ><i class="fa fa-save" style="width:18px;"></i> Tanda Tangan</a>
		<div class="input-group print_preview" style="display:inline-block;">
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>
<?php } else {?>
<div class="alert alert-success sudah-simpan" role="alert">
	<strong>Selesai!</strong> Triage Gawat Darurat (P0-P3) telah di Verifikasi Oleh <b class="clientUserName"><?=$objPatientNursing->vTriageModifiedLoginName?></b> pada <b class="clientTimeStamp"><?=$objPatientNursing->vTriageModifiedTimestamp?></b> dari perangkat dengan IP <b class="clientIP"><?=$objPatientNursing->vTriageFromIpAddress?></b>.
</div>
<div class="row">
	<div class="col-xs-12">
		<a class="btn btn-danger sudah-simpan koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan</a>
		<a href="#" type="button" class="btn btn-success show-modal" id="validasi"><i class="fa fa-certificate" style="width:18px;"></i> Validasi <i style="color:yellow;" class="fa fa-check sudah-simpan"></i></a>
		<a href="#" id="preview_sebelum_tte" type="button" class="btn btn-success sudah-simpan" ><i class="fa fa-save" style="width:18px;"></i> Tanda Tangan</a>
		<div class="input-group print_preview" style="display:inline-block;margin-left:30px;visibility: hidden;">
			<input type="number" id="nama_versi" class="form-control"  placeholder="" style="width:130px;border-radius:3px 0px 0px 3px;" >
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>


<?php } ?>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->

    <div class="modal-content betulDPJP">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Konfirmasi</h4>
      </div>
      <div class="modal-body">
        <p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
            pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
        </p>

        <div>
            <hr>
            <label><b>Password</b></label>
            <input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger sudah-simpan" id="tandatanganiperubahan" > Setuju &amp; Simpan Perubahan</button>
        <button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
      </div>
    </div>

    <div class="modal-content bukanDPJP">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title" style="text-align:center;font-size:24px;font-weight:bold;">PERINGATAN</h4>
      </div>
      <div class="modal-body" style="text-align:center;">
	  <i class="fa fa-ban" style="color:red!important;font-size:150px;padding:20px;"></i><br>
	  
        <p style="font-size:20px;">HANYA DPJP YANG BERHAK TANDA TANGAN</p>

        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
      </div>
    </div>

  </div>
</div>



<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

console.log('<?=System::getPublicVariable('mode_validasi')?>')
//alert('DPJP Name = <?=$objPatientNursing->DoctorName;?> \nDPJP  Id = <?=$objPatientNursing->DoctorId ?> \nUsername = <?=$objSystemUser->LoginName;?> \nPersonal Name = <?=$objSystemUser->FullName;?> \nPersonal Id = <?=$objSystemUser->ReferenceId;?> ')
	
	
var FormGizi = function(){

	'use strict';
	
	<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>	
	var revisionNumber = parseInt('<?=$objPatientNursing->vTriageModifiedVersion != "" ? $objPatientNursing->vTriageModifiedVersion : "0" ;?>');
	var clientIP = "<?=System::getClientIpAddress();?>";
	var clientUserId = "<?=$objSystemUser->Id;?>";
	var clientUserName = "<?=$objSystemUser->LoginName;?>"	;
	var DPJPId = "<?=$objPatientNursing->DoctorId;?>";
	var personalId = "<?=$objSystemUser->ReferenceId;?>";
	
//	if (personalId != DPJPId) {
	//	$('.betulDPJP').remove();
	//} else {
		$('.bukanDPJP').remove();
	//}
	
<?php if($modeValidasi == "tanda_tangan") { ?>
	if ( revisionNumber > 0 ) {
		bolehEdit()
	} else {
		bolehEdit()
	}
<?php } else { ?>
	if ( revisionNumber > 0 ) {
		sudahTTD();
	} else {
		$('.sudah-simpan').hide();
		$('#float-print').prop('disabled', true);
		$('#float-print').removeClass('btn-blue');
		$('#float-print').addClass('btn btn-primary disabled');
	}
<?php } ?>

	
	$('#nama_versi').attr('max', revisionNumber);
	$('#nama_versi').attr('min', 1);
	
	$('#nama_versi').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
	
	function tambah_revisionNumber() {
		revisionNumber = revisionNumber + 1;
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#nama_versi').attr("max", revisionNumber);
	};
	
	
	function sudahTTD() {
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#float-simpan').prop('disabled', true);
		$('#float-simpan').removeClass('btn-green');
		$('#float-simpan').addClass('btn btn-success disabled show-modal');
		$('#float-simpan').removeAttr('id');
		$('#save').remove();
		$('#tandatanganiperubahan').show();
		$('#tandatangani').hide();
		$('.sudah-simpan').show();
		$('.print_preview').css('visibility', 'visible');
		$('.svg_checkmark').css('fill', 'yellow');
		$('#float-print').addClass('btn-blue');
		$('#float-print').removeClass('btn btn-primary disabled');
		$('#float-print').prop('disabled', false);
		
		 disableEdit()
	}
	
	function disableEdit() {
		$('#FormPage input, #FormPage select, #FormPage textarea, #FormPage change').prop('disabled', true);
		$('#edit, .show-modal').addClass('disabled');
		$('.show-modal').prop('disabled', true);
		$('#FormPage select').prop('disabled', true).trigger("chosen:updated");
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		//$('.show-modal i:first').addClass('fa-save');
		$('.koreksi').removeClass('disabled');
	}
	
	function bolehEdit(){
		$('#edit, .show-modal').removeClass('disabled');
		$('.show-modal').prop('disabled', false);
		$('#FormPage select').prop('disabled', false).trigger("chosen:updated");
		$('#FormPage input, #FormPage select, #FormPage textarea, #FormPage change').prop('disabled', false);
		$('.koreksi').addClass('disabled');
	}

	
	$('.show-modal').click(function(){
        $('#modal-area').modal('show');
    });
	

	$('.show-modal-tte').click(function(){
        $('#modal-area-tte').modal('show');
    });
	
	
    $('.koreksi').click(function(){
        jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
                bolehEdit();
                jQuery.fallr('hide',function(){});
            },
            function(){
                jQuery.fallr('hide',function(){});
            }
        );
    })
	
	
	function efekSebelumSimpan() {
		if (revisionNumber > 0){
			//$('.show-modal i:first').removeClass('fa-save');
			//$('.show-modal i:first').addClass('fa-circle-o-notch fa-spin');
		} else {
			$('#float-simpan').hide();
			$('#float-loading').show();
			//$('#save i').removeClass('fa-save');
			//$('#save i').addClass('disabled fa-circle-o-notch fa-spin');
		}
	}
	
	function efekSesudahSimpanVerif() {
		//$('.show-modal i:first').addClass('fa-save');
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		disableEdit();
		tambah_revisionNumber();
		sudahTTD();
		$('#float-loading').hide();
		$('.show-modal').show();
		$('.clientTimeStamp').html(new Date().getDate() + "-" + (new Date().getMonth() < 9 ? "0" + (new Date().getMonth() + 1) : new Date().getMonth() + 1) + "-" + new Date().getFullYear() +  " " + new Date().getHours() + ":" + new Date().getMinutes() + ":" + new Date().getSeconds());
		$('.clientUserName').html(clientUserName);
		$('.clientUserId').html(clientUserId);
		$('.clientIP').html(clientIP);
	}
	
	function efekSesudahSimpan() {
		//$('#save i').addClass('fa-save');
		//$('#save i').removeClass('disabled fa-circle-o-notch fa-spin');
		$('#float-simpan').show();
		$('#float-loading').hide();
	}
	
	function efekErrorSimpan() {
		if (revisionNumber > 0){
		//	$('.show-modal i').removeClass('fa-circle-o-notch fa-spin');
			//$('.show-modal i').addClass('fa-save');
		} else {
			//$('#save i').addClass('fa-save');
			//$('#save i').removeClass('disabled fa-circle-o-notch fa-spin');
			$('#save').show();
			$('#float-simpan').show();
			$('#float-loading').hide();
		}
	}
	
		
	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}
	
	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});
	

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}
	
	// cetak di applikasi

	var __width__ = window.innerWidth , __height__ = window.innerHeight , boolpreviewPageActive = false ;

	<?php $strpreviewPageAll = System::GetId(); ?>

	function disable_scrolling(){

	   // Create a style sheet we will only use to disable scrolling :

	   scroll_style_element = document.createElement('style');
	   document.head.appendChild(scroll_style_element);
	   const scroll_style_sheet = scroll_style_element.sheet;
	   scroll_style_sheet.insertRule('html{height:100%;overflow-y:hidden;}', scroll_style_sheet.cssRules.length);

	}

	function enable_scrolling(){
	   if( scroll_style_element ) { document.head.removeChild(scroll_style_element); }
	   // window.onscroll = function() {};
	}

	var btnPrintEvent = function(){ 
		$("#<?= $strpreviewPageAll ?>").get(0).contentWindow.print();
		return true; 
	};
	var btnPrint = new Ext.Button({ formBind: true, text: 'Cetak', style: { marginTop: '' }, enableKeyEvents: true});
	btnPrint.setHandler(btnPrintEvent, this);
	var btnPrintListener = function(c) {
		c.getEl().on('keydown', function(e){
			// alert('key from close button');
			var key=e.getKey();
			e.preventDefault(); e.stopPropagation();
			if(key==vk_TAB||key==vk_LEFT)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			else if(key==vk_RETURN||key==vk_ESCAPE)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			return true;
		}, this);
	};
	btnPrint.addListener('render', btnPrintListener);

	var previewPage = new Ext.Window({
		layout: 'fit'
		 , pageX: 30 , pageY: 30 , width: ( __width__ - 60 ) , height: ( __height__ - 60 )
		//, width: (850) , height: ( __height__ - 40 )
		, title: 'Preview'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		// , tbar: previewPageToolbar
		, items: [ {
			// html: '<div contenteditable="true"> testing all erm area </div>'
			html: 
				''
				+ '<iframe id="<?= $strpreviewPageAll ?>" name="<?= $strpreviewPageAll ?>" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; margin-left: 5px; margin-right: 15px;  margin-top: 5px; padding-bottom: 5px;padding-right:5px; border: none;" />'
			, listeners: { input: { fn: function() { console.log("Changed one"); } , element: "element" , selector: "div" } }
		} ]
		, buttons: [
			 // btnReloadERM , btnClosepreviewPage
		btnPrint
		
	]
	});
	var previewPagewindowListener = function(c) {
		c.getEl().on('keydown', function(e){
			 // alert('key from windows');
			 var key=e.getKey();
			 if(key==vk_INSERT){
				  e.preventDefault(); e.stopPropagation();
			 }
			 else if(key==vk_ESCAPE||key==vk_SPACE||key==vk_RETURN)
			 {
				  e.preventDefault(); e.stopPropagation();
				  return true;
			 }
			 else if(key==vk_ESCAPE)
			 {
				  e.preventDefault(); e.stopPropagation();
				  previewPage.hide();
				  return true;
			 }
		});
	};
	previewPage.addListener('render', previewPagewindowListener);
	previewPage.on('hide', function() {
		boolpreviewPageActive = false;
		// alert('Close previewPage');
		enable_scrolling();
	});
	previewPage.on('show', function() {
		boolpreviewPageActive = true;
		// alert('Open previewPage');
		// Ext.fly(txtFilter.getId()).focus();
		txtFilter.focus(500);
	});

	var openpreviewPage = function(url) {
		// showLoader();
		var $iframe = $( "#<?= $strpreviewPageAll ?>" );
    	// $iframe.attr( 'src' , '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
    	$iframe.attr( 'src' , url );

		// hideLoader();
		try {
			window.scrollTo({ top: 420 + 0 });
		} catch (error) {
			console.error(error);
			window.scrollTo(0, 420);
		}
		disable_scrolling();
		$("#<?= $strpreviewPageAll ?>").css({'height':( __height__ - 125 ) + 'px','width':( __width__ - 75 ) + 'px','margin':'0px'});
		$("#<?= $strpreviewPageAll ?>").scrollTop(0);

		previewTTE.setWidth( __width__ - 60 );
		previewTTE.setHeight( __height__ - 60 );
		previewPage.show();

	};

	// cetak di applikasi
	
	function cetaklaporan() {
		var ModifiedVersion = $('#nama_versi').val();
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		// printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>', strOption);
		openpreviewPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-triage-gawat-darurat') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	
	// TTE
	
	
	

var boolpreviewTTEActive = false;
var	stateTTE = false;


<?php $strpreviewTTE = System::GetId(); ?>
	
var submitButton = new Ext.Button({
    text: 'Submit',
	id: 'submitButtonId',
    handler: function() {
        var password = $('#password-field').val();
        console.log('Password yang diinputkan:', password);
		$('#password-field').val('');
		toastr.info('Tanda Tangan Elektronik Berhasil ', 'Berhasil');
		windowPreviewTTE.hide();
		previewTTE.hide();
		stateTTE = true;
		$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').addClass('disabled');
		$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').prop('disabled', true);
		$('#float-print').removeClass('btn-blue');
		$('#float-print').addClass('btn btn-primary disabled');
		$('#preview_sebelum_tte').html('Tanda Tangan Elektronik <i style="color:yellow;" class="fa fa-check"></i>')
		$('#content').off('click', '#preview_sebelum_tte').on('click', '#preview_sebelum_tte', function (event) {
			event.preventDefault();
			event.stopPropagation();
			previewSesudahTTE();
		  });
	
    }
});

var windowPreviewTTE = new Ext.Window({
    layout: 'fit',
    width: (__width__ - 40),
    height: (__height__ - 40),
    title: 'Enter Passphrase',
    constrain: false,
    closeAction: 'hide',
    closable: true,
    modal: true,
    resizable: true,
    plain: true,
    center: true,
    sticky: true,
    items: [{
        html: `/**/
<style>
#pContainer{width:100%;height:100%;background:#01565b;position:absolute;top:0px;}
#pPasswordContainer{width:250px;height:100px;position:absolute;left:50%;top:50%;transform: translate(-50%, -50%);background:#fff;border-radius:4px;padding:10px;box-shadow:0px 2px 5px rgba(0,0,0,0.2)}
#password-field{border:1px solid #ccc;width:100%;height:40px;border-radius:4px;padding:6px 12px;font-size:16px;color:#666}
#password-field:focus {border: 1px solid #666;padding:6px 12px;background:rgba(246,255,246,0.9)}
#submit-passphrase{margin:10px auto;;appearance:button;background-color:rgba(16,150,156,0.7);border:1px solid rgba(16,150,156,0.2);border-radius:3px;box-sizing:border-box;color:#fff;cursor:pointer;font-size:14px;overflow:visible;padding:6px 12px;text-align:center;text-transform:none;transition:all 80ms ease-in-out;user-select:none;-webkit-user-select:none;touch-action:manipulation;width:fit-content;float:right;box-shadow:0px 2px 2px rgba(0,100,0,0.2);}
#submit-passphrase:disabled{opacity:.5}
#submit-passphrase:focus{background-color:rgba(66,150,156,0.9);border:1px solid rgba(255,255,255,0.1);}
#submit-passphrase:hover{background-color:rgba(66,150,156,0.8);border:1px solid rgba(255,255,255,0.1)}
#submit-passphrase:active{background-color:rgba(66,150,156,1);border:1px solid rgba(255,255,255,0.1);box-shadow:0px 2px 2px rgba(0,100,0,0.1);}
.show-pass, .hide-pass{position:absolute;right:20px;top:20px;cursor:pointer;font-size:20px;color:#aaa;}
.show-pass:hover, .hide-pass:hover{color:#888;}
</style>
<div id="pContainer">
	<div id="pPasswordContainer">
		<input type="text" style="-webkit-text-security:disc;" id="password-field" placeholder="Passphrase">
		<i class="fa fa-eye show-pass"></i>
		<i class="fa fa-eye-slash hide-pass" style="display:none;"></i>
		<input type="button" value="Submit" id="submit-passphrase">
	</div>
</div>
  

    `}],
   /* buttons: [
        submitButton
    ] */
});

$('.show-pass').on('click', function() {
        $('.hide-pass').show();
        $('.show-pass').hide();
        $('#password-field').css('-webkit-text-security','none');
});

$('.hide-pass').on('click', function() {
        $('.hide-pass').hide();
        $('.show-pass').show();
        $('#password-field').css('-webkit-text-security','disc');
});

$('#submit-passphrase').on('click', function() {
        var password = $('#password-field').val();
        console.log('Password yang diinputkan:', password);
		$('#password-field').val('');
		toastr.info('Tanda Tangan Elektronik Berhasil ', 'Berhasil');
		windowPreviewTTE.hide();
		previewTTE.hide();
		stateTTE = true;
		$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').addClass('disabled');
		$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').prop('disabled', true);
		$('#float-print').removeClass('btn-blue');
		$('#float-print').addClass('btn btn-primary disabled');
		$('#preview_sebelum_tte').html('Tanda Tangan Elektronik <i style="color:yellow;" class="fa fa-check"></i>')
		$('#content').off('click', '#preview_sebelum_tte').on('click', '#preview_sebelum_tte', function (event) {
			event.preventDefault();
			event.stopPropagation();
			previewSesudahTTE();
		  });
	
    });

$('#password-field').focus(function() {
  $(document).on('keydown', function(event) {
    if (event.keyCode === 13 && $('#password-field').is(':focus')) {
      $('#submit-passphrase').focus();
      event.preventDefault();
    }
  });
});


windowPreviewTTE.on('beforeshow', function() {
    setTimeout(function() {
        $('#password-field').focus();
    }, 1000);
});



	var openPreviewTTE = function(c) {
		windowPreviewTTE.setWidth( 450 );
		windowPreviewTTE.setHeight( 350 );
		windowPreviewTTE.show();
	};

	var btnPreviewTTEEvent = function(){ openPreviewTTE();  return true; };
	var btnPreviewTTE = new Ext.Button({ formBind: true, text: 'Enter Passphrase', style: { marginLeft: '5px' , marginTop: '' , marginRight: '5px' }, enableKeyEvents: true});
	btnPreviewTTE.setHandler(btnPreviewTTEEvent);
	var btnPreviewTTEListener = function(c) {
		c.getEl().on('keydown', function(e){
			// alert('key from close button');
			var key=e.getKey();
			e.preventDefault(); e.stopPropagation();
			if(key==vk_TAB||key==vk_LEFT)
			{
				e.preventDefault(); e.stopPropagation();
			}
			else if(key==vk_RETURN||key==vk_ESCAPE)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			return true;
		}, this);
	};
	btnPreviewTTE.addListener('render', btnPreviewTTEListener);
	
	
	var btnPrint2 = new Ext.Button({ formBind: true, text: 'Cetak', style: { marginTop: '' }, enableKeyEvents: true});
	btnPrint2.setHandler(btnPrintEvent, this);
	var btnPrintListener = function(c) {
		c.getEl().on('keydown', function(e){
			// alert('key from close button');
			var key=e.getKey();
			e.preventDefault(); e.stopPropagation();
			if(key==vk_TAB||key==vk_LEFT)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			else if(key==vk_RETURN||key==vk_ESCAPE)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			return true;
		}, this);
	};
	btnPrint2.addListener('render', btnPrintListener);
	
	var previewTTE = new Ext.Window({
		layout: 'fit'
		// , pageX: 10 , pageY: 10 , width: 1330 , height: 600
		, pageX: 30 , pageY: 30 , width: ( __width__ - 40 ) , height: ( __height__ - 40 )
		, title: 'Tanda Tangan Elektronik'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		// , tbar: previewTTEToolbar
		, items: [ {
			// html: '<div contenteditable="true"> testing all erm area </div>'
			html: 
				''
				+ '<iframe id="<?= $strpreviewTTE ?>" name="<?= $strpreviewTTE ?>" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; margin-left: 5px; margin-right: 15px;  margin-top: 5px; padding-bottom: 5px;padding-right:5px; border: none;" />'
			, listeners: { input: { fn: function() { console.log("Changed one"); } , element: "element" , selector: "div" } }
		} ]
		, buttons: [
			 // btnReloadERM , btnClosepreviewTTE
		btnPreviewTTE, btnPrint2
		
	]
	});

	var previewTTEwindowListener = function(c) {
		c.getEl().on('keydown', function(e){
			 // alert('key from windows');
			 var key=e.getKey();
			 if(key==vk_INSERT){
				  e.preventDefault(); e.stopPropagation();
			 }
			 else if(key==vk_ESCAPE||key==vk_SPACE||key==vk_RETURN)
			 {
				  e.preventDefault(); e.stopPropagation();
				  return true;
			 }
			 else if(key==vk_ESCAPE)
			 {
				  e.preventDefault(); e.stopPropagation();
				  previewTTE.hide();
				  return true;
			 }
		});
	};
	

	previewTTE.addListener('render', previewTTEwindowListener);
	previewTTE.on('hide', function() {
		boolpreviewTTEActive = false;
		// alert('Close previewTTE');
		enable_scrolling();
	});
	previewTTE.on('show', function() {
		boolpreviewTTEActive = true;
		// alert('Open previewTTE');
		// Ext.fly(txtFilter.getId()).focus();
		txtFilter.focus(500);
	});

	var openpreviewTTE = function(url) {
		// showLoader();
		var $iframe = $( "#<?= $strpreviewTTE ?>" );
    	// $iframe.attr( 'src' , '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
    	$iframe.attr( 'src' , url );

		// hideLoader();
		try {
			window.scrollTo({ top: 420 + 0 });
		} catch (error) {
			console.error(error);
			window.scrollTo(0, 420);
		}
		disable_scrolling();
		$("#<?= $strpreviewTTE ?>").css({'height':( __height__ - 125 ) + 'px','width':( __width__ - 75 ) + 'px','margin':'0px'});
		$("#<?= $strpreviewTTE ?>").scrollTop(0);

		previewTTE.setWidth( __width__ - 60 );
		previewTTE.setHeight( __height__ - 60 );
		previewTTE.show();

	};
	// open TTE
	
	function previewSebelumTTE() {
		var ModifiedVersion = $('#nama_versi').val();
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		openpreviewTTE( '<?= QApplication::UrlCreator('form-medis-rajal/print-triage-gawat-darurat') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	
	function previewSesudahTTE() {
		var ModifiedVersion = $('#nama_versi').val();
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		openpreviewPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-triage-gawat-darurat') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	
		if (stateTTE){
			$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').addClass('disabled');
			$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').prop('disabled', true);
			$('#float-print').removeClass('btn-blue');
			$('#float-print').addClass('btn btn-primary disabled');
			$('#content').off('click', '#preview_sebelum_tte').on('click', '#preview_sebelum_tte', function (event) {
				event.preventDefault();
				event.stopPropagation();
				previewSesudahTTE();
			  });
			} else {
			  $('#preview_sebelum_tte').off("click");
	}
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#preview_sebelum_tte').on('click', '#preview_sebelum_tte', function (event) {
		previewSebelumTTE();
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});


	$('#content').off('click', '#back').on('click', '#back', function(event){
		event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});

    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});


	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});

	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.JamKedatanganTriage = $('#jam_kedatangan').val();
		
		post.Triage = '';
		$("#kondisi_triage_igd_trauma").is(':checked') ?  post.Triage = 'Trauma' : '' ;
		$("#kondisi_triage_igd_non_trauma").is(':checked') ?  post.Triage = 'Non Trauma' : '' ;
		$("#kondisi_triage_igd_maternity").is(':checked') ?  post.Triage = 'Maternity' : '' ;
		$("#kondisi_triage_igd_belum").is(':checked') ?  post.Triage = 'Belum dipilih' : '' ;
		
		post.PasienTriageDatang = '';
		$("#pasien_datang_sendiri").is(':checked') ?  post.PasienTriageDatang = 'Sendiri' : '' ;
		$("#pasien_datang_diantar").is(':checked') ?  post.PasienTriageDatang = 'Diantar' : '' ;
		$("#pasien_datang_rujukan").is(':checked') ?  post.PasienTriageDatang = 'Rujukan' : '' ;
		$("#pasien_datang_belum").is(':checked') ?  post.PasienTriageDatang = 'Belum dipilih' : '' ;
		
		
		post.DiantarOlehTriage = $('#diantar_oleh').val();
		post.KeluhanPasienTriage = $('#keluhan_pasien').val();
		
		post.AirwayTriage = '';
		$("#airway_obstruksi").is(':checked') ?  post.AirwayTriage = 'Obstruksi' : '' ;
		$("#airway_paten").is(':checked') ?  post.AirwayTriage = 'Paten' : '' ;
		$("#airway_belum").is(':checked') ?  post.AirwayTriage = 'Belum dipilih' : '' ;
		
		
		post.RrTriage = $('#rr').val();
		post.Spo2Triage1 = $('#spo2_1').val();
		
		post.RespirasiTiage = '';
		$("#respirasi_ada").is(':checked') ?  post.RespirasiTiage = 'Ada' : '' ;
		$("#respirasi_tidak_ada").is(':checked') ?  post.RespirasiTiage = 'Tidak Ada' : '' ;
		$("#respirasi_belum").is(':checked') ?  post.RespirasiTiage = 'Belum dipilih' : '' ;
		
		post.DistresNafasBeratTriage = $('#distres_nafas_berat').val();
		
		post.DistresNafasBeratTriage = '';
		$("#distres_nafas_berat_ya").is(':checked') ?  post.DistresNafasBeratTriage = 'Ya' : '' ;
		$("#distres_nafas_berat_tidak").is(':checked') ?  post.DistresNafasBeratTriage = 'Tidak' : '' ;
		$("#distres_nafas_berat_belum").is(':checked') ?  post.DistresNafasBeratTriage = 'Belum dipilih' : '' ;
		
		
		post.FrekuensiNafas = $('#frekuensi_nafas').val();
		
		post.ParuParuTriage = '';
		$("#paru_paru_asimetrical").is(':checked') ?  post.ParuParuTriage = 'Asimentrical' : '' ;
		$("#paru_paru_symetrical").is(':checked') ?  post.ParuParuTriage = 'Symetrical' : '' ;
		$("#paru_paru_belum").is(':checked') ?  post.ParuParuTriage = 'Belum dipilih' : '' ;
		
		
		
		post.Spo2Triage2 = $('#spo2_2').val();
		post.BpTriage = $('#bp').val();
		post.HrTriage = $('#hr').val();
		post.MembranColor = $('#membran_color').val();
		post.SkinTemp = $('#skin_temp').val();
		post.GangguanHemodinamik = $('#gangguan_hemodinamik').val();
		post.NadiTriage = $('#nadi').val();
		post.PulseFrekuensiTriage = $('#pulse_frekuensi').val();
		post.CriCrtTriage = $('#cri_crt').val();
		post.SistolikTriage = $('#sistolik_triage_igd').val();
		post.DiastolikTriage = $('#diastolik_triage_igd').val();
		post.AksalDingin = $('#aksal_dingin').val();
		post.SistoleTriage = $('#sistole').val();
		post.GcsTriage = $('#gcs').val();
		post.ResponTriage = $('#respon').val();
		post.VerbalTriage = $('#verbal').val();
		post.PainTriage = $('#pain').val();
		post.AlertTriage = $('#alert').val();
		post.SuhuTriage = $('#suhu_triage').val();

		post.KesimpulanTriage = '';
		$("#kesimpulan_p1").is(':checked') ?  post.KesimpulanTriage = 'P1 (GAWAT DARURAT)' : '' ;
		$("#kesimpulan_p2").is(':checked') ?  post.KesimpulanTriage = 'P2 (GAWAT TIDAK DARURAT)' : '' ;
		$("#kesimpulan_p3").is(':checked') ?  post.KesimpulanTriage = 'P3 (TIDAK GAWAT TIDAK DARURAT)' : '' ;
		$("#kesimpulan_p0").is(':checked') ?  post.KesimpulanTriage = 'P0 (MENINGGAL)' : '' ;
		$("#kesimpulan_belum").is(':checked') ?  post.KesimpulanTriage = 'Belum dipilih' : '' ;
		
		
		post.TanggalPengisianTriage = $('#tanggal_pengisian').val();
		post.JamPengisianTriage = $('#jam_pengisian').val();
		post.PetugasTriageId = $('#petugas_triage').val();
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/TriageGawatDarurat')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				efekSebelumSimpan()
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					efekSesudahSimpanVerif();
					boolChange = false;
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					efekSesudahSimpan();
					boolChange = false;
				} else {
					toastr.error( result.message , 'Errors');
					efekErrorSimpan()
				}
			}
			, complete: function(xhr,status){
				hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$('#dokter_yang_menangani_poli_mata').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	$("#triage").chosen({
			no_results_text: 'Tidak ditemukan'
			, width: '100%;'
			, allow_single_deselect: true
		});


	
	
    boolChange = false ; 

    function anyChange()
    {
        $('#save').removeClass('disabled');
        $('#save-and-reentry').removeClass('disabled');
        boolChange = true ;
    }

    $("#FormPage").on('input select change',function(){
        anyChange();
    });
	
	function exitForm(){
		if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	}
	
    function back()
    {
        var agree = function()
        {
            jQuery.fallr('hide',function(){
                // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
                exitForm();
            });
        };
		var cancel = function()
        {
            jQuery.fallr('hide',function(){
				$('#float-kembali').show();
				$('#float-kembali-loading').hide();
            });
        };

        if(boolChange){
            jFallr(
                'Kembali ke halaman sebelumnya <br>' +
                'Semua perubahan akan diabaikan <br>' +
                'Mohon konfirmasi [ Ya / Tidak ]'
                , agree
				, cancel
            );
        }
        else {
            // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
            exitForm();
			
        } 
    }
	
};

$('#content').ready(function(){
		FormGizi();
$("#frekuensi_nafas").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#spo2_2").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#membran_color").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#skin_temp").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#gangguan_hemodinamik").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#nadi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#pulse_frekuensi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#cri_crt").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#aksal_dingin").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#sistole").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#gcs").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#respon").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#verbal").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#pain").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#alert").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$.fn.allowKey = function( chars ) {
		return this.keydown(function(e) {
			var found = false, i = -1;
			while(chars[++i] && !found) {
				found = 
				  ( e.which == vk_LEFT || e.which == vk_RIGHT || e.which == vk_DELETE ) ||
				  ( chars[i] == String.fromCharCode(e.which).toLowerCase() ) || 
				  ( chars[i] == e.which ) || 
				  ( chars[i] == '0' && e.which == 96 ) || 
				  ( chars[i] == '1' && e.which == 97 ) || 
				  ( chars[i] == '2' && e.which == 98 ) || 
				  ( chars[i] == '3' && e.which == 99 ) || 
				  ( chars[i] == '4' && e.which == 100 ) || 
				  ( chars[i] == '5' && e.which == 101 ) || 
				  ( chars[i] == '6' && e.which == 102 ) || 
				  ( chars[i] == '7' && e.which == 103 ) || 
				  ( chars[i] == '8' && e.which == 104 ) || 
				  ( chars[i] == '9' && e.which == 105 ) || 
				  ( chars[i] == '.' && e.which == 190 ) || 
				  ( chars[i] == ',' && e.which == 188 )
				  ;
				// if( found ) { 
				//	alert( [e.which] ); 
				// }
			}
			if (!found) { e.preventDefault(); }
		});
	};

	if( is_android_ready==true ) {
		 $('#info-time').css({"bottom": "35px"}); // penyesuaian css
		 $('#device-android').css({"bottom": "35px"}); // penyesuaian css
		 $('#device-android').show(); // android
	 }
	 $('#rr').allowKey(['0','1','2','3','4','5','6','7','8','9']);
	 $('#hr').allowKey(['0','1','2','3','4','5','6','7','8','9']);
	 $('#sistolik_triage_igd').allowKey(['0','1','2','3','4','5','6','7','8','9']);
	 $('#diastolik_triage_igd').allowKey(['0','1','2','3','4','5','6','7','8','9']);


	$( "#rr" ).blur(function() {
	   if( $("#rr").val() ) {
		  var rr = parseInt( $("#rr").val() );
		  if( rr >= 1  && rr < 80 ) {
			  $("#rr").val( rr );
		  } else {
			  $("#rr").val('');
		  }
		  if( rr > 80 ) {
			  toastr.error('nafas diatas 80 , diatas batas yg diijinkan , silah cek ulang','Kesalahan');
		  }
		  if( rr < 1 ) {
			  toastr.error('nafas dibawah 2 , dibawah batas yg diijinkan , silah cek ulang','Kesalahan');
		  }
	   }
	});

	$( "#hr" ).blur(function() {
	   if( $("#hr").val() ) {
		  var nadi = parseInt( $("#hr").val() );
		  if( nadi > 10  && nadi < 250 ) {
			  $("#hr").val( nadi );
		  } else {
			  $("#hr").val('');
		  }
		  if( nadi > 250 ) {
			  toastr.error('Denyut Nadi diatas 250 , diatas range yg diijinkan , silah cek ulang','Kesalahan');
		  }
		  if( nadi < 5 ) {
			  toastr.error('Denyut Nadi dibawah 5 , dibawah range yg diijinkan , silah cek ulang','Kesalahan');
		  }
	   }
	});

	$( "#sistolik_triage_igd" ).blur(function() {
	   if( $("#sistolik_triage_igd").val() ) {
		  var sistole = parseInt( $("#sistolik_triage_igd").val() );
		  if( sistole > 10  && sistole < 400 ) {
			  $("#sistolik_triage_igd").val( sistole );
		  } else {
			  $("#sistolik_triage_igd").val('');
		  }
		  if( sistole > 400 ) {
			  toastr.error('Tekanan Sistole diatas 400 , diatas range yg diijinkan , silah cek ulang','Kesalahan');
		  }
		  if( sistole < 5 ) {
			  toastr.error('Tekanan Sistole dibawah 10 , dibawah range yg diijinkan , silah cek ulang','Kesalahan');
		  }
	   }
	});

	$( "#diastolik_triage_igd" ).blur(function() {
	   if( $("#diastolik_triage_igd").val() ) {
		  var diastole = parseInt( $("#diastolik_triage_igd").val() );
		  if( diastole > 10  && diastole < 400 ) {
			  $("#diastolik_triage_igd").val( diastole );
		  } else {
			  $("#diastolik_triage_igd").val('');
		  }
		  if( diastole > 400 ) {
			  toastr.error('Tekanan Diastole diatas 400 , diatas range yg diijinkan , silah cek ulang','Kesalahan');
		  }
		  if( diastole < 5 ) {
			  toastr.error('Tekanan Diastole dibawah 10 , dibawah range yg diijinkan , silah cek ulang','Kesalahan');
		  }
	   }
	});

	$( "#sistolik_triage_igd" ).on('input', function() {
		// Convert the input value to a number
		const inputValue = parseInt($( "#sistolik_triage_igd" ).val(), 10);

		// Check if the input value is more than 150
		if (inputValue > 180 || inputValue < 90)   {
			// If it is, set the "selected" attribute to the "option" element with value "YA"
			$( "#sistole_param_lebih" ).prop('selected', true);
		} else if (inputValue < 181  || inputValue > 89) {
			// If it's not, set the "selected" attribute to the "option" element with value "TIDAK"
			$( "#sistole_param_kurang" ).prop('selected', true);
		} else {
			// If it's not, set the "selected" attribute to the "option" element with value "TIDAK"
			$( "#sistole_param_lebih" ).prop('selected', false);
			$( "#sistole_param_kurang" ).prop('selected', false);
		}

		// Update the select element using the Chosen plugin
		$( "#sistole" ).trigger('chosen:updated');
	});
});

$('#petugas_triage').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , processItems: function(data){
                // alert(JSON.stringify(data));
                return data;
            }
            , generateUrl: function(strSearch){
                // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
                return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
            }
        }).on('change', function(e) {
            // NOTHING
        });
});
$('.timepicker').timepicker({
	minuteStep:1,
	showMeridian:false,
	defaultTime:false
});
//-------------
</script>

