<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Instalasi Rawat Jalan Ginekologi</title>
    <!-- <link rel="stylesheet" href="assets/css/style.css"> -->
    <style>
        /* other */
        * {
            box-sizing: border-box;
            font-size: 12pt;
        }
        .flex-coloumn .flex-row .f-60 h2 {
            /* display: inline-block;
            width: 80mm; */
            margin: 10pt;    
        }

        ul {
            list-style-type: none;
            padding: 2pt 0 ;
        }
        ol {
            padding: 2pt 0 ;

        }


        .flex-row .f-10.center ul.test li, .flex-row .f-45 ul li{
            border-top: 0.25mm solid black;
        }

        hr {
            border: 0.4mm solid black;
            margin-bottom: 5mm;
        }

        div.f-60 h2 {
            text-align: center;
            margin: auto;
        }

        .flex-coloumn .flex-row h4 {
            margin: 0 auto;
        }


        .flex-row .flex-coloumn .f-15>p {
            margin: 2.6mm 0;
        }

        .arial {
            font-family: Arial;
        }

        .flex-coloumn .flex-row .flex-coloumn .wrap {
            margin: auto;
        }


        .ttd {
            display: block;
            width: 60mm;
            height: 20mm;
            margin: auto;
        }

        .colon {
            display: inline-block;
            width: 52mm;
        }
        .colon-2 {
            display: inline-block;
            width: 32mm;
        }
        /* end other */



        /* flex properti */
        .wrap {
            flex-wrap: wrap;
        }

        .flex-coloumn {
            display: flex;
            flex-direction: column;

            /* properti lain */
            max-width: 800px;
            text-align: right;
        }

        .flex-row {
            margin: 0.5mm 0;
            display: flex;
        }

        .f-10 {
            flex-basis: 10%;
        }

        .f-17 {
            flex-basis: 17%;
        }

        .f-15 {
            flex-basis: 15%;
        }

        .f-75 {
            flex-basis: 75%;
        }

        .f-20 {
            flex-basis: 20%;
        }

        .f-35 {
            flex-basis: 35%;
        }

        .f-34 {
            flex-basis: 34%;
        }

        .f-2 {
            flex-basis: 2%;
        }

        .f-40 {
            flex-basis: 40%;
        }

        .f-45 {
            flex-basis: 45%;
        }

        .f-50 {
            flex-basis: 50%;
        }

        .f-55 {
            flex-basis: 55%;
        }

        .f-30 {
            flex-basis: 30%;
        }

        .f-70 {
            flex-basis: 70%;
        }

        .f-60 {
            flex-basis: 60%;
        }

        .f-25 {
            flex-basis: 25%;
        }

        .f-100 {
            flex-basis: 100%;
        }

        .fg-1 {
            flex-grow: 1;
        }
        .fg-2 {
            flex-grow: 2;
        }

        .fg-3 {
            flex-grow: 3;
        }

        .fg-4 {
            flex-grow: 4;
        }

        /* end flex */



        /* penataan */
        .center {
            margin: 0 auto;
            text-align: center;
        }

        .left {
            text-align: left;
        }

        .nomargin {
            margin: 0;
        }

        .right {
            text-align: right;
        }

        .justify {
            text-align: justify;
        }

        .all-center {
            margin: auto;
            text-align: center;
        }

        /* end penataan */



        /* border */
        .border {
            border: 0.25mm solid black;
        }

        .bt {
            border-top: 0.25mm solid black;
        }

        .br {
            border-right: 0.25mm solid black;
        }

        .bl {
            border-left: 0.25mm solid black;
        }

        .bb {
            border-bottom: 0.25mm solid black;
        }

        .b-in {
            border-style: outset;
        }

        .b-out {
            border-style: solid;
        }

        /* end border */



        /* margin */
        .ml-5 {
            margin-left: 1.3mm;
        }

        .mt-50 {
            margin-top: 8mm;
        }

        /* end margin */



        /* padding */
        .pl-20 {
            padding-left: 5mm;
        }

        .pt-10 {
            padding-top: 2.5mm;
        }

        .pl-10 {
            padding-left: 2mm;
        }

        .pt-15 {
            padding-top: 4mm;
        }

        .pb-10 {
            padding-bottom: 2.5mm;
        }

        .p-5 {
            padding: 1.3mm;
        }

        .p-c {
            padding-top: 3.2mm;
            padding-left: 2mm;
        }

        .p {
            padding: 2mm;
        }

        .p-3 {
            padding: 1mm;
        }

        /* end padding  */



        /* gambar */
        .logo {
            width: 36mm;
            height: 26mm;
            margin: 0.5mm;
            padding-left: 5mm;
            padding-right: 5mm;
        }

        .mata {
            width: 40mm;
        }

        .mulut {
            width: 60mm;
        }
        /* end gambar */

        @page {
            size: 210mm 297mm;
            /* margin: 25.4mm 25.4mm 25.4mm 25.4mm; */
            margin: 2mm 10mm;
        }


        @media print {

            html,
            body{
                width: 210mm;
                height: 297mm;
                /* page-break-inside: auto; */
            }

            .flex-coloumn {
                max-width: 200mm;
            }

            .break {
                display: block;
                height: 20mm;
            }

            .flex-coloumn  {
                /* page-break-before: auto; */
            }

            /* other */
            * {
                box-sizing: border-box;
                font-size: 12pt;
            }

            hr {
                border: 0.3mm solid black;
            }

            div.f-60 h2 {
                text-align: center;
                margin: auto;
            }

            .flex-coloumn .flex-row h4 {
                margin: 0 auto;
            }

            

            .flex-row .flex-coloumn .f-15>p {
                margin: 2.6mm 0;
            }

            .flex-coloumn .flex-row .flex-coloumn .wrap {
                margin: auto;
            }

            .ttd {
                display: block;
                width: 60mm;
                height: 20mm;
                margin: auto;
            }

            /* end other */

        }

    </style>
</head>

<body>
    <div class="noprint">
        <a href="#" onclick="window.close()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
        <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
        <a href="#" onclick="window.print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
        <!-- <button onclick="printE()">E-Print</button> -->
        <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
    </div>
    <div class="flex-coloumn center">
        <div class="flex-row center">
            <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
            <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                  <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
            <?php } else { ?>
                  &nbsp;
            <?php } ?>
            <div class="flex-coloumn arial center">
                <h3 class="nomargin" style="letter-spacing: 4px;"><?= System::getPublicVariable('title') ?></h3>
                <h3 class="nomargin"><?= System::getPublicVariable('nama') ?></h3>
                <h3 class="nomargin"><?= System::getPublicVariable('alamat') ?></h3>
                <h3 class="nomargin">web : <a
                        href="mailto:rsud.gambiran@kedirikota.go.id"><?= System::getPublicVariable('alamat') ?></a> </h3>
                <h3 class="nomargin" style="letter-spacing: 12px;">><?= System::getPublicVariable('kota') ?></h3>
                <h5 class="nomargin right">Kode Pos : 64132</h5>
            </div>
            <div style="width:140px; margin: 2px 25px;">
                 <?php $pathFoto = '/assets/images/picture_middle.jpg'; ?>
                 <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                       <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                 <?php } else { ?>
                       &nbsp;
                 <?php } ?>
                 <?php $pathFoto = '/assets/images/picture_right.jpg'; ?>
                 <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                       <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                 <?php } else { ?>
                       &nbsp;
                 <?php } ?>
            </div>
        </div>
    </div>
    <hr>
    <div class="flex-coloumn border center">
        <div class="flex-row center">
            <div class="f-60 br pt-15 pb-10">
                <h2>ASESMEN AWAL DOKTER GINEKOLOGI INSTALASI RAWAT JALAN</h2>
            </div>
            <div class="flex-row f-40 wrap all-center" style="margin-left: 6px;">
                <div class="flex-coloumn left f-40">
                    <p class="nomargin"><b>Nama</b></p>
                    <p class="nomargin"><b>Tgl. Lahir</b></p>
                    <p class="nomargin"><b>No. Rekam Medis</b></p>
                </div>
                <div class="flex-coloumn left">
                    <p class="nomargin">&nbsp;:</p>
                    <p class="nomargin">&nbsp;:</p>
                    <p class="nomargin">&nbsp;:</p>
                </div>
                <div class="flex-coloumn left f-55">
                    <p class="nomargin">&nbsp;Lorem Ipsum </p>
                    <p class="nomargin">&nbsp;01 Januari 1900</p>
                    <p class="nomargin">&nbsp;000001</p>
                </div>
                <div class="flex-coloumn center">
                    <p class="nomargin all-center"><i>(Mohon tempelkan label jika ada)</i></p>
                </div>
            </div>
        </div>
        <div class="flex-coloumn left bt">
            <h5 class="nomargin p-c">ANAMNESIS</h5>
            <ol class="pl-20 nomargin">
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin p-3"><span class="colon">Keluhan Utama </span>: Lorem ipsum, dolor sit amet
                            consectetur adipisicing elit. Animi odio deleniti, quasi a excepturi consequatur odit deserunt error doloremque beatae quas porro libero magnam omnis eaque nobis eius saepe rem.
                        </p>
                    </li>
                </div>
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin p-3"><span class="colon">Perjalanan Penyakit Sekarang </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto inventore laborum tempora doloremque fugit dicta repellendus nisi omnis, obcaecati sapiente.</p>
                    </li>
                </div>
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin">Riwayat Reproduksi Wanita </p>
                        <p class="nomargin"><span class="colon">Menarche</span>: 13 Tahun</p>
                        <p class="nomargin"><span class="colon">Lama Haid</span>: 6 hari</p>
                        <p class="nomargin"><span class="colon">Siklus</span>: 20 hari</p>
                        <p class="nomargin"><span class="colon">Teratur</span>: Ya/<s>Tidak</s></p>
                        <p class="nomargin"><span class="colon">Nyeri Saat Haid</span>: Ya/<s>Tidak</s></p>
                        <p class="nomargin"><span class="colon">Perkawinan</span>: 1 kali, dengan suami sekarang 2 Tahun
                        </p>
                    </li>
                </div>
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin p-3"><span class="colon">Riwayat Penyakit Lain </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto inventore laborum tempora doloremque fugit dicta repellendus nisi omnis, obcaecati sapiente.</p>
                    </li>
                </div>
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin p-3"><span class="colon">Riwayat Persalinan </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto inventore laborum tempora doloremque fugit dicta repellendus nisi omnis, obcaecati sapiente.</p>
                    </li>
                </div>
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin p-3"><span class="colon">Riwayat Operasi </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto inventore laborum tempora doloremque fugit dicta repellendus nisi omnis, obcaecati sapiente.</p>
                    </li>
                </div>
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin p-3"><span class="colon">Riwayat Penyakit Keluarga </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto inventore laborum tempora doloremque fugit dicta repellendus nisi omnis, obcaecati sapiente.</p>
                    </li>
                </div>
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin p-3"><span class="colon">Riwayat Sosial Ekonomi </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto inventore laborum tempora doloremque fugit dicta repellendus nisi omnis, obcaecati sapiente.</p>
                    </li>
                </div>
                <div class="flex-row wrap">
                    <li>
                        <p class="nomargin p-3"><span class="colon">Obat-obatan yang dikonsumsi </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Architecto inventore laborum tempora doloremque fugit dicta repellendus nisi omnis, obcaecati sapiente.</p>
                    </li>
                </div>
            </ol>
            <div class="flex-row wrap pl-10">
                <h5 class="nomargin pb-10 f-100">PEMERIKSAAN FISIK PASIEN</h5>
                <div class="fg-1">
                    <p class="nomargin">Tekanan Darah : 120 mm/Hg</p>
                </div>
                <div class="fg-1">
                    <p class="nomargin">Denyut Jantung : 200 x/menit</p>
                </div>
                <div class="fg-1">
                    <p class="nomargin">Pernapasan : 40 x/menit</p>
                </div>
                <div class="fg-1">
                    <p class="nomargin">Suhu : 34 &#8451;</p>
                </div>
                <div class="fg-1">
                    <p class="nomargin">Skor GCS : E 5 M 4 V 6</p>
                </div>
            </div>
            <div class="flex-row pl-10">
                <p class="nomargin">Kondisi Umum</p>
            </div>
            <div class="flex-row nomargin center">
                <div class="fg-2">
                    ☑ &nbsp;Baik
                </div>
                <div class="fg-3">
                    ☐ &nbsp;Tampak Sakit
                </div>
                <div class="fg-2">
                    ☐ &nbsp;Sesak
                </div>
                <div class="fg-2">
                    ☐ &nbsp;Pucat
                </div>
                <div class="fg-2">
                    ☐ &nbsp;Lemah
                </div>
                <div class="fg-3">
                    ☐ &nbsp;Lainnya
                </div>
            </div>
            <div class="flex-row">
                <div class="p nomargin">Gambaran Umum Lainnya</div>
            </div>
            <div class="flex-row nomargin wrap pl-20">
                <div class="f-30">
                    <p class="nomargin p-3">Nutrisi : &nbsp;</p>
                </div>
                <div class="f-30">
                    <p class="nomargin p-3">Edema : &nbsp;</p>
                </div>
                <div class="f-40">
                    <p class="nomargin p-3">Clubbing Finger : &nbsp;</p>
                </div>
                <div class="f-30">
                    <p class="nomargin p-3">Hidrasi : &nbsp;</p>
                </div>
                <div class="f-30">
                    <p class="nomargin p-3">Pucat : &nbsp;</p>
                </div>
                <div class="f-40">
                    <p class="nomargin p-3">Jaundice : &nbsp;</p>
                </div>
            </div>
            <div class="flex-row pl-10 wrap">
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Kulit </span>: Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dignissimos, aperiam!</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Kepala </span>: Lorem ipsum dolor sit amet consectetur adipisicing. um dolor sit amet consectetur adipisicing elit. Autem, ex ab.</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Leher </span>: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Assumenda, cupiditate.</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Dada </span>: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Assumenda, cupiditate.</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Abdomen </span>: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Assumenda, cupiditate.</p>
                </div>
            </div>
        </div>
    </div>
    <p style="page-break-after: always"></p>
    <div class="flex-coloumn border center">
        <div class="flex-coloumn left bt">
            <div class="flex-row pl-10 wrap">
                <h5 class="nomargin pb-10 pt-10">STATUS GINEKOLOGI</h5>
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Inspeksi </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Lorem ipsum dolor sit amet consectetur, adipisicing elit. Expedita, exercitationem! Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptate, atque dolores. Molestias adipisci fuga harum quasi alias in aut atque. Officia iusto error!</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Inspakulo </span>: Lorem ipsum dolor, sit amet consectetur adipisicing elit. Lorem ipsum, dolor sit amet consectetur adipisicing elit. Fugit, vero. Repellendus minima ducimus cum. Cumque elit. Lorem ipsum, dolor sit amet consectetur adipisicing elit. Fugit, vero. Repellendus minima ducimus cum. Cumque magni quidem eum, corporis ipsum esse quos temporibus repellat.</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Periksa dalam/VT </span>: Lorem ipsum, dolor sit amet consectetur adipisicing elit. Explicabo Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cum, repellendus. numquam commodi dicta sequi, maiores eos incidunt molestias rem consectetur. Cum temporibus obcaecati animi harum consectetur natus ea quae</p>
                </div>
            </div>
            <div class="flex-row pl-10 wrap left">
                <div class="flex-row center">
                    <h5>PEMERIKSAAN PENUNJANG</h5>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin p-3"><span class="colon-2">Laboratorium </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugiat, in quae autem consequatur quis temporibus optio ab tempore sunt, quasi quas corrupti fuga dolores repellendus omnis. Minus omnis pariatur, nostrum ut aliquid odio laboriosam architecto optio eaque sed quas dolore rem, atque voluptatem sint vitae. Voluptas aspernatur sint iste hic!</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin p-3"><span class="colon-2">Radiologi </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Sequi quod praesentium quam accusamus sunt. Nesciunt error odit quidem unde hic ipsa veritatis. Repellat dolor odit excepturi dicta ipsa atque minima quidem mollitia voluptas sapiente officiis ad, nam dolore reprehenderit est aliquid nostrum fugit libero rerum molestiae hic! Debitis, molestias aspernatur.</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin p-3"><span class="colon-2">Lain-lain </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Natus labore sequi corrupti, recusandae, accusantium harum consequuntur nulla quibusdam magni, optio nisi placeat incidunt possimus iusto soluta neque culpa voluptate? At saepe ipsum laudantium, ex maiores quae veritatis perspiciatis corporis totam delectus beatae! Quas aliquid, reprehenderit ut beatae voluptas pariatur eveniet?</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin"><span class="colon-2">Diagnosis </span>: </p>
                    <ol class="pl-20 nomargin">
                        <li>Lorem Ipsum</li>
                        <li>Lorem Ipsum</li>
                        <li>Lorem Ipsum</li>
                    </ol>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin p-3"><span class="colon-2">Rencana Tindakan </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Quo omnis adipisci Lorem ipsum dolor sit amet consectetur adipisicing elit. Sit, illo? perferendis suscipit quos, dolorem magni, facilis doloribus sunt, molestias voluptas totam quas quidem recusandae hic! Ullam ab laudantium deserunt assumenda, placeat at, quisquam aut alias, cum iusto nobis temporibus!</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin p-3"><span class="colon-2">Terapi </span>: Lorem ipsum dolor sit, amet consectetur adipisicing elit. Quasi enim consequatur minus iure aliquid nihil non commodi, fugit consequuntur dicta officia consectetur quod harum placeat iste soluta sapiente, praesentium voluptas quos vero repudiandae. Molestias atque cum aliquid provident neque, earum assumenda eaque dignissimos necessitatibus quo nostrum? Dignissimos laborum odio ea.</p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin p-3"><span class="colon-2">Edukasi </span>: Lorem ipsum dolor sit amet consectetur adipisicing elit. Nostrum, dolorem maiores. Recusandae tempora quasi, explicabo aperiam ratione in dolores veritatis placeat! Facere vitae in esse necessitatibus quae consectetur. Expedita, corrupti?</p>
                </div>
                <div class="flex-row center f-100">
                    <p class="nomargin left"><span class="colon-2">Tindak Lanjut </span>:</p>
                    <div class="f-20">
                        <p class="nomargin">☐ &nbsp;MRS</p>
                    </div>
                    <div class="f-20">
                        <p class="nomargin">☑ &nbsp;PULANG</p>
                    </div>
                </div>
                <div class="flex-row center f-100">
                    <p class="nomargin left f-17"><span class="colon-2">Dirujuk ke </span>:</p>
                    <div class="f-15">
                        <p class="nomargin">☐ &nbsp;Ahli Gizi</p>
                    </div>
                    <div class="f-20">
                        <p class="nomargin">☐ &nbsp;Rehabilitasi Medik</p>
                    </div>
                    <div class="f-25">
                        <p class="nomargin">☐ &nbsp;Klinik Spesialis ...........</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin">☑ &nbsp;Lainnya</p>
                    </div>
                </div>
            </div>
        </div>
        <div style="height: 1cm"></div>
        <!-- <div class="flex-row">
            <div class="break"></div>
        </div> -->
        <div class="flex-row wrap">
            <div class="flex-coloumn center" style="font-size: 12px;">
                <p class="nomargin">Telah dilakukan asesmen oleh Dokter</p>
                <p class="nomargin">Pasien/keluarga</p>
                <div class="ttd"></div>
                <p class="nomargin">(............................................................)</p>
                <p class="nomargin"><i>tanda tangan & nama terang</i></p>
            </div>
            <div class="flex-coloumn center" style="font-size: 12px;">
                <p class="nomargin">Tanggal ......../ ............/ pukul : ........</p>
                <p class="nomargin">Dokter yang melakukan asesmen</p>
                <div class="ttd"></div>
                <p class="nomargin">(............................................................)</p>
                <p class="nomargin"><i>tanda tangan & nama terang</i></p>
            </div>
        </div>
        <div class="flex-row">
            <div class="break"></div>
        </div>

</body>

</html>