<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}
$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

if( strlen($objPatientNursing->vDokterPerawatSingleUseId) > 0 ) {
	$objDokterPerawatSingleUse = HmisRefEmployee::LoadById( $objPatientNursing->vDokterPerawatSingleUseId);
	if( $objDokterPerawatSingleUse ) {
		$DokterPerawatId = $objPatientNursing->vDokterPerawatSingleUseId;
		$DokterPerawatNama = $objDokterPerawatSingleUse->FirstName ;
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
 <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_jiwa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>

<style>.test td{vertical-align:top;}</style>
<form>

<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="row">
				<div class="" style="max-width:800px; margin:0 auto;padding:0px 50px;">
					<table  style="border-collapse:collapse;table-layout:fixed;width:100%;font-size:16px;" class="test">
						  <tr>
							<td colspan="100" style="text-align:center;font-size:18px;padding:15px;"><b><u>BUKTI PELAYANAN PENGGUNAAN <i>SINGLE USE DIALYZER</i></u></b></td>
						  </tr>
						  <tr>
							<td colspan="100">Yang bertanda tangan dibawah ini	:</td>
						  </tr>
						  <tr >
							<td colspan="35" style="padding-top:20px;">Nama Pasien</td>
							<td colspan="1" style="padding-top:20px;">:</td>
							<td colspan="64" style="padding-top:20px;"><?= $objPatientNursing->FullName ?></td>
						  </tr>
						  <tr>
							<td colspan="35">No. Kartu JKN</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->RegisterMembershipNumber; ?></td>
						  </tr>

						  <tr>
							<td colspan="35">Tempat / Tgl Lahir Pasien</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->PlaceOfBirth.' / '.$objPatientNursing->DateOfBirth->phpdate('d-m-Y') ; ?>, Umur : <?php
								$today = $objPatientNursing->NursingStartDate;
								$diff = $today->diff($objPatientNursing->DateOfBirth);
								echo $diff->y.' th';
							?>
							</td>    
						  </tr>
						  <tr>
							<td colspan="35">Jenis Kelamin</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= ($objPatientNursing->Gender == 'MALE')?'LAKI-LAKI' : 'PEREMPUAN' ?></td>    
						  </tr>
						  <tr>
							<td colspan="35">Alamat / Domisili</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php
								$DomicilyAddress = $objPatientNursing->DomicilyAddress;
								if($objPatientNursing->DomicilyBlockNumber){
									$DomicilyBlockNumber = ' RT '.$objPatientNursing->DomicilyBlockNumber;
								}                
								if($objPatientNursing->DomicilyAreaNumber){
									$DomicilyAreaNumber = ' RW '.$objPatientNursing->DomicilyAreaNumber;
								}                
								if($objPatientNursing->DomicilyVillageName){
									$DomicilyVillageName = ' KEL/DESA '.$objPatientNursing->DomicilyVillageName;
								}
								if($objPatientNursing->DomicilySubDistrictName){
									$DomicilySubDistrictName = ' KEC. '.$objPatientNursing->DomicilySubDistrictName;
								}
								if($objPatientNursing->DomicilyDistrictName){
									if(strpos($objPatientNursing->DomicilyDistrictName,'KABUPATEN')!==false){
										$DomicilyDistrictName = str_replace('KABUPATEN','KAB.',$objPatientNursing->DomicilyDistrictName);
									} else {
										$DomicilyDistrictName = $objPatientNursing->DomicilyDistrictName;
									}
								}
								if($objPatientNursing->DomicilyProvinceName){
									$DomicilyProvinceName = ' PROP. '.$objPatientNursing->DomicilyProvinceName;
								}
								if($objPatientNursing->DomicilyCountry){
									$DomicilyCountry = ' NEGARA '.$objPatientNursing->DomicilyCountry;
								}
								
								echo
								$DomicilyAddress
								.$DomicilyBlockNumber
								.$DomicilyAreaNumber
								.$DomicilyVillageName
								.$DomicilySubDistrictName
								.$DomicilyDistrictName
								.$DomicilyCity
								.$DomicilyProvinceName
								.$DomicilyCountry
							
							; ?></td>
						  </tr>
						  <tr>
							<td colspan="100" style="padding-top:20px;">Telah melakukan pelayanan penggunaan <b><u>Single Use Dialyzer</u></b> di unit pelayanan Hemodialysis.</td>
						  </tr>
						  <tr>
							<td colspan="100" style="padding-top:20px;">Demikian surat bukti pelayanan ini dibuat dengan sebenarnya dan dapat dipergunakan dengan tanggung jawab.</td>
						  </tr>

					</table>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
				<div class="col-md-6">
					<div class="row">
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="tanggal_pengisian_single_use"><b>Tanggal Pengisian</b></label>
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
									<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
								</span>
								<input type="text" class="form-control input-date" name='tanggal_pengisian_single_use' id='tanggal_pengisian_single_use' placeholder="Tanggal Pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTanggalPengisianSingleUse != "" ? $objPatientNursing->vTanggalPengisianSingleUse : date("d-m-Y") ; ?>" data-mask="00-00-0000">
							</div>
						</div>
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="jam_pengisian_single_use"><b>Jam Pengisian</b></label>
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
									<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
								</span>
								<input type="text" class="form-control timepicker" name='jam_pengisian_single_use' id='jam_pengisian_single_use' placeholder="Jam Pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamPengisianSingleUse != "" ? $objPatientNursing->vJamPengisianSingleUse : date("H:i") ; ?>" data-mask="00:00">
							</div>
						</div>
					</div>
					<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>
					<div class="row">
						<div class="col-md-12" style="margin-top:25px;">
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
									<div style="width: 210px; line-height:28px;padding:0px 10px;" ><b>Dokter/perawat yang melayani </b></div>
								</span>
								<select data-plugin-selecttwo class="form-control doctor" tabindex="14" title="" name="dokter_perawat_single_use" id="dokter_perawat_single_use" data-placeholder="Dokter/Perawat yang melayani">
							<?php if( strlen($DokterPerawatId ) ) { ?> 
								<option value="<?= $DokterPerawatId ?>" selected><?= $DokterPerawatNama ?></option>

							<?php } ?>

								</select>
							</div>
						</div>
					</div>

				</div>
				<div class="col-md-6">
					<div class="col-md-12" style="">
						<div style="width: 100%; padding:3px 0px 0px 0px;text-align:center;" >
						<b>TANDA TANGAN WALI / PASIEN</b>
						</div>
					</div>
				<div class="col-md-12" style="">
					<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
					<div>
						<?php
						$sumberGambar = __USER_ASSETS__.'/images/putih.jpg';

						$gambarTersimpan = $objPatientNursing->vLokasiTTDSingleUse ? $objPatientNursing->vLokasiTTDSingleUse : $sumberGambar;
						?>
						<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
						<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
					</div>
					<div align="center">
						<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
						<div style="display:inline-block;margin-top:10px;">
						<a href="#" class="btn btn-success btn-xs hideSelesai" id="edit">Mulai Tanda Tangan</a>
						<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Tanda Tangan</a>
						<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Tanda Tangan</a>
						<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Tanda Tangan</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>




</form>
<div class="row animated fadeInRight">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDSingleUse ? $objPatientNursing->vLokasiTTDSingleUse : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD SINGLE USE');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDSingleUse')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('keperawatan-pasien/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}
	
		var aId = '<?= $objPatientNursing->Id ?>';
	//alert(goBackLink()+'\n<?= QApplication::UrlCreator('keperawatan-pasien/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+aId);
	
	var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
	$('.doctor').each(function () {
    		$(this).ajaxChosen({
        		type: 'GET' 
        			, dataType: 'json'
    		},{
        	useAjax: function(e){ return true; }
       			, minLength: 0
        		, processItems: function(data){
            		// alert(JSON.stringify(data));
            	return data;
        	}
        	, generateUrl: function(strSearch){
            		// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            	return urlDoctor + strSearch
        	}
    		});
	});

	
	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Urologi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-urologi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Single Use Dialyzer')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/single-use-print') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
/*
	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('keperawatan-pasien/print-lembar-identitas') ?>', strOption);
	}
*/
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
        event.preventDefault();
        event.stopPropagation();
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}


	$('#content').off('click', '#menu-simpan').on('click', '#menu-simpan', function (event) {
        event.preventDefault();
        event.stopPropagation();
		$('#save').click();
	});
	
    $('#content').off('click', '#back').on('click', '#back', function (event) {
        event.preventDefault();
        event.stopPropagation();
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function (event) {
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
        event.preventDefault();
        event.stopPropagation();
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
        event.preventDefault();
        event.stopPropagation();
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalPengisianSingleUse = $('#tanggal_pengisian_single_use').val();
		post.JamPengisianSingleUse = $('#jam_pengisian_single_use').val();
		post.DokterPerawatSingleUseId = $('#dokter_perawat_single_use').val();
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveSingleUse')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#triage").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#petugas_rekam_medis_lembar_identitas').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormSingleUse == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});

</script>