<?php
function tpltSkriningNyeri($objPatientNursing = null, $prefix = null){
    $ori_skrining = $prefix.'SkriningNyeri';
    $edit_skrining = $prefix.'SkriningNyeriEdit';
    $ori_penyebab = $prefix.'PenyebabNyeri';
    $edit_penyebab = $prefix.'PenyebabNyeriEdit';
    $ori_kualitas = $prefix.'KualitasNyeri';
    $edit_kualitas = $prefix.'KualitasNyeriEdit';
    $ori_lokasi = $prefix.'LokasiNyeri';
    $edit_lokasi = $prefix.'LokasiNyeriEdit';
    $ori_skala = $prefix.'SkalaNyeri';
    $edit_skala = $prefix.'SkalaNyeriEdit';
    $ori_durasi = $prefix.'DurasiNyeri';
    $edit_durasi = $prefix.'DurasiNyeriEdit';
    $ori_frekuensi = $prefix.'FrekuensiNyeri';
    $edit_frekuensi = $prefix.'FrekuensiNyeriEdit';

    $skrining = $objPatientNursing->$edit_skrining ? $objPatientNursing->$edit_skrining : $objPatientNursing->$ori_skrining;
    $penyebab = $objPatientNursing->$edit_penyebab ? $objPatientNursing->$edit_penyebab : $objPatientNursing->$ori_penyebab;
    $kualitas = $objPatientNursing->$edit_kualitas ? $objPatientNursing->$edit_kualitas : $objPatientNursing->$ori_kualitas;
    $lokasi = $objPatientNursing->$edit_lokasi ? $objPatientNursing->$edit_lokasi : $objPatientNursing->$ori_lokasi;
    $skala = $objPatientNursing->$edit_skala ? $objPatientNursing->$edit_skala : $objPatientNursing->$ori_skala;
    $durasi = $objPatientNursing->$edit_durasi ? $objPatientNursing->$edit_durasi : $objPatientNursing->$ori_durasi;
    $frekuensi = $objPatientNursing->$edit_frekuensi ? $objPatientNursing->$edit_frekuensi : $objPatientNursing->$ori_frekuensi;

?>
<div class="row" style="margin-bottom: 5px;">
    <div class="col-md-4">
        <label class="control-label" for="skriningnyeri"><b>Skrining Nyeri</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="skriningnyeri" name="skriningnyeri" class="form-control">
                <option value="">--Pilih--</option>
                <option value="ADA" <?= $skrining == 'ADA' ? 'selected' : '' ?>>Ada</option>
                <option value="TIDAK ADA NYERI" <?= $skrining == 'TIDAK ADA NYERI' ? 'selected' : '' ?>>Tidak Ada Nyeri</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="penyebabnyeri"><b>Penyebab Nyeri</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="penyebabnyeri" name="penyebabnyeri" class="form-control">
                <option value="">--Pilih--</option>
                <option value="TRAUMA" <?= $penyebab == 'TRAUMA' ? 'selected' : '' ?>>Trauma</option>
                <option value="NON TRAUMA" <?= $penyebab == 'NON TRAUMA' ? 'selected' : '' ?>>Non Trauma</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="kualitasnyeri"><b>Kualitas Nyeri</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="kualitasnyeri" name="kualitasnyeri" class="form-control">
                <option value="">--Pilih--</option>
                <option value="KRONIS" <?= $kualitas == 'KRONIS' ? 'selected' : '' ?>>Kronis</option>
                <option value="AKUT" <?= $kualitas == 'AKUT' ? 'selected' : '' ?>>Akut</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="lokasinyeri"><b>Lokasi Nyeri</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <input type="text" name="lokasinyeri" id="lokasinyeri" class="form-control" value="<?= $lokasi ?>">
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="skalanyeri"><b>Skala Nyeri</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="skalanyeri" name="skalanyeri" class="form-control">
                <option value="">--Pilih--</option>
                <option value="0" <?= $skala === '0' ? 'selected' : '' ?>>0</option>
                <option value="1" <?= $skala == '1' ? 'selected' : '' ?>>1</option>
                <option value="2" <?= $skala == '2' ? 'selected' : '' ?>>2</option>
                <option value="3" <?= $skala == '3' ? 'selected' : '' ?>>3</option>
                <option value="4" <?= $skala == '4' ? 'selected' : '' ?>>4</option>
                <option value="5" <?= $skala == '5' ? 'selected' : '' ?>>5</option>
                <option value="6" <?= $skala == '6' ? 'selected' : '' ?>>6</option>
                <option value="7" <?= $skala == '7' ? 'selected' : '' ?>>7</option>
                <option value="8" <?= $skala == '8' ? 'selected' : '' ?>>8</option>
                <option value="9" <?= $skala == '9' ? 'selected' : '' ?>>9</option>
                <option value="10" <?= $skala == '10' ? 'selected' : '' ?>>10</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="durasinyeri"><b>Durasi Nyeri</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <input type="text" name="durasinyeri" id="durasinyeri" class="form-control"  value="<?= $durasi ?>">
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="frekuensinyeri"><b>Frekuensi Nyeri</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <input type="text" name="frekuensinyeri" id="frekuensinyeri" class="form-control" value="<?= $frekuensi ?>">
        </div>
    </div>
</div>

<script>
    var segmenSkriningNyeri = {
        ambilValue : function (){
            return {
                SkriningNyeri : $('#skriningnyeri').val(),
                PenyebabNyeri : $('#penyebabnyeri').val(),
                KualitasNyeri : $('#kualitasnyeri').val(),
                LokasiNyeri : $('#lokasinyeri').val(),
                SkalaNyeri : $('#skalanyeri').val(),
                DurasiNyeri : $('#durasinyeri').val(),
                FrekuensiNyeri : $('#frekuensinyeri').val(),
            }
        },
        ambilValueEdit : function (){
            var obj = {};
            var skriningnyeri = $('#skriningnyeri');
            var penyebabnyeri = $('#penyebabnyeri');
            var kualitasnyeri = $('#kualitasnyeri');
            var lokasinyeri = $('#lokasinyeri');
            var skalanyeri = $('#skalanyeri');
            var durasinyeri = $('#durasinyeri');
            var frekuensinyeri = $('#frekuensinyeri');
            if(skriningnyeri.data('status') == 'edit'){
                obj.SkriningNyeri = skriningnyeri.val();
            }
            if(penyebabnyeri.data('status') == 'edit'){
                obj.PenyebabNyeri = penyebabnyeri.val();
            }
            if(kualitasnyeri.data('status') == 'edit'){
                obj.KualitasNyeri = kualitasnyeri.val();
            }
            if(lokasinyeri.data('status') == 'edit'){
                obj.LokasiNyeri = lokasinyeri.val();
            }
            if(skalanyeri.data('status') == 'edit'){
                obj.SkalaNyeri = skalanyeri.val();
            }
            if(durasinyeri.data('status') == 'edit'){
                obj.DurasiNyeri = durasinyeri.val();
            }
            if(frekuensinyeri.data('status') == 'edit'){
                obj.FrekuensiNyeri = frekuensinyeri.val();
            }
            return obj;
        }
    }
</script>
<?php
}
?>