<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> 
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>-->
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script type="text/javascript">
	// alert('start assement-awal');
</script>

<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
	.text-35{
		display: block;
		width:35px;
		text-align: center;
	}
	textarea, input{
		font-weight: 400;
	}
	
	input:focus {
		background-color:#ffffcc; 
		border-width:3px;
		border-color:#ff0000;
	}
	textarea:focus {
		background-color:#ffffcc; 
		border-width:3px;
		border-color:#ff0000;
	}
	
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<div style="padding:0px;background:#f1f4f6;width:100%;max-width:1000px;margin:0px auto;" id=''>


<div class="row" style="margin-bottom: 10px;display:inline-block;width:100%;text-align:center;">
	<div class="col-md-12">
		<h1 class="panel-title1">ASESMEN AWAL MEDIS</h1>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">No. Rekam Medis</div></span>
						<input type="text" class="form-control input-sm" name="rekmed" id='rekmed' required value="<?= $objPatientNursing->Mr ; ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Cara bayar</div></span>
						<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Nama</div></span>
						<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Ruang / Kamar</div></span>
						<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Alamat</div></span>
						<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Tanggal Masuk</div></span>
						<input type="text" class="form-control input-sm" name="masuk" id="masuk"  value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Umur</div></span>
						<input type="text" class="form-control input-sm" id="umur"  value="<?= $lahir . ' / ' . $umur ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">ID</div></span>
						<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Diagnosa</div></span>
						<input type="text" class="form-control input-sm" id="diagnosautama"  value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">DPJP</div></span>
						<input type="text" class="form-control input-sm" name="DoctorName" id="DoctorName" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
					</div>
            </div>
			<?php if ( strlen($objPatientNursing->OccupationDescription) ){ ?>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Pekerjaan</div></span>
						<input type="text" class="form-control input-sm" id="pekerjaan" placeholder="Pekerjaan"  value="<?= $objPatientNursing->OccupationDescription; ?>" readonly>
                </div>
            </div>
			<?php } 
			
			if ( strlen($objHmisPatient->CitizenShip) ){ ?>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Kebangsaan</div></span>
						<input type="text" class="form-control input-sm" id="kebangsaan" placeholder="Kebangsaan"  value="<?php
								if(($objHmisPatient->CitizenShip == '0')||(!$objHmisPatient->CitizenShip)){
									echo '&nbsp;';
								} else if($objHmisPatient->CitizenShip == '1'){
									echo 'WNI';
								} else {
									echo 'WNA';
								}
							?>" readonly>
					</div>
            </div>
			<?php } ?>
        </div>
    </div>
</div>



<div id="FormPage">
<div id="asesmen_awal_medis" name="asesmen_awal_medis" style="display: none;">active</div>
<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>ASESMEN AWAL MEDIS</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 10px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="tanggalasesmen">Tanggal Asesmen</label>
				<div class="input-group" style="width:100%;">
					<input id="tanggalasesmen" type="text" class="form-control input-tanggal-asesmen" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->GeneralTanggalAsesmen ? $objPatientNursing->GeneralTanggalAsesmen : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0">
                 <label style="border:none;position:absolute;top:3px;right:15px;z-index:5;background:none!important" for="tanggalasesmen" class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></label>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 10px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="jamasesmen">Jam Asesmen</label>
				<div class="input-group" style="width:100%;">
					<input id="jamasesmen" type="time" class="form-control" name="jamasesmen" placeholder="HH:mm" value="<?= $objPatientNursing->GeneralJamAsesmen ? $objPatientNursing->GeneralJamAsesmen : date('H:i') ?>" style="z-index:0" data-mask="00:00">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 10px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="keluhanutama">Keluhan Utama</label>
				<textarea class="form-control autoresize" style="border-width:1px;margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="keluhanutama" name="keluhanutama" placeholder="Keluhan Utama" autocomplete="on"><?= $objPatientNursing->GeneralKeluhanUtama ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 10px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayatpenyakitsekarang">Riwayat Penyakit Sekarang</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayatpenyakitsekarang" name="riwayatpenyakitsekarang" placeholder="Riwayat Penyakit Sekarang"><?= $objPatientNursing->GeneralRiwayatPenyakitSekarang ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 10px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayatpenyakitdahulu">Riwayat Penyakit Dahulu</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayatpenyakitdahulu" name="riwayatpenyakitdahulu" placeholder="Riwayat Penyakit Dahulu"><?= $objPatientNursing->GeneralRiwayatPenyakitDahulu ? $objPatientNursing->GeneralRiwayatPenyakitDahulu : $objHmisPatient->RiwayatPenyakitDahulu ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 10px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayatpenyakitkeluarga">Riwayat Penyakit Keluarga</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayatpenyakitkeluarga" name="riwayatpenyakitkeluarga" placeholder="Riwayat Penyakit Keluarga"><?= $objPatientNursing->GeneralRiwayatPenyakitKeluarga ? $objPatientNursing->GeneralRiwayatPenyakitKeluarga : $objHmisPatient->HistoryOfFamilialDisease ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayatoperasi">Riwayat Operasi</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayatoperasi" name="riwayatoperasi" placeholder="Riwayat Operasi"><?= $objPatientNursing->GeneralRiwayatOperasi ? $objPatientNursing->GeneralRiwayatOperasi : $objHmisPatient->HistoryOfSurgery ?></textarea>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>RIWAYAT ALERGI</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:20px;">
				<label class="control-label" style="margin-right:10px;"><b>Riwayat Alergi Obat : </b></label>
				<input class="border-checkbox" type="checkbox" name="alergiobat" id="alergiobatya" value="YA" <?= ($objPatientNursing->GeneralAlergiObat == 'YA' || $objHmisPatient->AlergiObat ) ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="alergiobatya">Ya</label>
				<input class="border-checkbox" type="checkbox" name="alergiobat" id="alergiobattidak" value="TIDAK" <?= $objPatientNursing->GeneralAlergiObat == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="alergiobattidak">Tidak</label>
				<div class="form-group" style="width:100%;margin-bottom:0px;margin-top:5px;">
					<label class="control-label" for="uraianalergiobat">Sebutkan Alergi Obat</label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="uraianalergiobat" name="uraianalergiobat" placeholder="Sebutkan Alergi Obat"><?= $objPatientNursing->GeneralUraianAlergiObat ? $objPatientNursing->GeneralUraianAlergiObat : $objHmisPatient->AlergiObat ?></textarea>
				</div>
			</div>

			<div class="col-md-12">
				<label class="control-label" style="margin-right:10px;"><b>Riwayat Alergi Makanan : </b></label>
				<input class="border-checkbox" type="checkbox" name="alergimakanan" id="alergimakananya" value="YA" <?= ($objPatientNursing->GeneralAlergiMakanan == 'YA' || $objHmisPatient->AlergiMakanan ) ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="alergimakananya">Ya</label>
				<input class="border-checkbox" type="checkbox" name="alergimakanan" id="alergimakanantidak" value="TIDAK" <?= $objPatientNursing->GeneralAlergiMakanan == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="alergimakanantidak">Tidak</label>
				<div class="form-group" style="width:100%;margin-bottom:0px;margin-top:5px;">
					<label class="control-label" for="uraianalergimakanan">Sebutkan Alergi Makanan</label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="uraianalergimakanan" name="uraianalergimakanan" placeholder="Sebutkan Alergi Makanan"><?= $objPatientNursing->GeneralUraianAlergiMakanan ? $objPatientNursing->GeneralUraianAlergiMakanan : $objHmisPatient->AlergiMakanan ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>RIWAYAT IMUNISASI  (Untuk anak-anak &#8804; 14 tahun)</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12">
				<label class="control-label" style="margin-right:10px;"><b>Riwayat Imunisasi : </b></label>
				<input class="border-checkbox" type="checkbox" name="riwayatimunisasi" id="riwayatimunisasiya" value="LENGKAP" <?= ($objPatientNursing->GeneralRiwayatImunisasi == 'LENGKAP' || $objHmisPatient->RiwayatImunisasi == 'LENGKAP' ) ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="riwayatimunisasiya">Lengkap (BCG, DPT, Hepatitis B, Polio, Campak)</label>
				<input class="border-checkbox" type="checkbox" name="riwayatimunisasi" id="riwayatimunisasitidak" value="TIDAK LENGKAP" <?= ($objPatientNursing->GeneralRiwayatImunisasi == 'TIDAK LENGKAP' || $objHmisPatient->RiwayatImunisasi == 'TIDAK LENGKAP' ) ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="riwayatimunisasitidak">Tidak Lengkap</label>
				
				<div class="form-group" style="width:100%;margin-bottom:0px;margin-top:5px;">
					<label class="control-label" for="uraianriwayatimunisasibelum">Sebutkan Yang Belum </label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="uraianriwayatimunisasibelum" name="uraianriwayatimunisasibelum" placeholder="Sebutkan yang belum"><?= $objPatientNursing->GeneralUraianRiwayatImunisasiBelum ? $objPatientNursing->GeneralUraianRiwayatImunisasiBelum : $objHmisPatient->UraianRiwayatImunisasiBelum ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>KEADAAN UMUM</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label class="control-label" style="margin-right:10px;"><b>Keadaan Umum : </b></label>
					<input class="border-checkbox keadaanumum" type="checkbox" name="keadaanumum" id="keadaanumum_baik" value="BAIK" <?= $objPatientNursing->GeneralKeadaanUmum == 'BAIK' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="keadaanumum_baik">Baik</label>
					<input class="border-checkbox keadaanumum" type="checkbox" name="keadaanumum" id="keadaanumum_sesak" value="SESAK" <?= $objPatientNursing->GeneralKeadaanUmum == 'SESAK' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="keadaanumum_sesak">Sesak</label>
					<input class="border-checkbox keadaanumum" type="checkbox" name="keadaanumum" id="keadaanumum_pucat" value="PUCAT" <?= $objPatientNursing->GeneralKeadaanUmum == 'PUCAT' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="keadaanumum_pucat">Pucat</label>
					<input class="border-checkbox keadaanumum" type="checkbox" name="keadaanumum" id="keadaanumum_lemah" value="LEMAH" <?= $objPatientNursing->GeneralKeadaanUmum == 'LEMAH' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="keadaanumum_lemah">Lemah</label>
					<input class="border-checkbox keadaanumum" type="checkbox" name="keadaanumum" id="keadaanumum_kesadaranmenurun" value="KESADARAN MENURUN" <?= $objPatientNursing->GeneralKeadaanUmum == 'KESADARAN MENURUN' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="keadaanumum_kesadaranmenurun">Kesadaran Menurun</label>
					<input class="border-checkbox keadaanumum" type="checkbox" name="keadaanumum" id="keadaanumum_lainnya" value="LAINNYA" <?= $objPatientNursing->GeneralKeadaanUmum == 'LAINNYA' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="keadaanumum_lainnya">Lainnya</label>
				</div>
				
				<div class="form-group" style="width:100%;margin-bottom:10px;margin-top:5px;">
					<label for="uraiankeadaanumum">Jelaskan</label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="uraiankeadaanumum" name="uraiankeadaanumum" placeholder="Jelaskan keadaan umum"><?= $objPatientNursing->GeneralUraianKeadaanUmum ?></textarea>
				</div>
			</div>

			<div class="col-md-12">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label class="control-label" style="margin-right:10px;"><b>Kesan Sakit :</b></label>
					<input class="border-checkbox kesansakit" type="checkbox" name="kesansakit" id="kesansakit_ringan" value="RINGAN" <?= $objPatientNursing->GeneralKesanSakit == 'RINGAN' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="kesansakit_ringan">Ringan</label>
					<input class="border-checkbox kesansakit" type="checkbox" name="kesansakit" id="kesansakit_sedang" value="SEDANG" <?= $objPatientNursing->GeneralKesanSakit == 'SEDANG' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="kesansakit_sedang">Sedang</label>
					<input class="border-checkbox kesansakit" type="checkbox" name="kesansakit" id="kesansakit_berat" value="BERAT" <?= $objPatientNursing->GeneralKesanSakit == 'BERAT' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="kesansakit_berat">Berat</label>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>PENGKAJIAN</b></span>
    </div>
	<div class="box-body">
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-4">
				<?php
				$arrGcs = explode('-', $objPatientNursing->GeneralGcs);
				$gcs1 = $arrGcs[0];
				$gcs2 = $arrGcs[1];
				$gcs3 = $arrGcs[2];
				?>
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>GCS:</b></span></span>
					<select id="gcs1" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs1 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs1 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs1 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs1 == '4' ?'selected' : '' ?>>4</option>
					</select>
					<select id="gcs2" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs2 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs2 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs2 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs2 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $gcs2 == '5' ?'selected' : '' ?>>5</option>
					</select>
					<select id="gcs3" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs3 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs3 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs3 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs3 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $gcs3 == '5' ?'selected' : '' ?>>5</option>
						<option value="6" <?= $gcs3 == '6' ?'selected' : '' ?>>6</option>
					</select>
					<!-- <input type="text" class="form-control" name="gcs" id="gcs" placeholder="GCS" value="<?= $objPatientNursing->GeneralGcs ?>"> -->
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Tensi:</b></span></span>
					<input type="text" class="form-control" name="sistolik" id="sistolik" placeholder="sistolik" value="<?= $objPatientNursing->GeneralSistolik ?>" style="width:50%">
					<input type="text" class="form-control" name="diastolik" id="diastolik" placeholder="diastolik" value="<?= $objPatientNursing->GeneralDiastolik ?>" style="width:50%">
					<span class="input-group-addon"><span class="text-35">mmHg</span></span>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Nadi:</b></span></span>
					<input type="text" class="form-control" name="nadi" id="nadi" placeholder="Nadi" value="<?= $objPatientNursing->GeneralNadi ?>">
					<span class="input-group-addon"><span class="text-35">x/m</span></span>
				</div>
			</div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Nafas:</b></span></span>
					<input type="text" class="form-control" name="rr" id="rr" placeholder="RR" autocomplete="on"  value="<?= $objPatientNursing->GeneralRr ?>">
					<span class="input-group-addon"><span class="text-35">x/m</span></span>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Suhu:</b></span></span>
					<input type="text" class="form-control" name="suhu" id="suhu" placeholder="Suhu" value="<?= $objPatientNursing->GeneralSuhu ?>">
					<span class="input-group-addon"><span class="text-35">&#8451;</span></span>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span><b>Saturasi Oksigen:</b></span></span>
					<input type="text" class="form-control" name="saturasioksigen" id="saturasioksigen" placeholder="Saturasi Oksigen" value="<?= $objPatientNursing->GeneralSaturasiOksigen ?>">
				</div>
			</div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Berat:</b></span></span>
					<input type="text" class="form-control" name="bb" id="bb" placeholder="Berat Badan"  value="<?= $objPatientNursing->GeneralBb ?>">
					<span class="input-group-addon"><span class="text-35">kg</span></span>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Tinggi:</b></span></span>
					<input type="text" class="form-control" name="tb" id="tb" placeholder="Tinggi Badan" value="<?= $objPatientNursing->GeneralTb ?>">
					<span class="input-group-addon"><span class="text-35">cm</span></span>
				</div>
			</div>
			<div class="col-md-4">
			</div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35x"><b>Kondisi Pupil:</b></span></span>
					<select id="kondisipupil" class="form-control">
						<option selected value="">belum diisi</option>
						<option value="MIDRIASIS" <?= $objPatientNursing->GeneralKondisiPupil == 'MIDRIASIS' ?'selected' : '' ?>>Midriasis</option>
						<option value="ISOCHOR" <?= $objPatientNursing->GeneralKondisiPupil == 'ISOCHOR' ?'selected' : '' ?>>Isochor(Normal)</option>
						<option value="UNISCHOR" <?= $objPatientNursing->GeneralKondisiPupil == 'UNISCHOR' ?'selected' : '' ?>>Unischor</option>
					</select>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35x"><b>Reflek Pupil:</b></span></span>
					<select id="reflekpupil" class="form-control">
						<option value="">belum diisi</option>
						<option value="TIDAK ADA" <?= $objPatientNursing->GeneralReflekPupil == 'TIDAK ADA' ?'selected' : '' ?>>TIDAK ADA</option>
						<option value="ADA" <?= $objPatientNursing->GeneralReflekPupil == 'ADA' ?'selected' : '' ?>>ADA</option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>SKALA NYERI</b></span>
    </div>
	<div class="box-body">
		<div class="form-group">
			<label class="control-label"><b>Apakah terjadi nyeri: </b> <span id="kesimpulanNyeri"><?= $objPatientNursing->GeneralNyeri ?></span></label>
		</div>
		
		<div class="row nyerirow">
			<div class="col-md-6">
				<h6>Dewasa (numeric scale)</h6>
				<?php
					$strExecutionDir = dirname(__FILE__);
					$strFilename = str_replace('\\','/',$strExecutionDir.'/assetfile/numeric_scale.svg');
					if(file_exists($strFilename))
					{
						include($strFilename);
					}
				?>
			</div>
			<div class="col-md-6">
				<h6>Anak &gt; 9th (wong baker scale)</h6>
				<?php
					$strExecutionDir = dirname(__FILE__);
					$strFilename = str_replace('\\','/',$strExecutionDir.'/assetfile/wong_baker_scale.svg');
					if(file_exists($strFilename))
					{
						include($strFilename);
					}
				?>
			</div>
		</div>

	</div>
</div>

<?php if($umurDalamTahun < 3 ){ ?>
<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>FLACC/NIPS SCALE</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<?php if($umurDalamTahun > 1 && $umurDalamTahun < 3 ){ ?>
			<div class="col-md-12">
				<div class="form-group">
					<label class="radio-inline"><b>FLACC Scale(Untuk usia 1-3 Th): </b></label>
					<label class="radio-inline"><input type="radio" class="flaccscale" name="flaccscale" value="0">0 : Tidak Nyeri</label>
					<label class="radio-inline"><input type="radio" class="flaccscale" name="flaccscale" value="1-3">1-3 : Nyeri Ringan</label>
					<label class="radio-inline"><input type="radio" class="flaccscale" name="flaccscale" value="4-6">4-6 : Nyeri Sedang</label>
					<label class="radio-inline"><input type="radio" class="flaccscale" name="flaccscale" value="7-10">7-10 : Nyeri Berat</label>
				</div>
			</div>
			<?php }else if($umurDalamTahun < 1 ){ ?>
			<div class="col-md-12">
				<div class="form-group">
					<label class="radio-inline"><b>NIPS Scale(Untuk usia &lt; 1 Th): </b></label>
					<label class="radio-inline"><input type="radio" class="nipsscale" name="nipsscale" value="0">0 : Tidak Perlu Intervensi</label>
					<label class="radio-inline"><input type="radio" class="nipsscale" name="nipsscale" value="1-3">1-3 : Interv. non farmakologis</label>
					<label class="radio-inline"><input type="radio" class="nipsscale" name="nipsscale" value="4-5">4-5 : Terapi analgesik non opioid</label>
					<label class="radio-inline"><input type="radio" class="nipsscale" name="nipsscale" value="6-7">6-7 : terapi opioid</label>
				</div>
			</div>
			<?php } ?>
		</div>
	</div>
</div>
<?php } ?>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>STATUS AMBULASI</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="statusambulasi"><b> Status Ambulasi :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="statusambulasi" name="statusambulasi" placeholder="Status Ambulasi"><?= $objPatientNursing->GeneralStatusAmbulasi ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>PEMERIKSAAN FISIK</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:20px">
				<label for="fisikgeneral"><b> Pemeriksaan Fisik General :</b></label>
				<textarea class="form-control autoresize" style="border-width:1px;margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; min-height: 80px; width: 100%;" id="fisikgeneral" name="fisikgeneral" placeholder="Pemeriksaan Fisik General"><?= $objPatientNursing->GeneralObjective ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom:20px">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/anatomi.png';
					// $sumberGambar = __USER_ASSETS__.'/images/eswl.jpg'; 

					$gambarTersimpan = $objPatientNursing->GeneralGambarAnatomi ? __IMAGE_ASSETS__. $objPatientNursing->GeneralGambarAnatomi : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Sedang menyimpan</button>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:10px">
			<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="fisikkepalawajah"><b> Pemeriksaan Kepala dan wajah  :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="fisikkepalawajah" name="fisikkepalawajah" placeholder="Kepala dan wajah"><?= $objPatientNursing->GeneralFisikKepalaWajah ?></textarea>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="fisikleher"><b> Pemeriksaan Leher :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="fisikleher" name="fisikleher" placeholder="Leher"><?= $objPatientNursing->GeneralFisikLeher ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="fisikdada"><b> Pemeriksaan Dada :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"  id="fisikdada" name="fisikdada" placeholder="Dada"><?= $objPatientNursing->GeneralFisikDada ?></textarea>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="fisikabdomen"><b> Pemeriksaan Abdomen :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="fisikabdomen" name="fisikabdomen" placeholder="Abdomen"><?= $objPatientNursing->GeneralFisikAbdomen ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="fisikextremitas"><b> Pemeriksaan Extremitas :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="fisikextremitas" name="fisikextremitas" placeholder="Extremitas"><?= $objPatientNursing->GeneralFisikExtremitas ?></textarea>
				</div>
			</div>
			<div class="col-md-6">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="fisikgenital"><b> Pemeriksaan Genital :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="fisikgenital" name="fisikgenital" placeholder="Genital"><?= $objPatientNursing->GeneralFisikGenital ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>PEMERIKSAAN KHUSUS</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="khususparu"><b> Pemeriksaan Paru :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; min-height: 40px; width: 100%;" id="khususparu" name="khususparu" placeholder="Paru"><?= $objPatientNursing->GeneralKhususParu ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="khususjantung"><b> Pemeriksaan Jantung :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="khususjantung" name="khususjantung" placeholder="Jantung"><?= $objPatientNursing->GeneralKhususJantung ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="khususneurologi"><b> Pemeriksaan Neurologi :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="khususneurologi" name="khususneurologi" placeholder="Neurologi"><?= $objPatientNursing->GeneralKhususNeurologi ?></textarea>
				</div>
			</div>
			<div class="col-md-12">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="khususurologi"><b> Pemeriksaan Urologi :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="khususurologi" name="khususurologi" placeholder="Urologi"><?= $objPatientNursing->GeneralKhususUrologi ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>PEMERIKSAAN PENUNJANG</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="pemeriksaanlaboratorium"><b> Pemeriksaan Laboratorium :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="pemeriksaanlaboratorium" name="pemeriksaanlaboratorium" placeholder="Laboratorium"><?= $objPatientNursing->GeneralPemeriksaanLaboratorium ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="pemeriksaanradiologi"><b> Pemeriksaan Radiologi :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="pemeriksaanradiologi" name="pemeriksaanradiologi" placeholder="Radiologi"><?= $objPatientNursing->GeneralPemeriksaanRadiologi ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="pemeriksaanekg"><b> Pemeriksaan Ekg :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="pemeriksaanekg" name="pemeriksaanekg" placeholder="EKG"><?= $objPatientNursing->GeneralPemeriksaanEkg ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="pemeriksaanechocardiografi"><b> Pemeriksaan Echocardiografi :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="pemeriksaanechocardiografi" name="pemeriksaanechocardiografi" placeholder="Echocardiografi"><?= $objPatientNursing->GeneralPemeriksaanEchocardiografi ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="pemeriksaantreadmil"><b> Pemeriksaan Treadmil :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="pemeriksaantreadmil" name="pemeriksaantreadmil" placeholder="Treadmil"><?= $objPatientNursing->GeneralPemeriksaanTreadmil ?></textarea>
				</div>
			</div>
			<div class="col-md-12">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="pemeriksaanlainnya"><b> Pemeriksaan Lainnya :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="pemeriksaanlainnya" name="pemeriksaanlainnya" placeholder="Lainnya"><?= $objPatientNursing->GeneralPemeriksaanLainnya ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>DIAGNOSIS</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="diagnosamedis"><b>Diagnosa Medis :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="diagnosamedis" name="diagnosamedis" placeholder="Diagnosa Medis" autocomplete="on"><?= $objPatientNursing->GeneralDiagnosaMedis ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="masalahmedis"><b>Masalah Medis :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="masalahmedis" name="masalahmedis" placeholder="Masalah Medis"><?= $objPatientNursing->GeneralMasalahMedis ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="rencanatindakan"><b> Rencana Tindakan :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="rencanatindakan" name="rencanatindakan" placeholder="Rencana Tindakan"><?= $objPatientNursing->GeneralRencanaTindakan ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="rencanaterapi"><b>Rencana Terapi :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="rencanaterapi" name="rencanaterapi" placeholder="Rencana Terapi"><?= $objPatientNursing->GeneralRencanaTerapi ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom:10px">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="modalitasfisik"><b>Modalitas Fisik :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="modalitasfisik" name="modalitasfisik" placeholder="Modalitas Fisik"><?= $objPatientNursing->GeneralModalitasFisik ?></textarea>
				</div>
			</div>
			<div class="col-md-12">
				<div class="form-group" style="width:100%;margin-bottom:0px;">
					<label for="protesaortesa"><b>Pemakaian Protesa / Ortesa :</b></label>
					<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="protesaortesa" name="protesaortesa" placeholder="Protesa/Ortesa"><?= $objPatientNursing->GeneralProtesaOrtesa ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>
</div>
<div class="row sudah-simpan">	
	<div class="col-md-12">
		<div class="alert alert-success" role="alert">
			<strong>Selesai!</strong> Asesmen Awal telah di verifikasi oleh <b class="clientUserName"><?= $objPatientNursing->vKeperawatanAsesmenAwalVerifikasi; ?></b> pada <b class="clientTimeStamp"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('d-m-Y H:i:s') : '' ; ?></b> dari perangkat dengan IP <b class="clientIP"><?= $objPatientNursing->IpUserPenyelesaiAsesmenAwal ?></b>.
		</div>
	</div>
</div>
	
<div class="box" style="border-top-width:0px;background:none!important;box-shadow:none!important;">
	<div class="row">	
		<div class="col-xs-12">
			<a class="btn btn-danger sudah-simpan koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a href="#" id="save" class="btn btn-primary"><i class="fa fa-save" style="width:18px;font-size:16px"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi" style="width:97px;position:relative;text-align:right;color:#fff;margin-left:5px;"><i class="fa fa-certificate" style="font-size:21px!important;width:24px!important;position:absolute;left:6px;top:5px;"></i> Validasi <i style="position:absolute;left:16px;color:#00a65a;top:10px;font-size:10px;" class="fa fa-check"></i></a>
			<!--<a href="#" id="preview_sebelum_tte" type="button" class="btn btn-success sudah-simpan" ><i class="fa fa-save" style="width:18px;"></i> Tanda Tangan</a>-->	
			<div class="input-group print_preview" style="display:inline-block;margin-left:30px;visibility: hidden;">
				<input type="number" id="nama_versi" class="form-control"  placeholder="" style="width:130px;border-radius:3px 0px 0px 3px;" >
				<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
			</div>
			<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
		</div>
	</div>
	
	<div class="box-body">
	
<!--	
		<div class="row">
			<div class="col-md-12">
				<?php
				if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
				?>
				<!-- <button>Simpan</button>
				<?php
				}
				?>
				<?php
				$penyelesai = ' ';
				if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){
					$objSystemUser = SystemUser::LoadById($objPatientNursing->IdUserPenyelesaiAsesmenAwal);
					$penyelesai .= $objSystemUser->FullName;
				}
				?>

				<div class="alert alert-success showSelesai" role="alert" style="display:none">
					<strong>Selesai!</strong> Asesmen Awal dinyatakan selesai dan ditandatangani oleh <span id="selesaiFullName"><?= $penyelesai ?></span> 
					pada tanggal <span id="selesaiTanggal"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('d-m-Y') : '-' ?></span>
					jam <span id="selesaiJam"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('H:i') : '-' ?></span>
					dari IP <span id="selesaiIp"><?= $objPatientNursing->IpUserPenyelesaiAsesmenAwal ?></span>
				</div>

				<a href="#" id="cetak-laporan" class="btn btn-warning showSelesai" style="display:none"><i class="fa fa-print"></i> Cetak Laporan</a>

				<span class="hideSelesai">
					<!--
					<a href="#" class="btn btn-danger" id="open-modal"><i class="fa fa-pencil"></i> Simpan &amp; Tanda Tangan</a>
					<button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</button>
					<button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan Draft</button>
					
					<button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</button>
					<button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan</button>
				</span>

				<a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
			</div>
			
			
		</div>
-->
	</div>
</div>




<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

        <div>
            <hr>
            <label><b>Password</b></label>
            <input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
	  </div>
	  <div class="modal-footer">
		<button type="button" class="btn btn-danger" style="display:none;" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button>
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>


</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">


   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
   boolChange = false ; 

    function anyChange()
    {
        $('#save').removeClass('disabled');
        $('#save-and-reentry').removeClass('disabled');
        boolChange = true ;
    }

    $("#FormPage").on('input select change',function(){
        anyChange();
    });
	
	function exitForm(){
		if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	}
	
    function back(){
        var agree = function()
        {
            jQuery.fallr('hide',function(){
                exitForm();
            });
        };
		var cancel = function()
        {
            jQuery.fallr('hide',function(){
				$('#float-kembali').show();
				$('#float-kembali-loading').hide();
            });
        };

        if(boolChange){
            jFallr(
                'Kembali ke halaman sebelumnya <br>' +
                'Semua perubahan akan diabaikan <br>' +
                'Mohon konfirmasi [ Ya / Tidak ]'
                , agree
				, cancel
            );
        }
        else {
            exitForm();
			
        } 
    }
	
	$('#content').off('click', '#back').on('click', '#back', function(event){
		event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});

    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});
	
	
	<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>
	var revisionNumber = parseInt('<?=$objPatientNursing->vAsesmenAwalGeneralModifiedVersion != "" ? $objPatientNursing->vAsesmenAwalGeneralModifiedVersion : "0" ;?>');
	var clientIP = "<?=System::getClientIpAddress();?>";
	var clientUserId = "<?=$objSystemUser->Id;?>";
	var clientUserName = "<?=$objSystemUser->LoginName;?>"	;
	var DPJPId = "<?=$objPatientNursing->DoctorId;?>";
	var personalId = "<?=$objSystemUser->ReferenceId;?>";
	
$(document).ready(function() {
	
	if ( revisionNumber > 0 ) {
		sudahTTD();
	} else {
		$('.sudah-simpan').hide();
		$('#float-print').prop('disabled', true);
		$('#float-print').removeClass('btn-blue');
		$('#float-print').addClass('btn btn-primary disabled');
	}
	

	
	
	$('#nama_versi').attr('max', revisionNumber);
	$('#nama_versi').attr('min', 1);
	
	$('#nama_versi').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
	
	function tambah_revisionNumber() {
		revisionNumber = revisionNumber + 1;
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#nama_versi').attr("max", revisionNumber);
	};
	
	
	function sudahTTD() {
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#float-simpan').prop('disabled', true);
		$('#float-simpan').removeClass('btn-green');
		$('#float-simpan').addClass('btn btn-success disabled');
		
		$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function () {
			$('#modal-area').modal("show");
		});
		
		//$('#float-simpan').addClass('btn btn-success disabled show-modal');
		//$('#float-simpan').removeAttr('id');
		$('#save').remove();
		$('#tandatanganiperubahan').show();
		$('#tandatangani').hide();
		$('.sudah-simpan').show();
		$('.print_preview').css('visibility', 'visible');
		$('#float-print').addClass('btn-blue');
		$('#float-print').removeClass('btn btn-primary disabled');
		$('#float-print').prop('disabled', false);
		 disableEdit()
	}
	
	function disableEdit() {
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true);
		$('#edit, .show-modal').addClass('disabled');
		$('.show-modal').prop('disabled', true);
		$('#FormPage select').prop('disabled', true).trigger("chosen:updated");
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		//$('.show-modal i:first').addClass('fa-save');
		$('.koreksi').removeClass('disabled');
	}
	
	function bolehEdit(){
		$('#edit, .show-modal, #float-simpan').removeClass('disabled');
		$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function () {
			$('#modal-area').modal("show");
		});
		$('.show-modal, #float-simpan').prop('disabled', false);
		$('#FormPage select').prop('disabled', false).trigger("chosen:updated");
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false);
		$('.koreksi').addClass('disabled');
	}

	$('.show-modal').click(function(){
        $('#modal-area').modal('show');
    });
	

    $('.koreksi').click(function(){
        jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
                bolehEdit();
                jQuery.fallr('hide',function(){});
            },
            function(){
                jQuery.fallr('hide',function(){});
            }
        );
    })


	
	function efekSebelumSimpan() {
		if (revisionNumber > 0){
			//$('.show-modal i:first').removeClass('fa-save');
			//$('.show-modal i:first').addClass('fa-circle-o-notch fa-spin');
		} else {
			$('#float-simpan').hide();
			$('#float-loading').show();
			//$('#save i').removeClass('fa-save');
			//$('#save i').addClass('disabled fa-circle-o-notch fa-spin');
		}
	}
	
	function efekSesudahSimpanVerif() {
		//$('.show-modal i:first').addClass('fa-save');
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		disableEdit();
		tambah_revisionNumber();
		sudahTTD();
		$('#float-loading').hide();
		$('#float-simpan').show();
		$('.show-modal').show();
		//$('.clientTimeStamp').html(new Date().getDate() + "-" + (new Date().getMonth() < 9 ? "0" + (new Date().getMonth() + 1) : new Date().getMonth() + 1) + "-" + new Date().getFullYear() +  " " + new Date().getHours() + ":" + new Date().getMinutes() + ":" + new Date().getSeconds());
		//$('.clientUserName').html(clientUserName);
		//$('.clientUserId').html(clientUserId);
		//$('.clientIP').html(clientIP);
	}
	
	function efekSesudahSimpan() {
		$('#float-simpan').show();
		$('#float-loading').hide();
	}
	
	function efekErrorSimpan() {
		if (revisionNumber > 0){
			
		} else {
			$('#save').show();
			$('#float-simpan').show();
			$('#float-loading').hide();
		}
	}
	
		
	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}
	
	
	// cetak di applikasi

	var __width__ = window.innerWidth , __height__ = window.innerHeight , boolpreviewPageActive = false ;

	<?php $strpreviewPageAll = System::GetId(); ?>

	function disable_scrolling(){

	   // Create a style sheet we will only use to disable scrolling :

	   scroll_style_element = document.createElement('style');
	   document.head.appendChild(scroll_style_element);
	   const scroll_style_sheet = scroll_style_element.sheet;
	   scroll_style_sheet.insertRule('html{height:100%;overflow-y:hidden;}', scroll_style_sheet.cssRules.length);

	}

	function enable_scrolling(){
	   if( scroll_style_element ) { document.head.removeChild(scroll_style_element); }
	   // window.onscroll = function() {};
	}

	var btnPrintEvent = function(){ 
		$("#<?= $strpreviewPageAll ?>").get(0).contentWindow.print();
		return true; 
	};
	var btnPrint = new Ext.Button({ formBind: true, text: 'Cetak', style: { marginTop: '' }, enableKeyEvents: true});
	btnPrint.setHandler(btnPrintEvent, this);
	var btnPrintListener = function(c) {
		c.getEl().on('keydown', function(e){
			// alert('key from close button');
			var key=e.getKey();
			e.preventDefault(); e.stopPropagation();
			if(key==vk_TAB||key==vk_LEFT)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			else if(key==vk_RETURN||key==vk_ESCAPE)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			return true;
		}, this);
	};
	btnPrint.addListener('render', btnPrintListener);

	var previewPage = new Ext.Window({
		layout: 'fit'
		// , pageX: 10 , pageY: 10 , width: 1330 , height: 600
		, width: (850) , height: ( __height__ - 40 )
		, title: 'Preview'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		// , tbar: previewPageToolbar
		, items: [ {
			// html: '<div contenteditable="true"> testing all erm area </div>'
			html: 
				''
				+ '<iframe id="<?= $strpreviewPageAll ?>" name="<?= $strpreviewPageAll ?>" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; margin: 0px; padding:0px; border: none;" />'
			, listeners: { input: { fn: function() { console.log("Changed one"); } , element: "element" , selector: "div" } }
		} ]
		, buttons: [
			 // btnReloadERM , btnClosepreviewPage
		btnPrint
		
	]
	});
	var previewPagewindowListener = function(c) {
		c.getEl().on('keydown', function(e){
			 var key=e.getKey();
			 if(key==vk_INSERT){
				  e.preventDefault(); e.stopPropagation();
			 }
			 else if(key==vk_ESCAPE||key==vk_SPACE||key==vk_RETURN)
			 {
				  e.preventDefault(); e.stopPropagation();
				  return true;
			 }
			 else if(key==vk_ESCAPE)
			 {
				  e.preventDefault(); e.stopPropagation();
				  previewPage.hide();
				  return true;
			 }
		});
	};
	previewPage.addListener('render', previewPagewindowListener);
	previewPage.on('hide', function() {
		boolpreviewPageActive = false;
		enable_scrolling();
	});
	previewPage.on('show', function() {
		boolpreviewPageActive = true;
		txtFilter.focus(500);
	});

	var openpreviewPage = function(url) {
		// showLoader();
		var $iframe = $( "#<?= $strpreviewPageAll ?>" );
    	// $iframe.attr( 'src' , '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
    	$iframe.attr( 'src' , url );

		// hideLoader();
		try {
			window.scrollTo({ top: 420 + 0 });
		} catch (error) {
			console.error(error);
			window.scrollTo(0, 420);
		}
		disable_scrolling();

		previewPage.setSize(__width__  - 20, __height__ - 20);
		previewPage.setPagePosition((10 + window.pageXOffset), 10 + window.pageYOffset);
		
		previewPage.show();

	};

	// cetak di applikasi
	
	function cetaklaporan() {
		var ModifiedVersion = $('#nama_versi').val();
		//var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>;
		//printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal') ?>', strOption);
		openpreviewPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion);
	}
	
	$('.input-tanggal-asesmen').datepicker({
		format: "dd-mm-yyyy",
		autoclose: true,
		maxDate: new Date('<?= date('d-m-Y') ?>'),
		minDate: new Date('<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>'),
		// endDate: null
	});
	
	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});
	
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	
 
	
	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			//$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			//$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	var nilaiSkalaNyeriDewasa = "<?= $objPatientNursing->GeneralNilaiSkalaNyeriDewasa ?>";
	var nilaiSkalaNyeriWbc = "<?= $objPatientNursing->GeneralNilaiSkalaNyeriWbc ?>";
	var nilaiKsNyeri = "<?= $objPatientNursing->GeneralNyeri ?>";

	$('.areaklik').each(function(i){
		if(String($(this).data('numericscale')) === nilaiSkalaNyeriDewasa){
			$(this).css('fill', '#ff0000');
		}
	})

	$('.iconwbc').each(function(i){
		if(String($(this).data('nilaiwbc')) === nilaiSkalaNyeriWbc){
			var targetcentang = $(this).data('centang');
			$(targetcentang).css('fill', '#00ff00');
		}
	})


	//dewasa
	$('.areaklik').click(function(e){
		$('.areaklik').css('fill', '#ffffaa');
		$(e.target).css('fill', '#ff0000');
		if(nilaiSkalaNyeriDewasa === $(e.target).data('numericscale')){ // hati2 dgn value 0 dan empty string, gunakan === dari pada == 
			$(e.target).css('fill', '#ffffaa');
			$('.tandacentang').css('fill', '#ffffff'); //reset juga style pada skala wbc(wong baker scale)
			nilaiSkalaNyeriDewasa = ""; //reset ke empty string
			nilaiSkalaNyeriWbc = ""; //hanya ada 1 skala yg terisi
		}else{
			$('.tandacentang').css('fill', '#ffffff'); //reset wbc terlebih dahulu
			nilaiSkalaNyeriDewasa = $(e.target).data('numericscale'); //kode untuk disimpan
			if(nilaiSkalaNyeriDewasa == 0){
				nilaiSkalaNyeriWbc = '0';
				$('#centang1').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 1 || nilaiSkalaNyeriDewasa == 2){
				nilaiSkalaNyeriWbc = '1-2';
				$('#centang2').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 3 || nilaiSkalaNyeriDewasa == 4){
				nilaiSkalaNyeriWbc = '3-4';
				$('#centang3').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 5 || nilaiSkalaNyeriDewasa == 6){
				nilaiSkalaNyeriWbc = '5-6';
				$('#centang4').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 7 || nilaiSkalaNyeriDewasa == 8){
				nilaiSkalaNyeriWbc = '7-8';
				$('#centang5').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 9 || nilaiSkalaNyeriDewasa == 10){
				nilaiSkalaNyeriWbc = '9-10';
				$('#centang6').css('fill', '#00ff00');
			}
		}
		console.log('skalaNyeriDewasa:' + nilaiSkalaNyeriDewasa);
		console.log('skalaNyeriWbc:' + nilaiSkalaNyeriWbc);
		if(nilaiSkalaNyeriDewasa === 0 || nilaiSkalaNyeriDewasa === '0'){
			nilaiKsNyeri = 'TIDAK'; 
		}else if(nilaiSkalaNyeriDewasa > 0){
			nilaiKsNyeri = 'YA';
		}else{
			nilaiKsNyeri = '';
		}
		$('#kesimpulanNyeri').text(nilaiKsNyeri)
		console.log('ks nyeri:'+nilaiKsNyeri)
	});
	
	/*
	//ALERGI OBAT
	var textareaAlergiObat = $('#uraianalergiobat');
    var tempAlergiObat = textareaAlergiObat.val();
    $('input[name="alergiobat"]').on('change', function() {
        if ($(this).attr('value') == 'TIDAK') {
           if (tempAlergiObat  == ""){  tempAlergiObat = textareaAlergiObat.val();}
            textareaAlergiObat.val('');
            //textareaAlergiObat.prop('disabled', true);
            //textareaAlergiObat.addClass('disabled');
        } else {
			textareaAlergiObat.val(tempAlergiObat);
			//textareaAlergiObat.prop('disabled', false);
			//textareaAlergiObat.removeClass('disabled');
        }
    });


	// ALERGI MAKANAN
	var textareaAlergiMakan = $('#uraianalergimakanan');
    var tempAlergiMakan = textareaAlergiMakan.val();
    $('input[name="alergimakanan"]').on('change', function() {
        if ($(this).attr('value') == 'TIDAK') {
            if (tempAlergiMakan  == ""){ tempAlergiMakan = textareaAlergiMakan.val();}
            textareaAlergiMakan.val('');
            //textareaAlergiMakan.prop('disabled', true);
            //textareaAlergiMakan.addClass('disabled');
        } else {
			textareaAlergiMakan.val(tempAlergiMakan);
			//textareaAlergiMakan.prop('disabled', false);
			//textareaAlergiMakan.removeClass('disabled');
        }
    });
	
	// RIWAYAT IMUNISASI
	var textareaRiwayatImunisasi = $('#uraianriwayatimunisasibelum');
    var tempRiwayatImunisasi = textareaRiwayatImunisasi.val();
    $('input[name="riwayatimunisasi"]').on('change', function() {
        if ($(this).attr('value') == 'LENGKAP') {
            if (tempRiwayatImunisasi  == ""){ tempRiwayatImunisasi = textareaRiwayatImunisasi.val();}
            textareaRiwayatImunisasi.val('');
            //textareaRiwayatImunisasi.prop('disabled', true);
            //textareaRiwayatImunisasi.addClass('disabled');
        } else {
			textareaRiwayatImunisasi.val(tempRiwayatImunisasi);
			//textareaRiwayatImunisasi.prop('disabled', false);
			//textareaRiwayatImunisasi.removeClass('disabled');
        }
    });
	
	// KEADAAN UMUM
	var textareaKeadaanUmum = $('#uraiankeadaanumum');
    var tempKeadaanUmum = textareaKeadaanUmum.val();
    $('input[name="keadaanumum"]').on('change', function() {
        if ($(this).attr('value') != 'LAINNYA') {
			if (tempKeadaanUmum  == ""){ tempKeadaanUmum = textareaKeadaanUmum.val();}
            textareaKeadaanUmum.val('');
            //textareaKeadaanUmum.prop('disabled', true);
            //textareaKeadaanUmum.addClass('disabled');
        } else if ($(this).attr('value') == 'LAINNYA'){
			textareaKeadaanUmum.val(tempKeadaanUmum);
			//textareaKeadaanUmum.prop('disabled', false);
			//textareaKeadaanUmum.removeClass('disabled');
        }
    });
	*/
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.GeneralTanggalAsesmen = $('#tanggalasesmen').val();
		post.GeneralJamAsesmen = $('#jamasesmen').val();
		post.GeneralKeluhanUtama = $('#keluhanutama').val();
		post.GeneralRiwayatPenyakitSekarang = $('#riwayatpenyakitsekarang').val();
		post.GeneralRiwayatPenyakitDahulu = $('#riwayatpenyakitdahulu').val();
		post.GeneralRiwayatPenyakitKeluarga = $('#riwayatpenyakitkeluarga').val();
		post.GeneralRiwayatOperasi = $('#riwayatoperasi').val();
		post.GeneralAlergiObat = $("input[name='alergiobat']:checked").val() ? $("input[name='alergiobat']:checked").val() : '';
		post.GeneralUraianAlergiObat = $('#uraianalergiobat').val();
		post.GeneralAlergiMakanan = $("input[name='alergimakanan']:checked").val() ? $("input[name='alergimakanan']:checked").val() : '';
		post.GeneralUraianAlergiMakanan = $('#uraianalergimakanan').val();
		post.GeneralRiwayatImunisasi = $("input[name='riwayatimunisasi']:checked").val() ? $("input[name='riwayatimunisasi']:checked").val() : '';
		post.GeneralUraianRiwayatImunisasiBelum = $('#uraianriwayatimunisasibelum').val();
		post.GeneralKeadaanUmum = $("input[name='keadaanumum']:checked").val() ? $("input[name='keadaanumum']:checked").val() : '';
		post.GeneralUraianKeadaanUmum = $('#uraiankeadaanumum').val();
		post.GeneralKesanSakit = $("input[name='kesansakit']:checked").val() ? $("input[name='kesansakit']:checked").val() : '';
		post.GeneralGcs = $('#gcs1').val() + '-' + $('#gcs2').val() + '-' + $('#gcs3').val();
		post.GeneralSistolik = $('#sistolik').val();
		post.GeneralDiastolik = $('#diastolik').val();
		post.GeneralNadi = $('#nadi').val();
		post.GeneralRr = $('#rr').val();
		post.GeneralSuhu = $('#suhu').val();
		post.GeneralSaturasiOksigen = $('#saturasioksigen').val();
		post.GeneralBb = $('#bb').val();
		post.GeneralTb = $('#tb').val();
		post.GeneralKondisiPupil = $('#kondisipupil').val();
		post.GeneralReflekPupil = $('#reflekpupil').val();
		
		post.GeneralNyeri = nilaiKsNyeri;
		post.GeneralNilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
		post.GeneralNilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;
		post.GeneralFlaccScale = $("input[name='flaccscale']:checked").val() ? $("input[name='flaccscale']:checked").val() : '';
		post.GeneralNipsScale = $("input[name='nipsscale']:checked").val() ? $("input[name='nipsscale']:checked").val() : '';

		
		post.GeneralStatusAmbulasi = $('#statusambulasi').val();
		post.GeneralObjective = $('#fisikgeneral').val();
		post.GeneralFisikKepalaWajah = $('#fisikkepalawajah').val();
		post.GeneralFisikLeher = $('#fisikleher').val();
		post.GeneralFisikDada = $('#fisikdada').val();
		post.GeneralFisikAbdomen = $('#fisikabdomen').val();
		post.GeneralFisikExtremitas = $('#fisikextremitas').val();
		post.GeneralFisikGenital = $('#fisikgenital').val();
		post.GeneralKhususParu = $('#khususparu').val();
		post.GeneralKhususJantung = $('#khususjantung').val();
		post.GeneralKhususNeurologi = $('#khususneurologi').val();
		post.GeneralKhususUrologi = $('#khususurologi').val();
		post.GeneralPemeriksaanLaboratorium = $('#pemeriksaanlaboratorium').val();
		post.GeneralPemeriksaanRadiologi = $('#pemeriksaanradiologi').val();
		post.GeneralPemeriksaanEkg = $('#pemeriksaanekg').val();
		post.GeneralPemeriksaanEchocardiografi = $('#pemeriksaanechocardiografi').val();
		post.GeneralPemeriksaanTreadmil = $('#pemeriksaantreadmil').val();
		post.GeneralPemeriksaanLainnya = $('#pemeriksaanlainnya').val();
		
		post.GeneralDiagnosaMedis = $('#diagnosamedis').val();
		post.GeneralMasalahMedis = $('#masalahmedis').val();
		post.GeneralRencanaTindakan = $('#rencanatindakan').val();
		post.GeneralRencanaTerapi = $('#rencanaterapi').val();
		post.GeneralModalitasFisik = $('#modalitasfisik').val();
		post.GeneralProtesaOrtesa = $('#protesaortesa').val();

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveAsesmenAwalGeneral')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				efekSebelumSimpan()
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					efekSesudahSimpanVerif();
					boolChange = false;
					$('.clientUserName').text(result.FullName);
					$('.clientTimeStamp').text(result.TimeStamp);
					$('.clientIP').text(result.Ip);
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					efekSesudahSimpan();
					boolChange = false;
				} else {
					toastr.error( result.message , 'Errors');
					efekErrorSimpan()
				}
			}
			, complete: function(xhr,status){
				hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
				efekErrorSimpan()
			}
		});

	}
});

var ObjectData = {};
var warnaPencil = 'red';
ObjectData.Nyeri = '<?= $objPatientNursing->GeneralNyeri ?>';
console.log('ks nyeri:'+ObjectData.Nyeri)


function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

$(document).ready(function() {

	//canvas draw -start
	var mousePressed = false;
	var lastX, lastY;
	var ctx;
	var img = document.getElementById('gambarCanvas');
	var imgTersimpan = document.getElementById('gambarTersimpan');

	

	<?php
		$GambarDefault = __USER_ASSETS__.'/images/anatomi.png';
		$urlGambar = $objPatientNursing->GeneralGambarAnatomi ? __IMAGE_ASSETS__. $objPatientNursing->GeneralGambarAnatomi : $GambarDefault;
	?>

	var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
	fabric.Object.prototype.transparentCorners = false;
	fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

	fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
		image.scaleToWidth(400);
		image.scaleToHeight(400);
		canvas.add(image.set({
			id : 'myCanvas'
			, alt : 'blank'
		}));
	});

	canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
	if (canvas.freeDrawingBrush) {
		var brush = canvas.freeDrawingBrush;
		brush.color = "red";
		if (brush.getPatternSrc) {
			brush.source = brush.getPatternSrc.call(brush);
		}
		brush.width = 4;
		brush.shadow = new fabric.Shadow({
			blur: 0,
			offsetX: 0,
			offsetY: 0,
			affectStroke: true,
			color: "#005E7A",
		});
	}

	$('#edit').click(function(){
		canvas.isDrawingMode = true;
		$('#clearArea').removeClass('disabled');
		$('#simpanGambar').removeClass('disabled');
		$('#edit').addClass('disabled');
		return false;
	})


	$('#clearArea').click(function(){
		fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});
		return false;
	})

	//canvas draw -begin
	function dataURItoBlob(dataURI) {
		// convert base64/URLEncoded data component to raw binary data held in a string
		var byteString;
		if (dataURI.split(',')[0].indexOf('base64') >= 0)
			byteString = atob(dataURI.split(',')[1]);
		else
			byteString = unescape(dataURI.split(',')[1]);

		// separate out the mime component
		var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

		// write the bytes of the string to a typed array
		var ia = new Uint8Array(byteString.length);
		for (var i = 0; i < byteString.length; i++) {
			ia[i] = byteString.charCodeAt(i);
		}

		return new Blob([ia], {type:mimeString});
	}
	//canvas draw -end

	$('#simpanGambar').click(function() {

		var canvas = document.getElementById('myCanvas');
		var hasil = canvas.toDataURL('image/jpeg');
		var blob = dataURItoBlob(hasil);

		var fd = new FormData();
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $strId ?>');
		fd.append("department", strDepartmentId);
		fd.append("mode", 'ASESMEN AWAL');
		fd.append("gambar", blob, 'anatomi.jpg');

		$.ajax({
			type: 'POST',
			data: fd,
			url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadImage')?>',
			processData: false,
			contentType: false,
			timeout: 5* 60 * 1000,
			success: function(result){
				toastr.info(result.message, 'Informasi');
			},
			error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			},
			beforeSend: function(xhr){
				$('#clearArea').addClass('disabled');
				$('#simpanGambar').hide();
				$('#simpanGambar-loading').show();
			},
			complete: function(xhr,status){
				$('#edit').removeClass('disabled');
				$('#clearArea').addClass('disabled');
				$('#simpanGambar').addClass('disabled');
				$('#simpanGambar').show();
				$('#simpanGambar-loading').hide();
			}
		})

	})

	
	
	$('#tombol-save-loading').hide();
	$('#simpanGambar-loading').hide();


//-------------
 
if( is_android_ready == true ){ // awal kondisi dijalankan hanya di andoid

$( "#keluhanutama" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'keluhanutama';
	window.scrollTo({
	 top: 440
	});
});

$( "#riwayatpenyakitsekarang" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'riwayatpenyakitsekarang';
	window.scrollTo({
	 top: 610
	});
});

$( "#riwayatpenyakitdahulu" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'riwayatpenyakitdahulu';
	window.scrollTo({
	 top: 730
	});
});


$( "#riwayatpenyakitkeluarga" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'riwayatpenyakitkeluarga';
	window.scrollTo({
	 top: 840
	});
});

$( "#riwayatoperasi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 950
	});
});

var koreksi = 0;

$( "#uraianalergiobat" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'uraianalergiobat';
	window.scrollTo({
	 top: 1100
	});
});

$( "#uraianalergimakanan" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'uraianalergimakanan';
	if( $( "#alergiobatrow" ).is(":visible") ) {
	  // koreksi = koreksi + 20;
	} else {
	  if( koreksi > 0 ) {
		 // koreksi = koreksi - 20;
	  }
	}
	if( $( "#alergimakananrow" ).is(":visible") ) {
	  // koreksi = koreksi + 20;
	} else {
	  if( koreksi > 0 ) {
		 // koreksi = koreksi - 20;
	  }
	}
	window.scrollTo({
	 top: 1245 + koreksi
	});
});


$( "#gcs1" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#gcs2" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#gcs3" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#sistolik" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#diastolik" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#nadi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#rr" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#suhu" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#saturasioksigen" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#bb" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#tb" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#kondisipupil" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1620 + 320
	});
});

$( "#reflekpupil" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1620 + 320
	});
});


$( "#statusambulasi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'statusambulasi';
	window.scrollTo({
	 top: 2300 + 320
	});
});

$( "#fisikkepalawajah" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikkepalawajah';
	window.scrollTo({
	 top: 2460 + 320
	});
});

$( "#fisikleher" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikleher';
	window.scrollTo({
	 top: 2590 + 320
	});
});

$( "#fisikdada" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikdada';
	window.scrollTo({
	 top: 2700 + 320
	});
});

$( "#fisikabdomen" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikabdomen';
	window.scrollTo({
	 top: 2800 + 320
	});
});

$( "#fisikextremitas" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikextremitas';
	window.scrollTo({
	 top: 2890 + 320
	});
});

$( "#fisikgenital" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikgenital';
	window.scrollTo({
	 top: 2980 + 320
	});
});

$( "#khususparu" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'khususparu';
	window.scrollTo({
	 top: 3150 + 320
	});
});

$( "#khususjantung" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'khususjantung';
	window.scrollTo({
	 top: 3250 + 320
	});
});

$( "#khususneurologi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'khususneurologi';
	window.scrollTo({
	 top: 3350 + 320
	});
});

$( "#khususurologi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'khususurologi';
	window.scrollTo({
	 top: 3440 + 320
	});
});

$( "#pemeriksaanlaboratorium" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanlaboratorium';
	window.scrollTo({
	 top: 3550 + 320
	});
});

$( "#pemeriksaanradiologi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanradiologi';
	window.scrollTo({
	 top: 3650 + 320
	});
});

$( "#pemeriksaanekg" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanekg';
	window.scrollTo({
	 top: 3750 + 320
	});
});

$( "#pemeriksaanechocardiografi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanechocardiografi';
	window.scrollTo({
	 top: 3850 + 320
	});
});

$( "#pemeriksaantreadmil" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaantreadmil';
	window.scrollTo({
	 top: 3950 + 320
	});
});

$( "#pemeriksaanlainnya" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanlainnya';
	window.scrollTo({
	 top: 4050 + 320
	});
});

$( "#diagnosamedis" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'diagnosamedis';
	window.scrollTo({
	 top: 4200 + 320
	});
});

$( "#masalahmedis" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'masalahmedis';
	window.scrollTo({
	 top: 4330 + 320
	});
});

$( "#rencanatindakan" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'rencanatindakan';
	window.scrollTo({
	 top: 4430 + 320
	});
});

$( "#rencanaterapi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'rencanaterapi';
	window.scrollTo({
	 top: 4520 + 320
	});
});

$( "#modalitasfisik" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'modalitasfisik';
	window.scrollTo({
	 top: 4610 + 320
	});
});

$( "#protesaortesa" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'protesaortesa';
	window.scrollTo({
	 top: 4700 + 320
	});
});

} // akhir kondisi dijalankan hanya di andoid

PromedikaSpeechRecoqnitionOnFormResult = function(msg){
	if( $( "#asesmen_awal_medis" ).html() == 'active' ){
		// console.log("active asesmen_awal_medis");
		var arrayword = [];
		arrayword = msg.toLowerCase().replace("," , ".").replace( /\s\s+/g , ' ' ).trim().split(' '); // tambahan
		for (var j = 0, l = arrayword.length; j < l; j++) {
			var currentCommand = arrayword[j];
			console.log( arrayword[j] );
			if( $.inArray( arrayword[j] , ['keluhan'] ) > -1 ) {			// ======================================================================================
				if( $.inArray( arrayword[j+1] , ['utama','pokok'] ) > -1 ) {
					$( "#keluhanutama" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['riwayat'] ) > -1 ) {	 // ======================================================================================
				if( $.inArray( arrayword[j+1] , ['sekarang'] ) > -1 ) {
					$( "#riwayatpenyakitsekarang" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['saat'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['ini'] ) > -1 ) {
						$( "#riwayatpenyakitsekarang" ).focus();
						return true;
					}
				}
				if( $.inArray( arrayword[j+1] , ['penyakit','sakit'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['sekarang'] ) > -1 ) {
						$( "#riwayatpenyakitsekarang" ).focus();
						return true;
					}
					if( $.inArray( arrayword[j+2] , ['saat'] ) > -1 ) {
						if( $.inArray( arrayword[j+3] , ['ini'] ) > -1 ) {
							$( "#riwayatpenyakitsekarang" ).focus();
							return true;
					 	}
				  	}
					if( $.inArray( arrayword[j+2] , ['dahulu','dulu'] ) > -1 ) {
						$( "#riwayatpenyakitdahulu" ).focus();
						return true;
				  	}
					if( $.inArray( arrayword[j+2] , ['keluarga'] ) > -1 ) {
						$( "#riwayatpenyakitkeluarga" ).focus();
						return true;
					}
				}
				if( $.inArray( arrayword[j+1] , ['operasi'] ) > -1 ) {
					$( "#riwayatoperasi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['alergi'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['obat'] ) > -1 ) {
						$("input[name='alergiobat']:checked").val('YA');
						$('.alergiobatrow').show();
						$('#uraianalergiobat').focus();
						return true;
					}
				}
			} else if( $.inArray( arrayword[j] , ['penyakit','sakit'] ) > -1 ) {	// ===============================================================================
				if( $.inArray( arrayword[j+1] , ['sekarang'] ) > -1 ) {
					$( "#riwayatpenyakitsekarang" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['dahulu','dulu'] ) > -1 ) {
					$( "#riwayatpenyakitdahulu" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['keluarga'] ) > -1 ) {
					$( "#riwayatpenyakitkeluarga" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['pemeriksaan','inspeksi'] ) > -1 ) { // ===========================================================================
				if( $.inArray( arrayword[j+1] , ['kepala'] ) > -1 ) {
					$( "#fisikkepalawajah" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['leher'] ) > -1 ) {
					$( "#fisikleher" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['thorax','thoraks','thorak','torax','toraks','torak','dada'] ) > -1 ) {
					$( "#fisikdada" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['abdomen','perut'] ) > -1 ) {
					$( "#fisikabdomen" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['ekstremitas','extremitas','tangan','kaki'] ) > -1 ) {
					$( "#fisikextremitas" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['paru'] ) > -1 ) {
					$( "#khususparu" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['jantung'] ) > -1 ) {
					$( "#khususjantung" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['neurologi','saraf','syaraf'] ) > -1 ) {
					$( "#khususneurologi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['urologi'] ) > -1 ) {
					$( "#khususurologi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['lab','laborat','laboratorium'] ) > -1 ) {
					$( "#pemeriksaanlaboratorium" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['radiologi','xray','foto'] ) > -1 ) {
					$( "#pemeriksaanradiologi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['ekg'] ) > -1 ) {
					$( "#pemeriksaanekg" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['echocardiografi','echocardio','ekokardiografi','ekokardio'] ) > -1 ) {
					$( "#pemeriksaanechocardiografi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['treadmill'] ) > -1 ) {
					$( "#pemeriksaantreadmil" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['lainnya'] ) > -1 ) {
					$( "#pemeriksaanlainnya" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['diagnosa','diagnose'] ) > -1 ) { // ==============================================================================
				if( $.inArray( arrayword[j+1] , ['medis'] ) > -1 ) {
					$( "#diagnosamedis" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['masalah'] ) > -1 ) {			 // ==============================================================================
				if( $.inArray( arrayword[j+1] , ['medis'] ) > -1 ) {
					$( "#masalahmedis" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['rencana'] ) > -1 ) {			 // ==============================================================================
				if( $.inArray( arrayword[j+1] , ['tindakan'] ) > -1 ) {
					$( "#rencanatindakan" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['terapi','pengobatan'] ) > -1 ) { 
					$( "#rencanaterapi" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['modalitas'] ) > -1 ) {			// ==============================================================================
				if( $.inArray( arrayword[j+1] , ['fisik'] ) > -1 ) {
					$( "#modalitasfisik" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['pemakaian'] ) > -1 ) {			// ==============================================================================
				if( $.inArray( arrayword[j+1] , ['protesa' , 'ortesa'] ) > -1 ) {
					$( "#protesaortesa" ).focus();
					return true;
				}	
			} else if( $.inArray( arrayword[j] , ['simpan'] ) > -1 ) {			  // ==============================================================================
				if( $.inArray( arrayword[j+1] , ['sementara' , 'draft'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['oke' , 'ok'] ) > -1 ) {
						console.log('simpan draft asesmen awal');
						prosesKirimData('DRAFT');
						AndroidStopSpeechRecoqnition(); 
						return true;
					}
				}
				if( $.inArray( arrayword[j+1] , ['tanda'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['tangan','tangani'] ) > -1 ) {
						if( $.inArray( arrayword[j+3] , ['oke', 'ok'] ) > -1 ) {
							console.log('simpan tanda tangani asesmen awal');
							$('#modal-area').modal("show");
							$('#tandatangani').show();
							$('#tandatanganiperubahan').hide();
							return true;
						}
					}
				}
			} else if( $.inArray( arrayword[j] , ['tensi','tekanan'] ) > -1 ) {	// ================================================================================
				if( $.inArray( arrayword[j+1] , ['darah'] ) > -1 ) {
					var sistole = parseInt( arrayword[j+2] ), diastole = parseInt( arrayword[j+3] );
					if( sistole > 10  && sistole < 300 ) {
						$("#sistolik").val( sistole );
						$("#sistolik").focus();
						return true;
				  	}
					if( diastole > 10 && diastole < 300 ) {
						$("#diastolik").val( diastole );
						$("#diastolik").focus();
						return true;
					}
				}
				var sistole = parseInt( arrayword[j+1] ), diastole = parseInt( arrayword[j+2] );
				if( 10 < sistole && sistole < 300 ) {
					$("#sistolik").val( sistole );
					$("#sistolik").focus();
				}
				if( 10 < diastole && diastole < 300 ) {
					$("#diastolik").val( diastole );
					$("#diastolik").focus();
				}
			} else if( $.inArray( arrayword[j] , ['nadi','nanti'] ) > -1 ) {	// ===================================================================================
				var nadi = parseInt( arrayword[j+1] ), diastole = parseInt( arrayword[j+2] );
				if( 10 < nadi && nadi < 300 ) {
					$("#nadi").val( nadi );
					$("#nadi").focus();
				}
			} else if( $.inArray( arrayword[j] , ['nafas','rr'] ) > -1 ) {	// =====================================================================================
				var nafas = parseInt( arrayword[j+1] );
				if( 1 < nafas && nafas < 60 ) {
					$("#rr").val( nafas );
					$("#rr").focus();
				}
			} else if( $.inArray( arrayword[j] , ['gcs','ggs','pdf'] ) > -1 ) {	// ================================================================================
				$("#gcs1").val( arrayword[j+1].substr(0,1) );
				$("#gcs1").focus();
				$("#gcs2").val( arrayword[j+1].substr(1,1) );
				$("#gcs2").focus();
				$("#gcs3").val( arrayword[j+1].substr(2,1) );
				$("#gcs3").focus();
			} else if( $.inArray( arrayword[j] , ['suhu','temperatur'] ) > -1 ) {	// ==============================================================================
				$("#suhu").val( arrayword[j+1] );
				$("#suhu").focus();
			} else if( $.inArray( arrayword[j] , ['berat'] ) > -1 ) {	// ==========================================================================================
				$("#bb").val( arrayword[j+1] );
				$("#bb").focus();
			} else if( $.inArray( arrayword[j] , ['tinggi'] ) > -1 ) {	// =========================================================================================
				$("#tb").val( arrayword[j+1] );
				$("#tb").focus();
			} else if( $.inArray( arrayword[j] , ['saturasi'] ) > -1 ) {	// =======================================================================================
				if( $.inArray( arrayword[j+1] , ['oksigen'] ) > -1 ) {
					$("#saturasioksigen").val( arrayword[j+2] );
					$("#saturasioksigen").focus();
					return true;
				}
			}
		}
		if( $("#"+currentFocus).val() ) { $("#"+currentFocus).val( $("#"+currentFocus).val() + ' ' + msg ); } else { $("#"+currentFocus).val( msg ); }
	}
}

//-------------

function openInNewTab(url) {
	var win = window.open(url, '_blank');
	win.focus();
} 

var convertDateToISO = function (strDateIna) {
	return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}

});
</script>
