<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}


$objGet = System::genObject('get');

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $tanggalStart = $objPatientNursing->NursingStartDate ? $objPatientNursing->NursingStartDate : $start;
    $tanggalEnd = $objPatientNursing->NursingEndDate ? $objPatientNursing->NursingEndDate : $start;

    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<!-- <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script> -->
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 900;
    }
    .m-1{
        margin: 2px;
    }
</style>
<!-- <link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css"> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1">Dokumentasi</h1>
    </div>
</div>

<div class="col-xs-11">
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FirstName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
</div>

<div style="text-align:center; padding: 5px">
    <a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakannnn</a>
</div>

<div class="col-xs-11">
    <div class="box box-info form-horizontal box-info-pasien col-xs-11" style="padding-bottom: 25px;">
        <div class="box-body">
            <div class="row">
                <div class="input-group row col-xs-11 animated fadeInRight" >
                    <div class="col-md-2">
                        <a class="btn btn-primary" href="#" id="add-data" style="margin:5px; margin-top: -4px;"><i class="fa fa-plus">  Tambah </i></a>
                    </div>
                    <div class="col-md-4">
                        <input name="search_medical_record" id="search_medical_record" type="text" class="form-control" placeholder="Pencarian Keterangan Dokumen" autocomplete="off" tabindex="0" style="margin-top: -4px;" value="" >
                    </div>
                    <div class="col-md-5">
                        <button type="button" class="btn btn-warning btn-sm pull-right" style="margin-left: 15px; margin-top: -4px;" id="refreshtombol" >Refresh</button>
                        <div id="rangeWaktu" class="pull-right" style="height: 35px; margin-top: -5px; background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
                            <i class="glyphicon glyphicon-calendar fa fa-calendar" style="margin-top: 5px;"></i>
                            <span></span> <b class="caret"></b>
                        </div>
                    </div>
                </div>
                <table id="tabelDokumentasi" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
            </div>
        </div>
    </div>
</div>

<div id="modal_tambah" class="modal fade" role="dialog">
    <div class="modal-dialog" style="top: 25px; width: 1000px; border-radius: 5px; border: 3px solid #00a7d0;">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Tambah</h4>
            </div>
            <div id="AreaTambahData" class="modal-body-search" style="min-height: 400px; max-height: 520px; overflow-y: scroll;">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-warning" id="file_save" tabindex="299">Simpan</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" tabindex="300">Close</button>
            </div>
        </div>
    </div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
        var SubmitFrom = null;
        var startRange = '<?= $tanggalStart->PhpDate('d.m.Y') ?> - <?= $tanggalEnd->PhpDate('d.m.Y') ?>';
        $('#rangeWaktu span').html(startRange);

        var tabelDokumentasi = $('#tabelDokumentasi').DataTable({
            "dom": 't<"row"<"col-sm-5"i><"col-sm-7"p>>'
            ,"header": true
            ,'language': {
                'processing': '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
            }
            // , 'processing': true
            , 'destroy': true
            , 'searching': false
            , 'serverSide': true
            , 'ordering' : false
            , "ajax": {
                'url' :'<?= QApplication::UrlActionCreator('PatientNursingAssessment/ListDokumentasi') ?>'
                , 'type' : 'POST'
                , 'data': function(d) {
                    d.pageId = strPageId;
                    d.range = $('#rangeWaktu span').html();
                    d.search = $('#search_medical_record').val();
                    d.PatientId = '<?= $objPatientNursing->PatientId; ?>';
                }
            }
            , 'order': [[0,'desc']]
            , "columns": [
                {
                    'title': 'No'
                    ,'data': 'No'
                    ,'searchable': false
                    ,'sortable': false
                }
                , {
                    'title': 'Tanggal'
                    ,'data': 'CreateTime'
                    ,'searchable': false
                    ,'sortable': false
                }
                , {
                    'title': 'Group'
                    ,'data': 'GroupName'
                    ,'searchable': true
                    ,'sortable': false
                }
                , {
                    'title': 'Deskripsi'
                    ,'data': 'Description'
                    ,'width': '40%'
                    ,'searchable': true
                    ,'sortable': false
                }
                , {
                    'title': 'Action'
                    ,'data': 'MediaType'
                    ,'searchable': false
                    ,'sortable': false
                    ,'className': "uniqueClassTextAlignCenter"
                    ,'render': function ( data, type, row, meta ) {
                        var str = data;
                        if(str){
                            var arrTipe = str.split("/");
                            return '<a href="#" class="btn btn-success btnPreview">Preview</a>'

                        }else{
                            return '<a href="#" class="btn btn-success btnDownload">Download</a>'
                        }
                        
                    }
                }
                , {
                    'title': 'Thumbnail'
                    ,'data': 'FileName'
                    ,'searchable': false
                    ,'sortable': false
                    ,'width': '50px'
                    ,'className': "uniqueClassTextAlignCenter"
                    ,'render': function ( data, type, row, meta ) {
                        if(! row.Thumb){
                            return null
                        }
                        var url = '<?= __USER_ASSETS__ ?>/foto'+row.Directory+'/thumbnail/'+row.FileName;
                        return '<img src="'+url+'" placehoder="thumbnail" style="width: 32px">';
                    }
                }
                , {
                    'title': ''
                    ,'data': 'Id'
                    ,'searchable': false
                    ,'sortable': false
                    ,'width': '50px'
                    ,'className': "uniqueClassTextAlignCenter"
                    ,'render': function ( data, type, row, meta ) {
                        var html = "";
                        // html += '<button class="btn btn-warning m-1">Edit</button>';
                        html += '<button class="btn btnHapusRow btn-danger m-1"><i class="fa fa-trash"></i><span class="hidden-xs"> Hapus</span></button>';
                        return html;
                    }
                }
            ]
            , rowCallback: function(row,data){
                if (data.PatientNursingId == "<?= $strId ?>") {
                    $(row).css("background-color", "#CCFFC0");
                }
            }
        } );

        $('#rangeWaktu').daterangepicker({
            format: 'DD/MM/YYYY',
            dateLimit: {days: 60},
            showDropdowns: true,
            showWeekNumbers: true,
            timePicker: false,
            timePickerIncrement: 1,
            timePicker12Hour: true,
            ranges: {
                'Hari ini': [moment(), moment()],
                'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                '7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
                '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
                'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
                'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
            },
            opens: 'left',
            drops: 'down',
            buttonClasses: ['btn', 'btn-sm'],
            applyClass: 'btn-primary',
            cancelClass: 'btn-default',
            separator: ' to ',
            locale: {
                applyLabel: 'Submit',
                cancelLabel: 'Cancel',
                fromLabel: 'From',
                toLabel: 'To',
                customRangeLabel: 'Custom',
                daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm', 'Sb'],
                monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
                firstDay: 1
            }
        }, function (start, end, label) {
            var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
            $('#rangeWaktu span').html(newRange)
            reload();
        });

$('#add-data').click(function(){
    setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/add-dokumentasi-form')?>/<?= $$objTable->Id; ?>/','AreaTambahData','',true,function () {
        $("#modal_tambah").modal({ backdrop: "static", keyboard: false});
    });
});

$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function () {
    //'hmis-patient-medical-service-rnap/tindakan'
    var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    console.log('link kembali: <?= $objGet->LinkKembali ?>');
    <?php
    $linkKembali = $objGet->LinkKembali ? $objGet->LinkKembali : 'hmis-patient-medical-service-history/tindakan';
    ?>
    // setContent('<?= QApplication::UrlCreator($linkKembali)?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
    var data = sessionStorage.getItem('reference');
    var url = '';
    if ( data == 'nursing' ) {
       url = 'hmis-patient-medical-service-history/tindakan/?pageId=';
    }
    if ( data == 'outpatient' ) {
       url = 'hmis-patient-medical-service-history/tindakan/?pageId=';
    }
    setContent( url + sessionStorage.pageId + '&Id=' + Id , 'content' );
});

$('#content').off('click', '.btnPreview').on('click', '.btnPreview',function(){
    var data = tabelDokumentasi.row( $(this).parents('tr') ).data();
    var url = '<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/HospitalFileService/Content/?pageId='+sessionStorage.pageId+'&Id='+data.Id;
    console.log(url);
    window.open(url);
})

$(document).off('click', '.btnDownload').on('click', '.btnDownload',function(){
    var data = tabelDokumentasi.row( $(this).parents('tr') ).data();
    var url = '<?= __USER_ASSETS__ ?>/foto'+data.Directory+'/'+data.FileName;
    console.log(url);
    window.open(url);
})

function reload()
{
    tabelDokumentasi.ajax.reload();
}
$('#content').off('click', '#refreshtombol').on('click', '#refreshtombol',function(){
    reload()
})

//
$('#content').off('input', '#search_medical_record').on('input', '#search_medical_record',function(){
    doDelayedSearch()
})
var timeout = null;
function doDelayedSearch(val) {
  if (timeout) {  
    clearTimeout(timeout);
  }
  timeout = setTimeout(function() {
    //  doSearch(val); //this is your existing function
    reload()
  }, 3000);
}
//

$('#file_save').click(function(){
    if( !$('#InputDescription').val() ) {
        jWarningAction('Deskripsi Belum Diisi', function(){
            $('#InputDescription').focus();
        });
        return false;
    }

    $('#DokumentasiFileData').submit();
    return true
});

//
    function pageValidation() {
        var blReturn = true;
        return blReturn;
    }

    function preAction() {
        hideControl('formPage');
    }

    function postFailed(response) {
        alert('gagal')
    }

    function successAction(response) {
        // if (SubmitFrom == '' || SubmitFrom == 'main')
            
        console.log(response);
        toastr[response.status](response.message, 'Informasi');
        $('#modal_tambah').modal('hide');
        reload();
        stateServerAction(false);
        showControl('formPage');
    }

    function completeAction() {
        if( SubmitFrom == '' || SubmitFrom == 'main' ){
            showControl('formPage');
            $('[tabindex=1]').focus();
        } else if( SubmitFrom == 'employee_family' ){
        }
    }


    // =================================================================================================================

    var duration = 250, easing = 'easeInOutQuad';
    $("body").on( "wide-screen" , function( event ) {
        console.log('wide-screen');
        $(".col-xs-11").switchClass("col-xs-11","col-xs-12", duration, easing , function(){  ; } );
    });

    $("body").on( "narrow-screen" , function( event ) {
        console.log('narrow-screen');
        $(".col-xs-12").switchClass("col-xs-12","col-xs-11", duration, easing , function(){  ; } );
    });

    // =================================================================================================================

    $(document).off('click', '.btnHapusRow').on('click', '.btnHapusRow',function(){
        var data = tabelDokumentasi.row( $(this).parents('tr') ).data();
        deleteItem(data.Id)
    })

    function deleteItem(id)
	{
		var _deleteItem = function() {
			showLoader();
			jQuery.fallr('hide', function () {
				var formTime = '<?= $formTime?>';
				var formId = '<?= $formId ?>';
				var request = $.post('<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/PatientNursingDocument/Delete',{'pageId' : sessionStorage.pageId,'formId' : formId,'formTime' : formTime,'id' : id});
				request.done(function(response){
					hideLoader();
					if(response.status == 'success')
					{
						toastr[response.status](response.message,'Informasi');
						reload();
					}
					else
					{
						var first = response.status.substr(0,1).toUpperCase();
						var last = response.status.substr(1).toLowerCase();
						toastr[response.type](response.message,first+last);
					}
				});
				request.fail(function() {
					toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
				});
			});
		};

		jFallr(
			'Perhatian !!! ' + '<br />' +
			'Hapus data ' + '<br />' +
			'Mohon konfirmasi hapus [ Ya / Tidak ] !'
			, _deleteItem
		);

	}
</script>
