<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
 <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_jantung {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
.ext-el-mask{width:100%!important;height:100%!important;}
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row animated fadeInRight" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">ASESMEN JANTUNG</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!--  <form> -->

<div id='FormPage'>
<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 10px;">
    <div class="box-header" style="padding-bottom:0px;">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Asesmen Awal</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggalasesmen_poli_jantung"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen_poli_jantung" type="text" class="form-control input-date" name="tanggalasesmen_poli_jantung" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalAsesmenPoliJantung != "" ? $objPatientNursing->vTanggalAsesmenPoliJantung : date("d-m-Y") ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="jamasesmen_poli_jantung"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen_poli_jantung" type="text" class="form-control timepicker" name="jamasesmen_poli_jantung" placeholder="HH:mm" pattern="HH:mm" value="<?= $objPatientNursing->vJamAsesmenPoliJantung != "" ? $objPatientNursing->vJamAsesmenPoliJantung : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
        </div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Keluhan Utama</b></label>
				<textarea name="keluhan_utama_poli_jantung" id="keluhan_utama_poli_jantung" rows="4" class="form-control" placeholder="Keluhan Utama" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeluhanUtamaPoliJantung ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 10px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Anamnea Khusus (Riwayat penyakit sekarang)</b></label>
				<textarea name="anamnea_khusus_poli_jantung" id="anamnea_khusus_poli_jantung" rows="4" class="form-control" placeholder="Anamnea Khusus (Riwayat penyakit sekarang)" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vAnamneaKhususPoliJantung ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Penyakit Dahulu</b></label>
				<textarea name="riwayat_penyakit_dahulu_poli_jantung" id="riwayat_penyakit_dahulu_poli_jantung" rows="4" class="form-control" placeholder="Riwayat Penyakit Dahulu" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPenyakitDahuluPoliJantung ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Alergi</b></label>
				<textarea name="riwayat_alergi_poli_jantung" id="riwayat_alergi_poli_jantung" rows="4" class="form-control" placeholder="Riwayat Alergi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatAlergiPoliJantung ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Pengobatan</b></label>
				<textarea name="riwayat_pengobatan_poli_jantung" id="riwayat_pengobatan_poli_jantung" rows="4" class="form-control" placeholder="Riwayat Pengobatan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPengobatanPoliJantung ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>Riwayat Operasi</b></label>
				<textarea name="riwayat_operasi_poli_jantung" id="riwayat_operasi_poli_jantung" rows="4" class="form-control" placeholder="Riwayat Operasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatOperasiPoliJantung ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/anatomi.jpg';

					$gambarTersimpan = $objPatientNursing->vLokasiAnatomiJantung ? $objPatientNursing->vLokasiAnatomiJantung : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
			<div class="col-md-6">
				<div class="row" style="">
					<div class="col-md-12">
						<label class="control-label" for="" style="padding-top:0px;"><b>Pemeriksaan Fisik</b></label>
						<textarea name="pemeriksaan_fisik_poli_jantung" id="pemeriksaan_fisik_poli_jantung" rows="4" class="form-control" placeholder="Pemeriksaan Fisik" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPemeriksaanFisikPoliJantung ?></textarea>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<label class="control-label" for=""><b>Hasil  Pemeriksaan Penunjang ( &#60; 30 hari )</b></label>
						<textarea name="hasil_pemeriksaan_penunjang_poli_jantung" id="hasil_pemeriksaan_penunjang_poli_jantung" rows="4" class="form-control" placeholder="Hasil  Pemeriksaan Penunjang ( &#60; 30 hari )" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vHasilPenunjangPoliJantung ?></textarea>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<label class="control-label" for=""><b>Diagnosa</b></label>
						<textarea name="diagnosa_poli_jantung" id="diagnosa_poli_jantung" rows="4" class="form-control" placeholder="Diagnosa" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDiagnosaPoliJantung ?></textarea>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<label class="control-label" for=""><b>Pengobatan / Tindakan / Rencana Pemeriksaan</b></label>
						<textarea name="pengobatan_tindakan_rencana_pemeriksaan_poli_jantung" id="pengobatan_tindakan_rencana_pemeriksaan_poli_jantung" rows="4" class="form-control" placeholder="Pengobatan / Tindakan / Rencana Pemeriksaan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPengobatanTindakanPoliJantung ?></textarea>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 10px;">
    <div class="box-header" style="">
		<i class="fa fa-user-md"></i>
        <h3 class="box-title">Dokter</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
						<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Dokter yang menangani</b></div>
					</span>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_poli_jantung" id="dokter_yang_menangani_poli_jantung" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterPoliJantungId != "" ? $objPatientNursing->vDokterPoliJantungId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterPoliJantungNama != "" ? $objPatientNursing->vDokterPoliJantungNama : $objPatientNursing->DoctorName; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="padding-bottom:0px;">
		<i class="fa fa-sign-in"></i>
        <h3 class="box-title">Tindak Lanjut</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>MRS Ruang</b></label>
				<input type="text" class="form-control" placeholder="MRS Ruang" id="mrs_ruang_poli_jantung" value="<?= $objPatientNursing->vMrsRuangPoliJantung ; ?>" >
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Kontrol tanggal</b></label>
              <div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
					<input type="text" class="form-control input-date" placeholder="Kontrol tanggal" id="kontrol_tanggal_poli_jantung" data-mask="00-00-0000" value="<?= $objPatientNursing->vKontrolTanggalPoliJantung ; ?>" >
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Rujuk ke</b></label>
				<input type="text" class="form-control" placeholder="Rujuk ke" id="rujuk_ke_poli_jantung" value="<?= $objPatientNursing->vRujukKePoliJantung ; ?>" >
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Indikasi Rujuk</b></label>
				<input type="text" class="form-control" placeholder="Indikasi Rujuk" id="indikasi_rujuk_poli_jantung" value="<?= $objPatientNursing->vIndikasiRujukPoliJantung ; ?>" >
			</div>
		</div>
	</div>
</div>


</div>
<!-- </form> -->


<?php $modeValidasi = System::getPublicVariable('mode_validasi'); ?>
<?php 	if($modeValidasi == "verifikasi_tanda_tangan") { ?>
<div class="alert alert-success sudah-simpan" role="alert">
	<strong>Selesai!</strong> Asesmen Pemeriksaan Jantung telah di Verifikasi Oleh <b class="clientUserName"><?=$objPatientNursing->vDokterPoliJantungModifiedLoginName?></b> pada <b class="clientTimeStamp"><?=$objPatientNursing->vDokterPoliJantungModifiedTimestamp?></b> dari perangkat dengan IP <b class="clientIP"><?=$objPatientNursing->vDokterPoliJantungFromIpAddress?></b>.
</div>
<div class="row">
	<div class="col-xs-12">
		<a class="btn btn-danger sudah-simpan koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan</a>
		<a href="#" type="button" class="btn btn-success show-modal" id="validasi"><i class="fa fa-certificate" style="width:18px;"></i> Validasi <i style="color:yellow;" class="fa fa-check sudah-simpan"></i></a>
		<a href="#" id="preview_sebelum_tte" type="button" class="btn btn-success sudah-simpan" ><i class="fa fa-save" style="width:18px;"></i> Tanda Tangan</a>
		<div class="input-group print_preview" style="display:inline-block;margin-left:30px;visibility: hidden;">
			<input type="number" id="nama_versi" class="form-control"  placeholder="" style="width:130px;border-radius:3px 0px 0px 3px;" >
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>
<?php	} else if($modeValidasi == "verifikasi") {
?>
<div class="alert alert-success sudah-simpan" role="alert">
	<strong>Selesai!</strong> Asesmen Pemeriksaan Jantung telah di Verifikasi Oleh <b class="clientUserName"><?=$objPatientNursing->vDokterPoliJantungModifiedLoginName?></b> pada <b class="clientTimeStamp"><?=$objPatientNursing->vDokterPoliJantungModifiedTimestamp?></b> dari perangkat dengan IP <b class="clientIP"><?=$objPatientNursing->vDokterPoliJantungFromIpAddress?></b>.
</div>
<div class="row">
	<div class="col-xs-12">
		<a class="btn btn-danger sudah-simpan koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan</a>
		<a href="#" type="button" class="btn btn-success show-modal" id="validasi"><i class="fa fa-certificate" style="width:18px;"></i> Validasi <i style="color:yellow;" class="fa fa-check sudah-simpan"></i></a>
		<div class="input-group print_preview" style="display:inline-block;margin-left:30px;visibility: hidden;">
			<input type="number" id="nama_versi" class="form-control"  placeholder="" style="width:130px;border-radius:3px 0px 0px 3px;" >
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>
<?php	} else if($modeValidasi == "tanda_tangan") {
?>
<div class="row">
	<div class="col-xs-12">
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan</a>
		<a href="#" id="preview_sebelum_tte" type="button" class="btn btn-success sudah-simpan" ><i class="fa fa-save" style="width:18px;"></i> Tanda Tangan</a>
		<div class="input-group print_preview" style="display:inline-block;">
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>
<?php } else {?>
<div class="alert alert-success sudah-simpan" role="alert">
	<strong>Selesai!</strong> Asesmen Pemeriksaan Jantung telah di Verifikasi Oleh <b class="clientUserName"><?=$objPatientNursing->vDokterPoliJantungModifiedLoginName?></b> pada <b class="clientTimeStamp"><?=$objPatientNursing->vDokterPoliJantungModifiedTimestamp?></b> dari perangkat dengan IP <b class="clientIP"><?=$objPatientNursing->vDokterPoliJantungFromIpAddress?></b>.
</div>
<div class="row">
	<div class="col-xs-12">
		<a class="btn btn-danger sudah-simpan koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan</a>
		<a href="#" type="button" class="btn btn-success show-modal" id="validasi"><i class="fa fa-certificate" style="width:18px;"></i> Validasi <i style="color:yellow;" class="fa fa-check sudah-simpan"></i></a>
		<a href="#" id="preview_sebelum_tte" type="button" class="btn btn-success sudah-simpan" ><i class="fa fa-save" style="width:18px;"></i> Tanda Tangan</a>
		<div class="input-group print_preview" style="display:inline-block;margin-left:30px;visibility: hidden;">
			<input type="number" id="nama_versi" class="form-control"  placeholder="" style="width:130px;border-radius:3px 0px 0px 3px;" >
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>


<?php } ?>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->

    <div class="modal-content betulDPJP">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Konfirmasi</h4>
      </div>
      <div class="modal-body">
        <p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
            pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
        </p>

        <div>
            <hr>
            <label><b>Password</b></label>
            <input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger sudah-simpan" id="tandatanganiperubahan" > Setuju &amp; Simpan Perubahan</button>
        <button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
      </div>
    </div>

    <div class="modal-content bukanDPJP">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title" style="text-align:center;font-size:24px;font-weight:bold;">PERINGATAN</h4>
      </div>
      <div class="modal-body" style="text-align:center;">
	  <i class="fa fa-ban" style="color:red!important;font-size:150px;padding:20px;"></i><br>
	  
        <p style="font-size:20px;">HANYA DPJP YANG BERHAK TANDA TANGAN</p>

        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
      </div>
    </div>

  </div>
</div>



<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

console.log('<?=System::getPublicVariable('mode_validasi')?>')
//alert('DPJP Name = <?=$objPatientNursing->DoctorName;?> \nDPJP  Id = <?=$objPatientNursing->DoctorId ?> \nUsername = <?=$objSystemUser->LoginName;?> \nPersonal Name = <?=$objSystemUser->FullName;?> \nPersonal Id = <?=$objSystemUser->ReferenceId;?> ')
	
	
var FormGizi = function(){

	'use strict';
	
	<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>	
	var revisionNumber = parseInt('<?=$objPatientNursing->vDokterPoliJantungModifiedVersion != "" ? $objPatientNursing->vDokterPoliJantungModifiedVersion : "0" ;?>');
	var clientIP = "<?=System::getClientIpAddress();?>";
	var clientUserId = "<?=$objSystemUser->Id;?>";
	var clientUserName = "<?=$objSystemUser->LoginName;?>"	;
	var DPJPId = "<?=$objPatientNursing->DoctorId;?>";
	var personalId = "<?=$objSystemUser->ReferenceId;?>";
	
//	if (personalId != DPJPId) {
	//	$('.betulDPJP').remove();
	//} else {
		$('.bukanDPJP').remove();
	//}
	
<?php if($modeValidasi == "tanda_tangan") { ?>
	if ( revisionNumber > 0 ) {
		bolehEdit()
	} else {
		bolehEdit()
	}
<?php } else { ?>
	if ( revisionNumber > 0 ) {
		sudahTTD();
	} else {
		$('.sudah-simpan').hide();
		$('#float-print').prop('disabled', true);
		$('#float-print').removeClass('btn-blue');
		$('#float-print').addClass('btn btn-primary disabled');
	}
<?php } ?>

	
	$('#nama_versi').attr('max', revisionNumber);
	$('#nama_versi').attr('min', 1);
	
	$('#nama_versi').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
	
	function tambah_revisionNumber() {
		revisionNumber = revisionNumber + 1;
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#nama_versi').attr("max", revisionNumber);
	};
	
	
	function sudahTTD() {
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#float-simpan').prop('disabled', true);
		$('#float-simpan').removeClass('btn-green');
		$('#float-simpan').addClass('btn btn-success disabled show-modal');
		$('#float-simpan').removeAttr('id');
		$('#save').remove();
		$('#tandatanganiperubahan').show();
		$('#tandatangani').hide();
		$('.sudah-simpan').show();
		$('.print_preview').css('visibility', 'visible');
		$('#float-print').addClass('btn-blue');
		$('#float-print').removeClass('btn btn-primary disabled');
		$('#float-print').prop('disabled', false);
		
		 disableEdit()
	}
	
	function disableEdit() {
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true);
		$('#edit, .show-modal').addClass('disabled');
		$('.show-modal').prop('disabled', true);
		$('#FormPage select').prop('disabled', true).trigger("chosen:updated");
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		//$('.show-modal i:first').addClass('fa-save');
		$('.koreksi').removeClass('disabled');
	}
	
	function bolehEdit(){
		$('#edit, .show-modal').removeClass('disabled');
		$('.show-modal').prop('disabled', false);
		$('#FormPage select').prop('disabled', false).trigger("chosen:updated");
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false);
		$('.koreksi').addClass('disabled');
	}

	
	$('.show-modal').click(function(){
        $('#modal-area').modal('show');
    });
	

	$('.show-modal-tte').click(function(){
        $('#modal-area-tte').modal('show');
    });
	
	
    $('.koreksi').click(function(){
        jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
                bolehEdit();
                jQuery.fallr('hide',function(){});
            },
            function(){
                jQuery.fallr('hide',function(){});
            }
        );
    })
	
	
	function efekSebelumSimpan() {
		if (revisionNumber > 0){
			//$('.show-modal i:first').removeClass('fa-save');
			//$('.show-modal i:first').addClass('fa-circle-o-notch fa-spin');
		} else {
			$('#float-simpan').hide();
			$('#float-loading').show();
			//$('#save i').removeClass('fa-save');
			//$('#save i').addClass('disabled fa-circle-o-notch fa-spin');
		}
	}
	
	function efekSesudahSimpanVerif() {
		//$('.show-modal i:first').addClass('fa-save');
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		disableEdit();
		tambah_revisionNumber();
		sudahTTD();
		$('#float-loading').hide();
		$('.show-modal').show();
		$('.clientTimeStamp').html(new Date().getDate() + "-" + (new Date().getMonth() < 9 ? "0" + (new Date().getMonth() + 1) : new Date().getMonth() + 1) + "-" + new Date().getFullYear() +  " " + new Date().getHours() + ":" + new Date().getMinutes() + ":" + new Date().getSeconds());
		$('.clientUserName').html(clientUserName);
		$('.clientUserId').html(clientUserId);
		$('.clientIP').html(clientIP);
	}
	
	function efekSesudahSimpan() {
		//$('#save i').addClass('fa-save');
		//$('#save i').removeClass('disabled fa-circle-o-notch fa-spin');
		$('#float-simpan').show();
		$('#float-loading').hide();
	}
	
	function efekErrorSimpan() {
		if (revisionNumber > 0){
		//	$('.show-modal i').removeClass('fa-circle-o-notch fa-spin');
			//$('.show-modal i').addClass('fa-save');
		} else {
			//$('#save i').addClass('fa-save');
			//$('#save i').removeClass('disabled fa-circle-o-notch fa-spin');
			$('#save').show();
			$('#float-simpan').show();
			$('#float-loading').hide();
		}
	}
	
		
	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}
	
	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});
	

	
	
	$("#tanggalasesmen_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("tanggalasesmen_poli_jantung" , $("#tanggalasesmen_poli_jantung").val() );
	});
	$("#jamasesmen_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("jamasesmen_poli_jantung" , $("#jamasesmen_poli_jantung").val() );
	});
	$("#keluhan_utama_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("keluhan_utama_poli_jantung" , $("#keluhan_utama_poli_jantung").val() );
	});
	$("#anamnea_khusus_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("anamnea_khusus_poli_jantung" , $("#anamnea_khusus_poli_jantung").val() );
	});
	$("#riwayat_penyakit_dahulu_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_penyakit_dahulu_poli_jantung" , $("#riwayat_penyakit_dahulu_poli_jantung").val() );
	});
	$("#riwayat_alergi_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_alergi_poli_jantung" , $("#riwayat_alergi_poli_jantung").val() );
	});
	$("#riwayat_pengobatan_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_pengobatan_poli_jantung" , $("#riwayat_pengobatan_poli_jantung").val() );
	});
	$("#riwayat_operasi_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_operasi_poli_jantung" , $("#riwayat_operasi_poli_jantung").val() );
	});
	$("#pemeriksaan_fisik_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("pemeriksaan_fisik_poli_jantung" , $("#pemeriksaan_fisik_poli_jantung").val() );
	});
	$("#hasil_pemeriksaan_penunjang_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("hasil_pemeriksaan_penunjang_poli_jantung" , $("#hasil_pemeriksaan_penunjang_poli_jantung").val() );
	});
	$("#diagnosa_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("diagnosa_poli_jantung" , $("#diagnosa_poli_jantung").val() );
	});
	$("#pengobatan_tindakan_rencana_pemeriksaan_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("pengobatan_tindakan_rencana_pemeriksaan_poli_jantung" , $("#pengobatan_tindakan_rencana_pemeriksaan_poli_jantung").val() );
	});
	$("#mrs_ruang_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("mrs_ruang_poli_jantung" , $("#mrs_ruang_poli_jantung").val() );
	});
	$("#kontrol_tanggal_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("kontrol_tanggal_poli_jantung" , $("#kontrol_tanggal_poli_jantung").val() );
	});
	$("#rujuk_ke_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("rujuk_ke_poli_jantung" , $("#rujuk_ke_poli_jantung").val() );
	});
	$("#indikasi_rujuk_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("indikasi_rujuk_poli_jantung" , $("#indikasi_rujuk_poli_jantung").val() );
	});
	$("#dokter_yang_menangani_poli_jantung").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_poli_jantung" , $("#dokter_yang_menangani_poli_jantung").val() );
	});
	
	$(document).ready(function() {
		sessionStorage.setItem( "form-asesmen-jantung" , "yes" );	
		if( sessionStorage.getItem("form-asesmen-jantung") == "yes" ) {
			if(sessionStorage.getItem("form-asesmen-jantung-nursing-id") == '<?= $objPatientNursing->Id; ?>'){
				if ( sessionStorage.getItem("tanggalasesmen_poli_jantung") ) {
					$("#tanggalasesmen_poli_jantung").val(sessionStorage.getItem("tanggalasesmen_poli_jantung") );
				}
				if ( sessionStorage.getItem("jamasesmen_poli_jantung") ) {
					$("#jamasesmen_poli_jantung").val(sessionStorage.getItem("jamasesmen_poli_jantung") );
				}
				if ( sessionStorage.getItem("keluhan_utama_poli_jantung") ) {
					$("#keluhan_utama_poli_jantung").val(sessionStorage.getItem("keluhan_utama_poli_jantung") );
				}
				if ( sessionStorage.getItem("anamnea_khusus_poli_jantung") ) {
					$("#anamnea_khusus_poli_jantung").val(sessionStorage.getItem("anamnea_khusus_poli_jantung") );
				}
				if ( sessionStorage.getItem("riwayat_penyakit_dahulu_poli_jantung") ) {
					$("#riwayat_penyakit_dahulu_poli_jantung").val(sessionStorage.getItem("riwayat_penyakit_dahulu_poli_jantung") );
				}
				if ( sessionStorage.getItem("riwayat_alergi_poli_jantung") ) {
					$("#riwayat_alergi_poli_jantung").val(sessionStorage.getItem("riwayat_alergi_poli_jantung") );
				}
				if ( sessionStorage.getItem("riwayat_pengobatan_poli_jantung") ) {
					$("#riwayat_pengobatan_poli_jantung").val(sessionStorage.getItem("riwayat_pengobatan_poli_jantung") );
				}
				if ( sessionStorage.getItem("riwayat_operasi_poli_jantung") ) {
					$("#riwayat_operasi_poli_jantung").val(sessionStorage.getItem("riwayat_operasi_poli_jantung") );
				}
				if ( sessionStorage.getItem("pemeriksaan_fisik_poli_jantung") ) {
					$("#pemeriksaan_fisik_poli_jantung").val(sessionStorage.getItem("pemeriksaan_fisik_poli_jantung") );
				}
				if ( sessionStorage.getItem("hasil_pemeriksaan_penunjang_poli_jantung") ) {
					$("#hasil_pemeriksaan_penunjang_poli_jantung").val(sessionStorage.getItem("hasil_pemeriksaan_penunjang_poli_jantung") );
				}
				if ( sessionStorage.getItem("diagnosa_poli_jantung") ) {
					$("#diagnosa_poli_jantung").val(sessionStorage.getItem("diagnosa_poli_jantung") );
				}
				if ( sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_poli_jantung") ) {
					$("#pengobatan_tindakan_rencana_pemeriksaan_poli_jantung").val(sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_poli_jantung") );
				}
				if ( sessionStorage.getItem("mrs_ruang_poli_jantung") ) {
					$("#mrs_ruang_poli_jantung").val(sessionStorage.getItem("mrs_ruang_poli_jantung") );
				}
				if ( sessionStorage.getItem("kontrol_tanggal_poli_jantung") ) {
					$("#kontrol_tanggal_poli_jantung").val(sessionStorage.getItem("kontrol_tanggal_poli_jantung") );
				}
				if ( sessionStorage.getItem("rujuk_ke_poli_jantung") ) {
					$("#rujuk_ke_poli_jantung").val(sessionStorage.getItem("rujuk_ke_poli_jantung") );
				}
				if ( sessionStorage.getItem("indikasi_rujuk_poli_jantung") ) {
					$("#indikasi_rujuk_poli_jantung").val(sessionStorage.getItem("indikasi_rujuk_poli_jantung") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_poli_jantung") ) {
					$("#dokter_yang_menangani_poli_jantung").val(sessionStorage.getItem("dokter_yang_menangani_poli_jantung") );
				}
			} else {
				sessionStorage.setItem( "form-asesmen-jantung-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggalasesmen_poli_jantung" ,"") ; 
				sessionStorage.setItem( "jamasesmen_poli_jantung" ,"") ; 
				sessionStorage.setItem( "keluhan_utama_poli_jantung" ,"") ; 
				sessionStorage.setItem( "anamnea_khusus_poli_jantung" ,"") ; 
				sessionStorage.setItem( "riwayat_penyakit_dahulu_poli_jantung" ,"") ; 
				sessionStorage.setItem( "riwayat_alergi_poli_jantung" ,"") ; 
				sessionStorage.setItem( "riwayat_pengobatan_poli_jantung" ,"") ; 
				sessionStorage.setItem( "riwayat_operasi_poli_jantung" ,"") ; 
				sessionStorage.setItem( "pemeriksaan_fisik_poli_jantung" ,"") ; 
				sessionStorage.setItem( "hasil_pemeriksaan_penunjang_poli_jantung" ,"") ; 
				sessionStorage.setItem( "diagnosa_poli_jantung" ,"") ; 
				sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_poli_jantung" ,"") ; 
				sessionStorage.setItem( "mrs_ruang_poli_jantung" ,"") ; 
				sessionStorage.setItem( "kontrol_tanggal_poli_jantung" ,"") ; 
				sessionStorage.setItem( "rujuk_ke_poli_jantung" ,"") ; 
				sessionStorage.setItem( "indikasi_rujuk_poli_jantung" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_poli_jantung" ,"") ; 
			}
		} else { 
			sessionStorage.setItem( "form-asesmen-jantung" , "yes" );
		}
		
//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/anatomi.jpg';
			$urlGambar = $objPatientNursing->vLokasiAnatomiJantung ? $objPatientNursing->vLokasiAnatomiJantung : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'JANTUNG');
			fd.append("gambar", blob, 'anatomi.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadJantung')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}
	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
	var ModifiedVersion = $('#nama_versi').val();
	FormPrintPage.setTitle('Print Preview Asesmen Jantung')
	openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-jantung') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	
	// TTE
	
	
	

var boolpreviewTTEActive = false;
var	stateTTE = false;


<?php $strpreviewTTE = System::GetId(); ?>
	
var submitButton = new Ext.Button({
    text: 'Submit',
	id: 'submitButtonId',
    handler: function() {
        var password = $('#password-field').val();
        console.log('Password yang diinputkan:', password);
		$('#password-field').val('');
		toastr.info('Tanda Tangan Elektronik Berhasil ', 'Berhasil');
		windowPreviewTTE.hide();
		previewTTE.hide();
		stateTTE = true;
		$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').addClass('disabled');
		$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').prop('disabled', true);
		$('#float-print').removeClass('btn-blue');
		$('#float-print').addClass('btn btn-primary disabled');
		$('#preview_sebelum_tte').html('Tanda Tangan Elektronik <i style="color:yellow;" class="fa fa-check"></i>')
		$('#content').off('click', '#preview_sebelum_tte').on('click', '#preview_sebelum_tte', function (event) {
			event.preventDefault();
			event.stopPropagation();
			previewSesudahTTE();
		  });
	
    }
});

var windowPreviewTTE = new Ext.Window({
    layout: 'fit',
    width: (__width__ - 40),
    height: (__height__ - 40),
    title: 'Enter Passphrase',
    constrain: false,
    closeAction: 'hide',
    closable: true,
    modal: true,
    resizable: true,
    plain: true,
    center: true,
    sticky: true,
    items: [{
        html: `/**/
<style>
#pContainer{width:100%;height:100%;background:#01565b;position:absolute;top:0px;}
#pPasswordContainer{width:250px;height:100px;position:absolute;left:50%;top:50%;transform: translate(-50%, -50%);background:#fff;border-radius:4px;padding:10px;box-shadow:0px 2px 5px rgba(0,0,0,0.2)}
#password-field{border:1px solid #ccc;width:100%;height:40px;border-radius:4px;padding:6px 12px;font-size:16px;color:#666}
#password-field:focus {border: 1px solid #666;padding:6px 12px;background:rgba(246,255,246,0.9)}
#submit-passphrase{margin:10px auto;;appearance:button;background-color:rgba(16,150,156,0.7);border:1px solid rgba(16,150,156,0.2);border-radius:3px;box-sizing:border-box;color:#fff;cursor:pointer;font-size:14px;overflow:visible;padding:6px 12px;text-align:center;text-transform:none;transition:all 80ms ease-in-out;user-select:none;-webkit-user-select:none;touch-action:manipulation;width:fit-content;float:right;box-shadow:0px 2px 2px rgba(0,100,0,0.2);}
#submit-passphrase:disabled{opacity:.5}
#submit-passphrase:focus{background-color:rgba(66,150,156,0.9);border:1px solid rgba(255,255,255,0.1);}
#submit-passphrase:hover{background-color:rgba(66,150,156,0.8);border:1px solid rgba(255,255,255,0.1)}
#submit-passphrase:active{background-color:rgba(66,150,156,1);border:1px solid rgba(255,255,255,0.1);box-shadow:0px 2px 2px rgba(0,100,0,0.1);}
.show-pass, .hide-pass{position:absolute;right:20px;top:20px;cursor:pointer;font-size:20px;color:#aaa;}
.show-pass:hover, .hide-pass:hover{color:#888;}
</style>
<div id="pContainer">
	<div id="pPasswordContainer">
		<input type="text" style="-webkit-text-security:disc;" id="password-field" placeholder="Passphrase">
		<i class="fa fa-eye show-pass"></i>
		<i class="fa fa-eye-slash hide-pass" style="display:none;"></i>
		<input type="button" value="Submit" id="submit-passphrase">
	</div>
</div>
  

    `}],
   /* buttons: [
        submitButton
    ] */
});

$('.show-pass').on('click', function() {
        $('.hide-pass').show();
        $('.show-pass').hide();
        $('#password-field').css('-webkit-text-security','none');
});

$('.hide-pass').on('click', function() {
        $('.hide-pass').hide();
        $('.show-pass').show();
        $('#password-field').css('-webkit-text-security','disc');
});

$('#submit-passphrase').on('click', function() {
        var password = $('#password-field').val();
        console.log('Password yang diinputkan:', password);
		$('#password-field').val('');
		toastr.info('Tanda Tangan Elektronik Berhasil ', 'Berhasil');
		windowPreviewTTE.hide();
		previewTTE.hide();
		stateTTE = true;
		$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').addClass('disabled');
		$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').prop('disabled', true);
		$('#float-print').removeClass('btn-blue');
		$('#float-print').addClass('btn btn-primary disabled');
		$('#preview_sebelum_tte').html('Tanda Tangan Elektronik <i style="color:yellow;" class="fa fa-check"></i>')
		$('#content').off('click', '#preview_sebelum_tte').on('click', '#preview_sebelum_tte', function (event) {
			event.preventDefault();
			event.stopPropagation();
			previewSesudahTTE();
		  });
	
    });

$('#password-field').focus(function() {
  $(document).on('keydown', function(event) {
    if (event.keyCode === 13 && $('#password-field').is(':focus')) {
      $('#submit-passphrase').focus();
      event.preventDefault();
    }
  });
});


windowPreviewTTE.on('beforeshow', function() {
    setTimeout(function() {
        $('#password-field').focus();
    }, 1000);
});



	var openPreviewTTE = function(c) {
		windowPreviewTTE.setWidth( 450 );
		windowPreviewTTE.setHeight( 350 );
		windowPreviewTTE.show();
	};

	var btnPreviewTTEEvent = function(){ openPreviewTTE();  return true; };
	var btnPreviewTTE = new Ext.Button({ formBind: true, text: 'Enter Passphrase', style: { marginLeft: '5px' , marginTop: '' , marginRight: '5px' }, enableKeyEvents: true});
	btnPreviewTTE.setHandler(btnPreviewTTEEvent);
	var btnPreviewTTEListener = function(c) {
		c.getEl().on('keydown', function(e){
			// alert('key from close button');
			var key=e.getKey();
			e.preventDefault(); e.stopPropagation();
			if(key==vk_TAB||key==vk_LEFT)
			{
				e.preventDefault(); e.stopPropagation();
			}
			else if(key==vk_RETURN||key==vk_ESCAPE)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			return true;
		}, this);
	};
	btnPreviewTTE.addListener('render', btnPreviewTTEListener);
	
	
	
	var previewTTE = new Ext.Window({
		layout: 'fit'
		// , pageX: 10 , pageY: 10 , width: 1330 , height: 600
		, pageX: 30 , pageY: 30 , width: ( __width__ - 40 ) , height: ( __height__ - 40 )
		, title: 'Tanda Tangan Elektronik'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		// , tbar: previewTTEToolbar
		, items: [ {
			// html: '<div contenteditable="true"> testing all erm area </div>'
			html: 
				''
				+ '<iframe id="<?= $strpreviewTTE ?>" name="<?= $strpreviewTTE ?>" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; margin-left: 5px; margin-right: 15px;  margin-top: 5px; padding-bottom: 5px;padding-right:5px; border: none;" />'
			, listeners: { input: { fn: function() { console.log("Changed one"); } , element: "element" , selector: "div" } }
		} ]
		, buttons: [
		btnPreviewTTE, { text: ' Cetak ', handler: function() { $("#<?= $strpreviewTTE ?>").get(0).contentWindow.print();}}
		
	]
	});

	var previewTTEwindowListener = function(c) {
		c.getEl().on('keydown', function(e){
			 // alert('key from windows');
			 var key=e.getKey();
			 if(key==vk_INSERT){
				  e.preventDefault(); e.stopPropagation();
			 }
			 else if(key==vk_ESCAPE||key==vk_SPACE||key==vk_RETURN)
			 {
				  e.preventDefault(); e.stopPropagation();
				  return true;
			 }
			 else if(key==vk_ESCAPE)
			 {
				  e.preventDefault(); e.stopPropagation();
				  previewTTE.hide();
				  return true;
			 }
		});
	};
	

	previewTTE.addListener('render', previewTTEwindowListener);
	previewTTE.on('hide', function() {
		boolpreviewTTEActive = false;
		// alert('Close previewTTE');
		enable_scrolling();
	});
	previewTTE.on('show', function() {
		boolpreviewTTEActive = true;
		// alert('Open previewTTE');
		// Ext.fly(txtFilter.getId()).focus();
		txtFilter.focus(500);
	});

	var openpreviewTTE = function(url) {
		// showLoader();
		var $iframe = $( "#<?= $strpreviewTTE ?>" );
    	// $iframe.attr( 'src' , '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-jantung') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
    	$iframe.attr( 'src' , url );

		// hideLoader();
		try {
			window.scrollTo({ top: 420 + 0 });
		} catch (error) {
			console.error(error);
			window.scrollTo(0, 420);
		}
		disable_scrolling();
		$("#<?= $strpreviewTTE ?>").css({'height':( __height__ - 125 ) + 'px','width':( __width__ - 75 ) + 'px','margin':'0px'});
		$("#<?= $strpreviewTTE ?>").scrollTop(0);

		previewTTE.setWidth( __width__ - 60 );
		previewTTE.setHeight( __height__ - 60 );
		previewTTE.show();

	};
	// open TTE
	
	function previewSebelumTTE() {
		var ModifiedVersion = $('#nama_versi').val();
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		// printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-jantung') ?>', strOption);
		openpreviewTTE( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-jantung') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	
	function previewSesudahTTE() {
		var ModifiedVersion = $('#nama_versi').val();
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		// printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-jantung') ?>', strOption);
		openpreviewPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-jantung') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	
		if (stateTTE){
			$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').addClass('disabled');
			$('#float-print, #cetak_laporan, #validasi, #save, .koreksi').prop('disabled', true);
			$('#float-print').removeClass('btn-blue');
			$('#float-print').addClass('btn btn-primary disabled');
			$('#content').off('click', '#preview_sebelum_tte').on('click', '#preview_sebelum_tte', function (event) {
				event.preventDefault();
				event.stopPropagation();
				previewSesudahTTE();
			  });
			} else {
			  $('#preview_sebelum_tte').off("click");
	}
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#preview_sebelum_tte').on('click', '#preview_sebelum_tte', function (event) {
		previewSebelumTTE();
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});


	$('#content').off('click', '#back').on('click', '#back', function(event){
		event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});

    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});


	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});

	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalAsesmenPoliJantung = $('#tanggalasesmen_poli_jantung').val();
		post.JamAsesmenPoliJantung = $('#jamasesmen_poli_jantung').val()
		post.KeluhanUtamaPoliJantung = $('#keluhan_utama_poli_jantung').val()
		post.AnamneaKhususPoliJantung = $('#anamnea_khusus_poli_jantung').val()
		post.RiwayatPenyakitDahuluPoliJantung = $('#riwayat_penyakit_dahulu_poli_jantung').val()
		post.RiwayatAlergiPoliJantung = $('#riwayat_alergi_poli_jantung').val()
		post.RiwayatPengobatanPoliJantung = $('#riwayat_pengobatan_poli_jantung').val()
		post.RiwayatOperasiPoliJantung = $('#riwayat_operasi_poli_jantung').val()
		post.PemeriksaanFisikPoliJantung = $('#pemeriksaan_fisik_poli_jantung').val()
		post.HasilPenunjangPoliJantung = $('#hasil_pemeriksaan_penunjang_poli_jantung').val()
		post.DiagnosaPoliJantung = $('#diagnosa_poli_jantung').val()
		post.PengobatanTindakanPoliJantung = $('#pengobatan_tindakan_rencana_pemeriksaan_poli_jantung').val()
		post.MrsRuangPoliJantung = $('#mrs_ruang_poli_jantung').val()
		post.KontrolTanggalPoliJantung = $('#kontrol_tanggal_poli_jantung').val()
		post.RujukKePoliJantung = $('#rujuk_ke_poli_jantung').val()
		post.IndikasiRujukPoliJantung = $('#indikasi_rujuk_poli_jantung').val()
		post.DokterPoliJantungId = $('#dokter_yang_menangani_poli_jantung').val()

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenAwalJantung')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				efekSebelumSimpan()
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					efekSesudahSimpanVerif();
					boolChange = false;
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					sessionStorage.setItem( "tanggalasesmen_poli_jantung" , "" );
					sessionStorage.setItem( "jamasesmen_poli_jantung" , "" );
					sessionStorage.setItem( "keluhan_utama_poli_jantung" , "" );
					sessionStorage.setItem( "anamnea_khusus_poli_jantung" , "" );
					sessionStorage.setItem( "riwayat_penyakit_dahulu_poli_jantung" , "" );
					sessionStorage.setItem( "riwayat_alergi_poli_jantung" , "" );
					sessionStorage.setItem( "riwayat_pengobatan_poli_jantung" , "" );
					sessionStorage.setItem( "riwayat_operasi_poli_jantung" , "" );
					sessionStorage.setItem( "pemeriksaan_fisik_poli_jantung" , "" );
					sessionStorage.setItem( "hasil_pemeriksaan_penunjang_poli_jantung" , "" );
					sessionStorage.setItem( "diagnosa_poli_jantung" , "" );
					sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_poli_jantung" , "" );
					sessionStorage.setItem( "mrs_ruang_poli_jantung" , "" );
					sessionStorage.setItem( "kontrol_tanggal_poli_jantung" , "" );
					sessionStorage.setItem( "rujuk_ke_poli_jantung" , "" );
					sessionStorage.setItem( "indikasi_rujuk_poli_jantung" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_poli_jantung" , "" );
					efekSesudahSimpan();
					boolChange = false;
				} else {
					toastr.error( result.message , 'Errors');
					efekErrorSimpan()
				}
			}
			, complete: function(xhr,status){
				hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$('#dokter_yang_menangani_poli_jantung').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	$("#triage").chosen({
			no_results_text: 'Tidak ditemukan'
			, width: '100%;'
			, allow_single_deselect: true
		});


	
	
    boolChange = false ; 

    function anyChange()
    {
        $('#save').removeClass('disabled');
        $('#save-and-reentry').removeClass('disabled');
        boolChange = true ;
    }

    $("#FormPage").on('input select change',function(){
        anyChange();
    });
	
	function exitForm(){
		if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	}
	
    function back()
    {
        var agree = function()
        {
            jQuery.fallr('hide',function(){
                // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
                exitForm();
            });
        };
		var cancel = function()
        {
            jQuery.fallr('hide',function(){
				$('#float-kembali').show();
				$('#float-kembali-loading').hide();
            });
        };

        if(boolChange){
            jFallr(
                'Kembali ke halaman sebelumnya <br>' +
                'Semua perubahan akan diabaikan <br>' +
                'Mohon konfirmasi [ Ya / Tidak ]'
                , agree
				, cancel
            );
        }
        else {
            // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
            exitForm();
			
        } 
    }
	
};

$('#content').ready(function(){
		FormGizi();

});
</script>

