<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_saraf {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<div style="padding:;background:#f1f4f6;width:100%;max-width:1000px;margin:0px auto;" id='FormPage'>
<!-- <link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css"> -->
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">ASESMEN SARAF</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DATA PASIEN</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">ASESMEN SARAF</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
        <div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="tanggalasesmen_saraf"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen_saraf" type="text" class="form-control input-date" name="tanggalasesmen_saraf" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalAsesmenSaraf != "" ? $objPatientNursing->vTanggalAsesmenSaraf : date("d-m-Y") ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="jamasesmen_saraf"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen_saraf" type="text" class="form-control" name="jamasesmen_saraf" placeholder="HH:mm" value="<?= $objPatientNursing->vJamAsesmenSaraf != "" ? $objPatientNursing->vJamAsesmenSaraf : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Resiko Tinggi</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="resiko_tinggi_saraf" value="Ya"  <?= $objPatientNursing->vResikoTinggiSaraf == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline"><input type="checkbox"  name="resiko_tinggi_saraf" value="Tidak"  <?= $objPatientNursing->vResikoTinggiSaraf == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
        </div>
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Keterangan Resiko Tinggi</b></label>
				<textarea name="kterangan_resiko_tinggi" id="kterangan_resiko_tinggi" class="form-control autoresize" placeholder="Keterangan Resiko Tinggi" style="overflow-x: hidden; word-wrap: break-word; resize: none; height:34px!important; width: 100%;"><?= $objPatientNursing->vKeteranganResikoTinggiSaraf ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DIISI OLEH DOKTER</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Anamnesis</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="anamnesis_saraf" value="Auto Anamnesis"  <?= $objPatientNursing->vAnamnesisSaraf == 'Auto Anamnesis' ? 'checked' : '' ?>>Auto Anamnesis</label>
						<label class="checkbox-inline"><input type="checkbox"  name="anamnesis_saraf" value="Allow Anamnesis"  <?= $objPatientNursing->vAnamnesisSaraf == 'Allow Anamnesis' ? 'checked' : '' ?>>Allow Anamnesis</label>
					</div>
				</div>
			</div>
        </div>
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Keterangan Anamnesis</b></label>
				<textarea name="keterangan_anamnesis_saraf" id="keterangan_anamnesis_saraf" class="form-control autoresize" placeholder="Keterangan Anamnesis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vKeteranganAnamnesisSaraf ?></textarea>
			</div>
        </div>
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Keluhan Utama, Riwayat Penyakit Sekarang, Riwayat Penyakit Dahulu / Keluarga</b></label>
				<textarea name="keluhan_utama_dan_riwayat_penyakit_saraf" id="keluhan_utama_dan_riwayat_penyakit_saraf" class="form-control autoresize" placeholder="Keluhan Utama, Riwayat Penyakit Sekarang, Riwayat Penyakit Dahulu / Keluarga" style="overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKeluhanUtamaDanRiwayatPenyakitSaraf ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">STATUS UMUM NEUROLOGIK</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
        <div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>Kesadaran (GCS)</b></label>
				<?php
				$arrGcs = explode('-', $objPatientNursing->vGcsSaraf);
				$gcs1 = $arrGcs[0];
				$gcs2 = $arrGcs[1];
				$gcs3 = $arrGcs[2];
				?>
				<div class="input-group" style="width:100%;">
					<select id="gcs1" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs1 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs1 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs1 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs1 == '4' ?'selected' : '' ?>>4</option>
					</select>
					<select id="gcs2" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs2 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs2 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs2 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs2 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $gcs2 == '5' ?'selected' : '' ?>>5</option>
					</select>
					<select id="gcs3" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs3 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs3 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs3 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs3 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $gcs3 == '5' ?'selected' : '' ?>>5</option>
						<option value="6" <?= $gcs3 == '6' ?'selected' : '' ?>>6</option>
					</select>
				</div>
			</div>
        </div>
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Fungsi Luhur dan Bahasa</b></label>
				<textarea name="fungsi_luhur_dan_bahasa_saraf" id="fungsi_luhur_dan_bahasa_saraf" class="form-control autoresize" placeholder="Fungsi Luhur dan Bahasa" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vFungsiLuhurDanBahasaSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Tanda Rangsang Meningeal</b></label>
				<textarea name="tanda_rangsang_meningeal_saraf" id="tanda_rangsang_meningeal_saraf" class="form-control autoresize" placeholder="Tanda Rangsang Meningeal" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vTandaRangsangMeningealSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">SARAF OTAK</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>N. Kranialis</b></label>
				<textarea name="n_kranialis_saraf" id="n_kranialis_saraf" class="form-control autoresize" placeholder="N. Kranialis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vNKranialisSaraf ?></textarea>
			</div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>N. Spinalis</b></label>
				<textarea name="n_spinalis_saraf" id="n_spinalis_saraf" class="form-control autoresize" placeholder="N. Spinalis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vNSpinalisSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Pemeriksaan Koordinasi</b></label>
				<textarea name="pemeriksaan_koordinasi_saraf" id="pemeriksaan_koordinasi_saraf" class="form-control autoresize" placeholder="Pemeriksaan Koordinasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPemeriksaanKoordinasiSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">SISTEM MOTORIK DAN REFLEKS</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
			<div class="col-xs-12 col-sm-12 col-md-12">
				<span class="control-label" style="display:block;text-align:center;"><b>Kekuatan</b></span>
				<div align="center">
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/plus.png';
					$gambarTersimpan = $objPatientNursing->vLokasiGambarKekuatanSaraf ? $objPatientNursing->vLokasiGambarKekuatanSaraf : $sumberGambar;
					?>
					<img id="gambarCanvas_1" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan_1" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas_1" width="300" height="300" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai_1" id="edit_1">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai_1" id="clearArea_1">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai_1" id="simpanGambar_1">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_1"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
			<div class="col-xs-12 col-sm-12 col-md-6">
				<span class="control-label" style="display:block;text-align:center;"><b>Refleks Patologis</b></span>
				<div align="center">
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/plus.png';

					$gambarTersimpan = $objPatientNursing->vLokasiGambarRefleksPatologisSaraf ? $objPatientNursing->vLokasiGambarRefleksPatologisSaraf : $sumberGambar;
					?>
					<img id="gambarCanvas_2" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan_2" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas_2" width="300" height="300" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai_2" id="edit_2">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai_2" id="clearArea_2">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai_2" id="simpanGambar_2">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_2"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
			<div class="col-xs-12 col-sm-12 col-md-6">
				<span class="control-label" style="display:block;text-align:center;"><b>Refleks Fisiologis</b></span>
				<div align="center">
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/plus.png';

					$gambarTersimpan = $objPatientNursing->vLokasiGambarRefleksFisiologisSaraf ? $objPatientNursing->vLokasiGambarRefleksFisiologisSaraf : $sumberGambar;
					?>
					<img id="gambarCanvas_3" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan_3" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas_3" width="300" height="300" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai_3" id="edit_3">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai_3" id="clearArea_3">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai_3" id="simpanGambar_3">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_3"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">SISTEM SENSORIK</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
			<div class="col-md-12">
				<span class="control-label" style="display:block;text-align:center;"><b>Sistem Sensorik</b></span>
				<div align="center">
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/dermatome.png';

					$gambarTersimpan = $objPatientNursing->vLokasiGambarSistemSensorikSaraf ? $objPatientNursing->vLokasiGambarSistemSensorikSaraf : $sumberGambar;
					?>
					<img id="gambarCanvas_4" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan_4" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas_4" width="740" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai_4" id="edit_4">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai_4" id="clearArea_4">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai_4" id="simpanGambar_4">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_4"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Sistem Otonom</b></label>
				<textarea name="sistem_otonom_saraf" id="sistem_otonom_saraf" class="form-control autoresize" placeholder="Sistem Otonom" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vSistemOtonomSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">PEMERIKSAAN TAMBAHAN</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>Laboratorium</b></label>
				<textarea name="pemeriksaan_laboratorium_saraf" id="pemeriksaan_laboratorium_saraf" class="form-control autoresize" placeholder="Laboratorium" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPemeriksaanLaboratoriumSaraf ?></textarea>
			</div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>N. Spinalis</b></label>
				<textarea name="Pemeriksaan_n_spinalis_saraf" id="Pemeriksaan_n_spinalis_saraf" class="form-control autoresize" placeholder="N. Spinalis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPemeriksaanNSpinalisSaraf ?></textarea>
			</div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>Neurofisiologi</b></label>
				<textarea name="pemeriksaan_neurofisiologi_saraf" id="pemeriksaan_neurofisiologi_saraf" class="form-control autoresize" placeholder="Neurofisiologi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPemeriksaanNeurofisiologiSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Temuan Lain</b></label>
				<textarea name="temuan_lain_saraf" id="temuan_lain_saraf" class="form-control autoresize" placeholder="Temuan Lain" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vTemuanLainSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Diagnosis</b></label>
				<textarea name="diagnosis_saraf" id="diagnosis_saraf" class="form-control autoresize" placeholder="Diagnosis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vDiagnosisSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Planning</b></label>
				<textarea name="planning_saraf" id="planning_saraf" class="form-control autoresize" placeholder="Planning" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPlanningSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Tindakan</b></label>
				<textarea name="tindakan_saraf" id="tindakan_saraf" class="form-control autoresize" placeholder="Pemeriksaan Koordinasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vTindakanSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">INFORMASI DAN EDUKASI</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Hasil Pemeriksaan</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_hasil_pemeriksaan_saraf" value="Ya"  <?= $objPatientNursing->vInformasiEdukasiHasilPemeriksaanSaraf == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_hasil_pemeriksaan_saraf" value="Tidak"  <?= $objPatientNursing->vInformasiEdukasiHasilPemeriksaanSaraf == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Diagnosa</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_diagnosa_saraf" value="Ya"  <?= $objPatientNursing->vInformasiEdukasiDiagnosaSaraf == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_diagnosa_saraf" value="Tidak"  <?= $objPatientNursing->vInformasiEdukasiDiagnosaSaraf == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Pengobatan dan Tindakan</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_pengobatan_dan_tindakan_saraf" value="Ya"  <?= $objPatientNursing->vInformasiEdukasiPengobatanDanTindakanSaraf == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_pengobatan_dan_tindakan_saraf" value="Tidak"  <?= $objPatientNursing->vInformasiEdukasiPengobatanDanTindakanSaraf == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Penerima Informasi</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="penerima_informasi" value="Pasien" <?= $objPatientNursing->vPenerimaInformasiSaraf == 'Pasien' ? 'checked' : '' ?>>Pasien</label>
						<label class="checkbox-inline"><input type="checkbox"  name="penerima_informasi" value="Bukan Pasien" <?= $objPatientNursing->vPenerimaInformasiSaraf == 'Bukan Pasien' ? 'checked' : '' ?>>Bukan Pasien</label>
					</div>
				</div>
			</div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;" id="container_nama_penerima_informasi_saraf">
                <label class="control-label" for="jamasesmen_saraf"><b>Nama Penerima Informasi</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_penerima_informasi_saraf" type="text" class="form-control" name="nama_penerima_informasi_saraf" placeholder="Nama Penerima Informasi" value="<?= $objPatientNursing->vNamaPenerimaInformasiSaraf; ?>" >
                </div>
            </div>
        </div>
		<div class="row">
			<div class="col-xs-12 col-md-12" style="margin-top:15px;text-align:center;">
                <span class="control-label"><b>Tanda Tangan Penerima Informasi</b></span>
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div align="center">
					<?php
					$sumberGambar_5 = __USER_ASSETS__.'/images/jiwa.jpg';

					$gambarTersimpan_5 = $objPatientNursing->vLokasiTtdPenerimaInformasiSaraf ? $objPatientNursing->vLokasiTtdPenerimaInformasiSaraf : $sumberGambar;
					?>
					<img id="gambarCanvas_5" src="<?= $sumberGambar_5 ?>" style="display: none">
					<img id="gambarTersimpan_5" src="<?= $gambarTersimpan_5 ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas_5" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai_5" id="edit_5">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai_5" id="clearArea_5">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai_5" id="simpanGambar_5">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_5"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
        </div>
	</div>
</div>



<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DOKTER</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for=""><b>Dokter yang menangani</b></label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_poli_saraf" id="dokter_yang_menangani_poli_saraf" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterPoliSarafId != "" ? $objPatientNursing->vDokterPoliSarafId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterPoliSarafNama != "" ? $objPatientNursing->vDokterPoliSarafNama : $objPatientNursing->DoctorName; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	$("#container_nama_penerima_informasi_saraf").hide();
	$('input[name="penerima_informasi"]').on('change', function() {
		if(this.checked && this.value === 'Bukan Pasien') {
			$("#container_nama_penerima_informasi_saraf").show();
		} else {
			$("#container_nama_penerima_informasi_saraf").hide();
			$("#nama_penerima_informasi_saraf").val("");
		}
	});
	$('input[name="penerima_informasi"][value="Bukan Pasien"]').trigger('change');
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
		$(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
	
var FormGizi = function(){

	'use strict';
	
	
	$("#tanggalasesmen_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("tanggalasesmen_saraf" , $("#tanggalasesmen_saraf").val() );
	});
	$("#jamasesmen_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("jamasesmen_saraf" , $("#jamasesmen_saraf").val() );
	});
	$("#keluhan_utama_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("keluhan_utama_saraf" , $("#keluhan_utama_saraf").val() );
	});
	$("#anamnea_khusus_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("anamnea_khusus_saraf" , $("#anamnea_khusus_saraf").val() );
	});
	$("#riwayat_penyakit_dahulu_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_penyakit_dahulu_saraf" , $("#riwayat_penyakit_dahulu_saraf").val() );
	});
	$("#riwayat_alergi_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_alergi_saraf" , $("#riwayat_alergi_saraf").val() );
	});
	$("#riwayat_pengobatan_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_pengobatan_saraf" , $("#riwayat_pengobatan_saraf").val() );
	});
	$("#riwayat_operasi_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_operasi_saraf" , $("#riwayat_operasi_saraf").val() );
	});
	$("#pemeriksaan_psikiatri_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("pemeriksaan_psikiatri_saraf" , $("#pemeriksaan_psikiatri_saraf").val() );
	});
	$("#hasil_pemeriksaan_penunjang_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("hasil_pemeriksaan_penunjang_saraf" , $("#hasil_pemeriksaan_penunjang_saraf").val() );
	});
	$("#diagnosa_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("diagnosa_saraf" , $("#diagnosa_saraf").val() );
	});
	$("#pengobatan_tindakan_rencana_pemeriksaan_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("pengobatan_tindakan_rencana_pemeriksaan_saraf" , $("#pengobatan_tindakan_rencana_pemeriksaan_saraf").val() );
	});
	$("#mrs_ruang_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("mrs_ruang_saraf" , $("#mrs_ruang_saraf").val() );
	});
	$("#kontrol_tanggal_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("kontrol_tanggal_saraf" , $("#kontrol_tanggal_saraf").val() );
	});
	$("#rujuk_ke_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("rujuk_ke_saraf" , $("#rujuk_ke_saraf").val() );
	});
	$("#indikasi_rujuk_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("indikasi_rujuk_saraf" , $("#indikasi_rujuk_saraf").val() );
	});
	$("#dokter_yang_menangani_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_saraf" , $("#dokter_yang_menangani_saraf").val() );
	});
	
	$(document).ready(function() {
		
		if( sessionStorage.getItem("form-asesmen-paru") == "yes" ) {
			if( sessionStorage.getItem("form-asesmen-paru-nursing-id") == '<?= $objPatientNursing->Id; ?>' ){
				if ( sessionStorage.getItem("tanggalasesmen_saraf") ) {
					$("#tanggalasesmen_saraf").val(sessionStorage.getItem("tanggalasesmen_saraf") );
				}
				if ( sessionStorage.getItem("jamasesmen_saraf") ) {
					$("#jamasesmen_saraf").val(sessionStorage.getItem("jamasesmen_saraf") );
				}
				if ( sessionStorage.getItem("keluhan_utama_saraf") ) {
					$("#keluhan_utama_saraf").val(sessionStorage.getItem("keluhan_utama_saraf") );
				}
				if ( sessionStorage.getItem("anamnea_khusus_saraf") ) {
					$("#anamnea_khusus_saraf").val(sessionStorage.getItem("anamnea_khusus_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_penyakit_dahulu_saraf") ) {
					$("#riwayat_penyakit_dahulu_saraf").val(sessionStorage.getItem("riwayat_penyakit_dahulu_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_alergi_saraf") ) {
					$("#riwayat_alergi_saraf").val(sessionStorage.getItem("riwayat_alergi_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_pengobatan_saraf") ) {
					$("#riwayat_pengobatan_saraf").val(sessionStorage.getItem("riwayat_pengobatan_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_operasi_saraf") ) {
					$("#riwayat_operasi_saraf").val(sessionStorage.getItem("riwayat_operasi_saraf") );
				}
				if ( sessionStorage.getItem("pemeriksaan_psikiatri_saraf") ) {
					$("#pemeriksaan_psikiatri_saraf").val(sessionStorage.getItem("pemeriksaan_psikiatri_saraf") );
				}
				if ( sessionStorage.getItem("hasil_pemeriksaan_penunjang_saraf") ) {
					$("#hasil_pemeriksaan_penunjang_saraf").val(sessionStorage.getItem("hasil_pemeriksaan_penunjang_saraf") );
				}
				if ( sessionStorage.getItem("diagnosa_saraf") ) {
					$("#diagnosa_saraf").val(sessionStorage.getItem("diagnosa_saraf") );
				}
				if ( sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_saraf") ) {
					$("#pengobatan_tindakan_rencana_pemeriksaan_saraf").val(sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_saraf") );
				}
				if ( sessionStorage.getItem("mrs_ruang_saraf") ) {
					$("#mrs_ruang_saraf").val(sessionStorage.getItem("mrs_ruang_saraf") );
				}
				if ( sessionStorage.getItem("kontrol_tanggal_saraf") ) {
					$("#kontrol_tanggal_saraf").val(sessionStorage.getItem("kontrol_tanggal_saraf") );
				}
				if ( sessionStorage.getItem("rujuk_ke_saraf") ) {
					$("#rujuk_ke_saraf").val(sessionStorage.getItem("rujuk_ke_saraf") );
				}
				if ( sessionStorage.getItem("indikasi_rujuk_saraf") ) {
					$("#indikasi_rujuk_saraf").val(sessionStorage.getItem("indikasi_rujuk_saraf") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_saraf") ) {
					$("#dokter_yang_menangani_saraf").val(sessionStorage.getItem("dokter_yang_menangani_saraf") );
				}
			} else {
				sessionStorage.setItem( "form-asesmen-paru-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggalasesmen_saraf" ,"") ; 
				sessionStorage.setItem( "jamasesmen_saraf" ,"") ; 
				sessionStorage.setItem( "keluhan_utama_saraf" ,"") ; 
				sessionStorage.setItem( "anamnea_khusus_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_penyakit_dahulu_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_alergi_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_pengobatan_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_operasi_saraf" ,"") ; 
				sessionStorage.setItem( "pemeriksaan_psikiatri_saraf" ,"") ; 
				sessionStorage.setItem( "hasil_pemeriksaan_penunjang_saraf" ,"") ; 
				sessionStorage.setItem( "diagnosa_saraf" ,"") ; 
				sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_saraf" ,"") ; 
				sessionStorage.setItem( "mrs_ruang_saraf" ,"") ; 
				sessionStorage.setItem( "kontrol_tanggal_saraf" ,"") ; 
				sessionStorage.setItem( "rujuk_ke_saraf" ,"") ; 
				sessionStorage.setItem( "indikasi_rujuk_saraf" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_saraf" ,"") ; 
			}
		}  else { 
			sessionStorage.setItem( "form-asesmen-paru" , "yes" );
		}
		
	});
		
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

boolChange = false ; 

    function anyChange()
    {
        $('#save').removeClass('disabled');
        $('#save-and-reentry').removeClass('disabled');
        boolChange = true ;
    }

    $("#FormPage").on('input select change',function(){
        anyChange();
    });
	
	function exitForm(){
		if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	}
	
    function back()
    {
        var agree = function()
        {
            jQuery.fallr('hide',function(){
                // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
                exitForm();
            });
        };
		var cancel = function()
        {
            jQuery.fallr('hide',function(){
				$('#float-kembali').show();
				$('#float-kembali-loading').hide();
            });
        };

        if(boolChange){
            jFallr(
                'Kembali ke halaman sebelumnya <br>' +
                'Semua perubahan akan diabaikan <br>' +
                'Mohon konfirmasi [ Ya / Tidak ]'
                , agree
				, cancel
            );
        }
        else {
            // setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/list')?>','content');
            exitForm();
			
        } 
    }

	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Urologi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-saraf') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
			boolChange = false ; 
		} else {
			posting('DRAFT');
			boolChange = false ; 
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
			boolChange = false ; 
		} else {
			posting('DRAFT');
			boolChange = false ; 
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.vTanggalAsesmenSaraf = $('#tanggalasesmen_saraf').val();
		post.vJamAsesmenSaraf = $('#jamasesmen_saraf').val()
		post.vResikoTinggiSaraf = $('input[name="resiko_tinggi_saraf"]:checked').val();
		post.vKeteranganResikoTinggiSaraf = $('#kterangan_resiko_tinggi').val();
		post.vAnamnesisSaraf = $('input[name="anamnesis_saraf"]:checked').val();
		post.vKeteranganAnamnesisSaraf = $('#keterangan_anamnesis_saraf').val();
		post.vKeluhanUtamaDanRiwayatPenyakitSaraf = $('#keluhan_utama_dan_riwayat_penyakit_saraf').val();
		post.vGcsSaraf = $('#gcs1').val()+"-"+$('#gcs2').val()+"-"+$('#gcs3').val();
		post.vFungsiLuhurDanBahasaSaraf = $('#fungsi_luhur_dan_bahasa_saraf').val();
		post.vTandaRangsangMeningealSaraf = $('#tanda_rangsang_meningeal_saraf').val();
		post.vNKranialisSaraf = $('#n_kranialis_saraf').val();
		post.vNSpinalisSaraf = $('#n_spinalis_saraf').val();
		post.vSistemOtonomSaraf = $('#sistem_otonom_saraf').val();
		post.vPemeriksaanKoordinasiSaraf = $('#pemeriksaan_koordinasi_saraf').val();
		post.vPemeriksaanLaboratoriumSaraf = $('#pemeriksaan_laboratorium_saraf').val();
		post.vPemeriksaanNSpinalisSaraf = $('#Pemeriksaan_n_spinalis_saraf').val();
		post.vPemeriksaanNeurofisiologiSaraf = $('#pemeriksaan_neurofisiologi_saraf').val();
		post.vTemuanLainSaraf = $('#temuan_lain_saraf').val();
		post.vDiagnosisSaraf = $('#diagnosis_saraf').val();
		post.vPlanningSaraf = $('#planning_saraf').val();
		post.vTindakanSaraf = $('#tindakan_saraf').val();
		post.vInformasiEdukasiHasilPemeriksaanSaraf = $('input[name="informasi_edukasi_hasil_pemeriksaan_saraf"]:checked').val();
		post.vInformasiEdukasiDiagnosaSaraf = $('input[name="informasi_edukasi_diagnosa_saraf"]:checked').val();
		post.vInformasiEdukasiPengobatanDanTindakanSaraf = $('input[name="informasi_edukasi_pengobatan_dan_tindakan_saraf"]:checked').val();
		post.vPenerimaInformasiSaraf = $('input[name="penerima_informasi"]:checked').val();
		post.vNamaPenerimaInformasiSaraf = $('#nama_penerima_informasi_saraf').val();
		
		post.vDokterPoliSarafId = $('#dokter_yang_menangani_poli_saraf').val();
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenAwalSaraf')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					sessionStorage.setItem( "tanggalasesmen_saraf" , "" );
					sessionStorage.setItem( "jamasesmen_saraf" , "" );
					sessionStorage.setItem( "keluhan_utama_saraf" , "" );
					sessionStorage.setItem( "anamnea_khusus_saraf" , "" );
					sessionStorage.setItem( "riwayat_penyakit_dahulu_saraf" , "" );
					sessionStorage.setItem( "riwayat_alergi_saraf" , "" );
					sessionStorage.setItem( "riwayat_pengobatan_saraf" , "" );
					sessionStorage.setItem( "riwayat_operasi_saraf" , "" );
					sessionStorage.setItem( "pemeriksaan_psikiatri_saraf" , "" );
					sessionStorage.setItem( "hasil_pemeriksaan_penunjang_saraf" , "" );
					sessionStorage.setItem( "diagnosa_saraf" , "" );
					sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_saraf" , "" );
					sessionStorage.setItem( "mrs_ruang_saraf" , "" );
					sessionStorage.setItem( "kontrol_tanggal_saraf" , "" );
					sessionStorage.setItem( "rujuk_ke_saraf" , "" );
					sessionStorage.setItem( "indikasi_rujuk_saraf" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_saraf" , "" );
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#triage").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#dokter_yang_menangani_poli_saraf').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormAssementAwalSaraf == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
	
	
	//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_1');
		var imgTersimpan = document.getElementById('gambarTersimpan_1');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/plus.png';
			$urlGambar = $objPatientNursing->vLokasiGambarKekuatanSaraf ? $objPatientNursing->vLokasiGambarKekuatanSaraf : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_1' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(300);
			image.scaleToHeight(300);
			canvas.add(image.set({
				id : 'myCanvas_1'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_1').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_1').removeClass('disabled');
			$('#simpanGambar_1').removeClass('disabled');
			$('#edit_1').addClass('disabled');
			$('#clearArea_1').show();
			$('#simpanGambar_1').show();
			$('#edit_1').hide();
			return false;
		})


		$('#clearArea_1').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(300);
				image.scaleToHeight(300);
				canvas.add(image.set({
					id : 'myCanvas_1'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_1').click(function() {

			var canvas = document.getElementById('myCanvas_1');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'KEKUATAN');
			fd.append("gambar", blob, 'plus.png');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadSistemMotorikDanRefleksKekuatan')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#simpanGambar-loading_1').show();
				},
				complete: function(xhr,status){
					$('#edit_1').removeClass('disabled');
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#clearArea_1').hide();
					$('#simpanGambar-loading_1').hide();
					$('#edit_1').show();
				}
			})

		})

		$('#clearArea_1').hide();
		$('#simpanGambar_1').hide();
		$('#simpanGambar-loading_1').hide();
		
		///////////////////////////////////////////////////////////////////////
		
		//canvas_2 draw -start
		var mousePressed_2 = false;
		var lastX_2, lastY_2;
		var ctx_2;
		var img_2 = document.getElementById('gambarCanvas_2');
		var imgTersimpan_2 = document.getElementById('gambarTersimpan_2');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/plus.png';
			$urlGambar = $objPatientNursing->vLokasiGambarRefleksPatologisSaraf ? $objPatientNursing->vLokasiGambarRefleksPatologisSaraf : $GambarDefault;
		?>

		var canvas_2 = window.__canvas_2 = new fabric.Canvas( 'myCanvas_2' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(300);
			image.scaleToHeight(300);
			canvas_2.add(image.set({
				id : 'myCanvas_2'
				, alt : 'blank'
			}));
		});

		canvas_2.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas_2);
		if (canvas_2.freeDrawingBrush) {
			var brush = canvas_2.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_2').click(function(){
			canvas_2.isDrawingMode = true;
			$('#clearArea_2').removeClass('disabled');
			$('#simpanGambar_2').removeClass('disabled');
			$('#edit_2').addClass('disabled');
			$('#clearArea_2').show();
			$('#simpanGambar_2').show();
			$('#edit_2').hide();
			return false;
		})


		$('#clearArea_2').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(300);
				image.scaleToHeight(300);
				canvas_2.add(image.set({
					id : 'myCanvas_2'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas_2 draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas_2 draw -end

		$('#simpanGambar_2').click(function() {

			var canvas_2 = document.getElementById('myCanvas_2');
			var hasil = canvas_2.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'REFLEKS PATOLOGIS');
			fd.append("gambar", blob, 'plus.png');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadSistemMotorikDanRefleksPatologis')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#simpanGambar-loading_2').show();
				},
				complete: function(xhr,status){
					$('#edit_2').removeClass('disabled');
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#clearArea_2').hide();
					$('#simpanGambar-loading_2').hide();
					$('#edit_2').show();
				}
			})

		})

		$('#clearArea_2').hide();
		$('#simpanGambar_2').hide();
		$('#simpanGambar-loading_2').hide();
		
		/////////////////////////////////////////////////////////////////////////
		//canvas draw -start
		var mousePressed_3 = false;
		var lastX_3, lastY_3;
		var ctx_3;
		var img_3 = document.getElementById('gambarCanvas_3');
		var imgTersimpan_3 = document.getElementById('gambarTersimpan_3');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/plus.png';
			$urlGambar = $objPatientNursing->vLokasiGambarRefleksFisiologisSaraf ? $objPatientNursing->vLokasiGambarRefleksFisiologisSaraf : $GambarDefault;
		?>

		var canvas_3 = window.__canvas_3 = new fabric.Canvas( 'myCanvas_3' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(300);
			image.scaleToHeight(300);
			canvas_3.add(image.set({
				id : 'myCanvas_3'
				, alt : 'blank'
			}));
		});

		canvas_3.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas_3);
		if (canvas_3.freeDrawingBrush) {
			var brush = canvas_3.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_3').click(function(){
			canvas_3.isDrawingMode = true;
			$('#clearArea_3').removeClass('disabled');
			$('#simpanGambar_3').removeClass('disabled');
			$('#edit_3').addClass('disabled');
			$('#clearArea_3').show();
			$('#simpanGambar_3').show();
			$('#edit_3').hide();
			return false;
		})


		$('#clearArea_3').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(300);
				image.scaleToHeight(300);
				canvas_3.add(image.set({
					id : 'myCanvas_3'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas_3 draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas_3 draw -end

		$('#simpanGambar_3').click(function() {

			var canvas_3 = document.getElementById('myCanvas_3');
			var hasil = canvas_3.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'REFLEKS FISIOLOGI');
			fd.append("gambar", blob, 'plus.png');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadSistemMotorikDanRefleksFisiologi')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_3').addClass('disabled');
					$('#simpanGambar_3').hide();
					$('#simpanGambar-loading_3').show();
				},
				complete: function(xhr,status){
					$('#edit_3').removeClass('disabled');
					$('#clearArea_3').addClass('disabled');
					$('#simpanGambar_3').addClass('disabled');
					$('#simpanGambar_3').hide();
					$('#clearArea_3').hide();
					$('#simpanGambar-loading_3').hide();
					$('#edit_3').show();
				}
			})

		})

		$('#clearArea_3').hide();
		$('#simpanGambar_3').hide();
		$('#simpanGambar-loading_3').hide();
		
		//////////////////////////////////////////////////////////////////////////////////////
		//canvas draw -start
		var mousePressed_4 = false;
		var lastX_4, lastY_4;
		var ctx_4;
		var img_4 = document.getElementById('gambarCanvas_4');
		var imgTersimpan_4 = document.getElementById('gambarTersimpan_4');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/dermatome.png';
			$urlGambar = $objPatientNursing->vLokasiGambarSistemSensorikSaraf ? $objPatientNursing->vLokasiGambarSistemSensorikSaraf : $GambarDefault;
		?>

		var canvas_4 = window.__canvas_4 = new fabric.Canvas( 'myCanvas_4' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(740);
			image.scaleToHeight(400);
			canvas_4.add(image.set({
				id : 'myCanvas_4'
				, alt : 'blank'
			}));
		});

		canvas_4.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas_4);
		if (canvas_4.freeDrawingBrush) {
			var brush = canvas_4.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_4').click(function(){
			canvas_4.isDrawingMode = true;
			$('#clearArea_4').removeClass('disabled');
			$('#simpanGambar_4').removeClass('disabled');
			$('#edit_4').addClass('disabled');
			$('#clearArea_4').show();
			$('#simpanGambar_4').show();
			$('#edit_4').hide();
			return false;
		})


		$('#clearArea_4').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(740);
				image.scaleToHeight(400);
				canvas_4.add(image.set({
					id : 'myCanvas_4'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas_4 draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas_4 draw -end

		$('#simpanGambar_4').click(function() {

			var canvas_4 = document.getElementById('myCanvas_4');
			var hasil = canvas_4.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'SISTEM SENSORIK');
			fd.append("gambar", blob, 'dermatome.png');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadSistemSensorik')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#simpanGambar-loading_4').show();
				},
				complete: function(xhr,status){
					$('#edit_4').removeClass('disabled');
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#clearArea_4').hide();
					$('#simpanGambar-loading_4').hide();
					$('#edit_4').show();
				}
			})

		})

		$('#clearArea_4').hide();
		$('#simpanGambar_4').hide();
		$('#simpanGambar-loading_4').hide();
		
		
		
		//////////////////////////////////////////////////////////////////////////////////////
		//canvas draw -start
		var mousePressed_5 = false;
		var lastX_5, lastY_5;
		var ctx_5;
		var img_5 = document.getElementById('gambarCanvas_5');
		var imgTersimpan_5 = document.getElementById('gambarTersimpan_5');


		<?php
			$GambarDefault_5 = __USER_ASSETS__.'/images/jiwa.jpg';
			$urlGambar = $objPatientNursing->vLokasiTtdPenerimaInformasiSaraf ? $objPatientNursing->vLokasiTtdPenerimaInformasiSaraf : $GambarDefault_5;
		?>

		var canvas_5 = window.__canvas_5 = new fabric.Canvas( 'myCanvas_5' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas_5.add(image.set({
				id : 'myCanvas_5'
				, alt : 'blank'
			}));
		});

		canvas_5.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas_5);
		if (canvas_5.freeDrawingBrush) {
			var brush = canvas_5.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_5').click(function(){
			canvas_5.isDrawingMode = true;
			$('#clearArea_5').removeClass('disabled');
			$('#simpanGambar_5').removeClass('disabled');
			$('#edit_5').addClass('disabled');
			$('#clearArea_5').show();
			$('#simpanGambar_5').show();
			$('#edit_5').hide();
			return false;
		})


		$('#clearArea_5').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault_5 ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas_5.add(image.set({
					id : 'myCanvas_5'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas_5 draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas_5 draw -end

		$('#simpanGambar_5').click(function() {

			var canvas_5 = document.getElementById('myCanvas_5');
			var hasil = canvas_5.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD PENERIMA INFORMASI SARAF');
			fd.append("gambar", blob, 'jiwa.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDPenerimaInformasiSaraf')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#simpanGambar-loading_5').show();
				},
				complete: function(xhr,status){
					$('#edit_5').removeClass('disabled');
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#clearArea_5').hide();
					$('#simpanGambar-loading_5').hide();
					$('#edit_5').show();
				}
			})

		})

		$('#clearArea_5').hide();
		$('#simpanGambar_5').hide();
		$('#simpanGambar-loading_5').hide();
		
});

</script>