<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

    // $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
    // $waktuakhir = date_create();
    $diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
    $umurDalamTahun = $diff->y;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>'; 
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 900;
    }
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-6">
        <h1 class="panel-title1">ASESMEN AWAL MEDIS</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<div style="text-align:center; padding: 5px">
    <a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
</div>
<form>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Asesmen Awal Medis</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggalasesmen"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen" type="text" class="form-control input-tanggal-asesmen" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->GeneralTanggalAsesmen ? $objPatientNursing->GeneralTanggalAsesmen : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="jamasesmen"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen" type="text" class="form-control" name="jamasesmen" placeholder="HH:mm" value="<?= $objPatientNursing->GeneralJamAsesmen ? $objPatientNursing->GeneralJamAsesmen : date('H:i') ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
        </div>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="radio-inline"><b>Keadaan Umum: </b></label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="BAIK" <?= $objPatientNursing->GeneralKeadaanUmum == 'BAIK' ? 'checked' : '' ?>>Baik</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="SESAK" <?= $objPatientNursing->GeneralKeadaanUmum == 'SESAK' ? 'checked' : '' ?>>Sesak</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="PUCAT" <?= $objPatientNursing->GeneralKeadaanUmum == 'PUCAT' ? 'checked' : '' ?>>Pucat</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="LEMAH" <?= $objPatientNursing->GeneralKeadaanUmum == 'LEMAH' ? 'checked' : '' ?>>Lemah</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="KESADARAN MENURUN" <?= $objPatientNursing->GeneralKeadaanUmum == 'KESADARAN MENURUN' ? 'checked' : '' ?>>Kesadaran Menurun</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="LAINNYA" <?= $objPatientNursing->GeneralKeadaanUmum == 'LAINNYA' ? 'checked' : '' ?>>Lainnya</label>
                </div>
            </div>
            <div class="col-md-12 keadaanumumrow">
                <div class="form-group" style="padding: 0 15px;">
                    <label for="uraiankeadaanumum"><b>Sebutkan:</b></label>
                    <textarea class="form-control" rows="2" id="uraiankeadaanumum" name="uraiankeadaanumum" placeholder="Keadaan Umum"><?= $objPatientNursing->GeneralUraianKeadaanUmum ?></textarea>
                </div>
            </div>

            <div class="col-md-12">
                <div class="form-group">
                    <label class="radio-inline"><b>Kesan Sakit: </b></label>
                    <label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="RINGAN" <?= $objPatientNursing->GeneralKesanSakit == 'RINGAN' ? 'checked' : '' ?>>Ringan</label>
                    <label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="SEDANG" <?= $objPatientNursing->GeneralKesanSakit == 'SEDANG' ? 'checked' : '' ?>>Sedang</label>
                    <label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="BERAT" <?= $objPatientNursing->GeneralKesanSakit == 'BERAT' ? 'checked' : '' ?>>Berat</label>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-body">
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-4">
                <?php
                $arrGcs = explode('-', $objPatientNursing->GeneralGcs);
                $gcs1 = $arrGcs[0];
                $gcs2 = $arrGcs[1];
                $gcs3 = $arrGcs[2];
                ?>
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>GCS:</b></span></span>
                    <select id="gcs1" class="form-control" style="width:33.3%">
                        <option value="">-</option>
                        <option value="1" <?= $gcs1 == '1' ?'selected' : '' ?>>1</option>
                        <option value="2" <?= $gcs1 == '2' ?'selected' : '' ?>>2</option>
                        <option value="3" <?= $gcs1 == '3' ?'selected' : '' ?>>3</option>
                        <option value="4" <?= $gcs1 == '4' ?'selected' : '' ?>>4</option>
                    </select>
                    <select id="gcs2" class="form-control" style="width:33.3%">
                        <option value="">-</option>
                        <option value="1" <?= $gcs2 == '1' ?'selected' : '' ?>>1</option>
                        <option value="2" <?= $gcs2 == '2' ?'selected' : '' ?>>2</option>
                        <option value="3" <?= $gcs2 == '3' ?'selected' : '' ?>>3</option>
                        <option value="4" <?= $gcs2 == '4' ?'selected' : '' ?>>4</option>
                        <option value="5" <?= $gcs2 == '5' ?'selected' : '' ?>>5</option>
                    </select>
                    <select id="gcs3" class="form-control" style="width:33.3%">
                        <option value="">-</option>
                        <option value="1" <?= $gcs3 == '1' ?'selected' : '' ?>>1</option>
                        <option value="2" <?= $gcs3 == '2' ?'selected' : '' ?>>2</option>
                        <option value="3" <?= $gcs3 == '3' ?'selected' : '' ?>>3</option>
                        <option value="4" <?= $gcs3 == '4' ?'selected' : '' ?>>4</option>
                        <option value="5" <?= $gcs3 == '5' ?'selected' : '' ?>>5</option>
                        <option value="6" <?= $gcs3 == '6' ?'selected' : '' ?>>6</option>
                    </select>
                    <!-- <input type="text" class="form-control" name="gcs" id="gcs" placeholder="GCS" value="<?= $objPatientNursing->GeneralGcs ?>"> -->
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>TD:</b></span></span>
                    <input type="text" class="form-control" name="sistolik" id="sistolik" placeholder="sistolik" value="<?= $objPatientNursing->GeneralSistolik ?>" style="width:50%">
                    <input type="text" class="form-control" name="diastolik" id="diastolik" placeholder="diastolik" value="<?= $objPatientNursing->GeneralDiastolik ?>" style="width:50%">
                    <span class="input-group-addon"><span class="text-35">mmHg</span></span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>N:</b></span></span>
                    <input type="text" class="form-control" name="nadi" id="nadi" placeholder="Nadi" value="<?= $objPatientNursing->GeneralNadi ?>">
                    <span class="input-group-addon"><span class="text-35">x/m</span></span>
                </div>
            </div>
        </div>
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>RR:</b></span></span>
                    <input type="text" class="form-control" name="rr" id="rr" placeholder="RR" autocomplete="on"  value="<?= $objPatientNursing->GeneralRr ?>">
                    <span class="input-group-addon"><span class="text-35">x/m</span></span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>Suhu:</b></span></span>
                    <input type="text" class="form-control" name="suhu" id="suhu" placeholder="Suhu" value="<?= $objPatientNursing->GeneralSuhu ?>">
                    <span class="input-group-addon"><span class="text-35">&#8451;</span></span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>BB:</b></span></span>
                    <input type="text" class="form-control" name="bb" id="bb" placeholder="Berat Badan"  value="<?= $objPatientNursing->GeneralBb ?>">
                    <span class="input-group-addon"><span class="text-35">kg</span></span>
                </div>
            </div>
        </div>
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-4">
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span><b>Saturasi Oksigen:</b></span></span>
                    <input type="text" class="form-control" name="saturasioksigen" id="saturasioksigen" placeholder="Saturasi Oksigen" value="<?= $objPatientNursing->GeneralSaturasiOksigen ?>">
                </div>
            </div>
            <div class="col-md-4">
            </div>
        </div>
        <div class="row" style="margin-bottom:5px">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>TB:</b></span></span>
                    <input type="text" class="form-control" name="tb" id="tb" placeholder="Tinggi Badan" value="<?= $objPatientNursing->GeneralTb ?>">
                    <span class="input-group-addon"><span class="text-35">cm</span></span>
                </div>
            </div>
        </div>
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35x"><b>Kondisi Pupil:</b></span></span>
                    <select id="kondisipupil" class="form-control">
                        <option selected value="">belum diisi</option>
                        <option value="MIDRIASIS" <?= $objPatientNursing->GeneralKondisiPupil == 'MIDRIASIS' ?'selected' : '' ?>>Midriasis</option>
                        <option value="ISOCHOR" <?= $objPatientNursing->GeneralKondisiPupil == 'ISOCHOR' ?'selected' : '' ?>>Isochor(Normal)</option>
                        <option value="UNISCHOR" <?= $objPatientNursing->GeneralKondisiPupil == 'UNISCHOR' ?'selected' : '' ?>>Unischor</option>
                    </select>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35x"><b>Reflek Pupil:</b></span></span>
                    <select id="reflekpupil" class="form-control">
                        <option value="">belum diisi</option>
                        <option value="TIDAK ADA" <?= $objPatientNursing->GeneralReflekPupil == 'TIDAK ADA' ?'selected' : '' ?>>TIDAK ADA</option>
                        <option value="ADA" <?= $objPatientNursing->GeneralReflekPupil == 'ADA' ?'selected' : '' ?>>ADA</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="box box-info form-horizontal" style="padding-bottom: 25px;">
    <div class="box-body">
        <div class="row">
            <div class="col-md-12">
                <?php
                if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
                ?>
                <!-- <button>Simpan</button> -->
                <?php
                }
                ?>
                <?php
                $penyelesai = ' ';
                if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){
                    $objSystemUser = SystemUser::LoadById($objPatientNursing->IdUserPenyelesaiAsesmenAwal);
                    $penyelesai .= $objSystemUser->FullName;
                }
                ?>

                <div class="alert alert-success showSelesai" role="alert" style="display:none">
                    <strong>Selesai!</strong> Asesmen Awal dinyatakan selesai dan ditandatangani oleh <span id="selesaiFullName"><?= $penyelesai ?></span> 
                    pada tanggal <span id="selesaiTanggal"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('d-m-Y') : '-' ?></span>
                    jam <span id="selesaiJam"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('H:i') : '-' ?></span>
                    dari IP <span id="selesaiIp"><?= $objPatientNursing->IpUserPenyelesaiAsesmenAwal ?></span>
                </div>

                <a href="#" id="cetak-laporan" class="btn btn-warning showSelesai" style="display:none"><i class="fa fa-print"></i> Cetak Laporan</a>

                <span class="hideSelesai">
                    <!-- <a href="#" class="btn btn-danger" id="open-modal"><i class="fa fa-pencil"></i> Simpan &amp; Tanda Tangan</a>
                    <button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</button>
                    <button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan Draft</button> -->
                    <button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
                    <button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan</button>
                </span>

                <a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
            </div>
        </div>
    </div>
</div>

</form>


<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Konfirmasi</h4>
      </div>
      <div class="modal-body">
        <p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
            pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
        </p>

        <div>
            <hr>
            <label><b>Password<b></label>
            <input type="password" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
        <button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
      </div>
    </div>

  </div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var ObjectData = {};

$(document).ready(function() {
    $('#tombol-save-loading').hide();
    $('#simpanGambar-loading').hide();
    //KEADAAN UMUM
    var selected_value = $("input[name='keadaanumum']:checked").val();
    if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
        $('.keadaanumumrow').hide();
        $('#uraiankeadaanumum').val(''); //kosongkan 
    }else if(typeof selected_value === "undefined"){
        $('.keadaanumumrow').hide();
        $('#uraiankeadaanumum').val(''); //kosongkan 
    }
    else{
        $('.keadaanumumrow').show();
    }
    //
    $(".keadaanumum").change(function (e) {
        var selected_value = $("input[name='keadaanumum']:checked").val();
        if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
            $('.keadaanumumrow').hide();
            $('#uraiankeadaanumum').val(''); //kosongkan 
        }else if(typeof selected_value === "undefined"){
            $('.keadaanumumrow').hide();
            $('#uraiankeadaanumum').val(''); //kosongkan 
        }
        else{
            $('.keadaanumumrow').show();
        }
    });
});


$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
    event.preventDefault();
    console.log('simpan asesmen awal');
    if(validasiSimpan()){
        prosesKirimData('VERIFIKASI');
    }
})

$('#content').off('click', '#tombol-save').on('click', '#tombol-save', function (event) {
    event.preventDefault();
    console.log('simpan draft asesmen awal');
    prosesKirimData('DRAFT');
});

var validasiSimpan = function(){
    var password = $('#password');
    var checkSetuju = $('#check-setuju');

    if(!password.val()){
        toastr.warning('Password Masih Kosong', 'Peringatan');
        return null;
    }
    if(! checkSetuju.prop('checked')){
        toastr.warning('Anda Harus Menyetujui', 'Peringatan');
        return null;
    }
    return true;
}

var prosesKirimData = function(mode){
    ObjectData.pageId = strPageId;
    ObjectData.actorId = strActorId;
    ObjectData.nursingId = '<?= $strId ?>'; //nursing id
    ObjectData.department = strDepartmentId;

    if(mode == 'VERIFIKASI'){
        ObjectData.password = $('#password').val();
    }
    
    ObjectData.TanggalAsesmen = $('#tanggalasesmen').val();
    ObjectData.JamAsesmen = $('#jamasesmen').val();

    ObjectData.KeadaanUmum = $("input[name='keadaanumum']:checked").val() ? $("input[name='keadaanumum']:checked").val() : '';
    ObjectData.UraianKeadaanUmum = $('#uraiankeadaanumum').val();
    ObjectData.KesanSakit = $("input[name='kesansakit']:checked").val() ? $("input[name='kesansakit']:checked").val() : '';
    ObjectData.Gcs = $('#gcs1').val() + '-' + $('#gcs2').val() + '-' + $('#gcs3').val();
    ObjectData.Sistolik = $('#sistolik').val();
    ObjectData.Diastolik = $('#diastolik').val();
    ObjectData.Nadi = $('#nadi').val();
    ObjectData.Rr = $('#rr').val();
    ObjectData.Suhu = $('#suhu').val();
    ObjectData.SaturasiOksigen = $('#saturasioksigen').val();
    ObjectData.Bb = $('#bb').val();
    ObjectData.Tb = $('#tb').val();
    ObjectData.ReflekPupil = $('#reflekpupil').val();
    ObjectData.KondisiPupil = $('#kondisipupil').val();
    
    ObjectData.mode = mode;

    var url;
    if(mode == 'DRAFT'){
        url = "<?= QApplication::UrlActionCreator('PatientNursingAssessment/AsesmenAwalMedisVitalSign')?>";
    }else{
        url = "<?= QApplication::UrlActionCreator('PatientNursingAssessment/AsesmenAwalMedisVitalSign')?>";
    }


    console.log(ObjectData)
    $.ajax({
        url: url, 
        success: function(result){
            if(mode == 'VERIFIKASI' && result.status != 'error'){
                $('#modal-area').modal("hide");
                disableAllInput();
                toastr.info(result.message, 'Informasi');
                $('#selesaiFullName').text(result.FullName);
                $('#selesaiTanggal').text(result.Tanggal);
                $('#selesaiJam').text(result.Jam);
                $('#selesaiIp').text(result.Ip);
            }else if(result.status == 'error'){
                toastr.error(result.message, 'Error');
            }else{
                toastr.info(result.message, 'Informasi');
            }
        },
        timeout: 5* 60 * 1000,
        error: function(xhr,status,error){
            console.log(xhr);
            alert('Gagal menyimpan data');
        },
        beforeSend: function(xhr){
            $('#tombol-save').hide();
            $('#tombol-save-loading').show();
        },
        complete: function(xhr,status){
            $('#tombol-save').show();
            $('#tombol-save-loading').hide();
        },
        type: "POST",
        data: ObjectData
    });
}

// $("#jamasesmen").focus(function(e){
//     showMePicker(e.target);
// });

$('#content').off('click', '#cetak-laporan').on('click', '#cetak-laporan', function () {
    var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
    openInNewTab(url);
});

$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
});

$('#jamasesmen').change(function(e){
    var waktu = $('#jamasesmen').val().split(":");
    var jam = waktu[0];
    var menit = waktu[1];
    if(jam > 23 || menit > 60){
        $('#jamasesmen').val('')
    }
})
//-------------

$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
    $('#modal-area').modal("show");
    $('#tandatangani').show();
    $('#tandatanganiperubahan').hide();
});

//-------------

function openInNewTab(url) {
    var win = window.open(url, '_blank');
    win.focus();
} 

$('.input-tanggal-asesmen').datepicker({
    format: "dd-mm-yyyy",
    autoclose: true,
    maxDate: new Date('<?= date('d-m-Y') ?>'),
    minDate: new Date('<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>'),
    // endDate: null
});

function convertDateToISO(strDateIna) {
    return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}

function disableAllInput(){
    $("input, textarea, select").prop('disabled', true);
    $('.hideSelesai').hide();
    $('.showSelesai').show();
    warnaPencil = 'transparent';
}

<?php if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){ ?>
    disableAllInput();
<?php } ?>
</script>
