<?php
function tempAnamnesaAnak($objPatientNursing = null, $prefix = null){
    /**
     * dipakai: dokter-anak, ...., ....
     */
    $ori_KeluhanUtama = $prefix.'KeluhanUtama';
    $edit_KeluhanUtama = $prefix.'KeluhanUtamaEdit';
    $ori_RiwayatPenyakitSekarang = $prefix.'RiwayatPenyakitSekarang';
    $edit_RiwayatPenyakitSekarang = $prefix.'RiwayatPenyakitSekarangEdit';
    $ori_RiwayatPenyakitDahulu = $prefix.'RiwayatPenyakitDahulu';
    $edit_RiwayatPenyakitDahulu = $prefix.'RiwayatPenyakitDahuluEdit';
    $ori_RiwayatAlergi = $prefix.'RiwayatAlergi';
    $edit_RiwayatAlergi = $prefix.'RiwayatAlergiEdit';
    $ori_RiwayatPengobatan = $prefix.'RiwayatPengobatan';
    $edit_RiwayatPengobatan = $prefix.'RiwayatPengobatanEdit';
    $ori_RiwayatPenyakitKeluarga = $prefix.'RiwayatPenyakitKeluarga';
    $edit_RiwayatPenyakitKeluarga = $prefix.'RiwayatPenyakitKeluargaEdit';
    $ori_RiwayatImunisasi = $prefix.'RiwayatImunisasi';
    $edit_RiwayatImunisasi = $prefix.'RiwayatImunisasiEdit';

    $KeluhanUtama = $objPatientNursing->$edit_KeluhanUtama ? $objPatientNursing->$edit_KeluhanUtama : $objPatientNursing->$ori_KeluhanUtama;
    $RiwayatPenyakitSekarang = $objPatientNursing->$edit_RiwayatPenyakitSekarang ? $objPatientNursing->$edit_RiwayatPenyakitSekarang : $objPatientNursing->$ori_RiwayatPenyakitSekarang;
    $RiwayatPenyakitDahulu = $objPatientNursing->$edit_RiwayatPenyakitDahulu ? $objPatientNursing->$edit_RiwayatPenyakitDahulu : $objPatientNursing->$ori_RiwayatPenyakitDahulu;
    $RiwayatAlergi = $objPatientNursing->$edit_RiwayatAlergi ? $objPatientNursing->$edit_RiwayatAlergi : $objPatientNursing->$ori_RiwayatAlergi;
    $RiwayatPengobatan = $objPatientNursing->$edit_RiwayatPengobatan ? $objPatientNursing->$edit_RiwayatPengobatan : $objPatientNursing->$ori_RiwayatPengobatan;
    $RiwayatPenyakitKeluarga = $objPatientNursing->$edit_RiwayatPenyakitKeluarga ? $objPatientNursing->$edit_RiwayatPenyakitKeluarga : $objPatientNursing->$ori_RiwayatPenyakitKeluarga;
    $RiwayatImunisasi = $objPatientNursing->$edit_RiwayatImunisasi ? $objPatientNursing->$edit_RiwayatImunisasi : $objPatientNursing->$ori_RiwayatImunisasi;
?>
<div class="row">
    <div class="col-md-12">
        <label class="control-label" for=""><b>Keluhan Utama :</b></label>
        <textarea id="keluhanutama" class="form-control" name="keluhanutama" placeholder="Keluhan Utama"><?= $KeluhanUtama ?></textarea>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <label class="control-label" for=""><b>Anamnesa Khusus(Riwayat Penyakit Sekarang) :</b></label>
        <textarea id="riwayatpenyakitsekarang" class="form-control" name="riwayatpenyakitsekarang" placeholder="Riwayat Penyakit Sekarang"><?= $RiwayatPenyakitSekarang ?></textarea>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <label class="control-label" for=""><b>Riwayat Penyakit Dahulu :</b></label>
        <textarea id="riwayatpenyakitdahulu" class="form-control" name="riwayatpenyakitdahulu" placeholder="Riwayat Penyakit Dahulu"><?= $RiwayatPenyakitDahulu ?></textarea>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <label class="control-label" for=""><b>Riwayat Alergi :</b></label>
        <textarea id="riwayatalergi" class="form-control" name="riwayatalergi" placeholder="Riwayat Alergi"><?= $RiwayatAlergi ?></textarea>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <label class="control-label" for=""><b>Riwayat Pengobatan :</b></label>
        <textarea id="riwayatpengobatan" class="form-control" name="riwayatpengobatan" placeholder="Riwayat Pengobatan"><?= $RiwayatPengobatan ?></textarea>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <label class="control-label" for=""><b>Riwayat Penyakit Keluarga :</b></label>
        <textarea id="riwayatpenyakitkeluarga" class="form-control" name="riwayatpenyakitkeluarga" placeholder="Riwayat Penyakit Keluarga"><?= $RiwayatPenyakitKeluarga ?></textarea>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <label class="control-label" for=""><b>Riwayat Imunisasi :</b></label>
        <textarea id="riwayatimunisasi" class="form-control" name="riwayatimunisasi" placeholder="Riwayat Imunisasi"><?= $RiwayatImunisasi ?></textarea>
    </div>
</div>

<script>
var segmenAnamnesaAnak = {
        ambilValue : function (){
            return {
                KeluhanUtama : $('#keluhanutama').val(),
                RiwayatPenyakitSekarang : $('#riwayatpenyakitsekarang').val(),
                RiwayatPenyakitDahulu : $('#riwayatpenyakitdahulu').val(),
                RiwayatAlergi : $('#riwayatalergi').val(),
                RiwayatPengobatan : $('#riwayatpengobatan').val(),
                RiwayatPenyakitKeluarga : $('#riwayatpenyakitkeluarga').val(),
                RiwayatImunisasi : $('#riwayatimunisasi').val(),
            }
        },
        ambilValueEdit : function (){
            var obj = {};
            var keluhanutama = $('#keluhanutama');
            var riwayatpenyakitsekarang = $('#riwayatpenyakitsekarang');
            var riwayatpenyakitdahulu = $('#riwayatpenyakitdahulu');
            var riwayatalergi = $('#riwayatalergi');
            var riwayatpengobatan = $('#riwayatpengobatan');
            var riwayatpenyakitkeluarga = $('#riwayatpenyakitkeluarga');
            var riwayatimunisasi = $('#riwayatimunisasi');
            if(keluhanutama.data('status') == 'edit'){
                obj.KeluhanUtama = keluhanutama.val();
            }
            if(riwayatpenyakitsekarang.data('status') == 'edit'){
                obj.RiwayatPenyakitSekarang = riwayatpenyakitsekarang.val();
            }
            if(riwayatpenyakitdahulu.data('status') == 'edit'){
                obj.RiwayatPenyakitDahulu = riwayatpenyakitdahulu.val();
            }
            if(riwayatalergi.data('status') == 'edit'){
                obj.RiwayatAlergi = riwayatalergi.val();
            }
            if(riwayatpengobatan.data('status') == 'edit'){
                obj.RiwayatPengobatan = riwayatpengobatan.val();
            }
            if(riwayatpenyakitkeluarga.data('status') == 'edit'){
                obj.RiwayatPenyakitKeluarga = riwayatpenyakitkeluarga.val();
            }
            if(riwayatimunisasi.data('status') == 'edit'){
                obj.RiwayatImunisasi = riwayatimunisasi.val();
            }
            return obj;
        }
    }
</script>
<?php
}
?>