<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	
	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);


if( strlen($objPatientNursing->vRuangSPPR) > 0 ) {
	$objRuangTujuan = HmisRefDepartment::LoadById( $objPatientNursing->vRuangSPPR);
	if( $objRuangTujuan ) {
		$RuangTujuanId = $objPatientNursing->vRuangSPPR;
		$RuangTujuan = $objRuangTujuan->Name ;
	}
}

if( strlen($objPatientNursing->vDoctorSPPR) > 0 ) {
	$objDoctorSPPR = HmisRefEmployee::LoadById( $objPatientNursing->vDoctorSPPR);
	if( $objDoctorSPPR ) {
		$DoctorSPPRId = $objPatientNursing->vDoctorSPPR;
		$DoctorSPPR = $objDoctorSPPR->FirstName ;
	}
}


?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> 
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>

<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
</style>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>

<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>



<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="box-header">
				<i class="fa fa-user"></i>
				<h3 class="box-title">Data Pasien</h3>
			</div>
			<div class="box-body">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Nama</label>
							<div class="col-sm-8">
								<?php
								$namaPasien = ViewHelper::autoFullName($objPatientNursing->FirstName, $objHmisPatient->Predicate, $objPatientNursing->CreateTime->Timestamp, $objPatientNursing->DateOfBirth->Timestamp, $objPatientNursing->Gender);
								?>
								<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $namaPasien ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Umur</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="dpjp" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
							</div>
						</div>
						<?php if($objPatientNursing->NursingCategory == 3){ ?>
							<div class="form-group">
								<label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
								<div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
									<input type="text" class="form-control input-sm" id="ppjp" required value="<?= $strPpjp ?>" readonly>
								</div>
							</div>
						<?php } ?>

					</div>


					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
							<div class="col-sm-8">
								<?php
								if($objPatientNursing->DepartmentName){
									$namaDepartemen = $objPatientNursing->DepartmentName;
								}elseif($objPatientNursing->TransferDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}elseif($objPatientNursing->StartCheckinDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}
								?>
								<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $namaDepartemen ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">TT</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" required value="<?= $objPatientNursing->NursingBedName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="dxU" id="dxU" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">ID</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- Kode Floating + Dock Menu -->
<div class="floating-menu" align="center" style='right:0px; top:160px; width:50px; min-height: 80px; '>
	<ul id="fisheye_menu"> 
		<li>
			<a id="menu-erm" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img title="" src="<?= __ASSETS__ ?>/images/floating-menu/document.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
		<li>
			<a id="menu-simpan" onClick="" class="fisheye" data-simpletooltip-position="left" title="Simpan">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/files.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li>
		<!--
		<li>
			<a id="menu-billing" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/document.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
		<li>
			<a id="menu-resep" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/progress.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
		<li>
			<a id="menu-simpan" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/notes.jpg" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
		<li>
			<a id="menu-selesai-pelayanan" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/map-green.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li>
		-->
		<li>
			<a id="menu-kembali" onClick="" class="fisheye" data-simpletooltip-position="left" title="Kembali">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/map.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
	</ul>
</div>
<script>
	var InitializeFishEye = function(){
		function unInitialize() {
			setTimeout(function(){
				Reflect.deleteProperty(window, 'InitializeFishEye');
			},100);
		}
		$(".fisheye").simpletooltip({
			position: "left"
			, color: "#FFFFFF"
			, background_color: "#0088BE"
			, border_color: "#00669C"
			, border_width: 4
			, click: true
			, hideOnLeave: true
		});
		unInitialize();
	}
	$('#content').ready(function(){
		InitializeFishEye();
	});
</script>

<form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" >
	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="row">

		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-header">
			    		<i class="fa fa-user"></i>
			    		<h3 class="box-title">Form Persetujuan / Penolakan Tindakan</h3>
				</div>
				
				<br>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="form-group">
							<label class="radio-inline"><b>Jenis Form: </b></label>
							<label class="radio-inline jenis"><input type="radio" name="jenisForm" id="persetujuan" value="Persetujuan" <?= ($objPatientNursing->vJenisFormPPT == 'Persetujuan' ) ? 'checked' : '' ?>>Persetujuan</label>
							<label class="radio-inline jenis"><input type="radio" name="jenisForm" id="penolakan" value="Penolakan" <?= $objPatientNursing->vJenisFormPPT == 'Penolakan' ? 'checked' : '' ?>>Penolakan</label>
						</div>
					</div>

				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 7; padding-right: 0px;" ><b> Tgl: </b></div></span>
							<input type="date" class="form-control" name="tgl_ppt" id="tgl_ppt" placeholder="Tgl" autocomplete="off" value="<?= $objPatientNursing->vTglPPT ; ?>">
							<span class="input-group-addon" style="width: 70px;"><span class="text-35"><b>Jam:</b></span></span>
							<input type="time" class="form-control" name="jam_ppt" id="jam_ppt" placeholder="Waktu" autocomplete="off" value="<?= $objPatientNursing->vJamPPT ; ?>">

						</div>
					</div>
				</div>


				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 150px; padding-right: 0px;" ><b>Penerima informasi</b></div></span>
							<textarea name="penerima_informasi_ppt" id="penerima_informasi_ppt" rows="1" class="form-control" placeholder="Nama Penerima Informasi / pemberi persetujuan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vPenerimaInformasiPPT ?></textarea>

						</div>
					</div>
				</div>

				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 150px; padding-right: 0px;" ><b>Hubungan dengan pasien</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="pasien_sendiri" id="pasien_sendiri" <?= ( stripos( '@'.$objPatientNursing->vHubunganDenganPasienPPT , 'pasien sendiri' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="pasien_sendiri" style="margin-left: 5px; margin-top: 5px;" >pasien sendiri</label>
								<input type="checkbox" name="orang_tua" id="orang_tua" <?= ( stripos( '@'.$objPatientNursing->vHubunganDenganPasienPPT , 'orang tua' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="orang_tua" style="margin-left: 5px; margin-top: 5px;" >orang tua</label>
								<input type="checkbox" name="anak" id="anak" <?= ( stripos( '@'.$objPatientNursing->vHubunganDenganPasienPPT , 'anak' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="anak" style="margin-left: 5px; margin-top: 5px;" >anak</label>
								<input type="checkbox" name="istri" id="istri" <?= ( stripos( '@'.$objPatientNursing->vHubunganDenganPasienPPT , 'istri' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="istri" style="margin-left: 5px; margin-top: 5px;" >istri</label>
								<input type="checkbox" name="suami" id="suami" <?= ( stripos( '@'.$objPatientNursing->vHubunganDenganPasienPPT , 'suami' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="suami" style="margin-left: 5px; margin-top: 5px;" >suami</label>
								<input type="checkbox" name="saudara" id="saudara" <?= ( stripos( '@'.$objPatientNursing->vHubunganDenganPasienPPT , 'saudara' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="saudara" style="margin-left: 5px; margin-top: 5px;" >saudara</label>
								<input type="checkbox" name="pengantar" id="pengantar" <?= ( stripos( '@'.$objPatientNursing->vHubunganDenganPasienPPT , 'pengantar' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="pengantar" style="margin-left: 5px; margin-top: 5px;" >pengantar</label>

							</div>

						</div>
					</div>
				</div>
				
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 150px; padding-right: 0px;" ><b>Umur</b></div></span>
							<input type="number" class="form-control" name="umur_ppt" id="umur_ppt" placeholder="Umur" autocomplete="off" value="<?= $objPatientNursing->vUmurPPT ; ?>" >
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 150px; padding-right: 0px;" ><b>Jenis Kelamin</b></div></span>
							<input type="text" class="form-control" name="jk_ppt" id="jk_ppt" placeholder="JK" autocomplete="off" value="<?= $objPatientNursing->vJKPPT ; ?>" >
						</div>
					</div>
				</div>
				
				<div class="row" style="padding: 2px 15px;">

					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 150px; padding-right: 0px;" ><b>Alamat </b></div></span>
							<input type="text" class="form-control" name="alamat_ppt" id="alamat_ppt" placeholder="Alamat" autocomplete="off" value="<?= $objPatientNursing->vAlamatPPT ; ?>" >
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 150px; padding-right: 0px;" ><b>Nama Saksi 1</b></div></span>
							<textarea name="saksi1_ppt" id="saksi1_ppt" rows="1" class="form-control" placeholder="Saksi 1" style="overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vSaksi1PPT ?></textarea>

						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 150px; padding-right: 0px;" ><b>Nama Saksi 2</b></div></span>
							<textarea name="saksi2_ppt" id="saksi2_ppt" rows="1" class="form-control" placeholder="Saksi 2" style="overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vSaksi2PPT ?></textarea>

						</div>
					</div>
				</div>

				
			</div>
		</div>
	</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h4>JENIS INFORMASI</h4>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 20px;">
							<label for="fisikkepalawajah"><b> Diagnosis:</b></label>
							<textarea class="form-control" rows="2" id="diagnosa_general" name="diagnosa_general" placeholder="Diagnosis"><?= $objPatientNursing->AdmissionDiagnoseDescription1 ?></textarea>
						</div>
					</div>
				</div>

				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 20px;">
							<label for="fisikkepalawajah"><b> Dasar Diagnosis:</b></label>
							<textarea class="form-control" rows="2" id="dasar_diagnosis_ppt" name="dasar_diagnosis_ppt" placeholder="Dasar Diagnosis"><?= $objPatientNursing->vDasarDiagnosisPPT ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikleher"><b> Tindakan Kedokteran:</b></label>
							<textarea class="form-control" rows="2" id="tindakan_kedokteran_ppt" name="tindakan_kedokteran_ppt" placeholder="1"><?= $objPatientNursing->vTindakanKedokteranPPT ?></textarea>
							<textarea class="form-control" id="tindakan_kedokteran_ppt_2" name="tindakan_kedokteran_ppt_2" placeholder="2"><?= $objPatientNursing->vTindakanKedokteranPPT2 ?></textarea>
							<textarea class="form-control" id="tindakan_kedokteran_ppt_3" name="tindakan_kedokteran_ppt_3" placeholder="3"><?= $objPatientNursing->vTindakanKedokteranPPT3 ?></textarea>
							<textarea class="form-control" id="tindakan_kedokteran_ppt_4" name="tindakan_kedokteran_ppt_4" placeholder="4"><?= $objPatientNursing->vTindakanKedokteranPPT4 ?></textarea>
							<textarea class="form-control" id="tindakan_kedokteran_ppt_5" name="tindakan_kedokteran_ppt_5" placeholder="5"><?= $objPatientNursing->vTindakanKedokteranPPT5 ?></textarea>
							<textarea class="form-control" id="tindakan_kedokteran_ppt_6" name="tindakan_kedokteran_ppt_6" placeholder="6"><?= $objPatientNursing->vTindakanKedokteranPPT6 ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikdada"><b> Indikasi Tindakan:</b></label>
							<textarea class="form-control" rows="2" id="indikasi_tindakan_ppt" name="indikasi_tindakan_ppt" placeholder="Indikasi Tindakan"><?= $objPatientNursing->vIndikasiTindakan ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikabdomen"><b> Tata cara:</b></label>
							<textarea class="form-control" rows="2" id="tata_cara_ppt" name="tata_cara_ppt" placeholder="Tata cara"><?= $objPatientNursing->vTataCaraPPT ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikextremitas"><b> Tujuan:</b></label>
							<textarea class="form-control" rows="2" id="tujuan_ppt" name="tujuan_ppt" placeholder="Tujuan"><?= $objPatientNursing->vTujuanPPT ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikgenital"><b> Resiko:</b></label>
							<textarea class="form-control" rows="2" id="resiko_ppt" name="resiko_ppt" placeholder="Resiko"><?= $objPatientNursing->vResikoPPT ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikgenital"><b> Komplikasi:</b></label>
							<textarea class="form-control" rows="2" id="komplikasi_ppt" name="komplikasi_ppt" placeholder="Komplikasi"><?= $objPatientNursing->vKomplikasiPPT ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikgenital"><b> Prognosis:</b></label>
							<textarea class="form-control" rows="2" id="prognosis_ppt" name="prognosis_ppt" placeholder="Prognosis"><?= $objPatientNursing->vPrognosisPPT ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikgenital"><b> Alternatif & resiko lain:</b></label>
							<textarea class="form-control" rows="2" id="alternatif_ppt" name="alternatif_ppt" placeholder="Alternatif "><?= $objPatientNursing->vAlternatifPPT ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikgenital"><b> Lain-lain:</b></label>
							<textarea class="form-control" rows="2" id="lain-lain_ppt" name="lain-lain_ppt" placeholder="Lain-lain"><?= $objPatientNursing->vLainLainPPT ?></textarea>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h4><center>TANDA TANGAN PENERIMA INFORMASI</center></h4>
	</div>
	<div class="box-body">
		<div class="row">
            <!--<div class="col-md-12" style="text-align:center;" >-->

				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/putih.jpg';
					$gambarTersimpan = $objPatientNursing->vGambarTTDPenerimaInformasi ? __IMAGE_ASSETS__. $objPatientNursing->vGambarTTDPenerimaInformasi : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Sedang menyimpan</button>
				</div>
	   </div>
        </div>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h4><center>TANDA TANGAN SAKSI 1</center></h4>
	</div>
	<div class="box-body">
		<div class="row">
            <!--<div class="col-md-12" style="text-align:center;" >-->

				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar1 = __USER_ASSETS__.'/images/putih.jpg';
					$gambarTersimpan1 = $objPatientNursing->vGambarTTDSaksi1 ? __IMAGE_ASSETS__. $objPatientNursing->vGambarTTDSaksi1 : $sumberGambar1;
					?>
					<img id="gambarCanvas1" src="<?= $sumberGambar1 ?>" style="display: none">
					<img id="gambarTersimpan1" src="<?= $gambarTersimpan1 ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas1" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit1">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea1">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar1">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading1"><i class="fa fa-circle-o-notch fa-spin"></i> Sedang menyimpan</button>
				</div>
	   </div>
        </div>
    </div>
</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h4><center>TANDA TANGAN SAKSI 2</center></h4>
	</div>
	<div class="box-body">
		<div class="row">
            <!--<div class="col-md-12" style="text-align:center;" >-->

				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar2 = __USER_ASSETS__.'/images/putih.jpg';
					$gambarTersimpan2 = $objPatientNursing->vGambarTTDSaksi2 ? __IMAGE_ASSETS__. $objPatientNursing->vGambarTTDSaksi2 : $sumberGambar2;
					?>
					<img id="gambarCanvas2" src="<?= $sumberGambar2 ?>" style="display: none">
					<img id="gambarTersimpan2" src="<?= $gambarTersimpan2 ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas2" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit2">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea2">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar2">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading2"><i class="fa fa-circle-o-notch fa-spin"></i> Sedang menyimpan</button>
				</div>
	   </div>
        </div>
    </div>
</div>




</form>

<div class="row">
	<div class="col-xs-6">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Tunggu</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="menu-cetak" class="btn btn-warning showSelesai"><i class="fa fa-print"></i> Cetak</button>

		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
	</div>
	<!--<div class="col-xs-6 btn-group">
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>-->
</div>


<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="password" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<!-- Modal -->

<style>

/* Kode Floating - Menu yang selalu mengikuti */
div.floating-menu {

	top:220px;
	position:fixed;
	/*background:#fff4c8; */
	background-color:#aac6e8;
	border:1px solid #0055b5;
	width:40px;
	/* height:285px; */
	height:130px;
	z-index:100;

	/*
	-webkit-border-top-right-radius: 8px;
	-khtml-border-radius-topright: 8px;	
	-moz-border-radius-topright: 8px;
	border-top-right-radius: 8px;
	*/

	-webkit-border-top-right-radius: 5px;
	-khtml-border-radius-topright: 5px;
	-moz-border-radius-topright: 5px;
	border-top-left-radius: 5px;

	/*
	-webkit-border-bottom-right-radius: 8px;
	-khtml-border-radius-bottomright: 8px;	
	-moz-border-radius-bottomright: 8px;
	border-bottom-right-radius: 8px;
	*/

	-webkit-border-bottom-right-radius: 5px;
	-khtml-border-radius-bottomright: 5px;
	-moz-border-radius-bottomright: 5px;
	border-bottom-left-radius: 5px;

}

.floating-menu li img 
{

	transition: transform 0.4s;
	transform: scale(1);

	-webkit-border-top-right-radius: 5px;
	-khtml-border-radius-topright: 5px;
	-moz-border-radius-topright: 5px;
	border-top-left-radius: 5px;

	-webkit-border-bottom-right-radius: 5px;
	-khtml-border-radius-bottomright: 5px;
	-moz-border-radius-bottomright: 5px;
	border-bottom-left-radius: 5px;

}
.floating-menu li:hover img {
	transform: scale(1.2);
}
.floating-menu li:hover:after img {
	color: blue;
	content: attr(title);
	position: absolute;
	right: 50px;
}

</style>


<style>

.ui-state-focus
{
	color:White;
	background:#96B202;
	outline:none;
}
.ui-autocomplete-wrapper {
}
.ui-autocomplete {
	list-style-type: none;
	padding: 0;
	font-weight: bold;
}

</style>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
		console.log(Id);
		setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service-dokter/tindakan-rajal')?>?pageId='+sessionStorage.pageId,'content');
	}
	function print() {
		var Id = '<?= $objPatientNursing->Id ?>';
		console.log(Id);
		setContent('<?= QApplication::UrlCreator('form-medis-rajal/print-eswl')?>?pageId='+sessionStorage.pageId,'content');
	}
	function openInNewTab(url) {
		var win = window.open(url, '_blank');
		win.focus();
	} 

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function (event) {
		back();
		unInitialize();
	});

	$('#content').off('click', '#print').on('click', '#print', function (event) {
		print();
		openInNewTab(url);
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});

	$('#menu-kembali').off('click').on('click',function(){
		back();
		unInitialize();
	});
	$('#menu-cetak').off('click').on('click',function(){
		var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-persetujuan-penolakan-tindakan')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
		openInNewTab(url);
		unInitialize();
		//print();
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}
		post.JenisFormPPT = '';
		if( $("#persetujuan").is(':checked') ) {
			if( post.JenisFormPPT ) {
				post.JenisFormPPT = post.JenisFormPPT + ',' + 'Persetujuan';
			} else {
				post.JenisFormPPT = 'Persetujuan';
			}
		}
		if( $("#penolakan").is(':checked') ) {
			if( post.JenisFormPPT ) {
				post.JenisFormPPT = post.JenisFormPPT + ',' + 'Penolakan';
			} else {
				post.JenisFormPPT = 'Penolakan';
			}
		}

		post.TglPPT = $('#tgl_ppt').val();
		post.JamPPT = $('#jam_ppt').val();
		post.PenerimaInformasiPPT = $('#penerima_informasi_ppt').val();
		post.HubunganDenganPasienPPT = '';
		if( $("#pasien_sendiri").is(':checked') ) {
			if( post.HubunganDenganPasienPPT ) {
				post.HubunganDenganPasienPPT = post.HubunganDenganPasienPPT + ',' + 'pasien sendiri';
			} else {
				post.HubunganDenganPasienPPT = 'pasien sendiri';
			}
		}
		if( $("#orang_tua").is(':checked') ) {
			if( post.HubunganDenganPasienPPT ) {
				post.HubunganDenganPasienPPT = post.HubunganDenganPasienPPT + ',' + 'orang tua';
			} else {
				post.HubunganDenganPasienPPT = 'orang tua';
			}
		}
		if( $("#anak").is(':checked') ) {
			if( post.HubunganDenganPasienPPT ) {
				post.HubunganDenganPasienPPT = post.HubunganDenganPasienPPT + ',' + 'anak';
			} else {
				post.HubunganDenganPasienPPT = 'anak';
			}
		}
		if( $("#istri").is(':checked') ) {
			if( post.HubunganDenganPasienPPT ) {
				post.HubunganDenganPasienPPT = post.HubunganDenganPasienPPT + ',' + 'istri';
			} else {
				post.HubunganDenganPasienPPT = 'istri';
			}
		}
		if( $("#suami").is(':checked') ) {
			if( post.HubunganDenganPasienPPT ) {
				post.HubunganDenganPasienPPT = post.HubunganDenganPasienPPT + ',' + 'suami';
			} else {
				post.HubunganDenganPasienPPT = 'suami';
			}
		}
		if( $("#saudara").is(':checked') ) {
			if( post.HubunganDenganPasienPPT ) {
				post.HubunganDenganPasienPPT = post.HubunganDenganPasienPPT + ',' + 'saudara';
			} else {
				post.HubunganDenganPasienPPT = 'saudara';
			}
		}
		if( $("#pengantar").is(':checked') ) {
			if( post.HubunganDenganPasienPPT ) {
				post.HubunganDenganPasienPPT = post.HubunganDenganPasienPPT + ',' + 'pengantar';
			} else {
				post.HubunganDenganPasienPPT = 'pengantar';
			}
		}

		post.UmurPPT = $('#umur_ppt').val();
		post.JKPPT = $('#jk_ppt').val();
		post.AlamatPPT = $('#alamat_ppt').val();
		post.Saksi1PPT = $('#saksi1_ppt').val();
		post.Saksi2PPT = $('#saksi2_ppt').val();
		post.DasarDiagnosisPPT = $('#dasar_diagnosis_ppt').val();
		post.TindakanKedokteranPPT = $('#tindakan_kedokteran_ppt').val();
		post.TindakanKedokteranPPT2 = $('#tindakan_kedokteran_ppt_2').val();
		post.TindakanKedokteranPPT3 = $('#tindakan_kedokteran_ppt_3').val();
		post.TindakanKedokteranPPT4 = $('#tindakan_kedokteran_ppt_4').val();
		post.TindakanKedokteranPPT5 = $('#tindakan_kedokteran_ppt_5').val();
		post.TindakanKedokteranPPT6 = $('#tindakan_kedokteran_ppt_6').val();
		post.IndikasiTindakan = $('#indikasi_tindakan_ppt').val();
		post.TataCaraPPT = $('#tata_cara_ppt').val();
		post.TujuanPPT= $('#tujuan_ppt').val();
		post.ResikoPPT = $('#resiko_ppt').val();
		post.KomplikasiPPT = $('#komplikasi_ppt').val();
		post.PrognosisPPT = $('#prognosis_ppt').val();
		post.AlternatifPPT = $('#alternatif_ppt').val();
		post.LainLainPPT = $('#lain-lain_ppt').val();




		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/SavePersetujuanPenolakanTindakan')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					//back();
					//unInitialize();
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					//back();
					//unInitialize();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

};

$('#content').ready(function(){
	FormGizi();
	$("#gizi_status").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_biokimia").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_klinis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pola_makan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_susunan_makanan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pemberian_asi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_diagnosa").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '350px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_evaluasi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#dokter_eswl").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#asisten_eswl").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#anti_profilaksis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#analgenikum").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#sedation").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});

	//canvas draw -start
	var mousePressed = false;
	var lastX, lastY;
	var ctx;
	var img = document.getElementById('gambarCanvas');
	var imgTersimpan = document.getElementById('gambarTersimpan');

	
	<?php
		$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
		$urlGambar = $objPatientNursing->vGambarTTDPenerimaInformasi ? __IMAGE_ASSETS__. $objPatientNursing->vGambarTTDPenerimaInformasi : $GambarDefault;
	?>

	var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
	fabric.Object.prototype.transparentCorners = false;
	fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

	fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
		image.scaleToWidth(400);
		image.scaleToHeight(400);
		canvas.add(image.set({
			id : 'myCanvas'
			, alt : 'blank'
		}));
	});

	canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
	if (canvas.freeDrawingBrush) {
		var brush = canvas.freeDrawingBrush;
		brush.color = "black";
		if (brush.getPatternSrc) {
			brush.source = brush.getPatternSrc.call(brush);
		}
		brush.width = 4;
		brush.shadow = new fabric.Shadow({
			blur: 0,
			offsetX: 0,
			offsetY: 0,
			affectStroke: true,
			color: "#005E7A",
		});
	}

	$('#edit').click(function(){
		canvas.isDrawingMode = true;
		$('#clearArea').removeClass('disabled');
		$('#simpanGambar').removeClass('disabled');
		$('#edit').addClass('disabled');
		return false;
	})


	$('#clearArea').click(function(){
		fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});
		return false;
	})

	//canvas draw -begin
	function dataURItoBlob(dataURI) {
		// convert base64/URLEncoded data component to raw binary data held in a string
		var byteString;
		if (dataURI.split(',')[0].indexOf('base64') >= 0)
			byteString = atob(dataURI.split(',')[1]);
		else
			byteString = unescape(dataURI.split(',')[1]);

		// separate out the mime component
		var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

		// write the bytes of the string to a typed array
		var ia = new Uint8Array(byteString.length);
		for (var i = 0; i < byteString.length; i++) {
			ia[i] = byteString.charCodeAt(i);
		}

		return new Blob([ia], {type:mimeString});
	}
	//canvas draw -end

	$('#simpanGambar').click(function() {

		var canvas = document.getElementById('myCanvas');
		var hasil = canvas.toDataURL('image/jpeg');
		var blob = dataURItoBlob(hasil);

		var fd = new FormData();
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $strId ?>');
		fd.append("department", strDepartmentId);
		fd.append("mode", 'TTD1');
		fd.append("gambar", blob, 'ttd-penerima-informasi.jpg');

		$.ajax({
			type: 'POST',
			data: fd,
			url : '<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/HandleUploadImage')?>',
			processData: false,
			contentType: false,
			timeout: 5* 60 * 1000,
			success: function(result){
				toastr.info(result.message, 'Informasi');
			},
			error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			},
			beforeSend: function(xhr){
				$('#clearArea').addClass('disabled');
				$('#simpanGambar').hide();
				$('#simpanGambar-loading').show();
			},
			complete: function(xhr,status){
				$('#edit').removeClass('disabled');
				$('#clearArea').addClass('disabled');
				$('#simpanGambar').addClass('disabled');
				$('#simpanGambar').show();
				$('#simpanGambar-loading').hide();
			}
		})

	})

	
	<?php
	// $sumberGambar = __USER_ASSETS__.'/images/anatomi.png';
	?>
	
	$('#tombol-save-loading').hide();
	$('#simpanGambar-loading').hide();


});

$('#content').ready(function(){
	FormGizi();

	//canvas draw -start
	var mousePressed = false;
	var lastX, lastY;
	var ctx;
	var img = document.getElementById('gambarCanvas1');
	var imgTersimpan = document.getElementById('gambarTersimpan1');

	
	<?php
		$GambarDefault1 = __USER_ASSETS__.'/images/putih.jpg';
		$urlGambar1 = $objPatientNursing->vGambarTTDSaksi1 ? __IMAGE_ASSETS__. $objPatientNursing->vGambarTTDSaksi1 : $GambarDefault1;
	?>

	var canvas = window.__canvas = new fabric.Canvas( 'myCanvas1' , { /* isDrawingMode: true */ } );
	fabric.Object.prototype.transparentCorners = false;
	fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

	fabric.Image.fromURL('<?= $urlGambar1 ?>', function(image){
		image.scaleToWidth(400);
		image.scaleToHeight(400);
		canvas.add(image.set({
			id : 'myCanvas1'
			, alt : 'blank'
		}));
	});

	canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
	if (canvas.freeDrawingBrush) {
		var brush = canvas.freeDrawingBrush;
		brush.color = "black";
		if (brush.getPatternSrc) {
			brush.source = brush.getPatternSrc.call(brush);
		}
		brush.width = 4;
		brush.shadow = new fabric.Shadow({
			blur: 0,
			offsetX: 0,
			offsetY: 0,
			affectStroke: true,
			color: "#005E7A",
		});
	}

	$('#edit1').click(function(){
		canvas.isDrawingMode = true;
		$('#clearArea1').removeClass('disabled');
		$('#simpanGambar1').removeClass('disabled');
		$('#edit1').addClass('disabled');
		return false;
	})


	$('#clearArea1').click(function(){
		fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas1'
				, alt : 'blank'
			}));
		});
		return false;
	})

	//canvas draw -begin
	function dataURItoBlob(dataURI) {
		// convert base64/URLEncoded data component to raw binary data held in a string
		var byteString;
		if (dataURI.split(',')[0].indexOf('base64') >= 0)
			byteString = atob(dataURI.split(',')[1]);
		else
			byteString = unescape(dataURI.split(',')[1]);

		// separate out the mime component
		var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

		// write the bytes of the string to a typed array
		var ia = new Uint8Array(byteString.length);
		for (var i = 0; i < byteString.length; i++) {
			ia[i] = byteString.charCodeAt(i);
		}

		return new Blob([ia], {type:mimeString});
	}
	//canvas draw -end

	$('#simpanGambar1').click(function() {

		var canvas = document.getElementById('myCanvas1');
		var hasil = canvas.toDataURL('image/jpeg');
		var blob = dataURItoBlob(hasil);

		var fd = new FormData();
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $strId ?>');
		fd.append("department", strDepartmentId);
		fd.append("mode", 'SAKSI1');
		fd.append("gambar", blob, 'ttd-saksi-1.jpg');

		$.ajax({
			type: 'POST',
			data: fd,
			url : '<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/HandleUploadImage')?>',
			processData: false,
			contentType: false,
			timeout: 5* 60 * 1000,
			success: function(result){
				toastr.info(result.message, 'Informasi');
			},
			error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			},
			beforeSend: function(xhr){
				$('#clearArea1').addClass('disabled');
				$('#simpanGambar1').hide();
				$('#simpanGambar-loading1').show();
			},
			complete: function(xhr,status){
				$('#edit1').removeClass('disabled');
				$('#clearArea1').addClass('disabled');
				$('#simpanGambar1').addClass('disabled');
				$('#simpanGambar1').show();
				$('#simpanGambar-loading1').hide();
			}
		})

	})

	
	<?php
	// $sumberGambar = __USER_ASSETS__.'/images/anatomi.png';
	?>
	
	$('#tombol-save-loading1').hide();
	$('#simpanGambar-loading1').hide();


});

$('#content').ready(function(){
	FormGizi();

	//canvas draw -start
	var mousePressed = false;
	var lastX, lastY;
	var ctx;
	var img = document.getElementById('gambarCanvas1');
	var imgTersimpan = document.getElementById('gambarTersimpan1');

	
	<?php
		$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
		$urlGambar = $objPatientNursing->vGambarTTDSaksi2 ? __IMAGE_ASSETS__. $objPatientNursing->vGambarTTDSaksi2 : $GambarDefault;
	?>

	var canvas = window.__canvas = new fabric.Canvas( 'myCanvas2' , { /* isDrawingMode: true */ } );
	fabric.Object.prototype.transparentCorners = false;
	fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

	fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
		image.scaleToWidth(400);
		image.scaleToHeight(400);
		canvas.add(image.set({
			id : 'myCanvas2'
			, alt : 'blank'
		}));
	});

	canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
	if (canvas.freeDrawingBrush) {
		var brush = canvas.freeDrawingBrush;
		brush.color = "black";
		if (brush.getPatternSrc) {
			brush.source = brush.getPatternSrc.call(brush);
		}
		brush.width = 4;
		brush.shadow = new fabric.Shadow({
			blur: 0,
			offsetX: 0,
			offsetY: 0,
			affectStroke: true,
			color: "#005E7A",
		});
	}

	$('#edit2').click(function(){
		canvas.isDrawingMode = true;
		$('#clearArea2').removeClass('disabled');
		$('#simpanGambar2').removeClass('disabled');
		$('#edit2').addClass('disabled');
		return false;
	})


	$('#clearArea2').click(function(){
		fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas2'
				, alt : 'blank'
			}));
		});
		return false;
	})

	//canvas draw -begin
	function dataURItoBlob(dataURI) {
		// convert base64/URLEncoded data component to raw binary data held in a string
		var byteString;
		if (dataURI.split(',')[0].indexOf('base64') >= 0)
			byteString = atob(dataURI.split(',')[1]);
		else
			byteString = unescape(dataURI.split(',')[1]);

		// separate out the mime component
		var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

		// write the bytes of the string to a typed array
		var ia = new Uint8Array(byteString.length);
		for (var i = 0; i < byteString.length; i++) {
			ia[i] = byteString.charCodeAt(i);
		}

		return new Blob([ia], {type:mimeString});
	}
	//canvas draw -end

	$('#simpanGambar2').click(function() {

		var canvas = document.getElementById('myCanvas2');
		var hasil = canvas.toDataURL('image/jpeg');
		var blob = dataURItoBlob(hasil);

		var fd = new FormData();
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $strId ?>');
		fd.append("department", strDepartmentId);
		fd.append("mode", 'SAKSI2');
		fd.append("gambar", blob, 'ttd-saksi-2.jpg');

		$.ajax({
			type: 'POST',
			data: fd,
			url : '<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/HandleUploadImage')?>',
			processData: false,
			contentType: false,
			timeout: 5* 60 * 1000,
			success: function(result){
				toastr.info(result.message, 'Informasi');
			},
			error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			},
			beforeSend: function(xhr){
				$('#clearArea2').addClass('disabled');
				$('#simpanGambar2').hide();
				$('#simpanGambar-loading2').show();
			},
			complete: function(xhr,status){
				$('#edit2').removeClass('disabled');
				$('#clearArea2').addClass('disabled');
				$('#simpanGambar2').addClass('disabled');
				$('#simpanGambar2').show();
				$('#simpanGambar-loading2').hide();
			}
		})

	})

	
	<?php
	// $sumberGambar = __USER_ASSETS__.'/images/anatomi.png';
	?>
	
	$('#tombol-save-loading2').hide();
	$('#simpanGambar-loading2').hide();


});
$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
		//alert('menuju index rajal');
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
});


var urlRuang = "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>&search=";
$('.ruang').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlRuang + strSearch
        }
    });
});

var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
$('.doctor').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlDoctor + strSearch
        }
    });
});



</script>
