<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}
$prefix_funct = 'DokterKandungan';
$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

    // $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
    // $waktuakhir = date_create();
    $diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
    $umurDalamTahun = $diff->y;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

$TanggalAsesmen = $objPatientNursing->DokterKandunganTanggalAsesmenEdit ? $objPatientNursing->DokterKandunganTanggalAsesmenEdit : $objPatientNursing->DokterKandunganTanggalAsesmen; 
$JamAsesmen = $objPatientNursing->DokterKandunganJamAsesmenEdit ? $objPatientNursing->DokterKandunganJamAsesmenEdit : $objPatientNursing->DokterKandunganJamAsesmen; 
$Gravida = $objPatientNursing->DokterKandunganGravidaEdit ? $objPatientNursing->DokterKandunganGravidaEdit : $objPatientNursing->DokterKandunganGravida; 
$Paritas = $objPatientNursing->DokterKandunganParitasEdit ? $objPatientNursing->DokterKandunganParitasEdit : $objPatientNursing->DokterKandunganParitas; 
$Abortus = $objPatientNursing->DokterKandunganAbortusEdit ? $objPatientNursing->DokterKandunganAbortusEdit : $objPatientNursing->DokterKandunganAbortus; 
$Hpht = $objPatientNursing->DokterKandunganHphtEdit ? $objPatientNursing->DokterKandunganHphtEdit : $objPatientNursing->DokterKandunganHpht; 
$Hpl = $objPatientNursing->DokterKandunganHplEdit ? $objPatientNursing->DokterKandunganHplEdit : $objPatientNursing->DokterKandunganHpl; 
$KeluhanUtama = $objPatientNursing->DokterKandunganKeluhanUtamaEdit ? $objPatientNursing->DokterKandunganKeluhanUtamaEdit : $objPatientNursing->DokterKandunganKeluhanUtama; 
$RiwayatPenyakitSekarang = $objPatientNursing->DokterKandunganRiwayatPenyakitSekarangEdit ? $objPatientNursing->DokterKandunganRiwayatPenyakitSekarangEdit : $objPatientNursing->DokterKandunganRiwayatPenyakitSekarang; 
$RiwayatPenyakitDahulu = $objPatientNursing->DokterKandunganRiwayatPenyakitDahuluEdit ? $objPatientNursing->DokterKandunganRiwayatPenyakitDahuluEdit : $objPatientNursing->DokterKandunganRiwayatPenyakitDahulu; 
$RiwayatAlergi = $objPatientNursing->DokterKandunganRiwayatAlergiEdit ? $objPatientNursing->DokterKandunganRiwayatAlergiEdit : $objPatientNursing->DokterKandunganRiwayatAlergi; 
$RiwayatPengobatan = $objPatientNursing->DokterKandunganRiwayatPengobatanEdit ? $objPatientNursing->DokterKandunganRiwayatPengobatanEdit : $objPatientNursing->DokterKandunganRiwayatPengobatan; 
$RiwayatPenyakitKeluarga = $objPatientNursing->DokterKandunganRiwayatPenyakitKeluargaEdit ? $objPatientNursing->DokterKandunganRiwayatPenyakitKeluargaEdit : $objPatientNursing->DokterKandunganRiwayatPenyakitKeluarga; 
$RiwayatImunisasi = $objPatientNursing->DokterKandunganRiwayatImunisasiEdit ? $objPatientNursing->DokterKandunganRiwayatImunisasiEdit : $objPatientNursing->DokterKandunganRiwayatImunisasi; 
$Menarche = $objPatientNursing->DokterKandunganMenarcheEdit ? $objPatientNursing->DokterKandunganMenarcheEdit : $objPatientNursing->DokterKandunganMenarche; 
$Menstruasi = $objPatientNursing->DokterKandunganMenstruasiEdit ? $objPatientNursing->DokterKandunganMenstruasiEdit : $objPatientNursing->DokterKandunganMenstruasi; 
$Menstruasi = $objPatientNursing->DokterKandunganMenstruasiEdit ? $objPatientNursing->DokterKandunganMenstruasiEdit : $objPatientNursing->DokterKandunganMenstruasi; 
$SiklusMenstruasi = $objPatientNursing->DokterKandunganSiklusMenstruasiEdit ? $objPatientNursing->DokterKandunganSiklusMenstruasiEdit : $objPatientNursing->DokterKandunganSiklusMenstruasi; 
$NyeriMenstruasi = $objPatientNursing->DokterKandunganNyeriMenstruasiEdit ? $objPatientNursing->DokterKandunganNyeriMenstruasiEdit : $objPatientNursing->DokterKandunganNyeriMenstruasi; 
$NyeriMenstruasi = $objPatientNursing->DokterKandunganNyeriMenstruasiEdit ? $objPatientNursing->DokterKandunganNyeriMenstruasiEdit : $objPatientNursing->DokterKandunganNyeriMenstruasi; 
$Kontrasepsi = $objPatientNursing->DokterKandunganKontrasepsiEdit ? $objPatientNursing->DokterKandunganKontrasepsiEdit : $objPatientNursing->DokterKandunganKontrasepsi; 
$LamaKontrasepsi = $objPatientNursing->DokterKandunganLamaKontrasepsiEdit ? $objPatientNursing->DokterKandunganLamaKontrasepsiEdit : $objPatientNursing->DokterKandunganLamaKontrasepsi; 
$Menikah = $objPatientNursing->DokterKandunganMenikahEdit ? $objPatientNursing->DokterKandunganMenikahEdit : $objPatientNursing->DokterKandunganMenikah; 
$LamaPernikahan = $objPatientNursing->DokterKandunganLamaPernikahanEdit ? $objPatientNursing->DokterKandunganLamaPernikahanEdit : $objPatientNursing->DokterKandunganLamaPernikahan; 
$PemeriksaanFisik = $objPatientNursing->DokterKandunganPemeriksaanFisikEdit ? $objPatientNursing->DokterKandunganPemeriksaanFisikEdit : $objPatientNursing->DokterKandunganPemeriksaanFisik; 
$Diagnosa = $objPatientNursing->DokterKandunganDiagnosaEdit ? $objPatientNursing->DokterKandunganDiagnosaEdit : $objPatientNursing->DokterKandunganDiagnosa; 
$Tindakan = $objPatientNursing->DokterKandunganTindakanEdit ? $objPatientNursing->DokterKandunganTindakanEdit : $objPatientNursing->DokterKandunganTindakan; 
$MrsRuang = $objPatientNursing->DokterKandunganMrsRuangEdit ? $objPatientNursing->DokterKandunganMrsRuangEdit : $objPatientNursing->DokterKandunganMrsRuang; 
$KontrolTanggal = $objPatientNursing->DokterKandunganKontrolTanggalEdit ? $objPatientNursing->DokterKandunganKontrolTanggalEdit : $objPatientNursing->DokterKandunganKontrolTanggal; 
$Rujuk = $objPatientNursing->DokterKandunganRujukEdit ? $objPatientNursing->DokterKandunganRujukEdit : $objPatientNursing->DokterKandunganRujuk; 
$IndikasiRujuk = $objPatientNursing->DokterKandunganIndikasiRujukEdit ? $objPatientNursing->DokterKandunganIndikasiRujukEdit : $objPatientNursing->DokterKandunganIndikasiRujuk; 
?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>'; 
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    .text-55{
        display: block;
        width:55px;
        text-align: center;
    }
    .text-165{
        display: block;
        width:165px;
        text-align: center;
    }
    .mb-2{
        margin-bottom: 5px;
    }
    textarea, input{
        font-weight: 900;
        margin: 0;
        padding: 0;
    }
    /* .text-kecil textarea{
        font-weight: 100;
    }
    .text-kecil input{
        font-size: 8px;
        font-weight: 100;
    }
    .text-kecil row,
    .text-kecil col-*{
        margin: 0 !important;
        padding: 0 !important;
    } */
.ext-el-mask{width:100%!important;height:100%!important;}
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-6">
        <h1 class="panel-title1">PENGKAJIAN AWAL MEDIS RAWAT JALAN KLINIK KANDUNGAN</h1>
    </div>
</div>

<div class="row">
    <div class="col-sm-11">

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-header">
                <i class="fa fa-user"></i>
                <h3 class="box-title">Data Pasien</h3>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <?php if($objPatientNursing->DokterKandunganVerifikasi){?>
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-6">
                <div class="callout callout-success">
                    <h3><i class="fa fa-key"></i> Tanda Tangan!</h3>
                    <p>Data telah ditandatangani.<br>
                    <b><?= $objPatientNursing->DokterKandunganVerifikasi ?></b>
                    </p>
                </div>
            </div>
            <div class="col-md-3"></div>
        </div>
        <?php } ?>
        
        <div style="text-align:center; padding: 5px">
            <a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
        </div>
        <form id="formasesmen">
        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-header">
                <i class="fa fa-user"></i>
                <h3 class="box-title">Rawat Jalan</h3>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-6">
                        <label class="control-label" for="tanggalasesmen"><b>Tanggal Asesmen</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            <input id="tanggalasesmen" type="text" class="form-control input-date" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="<?= $TanggalAsesmen ?>" style="z-index:0">
                        </div>
                    </div>
                    <div class="col-md-6">
                        <label class="control-label" for="jamasesmen"><b>Jam Asesmen</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                            <input id="jamasesmen" type="text" class="form-control" name="jamasesmen" placeholder="HH:mm" value="<?= $JamAsesmen ?>" style="z-index:0" data-mask="00:00">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <div class="row">
                    <div class="col-md-4 mb-2">
                        <label class="control-label" for=""><b>Gravida:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="gravida" type="text" class="form-control" name="gravida" placeholder="" value="<?= $Gravida ?>">
                        </div>
                    </div>
                    <div class="col-md-4 mb-2">
                        <label class="control-label" for=""><b>Paritas:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="paritas" type="text" class="form-control" name="paritas" placeholder="" value="<?= $Paritas ?>">
                        </div>
                    </div>
                    <div class="col-md-4 mb-2">
                        <label class="control-label" for=""><b>Abortus:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="abortus" type="text" class="form-control" name="abortus" placeholder="" value="<?= $Abortus ?>">
                        </div>
                    </div>
                    <div class="col-md-4 mb-2">
                        <label class="control-label" for=""><b>HPHT:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="hpht" type="text" class="form-control" name="hpht" placeholder="" value="<?= $Hpht ?>">
                        </div>
                    </div>
                    <div class="col-md-4 mb-2">
                        <label class="control-label" for=""><b>HPL:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="hpl" type="text" class="form-control" name="hpl" placeholder="" value="<?= $Hpl ?>">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="control-label" for=""><b>Keluhan Utama :</b></label>
                        <textarea id="keluhanutama" class="form-control" name="keluhanutama" placeholder="Keluhan Utama"><?= $KeluhanUtama ?></textarea>
                    </div>
                </div>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="control-label" for=""><b>Anamnesa Khusus(Riwayat Penyakit Sekarang) :</b></label>
                        <textarea id="riwayatpenyakitsekarang" class="form-control" name="riwayatpenyakitsekarang" placeholder="Riwayat Penyakit Sekarang"><?= $RiwayatPenyakitSekarang ?></textarea>
                    </div>
                </div>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="control-label" for=""><b>Riwayat Penyakit Dahulu :</b></label>
                        <textarea id="riwayatpenyakitdahulu" class="form-control" name="riwayatpenyakitdahulu" placeholder="Riwayat Penyakit Dahulu"><?= $RiwayatPenyakitDahulu ?></textarea>
                    </div>
                </div>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="control-label" for=""><b>Riwayat Alergi :</b></label>
                        <textarea id="riwayatalergi" class="form-control" name="riwayatalergi" placeholder="Riwayat Alergi"><?= $RiwayatAlergi ?></textarea>
                    </div>
                </div>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="control-label" for=""><b>Riwayat Pengobatan :</b></label>
                        <textarea id="riwayatpengobatan" class="form-control" name="riwayatpengobatan" placeholder="Riwayat Pengobatan"><?= $RiwayatPengobatan ?></textarea>
                    </div>
                </div>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="control-label" for=""><b>Riwayat Penyakit Keluarga :</b></label>
                        <textarea id="riwayatpenyakitkeluarga" class="form-control" name="riwayatpenyakitkeluarga" placeholder="Riwayat Penyakit Keluarga"><?= $RiwayatPenyakitKeluarga ?></textarea>
                    </div>
                </div>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <label class="control-label" for=""><b>Riwayat Imunisasi :</b></label>
                        <textarea id="riwayatimunisasi" class="form-control" name="riwayatimunisasi" placeholder="Riwayat Imunisasi"><?= $RiwayatImunisasi ?></textarea>
                    </div>
                </div>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-header">
                <i class="fa fa-user"></i>
                <h3 class="box-title">Riwayat Persalinan</h3>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <div style=" border-top: 1px solid #aaa; margin-top: 10px"></div>
                        <div class="form-group" style="padding: 0 15px;">
                            <br>
                            <label for=""><b>Riwayat Persalinan:</b></label>
                            <div class="row">
                                <div class="col-md-1"><b>Pr/Lk</b></div>
                                <div class="col-md-1"><b>Umur Anak</b></div>
                                <div class="col-md-1"><b>BBL(gr)</b></div>
                                <div class="col-md-4"><b>Riwayat Persalinan (Normal/SC/Penyulit)</b></div>
                                <div class="col-md-4"><b>Ditolong oleh & tempat</b></div>
                                <div class="col-md-1"></div>
                            </div>
                            <div id="row-riwayat-persalinan" class="hidden">
                                <div class="row riwayat-persalinan-wrap text-kecil">
                                    <div class="col-md-1">
                                        <!-- <input data-id="rpgender" type="text" class="form-control rp-gender" name="riwayatpersalinangender[]" placeholder="Gender" value="" style="padding: 0; margin:0"> -->
                                        <select class="form-control rp-gender" data-id="rpgender" name="riwayatpersalinangender[]" style="padding: 0">
                                            <option value="">?</option>
                                            <option value="MALE">L</option>
                                            <option value="FEMALE">P</option>
                                        </select>
                                    </div>
                                    <div class="col-md-1" style="padding: 0; margin:0">
                                        <input data-id="rpumur" type="number" step="any" class="form-control rp-umur" name="riwayatpersalinanumur[]" placeholder="Umur" value="" style="padding: 0; margin:0">
                                    </div>
                                    <div class="col-md-1" style="padding: 0; margin:0">
                                        <input data-id="rpberat" type="number" step="any" class="form-control rp-berat" name="riwayatpersalinanberat[]" placeholder="BBL" value="" style="padding: 0; margin:0">
                                    </div>
                                    <div class="col-md-4">
                                        <textarea data-id="rpuraian" name="riwayatpersalinanuraian[]" class="form-control rp-uraian"></textarea>
                                    </div>
                                    <div class="col-md-4">
                                        <textarea data-id="rppenolong" name="riwayatpersalinpenolong[]" class="form-control rp-penolong"></textarea>
                                    </div>
                                    <div class="col-md-1">
                                        <a href="#" class="row-del btn btn-danger btn-xs"><i class="fa fa-trash"></i></a>
                                    </div>
                                </div>
                            </div>
                            <div id="area-riwayat-persalinan-tambahan">
                                <?php
                                for($i = 1; $i<=5; $i++){
                                    $strGenderKey = 'DokterKandunganRpGender'.$i;
                                    $strUmurKey = 'DokterKandunganRpUmur'.$i;
                                    $strBblKey = 'DokterKandunganRpBbl'.$i;
                                    $strUraianKey = 'DokterKandunganRpUraian'.$i;
                                    $strPenolongKey = 'DokterKandunganRpPenolong'.$i;

                                    $strGenderKeyEdit = 'DokterKandunganRpGender'.$i.'Edit';
                                    $strUmurKeyEdit = 'DokterKandunganRpUmur'.$i.'Edit';
                                    $strBblKeyEdit = 'DokterKandunganRpBbl'.$i.'Edit';
                                    $strUraianKeyEdit = 'DokterKandunganRpUraian'.$i.'Edit';
                                    $strPenolongKeyEdit = 'DokterKandunganRpPenolong'.$i.'Edit';

                                    if($objPatientNursing->$strUraianKey != "" || $objPatientNursing->$strUraianKeyEdit != ""){
                                        $setGender = $objPatientNursing->$strGenderKeyEdit ? $objPatientNursing->$strGenderKeyEdit : $objPatientNursing->$strGenderKey; 
                                        $setUmur = $objPatientNursing->$strUmurKeyEdit ? $objPatientNursing->$strUmurKeyEdit : $objPatientNursing->$strUmurKey; 
                                        $setBbl = $objPatientNursing->$strBblKeyEdit ? $objPatientNursing->$strBblKeyEdit : $objPatientNursing->$strBblKey; 
                                        $setUraian = $objPatientNursing->$strUraianKeyEdit ? $objPatientNursing->$strUraianKeyEdit : $objPatientNursing->$strUraianKey; 
                                        $setPenolong = $objPatientNursing->$strPenolongKeyEdit ? $objPatientNursing->$strPenolongKeyEdit : $objPatientNursing->$strPenolongKey; 
                                ?>
                                <div class="row riwayat-persalinan-wrap text-kecil">
                                    <div class="col-md-1">
                                        <select class="form-control rp-gender" data-id="rpgender" name="riwayatpersalinangender[]" style="padding: 0">
                                            <option value="">?</option>
                                            <option value="MALE" <?= $setGender == 'MALE' ? 'selected' : '' ?>>L</option>
                                            <option value="FEMALE" <?= $setGender == 'FEMALE' ? 'selected' : '' ?>>P</option>
                                        </select>
                                    </div>
                                    <div class="col-md-1" style="padding: 0; margin:0">
                                        <input data-id="rpumur" type="number" step="any" class="form-control rp-umur" name="riwayatpersalinanumur[]" placeholder="Umur" value="<?= $setUmur ?>" style="padding: 0; margin:0">
                                    </div>
                                    <div class="col-md-1" style="padding: 0; margin:0">
                                        <input data-id="rpberat" type="number" step="any" class="form-control rp-berat" name="riwayatpersalinanberat[]" placeholder="BBL" value="<?= $setBbl ?>" style="padding: 0; margin:0">
                                    </div>
                                    <div class="col-md-4">
                                        <textarea data-id="rpuraian" name="riwayatpersalinanuraian[]" class="form-control rp-uraian"><?= $setUraian ?></textarea>
                                    </div>
                                    <div class="col-md-4">
                                        <textarea data-id="rppenolong" name="riwayatpersalinpenolong[]" class="form-control rp-penolong"><?= $setPenolong ?></textarea>
                                    </div>
                                    <div class="col-md-1">
                                        <a href="#" class="row-del btn btn-danger btn-xs"><i class="fa fa-trash"></i></a>
                                    </div>
                                </div>
                                <?php
                                    }
                                }
                                ?>
                            </div>
                            <div class="row">
                                <div class="col-md-1">
                                </div>
                                <div class="col-md-11">
                                    <a href="#" class="btn btn-primary btn-xs" id="clone-riwayat-persalinan" style="margin-top:5px">Tambah</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12 mb-2">
                        <label class="control-label" for=""><b>Menarche umur:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="menarche" type="text" class="form-control" name="menarche" placeholder="" value="<?= $Menarche ?>">
                            <span class="input-group-addon">Tahun</span>
                        </div>
                    </div>
                    <div class="col-md-4 mb-2">
                        <label class="control-label" for=""><b>Menstruasi:</b></label>
                        <div class="input-group">
                            <select id="menstruasi" class="form-control">
                                <option value="">--Belum Diisi--</option>
                                <option value="TIDAK TERATUR" <?= $Menstruasi == 'TIDAK TERATUR' ? 'selected' : '' ?>>TIDAK TERATUR</option>
                                <option value="TERATUR" <?= $Menstruasi == 'TERATUR' ? 'selected' : '' ?>>TERATUR</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-4 mb-2">
                        <label class="control-label" for=""><b>Siklus Menstruasi:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="siklusmenstruasi" type="text" class="form-control" name="siklusmenstruasi" placeholder="" value="<?= $SiklusMenstruasi ?>">
                            <span class="input-group-addon">Hari</span>
                        </div>
                    </div>
                    <div class="col-md-4 mb-2">
                        <label class="control-label" for=""><b>Nyeri Saat Menstruasi:</b></label>
                        <div class="input-group">
                            <select id="nyerimenstruasi" class="form-control">
                                <option value="">--Belum Diisi--</option>
                                <option value="TIDAK" <?= $NyeriMenstruasi == 'TIDAK' ? 'selected' : '' ?>>TIDAK</option>
                                <option value="YA" <?= $NyeriMenstruasi == 'YA' ? 'selected' : '' ?>>YA</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6 mb2">
                        <label class="control-label" for=""><b>Kontrasepsi yang pernah digunakan:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="kontrasepsi" type="text" class="form-control" name="kontrasepsi" placeholder="" value="<?= $Kontrasepsi ?>">
                        </div>
                    </div>
                    <div class="col-md-6 mb2">
                        <label class="control-label" for=""><b>Lamanya:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="lamakontrasepsi" type="text" class="form-control" name="lamakontrasepsi" placeholder="" value="<?= $LamaKontrasepsi ?>">
                        </div>
                    </div>
                    <div class="col-md-6 mb2">
                        <label class="control-label" for=""><b>Menikah Ke:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="menikah" type="text" class="form-control" name="menikah" placeholder="" value="<?= $Menikah ?>">
                        </div>
                    </div>
                    <div class="col-md-6 mb2">
                        <label class="control-label" for=""><b>Lamanya:</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="lamapernikahan" type="text" class="form-control" name="lamapernikahan" placeholder="" value="<?= $LamaPernikahan ?>">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 mb-2">
                    <div class="form-group" style="padding: 0 25px;">
                        <label for=""><b>Pemeriksaan Fisik:</b></label>
                        <textarea class="form-control" rows="2" id="fisik" name="fisik" placeholder=""><?= $PemeriksaanFisik ? $PemeriksaanFisik : '' ?></textarea>
                    </div>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-group" style="padding: 0 25px;">
                        <label for=""><b>Diagnosa:</b></label>
                        <textarea class="form-control" rows="2" id="diagnosa" name="diagnosa" placeholder=""><?= $Diagnosa ? $Diagnosa : '' ?></textarea>
                    </div>
                </div>
                <div class="col-md-12 mb-2">
                    <div class="form-group" style="padding: 0 25px;">
                        <label for=""><b>Pengobatan / tindakan / rencana pemeriksaan:</b></label>
                        <textarea class="form-control" rows="2" id="tindakan" name="tindakan" placeholder=""><?= $Tindakan ? $Tindakan : '' ?></textarea>
                    </div>
                </div>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-header">
                <i class="fa fa-user"></i>
                <h3 class="box-title">Tindak Lanjut</h3>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-6 mb-2">
                         <label class="control-label" for=""><b>MRS Ruang</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="mrs" type="text" class="form-control" name="mrs" placeholder="" value="<?= $MrsRuang ?>">
                        </div>
                    </div>
                    <div class="col-md-6 mb-2">
                         <label class="control-label" for=""><b>Kontrol Tanggal</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="kontrol" type="text" class="form-control input-date" name="kontrol" placeholder="" value="<?= $KontrolTanggal ?>">
                        </div>
                    </div>
                    <div class="col-md-6 mb-2">
                         <label class="control-label" for=""><b>Rujuk Ke</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="rujuk" type="text" class="form-control" name="rujuk" placeholder="" value="<?= $Rujuk ?>">
                        </div>
                    </div>
                    <div class="col-md-6 mb-2">
                         <label class="control-label" for=""><b>Indikasi Rujuk</b></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-file"></i></span>
                            <input id="indikasi" type="text" class="form-control" name="indikasi" placeholder="" value="<?= $IndikasiRujuk ?>">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="box box-info form-horizontal" style="padding-bottom: 25px;">
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <?php
                        if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
                        ?>
                        <!-- <button>Simpan</button> -->
                        <?php
                        }
                        ?>
                        <?php if($objPatientNursing->DokterKandunganVerifikasi){ ?>
                            <button class="btn btn-danger" id="btn-modal-perubahan"><i class="fa fa-pencil"></i> Simpan Perubahan / Koreksi</button>
                            <button class="btn btn-danger" id="btn-modal-konfirmasi-edit"><i class="fa fa-pencil"></i> Koreksi</button>
                            <a href="#" id="cetak-laporan" class="btn btn-warning"><i class="fa fa-print"></i> Cetak Laporan</a>
                        <?php } else { ?>
                            <a href="#" class="btn btn-danger" id="open-modal"><i class="fa fa-pencil"></i> Simpan &amp; Tanda Tangan</a>
                            <a href="#" disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</a>
                            <a href="#" class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan Draft</a>
                        <?php } ?>
                        <a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
                    </div>
                </div>
            </div>
        </div>

        </form>
    </div>
</div>

<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Konfirmasi</h4>
      </div>
      <div class="modal-body">
        <p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
            pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
        </p>

        <div>
            <hr>
            <label><b>Password<b></label>
            <input type="password" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button>
        <button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
      </div>
    </div>

  </div>
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var ObjectData = {};
ObjectData.Nyeri = '<?= $objPatientNursing->GeneralNyeri ?>';
console.log('ks nyeri:'+ObjectData.Nyeri)
// var drawer;


function showMePicker(input) {
    Timepicker.showPicker({
        onSubmit: function(time){$(input).val(time.formatted())},
        onCancel: function(){$(input).val('')}
    });
}

$(document).ready(function() {
    $('#tombol-save-loading').hide();
});

$('#content').off('click', '#koreksi').on('click', '#koreksi', function () {
     jFallr( " Koreksi Dokumen Ini [Ya/Tidak] ? " ,
             konfirmasiEditPerubahan,
             function(){
                jQuery.fallr('hide',function(){});
             }
     );
});

function kirimData(mode){
    ObjectData.pageId = strPageId;
    ObjectData.actorId = strActorId;
    ObjectData.nursingId = '<?= $strId ?>'; //nursing id
    ObjectData.department = strDepartmentId;
    var urlRevisi;

    if(mode == 'DRAF'){
        ObjectData.Password = null;
        ObjectData.UserId = null;
    }else if(mode == 'VERIFIKASI'){
        ObjectData.Password = $('#password').val();
        ObjectData.UserId = strStaffId;
    }else if(mode == 'REVISI'){
        urlRevisi = "<?= QApplication::UrlActionCreator('PatientNursingAssessment/DokterKandunganEdit')?>";
        ObjectData.Password = $('#password').val();
        ObjectData.UserId = strStaffId;
    }else{
        return null;
    }
    ObjectData.Mode = mode;
    
    ObjectData.TanggalAsesmen = $('#tanggalasesmen').val();
    ObjectData.JamAsesmen = $('#jamasesmen').val();

    ObjectData.Gravida = $('#gravida').val();
    ObjectData.Paritas = $('#paritas').val();
    ObjectData.Abortus = $('#abortus').val();
    ObjectData.Hpht = $('#hpht').val();
    ObjectData.Hpl = $('#hpl').val();

    ObjectData.KeluhanUtama = $('#keluhanutama').val();
    ObjectData.RiwayatPenyakitSekarang = $('#riwayatpenyakitsekarang').val();
    ObjectData.RiwayatPenyakitDahulu = $('#riwayatpenyakitdahulu').val();
    ObjectData.RiwayatAlergi = $('#riwayatalergi').val();
    ObjectData.RiwayatPengobatan = $('#riwayatpengobatan').val();
    ObjectData.RiwayatPenyakitKeluarga = $('#riwayatpenyakitkeluarga').val();
    ObjectData.RiwayatImunisasi = $('#riwayatimunisasi').val();

    var RpGender = []
    $('#area-riwayat-persalinan-tambahan select[name ="riwayatpersalinangender[]"]').each(function() {
        RpGender.push($(this).val());
    });
    ObjectData.RpGender = RpGender

    var RpUmur = []
    $('#area-riwayat-persalinan-tambahan input[name ="riwayatpersalinanumur[]"]').each(function() {
        RpUmur.push($(this).val());
    });
    ObjectData.RpUmur = RpUmur

    var RpBerat = []
    $('#area-riwayat-persalinan-tambahan input[name ="riwayatpersalinanberat[]"]').each(function() {
        RpBerat.push($(this).val());
    });
    ObjectData.RpBerat = RpBerat

    var RpUraian = []
    $('#area-riwayat-persalinan-tambahan textarea[name ="riwayatpersalinanuraian[]"]').each(function() {
        RpUraian.push($(this).val());
    });
    ObjectData.RpUraian = RpUraian

    var RpPenolong = []
    $('#area-riwayat-persalinan-tambahan textarea[name ="riwayatpersalinpenolong[]"]').each(function() {
        RpPenolong.push($(this).val());
    });
    ObjectData.RpPenolong = RpPenolong

    ObjectData.Menarche = $('#menarche').val();
    ObjectData.Menstruasi = $('#menstruasi').val();
    ObjectData.SiklusMenstruasi = $('#siklusmenstruasi').val();
    ObjectData.NyeriMenstruasi = $('#nyerimenstruasi').val();
    ObjectData.Menikah = $('#menikah').val();
    ObjectData.LamaPernikahan = $('#lamapernikahan').val();
    ObjectData.Kontrasepsi = $('#kontrasepsi').val();
    ObjectData.LamaKontrasepsi = $('#lamakontrasepsi').val();

    ObjectData.PemeriksaanFisik = $('#fisik').val();
    ObjectData.Diagnosa = $('#diagnosa').val();
    ObjectData.Tindakan = $('#tindakan').val();
    ObjectData.MrsRuang = $('#mrs').val();
    ObjectData.KontrolTanggal = $('#kontrol').val();
    ObjectData.Rujuk = $('#rujuk').val();
    ObjectData.IndikasiRujuk = $('#indikasi').val();

    console.log(ObjectData)
    var urlAction = "<?= QApplication::UrlActionCreator('PatientNursingAssessment/DokterKandungan')?>";
    $.ajax({
        url: urlRevisi ? urlRevisi : urlAction, 
        success: function(result){
            if(result.status == 'error'){
                toastr.error(result.message, 'Informasi');
            }else{
                toastr.info('Data Terkirim', 'Informasi');
                window.location.reload();
            }
        },
        timeout: 5* 60 * 1000,
        error: function(xhr,status,error){
            console.log(xhr);
            alert('Gagal menyimpan data');
        },
        beforeSend: function(xhr){
            $('#tombol-save').hide();
            $('#tombol-save-loading').show();
        },
        complete: function(xhr,status){
            $('#tombol-save').show();
            $('#tombol-save-loading').hide();
        },
        type: "POST",
        data: ObjectData
    });

};


$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
    $('#modal-area').modal("show");
    $('#tandatangani').show();
    $('#tandatanganiperubahan').hide();
});

$('#content').off('click', '#btn-modal-perubahan').on('click', '#btn-modal-perubahan', function () {
    $('#modal-area').modal("show");
    $('#tandatanganiperubahan').show();
    $('#tandatangani').hide();
});

$('#content').off('click', '#tombol-save').on('click', '#tombol-save', function (event) {
    event.preventDefault();
    console.log('simpan asesmen awal');
    kirimData('DRAF');
});

function validasiSimpan(){
    var password = $('#password');
    var checkSetuju = $('#check-setuju');

    if(!password.val()){
        toastr.warning('Password Masih Kosong', 'Peringatan');
        return null;
    }
    if(! checkSetuju.prop('checked')){
        toastr.warning('Anda Harus Menyetujui', 'Peringatan');
        return null;
    }
    return true;
}

$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
    if(validasiSimpan()){
        kirimData('VERIFIKASI');
    }
});

$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
    if(validasiSimpan()){
        kirimData('REVISI');
    }
});

// $("#jamasesmen").focus(function(e){
//     showMePicker(e.target);
// });



	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#F2F5FA;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openAppPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
$('#content').off('click', '#cetak-laporan').on('click', '#cetak-laporan', function () {
	FormPrintPage.setTitle('Print Preview Asesmen Kandungan')
	openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-dokter-kandungan') ?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>' );
});


$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function () {
    //'hmis-patient-medical-service-rnap/tindakan'
    var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service-dokter/tindakan-rajal')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
});

$('#jamasesmen').change(function(e){
    var waktu = $('#jamasesmen').val().split(":");
    var jam = waktu[0];
    var menit = waktu[1];
    if(jam > 23 || menit > 60){
        $('#jamasesmen').val('')
    }
})

function openInNewTab(url) {
    var win = window.open(url, '_blank');
    win.focus();
} 

$('.input-date').datepicker({
    format: "dd-mm-yyyy",
    autoclose: true,
    endDate: null
});

function convertDateToISO(strDateIna) {
    return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}

//

var cloneRowPersalinan = function(){
    var jumlahBaris = $('.riwayat-persalinan-wrap').length
    if(jumlahBaris > 5){
        return null
    }
    var hasilClone = $('#row-riwayat-persalinan').children().clone(true, true).appendTo('#area-riwayat-persalinan-tambahan')
    hasilClone.find("input").val("")
    if(jumlahBaris == 1){
        hasilClone.find('.row-del').hide()
    }
}
cloneRowPersalinan()

$('#clone-riwayat-persalinan').click(function(){
    cloneRowPersalinan()
})

$('.row-del').click(function(){
    if($('.riwayat-persalinan-wrap').length == 1){
        return null
    }
    $(this).parent().parent().remove()
})

// $('.tahun-imunisasi').focus(function(){
//     $(this).mask('0000');
// })
//
$("input, textarea").attr('autocomplete', 'off');

<?php if($objPatientNursing->KeperawatanAnakVerifikasi){ ?>
    $("#formasesmen input, #formasesmen textarea, #formasesmen select").prop('disabled', true);
    $('#btn-modal-konfirmasi-edit').show();
    $('#btn-modal-perubahan').hide();
    
    $('#btn-modal-konfirmasi-edit').click(function(){
        jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            konfirmasiEditPerubahan,
            function(){
                jQuery.fallr('hide',function(){});
            }
        );
    });

    function konfirmasiEditPerubahan(){
        $("#formasesmen input, #formasesmen textarea, #formasesmen select").prop('disabled', false);
        $('#btn-modal-perubahan').show();
        $('#btn-modal-konfirmasi-edit').hide();
        jQuery.fallr('hide',function(){});
    }

    $("#formasesmen input, #formasesmen textarea, #formasesmen select").click(function(){
        $(this).data('status', 'edit'); //tanam state edit di element
    });

<?php } ?>
</script>
