<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_jiwa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row animated fadeInRight" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">ASESMEN JIWA</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<form>
	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="row" style="margin-bottom: 2px; padding-top:50px;">
					<div class="" style="max-width:750px; margin:0 auto;">
						<table style="width:100%;table-layout:fixed;font-size:16px;">
							<tr>
								<td colspan="100" style="text-align:center;">
								<b>PERSETUJUAN UMUM</br>(GENERAL CONSENT)</b>
								</td>
							</tr>
							<tr>
								<td colspan="100" style="text-align:center;">
								<b>PASIEN DAN / ATAU WALI DIMINTA MEMBACA, MEMAHAMI DAN MENGISI INFORMASI BERIKUT<br>Yang bertanda tangan di bawah ini :</b>
								</td>
							</tr>
						</table>

						<div class="row" style="margin-top:15px;">
								<div class="row">
									<div class="col-md-6" style="margin-bottom:5px;">
										<label class="control-label" for="tanggalasesmen_poli_mata"><b>Nama</b></label>
										<div class="input-group">
											<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
												<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-user" aria-hidden="true"></i></div>
											</span>
											<input type="text" class="form-control" name='nama_wali_pasien' id='nama_pasien_wali' placeholder="Nama" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vNamaGeneralConsentRajal ; ?>">
										</div>
									</div>
									<div class="col-md-6" style="margin-bottom:5px;">
										<label class="control-label" for="tanggalasesmen_poli_mata"><b>Tgl.Lahir</b></label>
										<div class="input-group">
											<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
												<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
											</span>
											<input type="text" class="form-control input-date" name='tgl_lahir_wali_pasien' id='tgl_lahir_pasien_wali' placeholder="Tanggal Lahir" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTglLahirGeneralConsentRajal ; ?>"  data-mask="00-00-0000">
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6" style="margin-bottom:5px;">
										<label class="control-label" for="tanggalasesmen_poli_mata"><b>Alamat</b></label>
										<div class="input-group">
											<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
												<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-map-o" aria-hidden="true"></i></div>
											</span>
											<input type="text" class="form-control" name='alamat_wali_pasien' id='alamat_wali_pasien' placeholder="Alamat" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vAlamatGeneralConsentRajal ; ?>">
										</div>
									</div>
									<div class="col-md-6" style="margin-bottom:5px;">
										<label class="control-label" for="tanggalasesmen_poli_mata"><b>No.Telp</b></label>
										<div class="input-group">
											<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
												<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-phone" aria-hidden="true"></i></div>
											</span>
											<input type="text" class="form-control" name='no_telp_wali_pasien' id='no_telp_wali_pasien' placeholder="No.Telp" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vNoTelpGeneralConsentRajal ; ?>"  data-mask="0000-0000-0000000">
										</div>
									</div>
								</div>
							</div>
							
						<table style="margin-top:20px; margin-bottom:20px;table-layout:fixed;width:100%;font-size:16px;text-align:justify;" class="aa">
							<tr style="vertical-align:top!important;">
								<td colspan="100">Selaku pasien Rumah Sakit Tingkat III Blakadhika Husada, dengan ini menyatakan persetujuannya :</td>
							</tr>
							<tr><td style="height:15px;"></td></tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3">1.</td>
								<td colspan="97">Persetujuan untuk Perawatan dan Pengobatan</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">a. </td>
								<td colspan="94">Saya mengetahui bahwa saya memiliki kondisi yang membutuhkan perawatan medis, saya mengizinkan dokter dan profesional kesehatan lainnya untuk melakukan prosedur diagnostic memberikan pengobatan medis seperti yang diperlukan dalam penilaian profesional mereka meliputi:</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="94">a. 1 Prosedur diagnostic</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="94">a. 2 Perawatan medis termasuk terapi tidak terbatas pada electrocardiogram</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="94">a. 3 Tes darah</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="94">a. 4 Terapi fisik</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="94">a. 5 Pemberian obat</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="94">a. 6 Pemasangan infus</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="5">a. 7</td>
								<td colspan="89">
									<div class="input-group" style="width:300px">
										<input type="text" class="form-control" name='a_7_gc_rajal' id='a_7_gc_rajal' placeholder="......................................................................" autocomplete="off" style="width: 100%;height:20px;padding:0px;border:none;" value="<?= $objPatientNursing->vA7GCRajal ; ?>">
									</div>
								</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="5">a. 8</td>
								<td colspan="89">
									<div class="input-group" style="width:300px">
										<input type="text" class="form-control" name='a_8_gc_rajal' id='a_8_gc_rajal' placeholder="......................................................................" autocomplete="off" style="width: 100%;height:20px;padding:0px;border:none;" value="<?= $objPatientNursing->vA8GCRajal ; ?>">
									</div
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="5">a. 9</td>
								<td colspan="89">
									<div class="input-group" style="width:300px">
										<input type="text" class="form-control" name='a_9_gc_rajal' id='a_9_gc_rajal' placeholder="......................................................................" autocomplete="off" style="width: 100%;height:20px;padding:0px;border:none;" value="<?= $objPatientNursing->vA9GCRajal ; ?>">
									</div
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="6"></td>
								<td colspan="5">a. 10</td>
								<td colspan="89">
									<div class="input-group" style="width:300px">
										<input type="text" class="form-control" name='a_10_gc_rajal' id='a_10_gc_rajal' placeholder="......................................................................" autocomplete="off" style="width: 100%;height:20px;padding:0px;border:none;" value="<?= $objPatientNursing->vA10GCRajal ; ?>">
									</div>
							</tr>
							<tr><td style="height:15px;"></td></tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3">2.</td>
								<td colspan="97">Saya mengerti dan memahami bahwa :</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">a. </td>
								<td colspan="94">Saya berharap untuk mengajukan pertanyaan tentang pengobatan yang diusulkan (termasuk identitas setiap orang yang memberikan atau mengamati pengobatan) setiap saat.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">b. </td>
								<td colspan="94">Saya mengerti dan memahami bahwa saya memiliki hak untuk persetujuan atau menolak persetujuan untuk setiap prosedur/terapi.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">c. </td>
								<td colspan="94">Saya mengerti bahwa banyak dokter pada staf medis rumah sakit yang bukan karyawan tetapi staf independen / tamu yang telah diberikan hak untuk menggunakan fasilitas untuk perawatan dan pengobatan pasien mereka.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">d. </td>
								<td colspan="94">Saya berhak dirawat DPJP yang berkompeten sesuai dengan spesialistik penyakit saya.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">e. </td>
								<td colspan="94">Saya mengerti dan memahami bahwa Rumah Sakit menjadi tempat pendidikan  praktek klinik bagi Mahasiswa keperawatan dan kebidanan, mereka ikut berpartisipasi dan terlibat dalam keperawatan, Saya menyetujui bahwa mahasiswa keperawatan dan kebidanan ikut berpartisipasi dalam perawatan saya sepanjang di bawah supervisi pembimbing Klinik / CI (Clinical Instructor).</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">f. </td>
								<td colspan="94">Jika di perlukan Rumah Sakit saya akan berpartisipasi dalam pemilihan dokter yang akan bertanggung jawab untuk perawatan selama dalam perawatan di Rumah Sakit.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">g. </td>
								<td colspan="94">Saya telah mendapat informasi tentang "Hak dan Tanggung Jawab Pasien" di Rumah Sakit Tingkat III Baladhika Husada.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">h. </td>
								<td colspan="94">Apabila Rumah Sakit tidak bisa menyediakan pelayanan karena keterbatasan fasilitas maka, saya setuju untuk dirujuk ke Rumah Sakit lain sesuai dengan kebutuhan pelayanan saya.</td>
							</tr>
							<tr><td style="height:15px;"></td></tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3">3.</td>
								<td colspan="97">Persetujuan pelepasan informasi</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">a. </td>
								<td colspan="94">Saya telah memahami bahwa Rumah Sakit tidak bertanggung jawab atas semua kehilangan barang-barang milik saya dan saya secara pribadi bertanggung jawab atas barang-barang yang saya miliki termasuk namun tidak terbatas pada uang, perhiasan, buku cek, kartu kredit, handphone atau barang lainnya dan apabila saya membutuhkan, maka saya dapat menitipkan barang-barang saya kepada Rumah Sakit.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">b. </td>
								<td colspan="94">Saya juga mengerti bahwa saya harus memberitahu/menitipkan pada Rumah Sakit jika saya memiliki Gigi palsu, kaca mata, lensa kontak, prosthetic atau barang lainnya yang saya butuhkan untuk di amankan.</td>
							</tr>
							<tr><td style="height:15px;"></td></tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3">4.</td>
								<td colspan="97">Persetujuan pelepasan informasi</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">a. </td>
								<td colspan="94">Saya memahami informasi yang ada dalam diri saya termasuk diagnosis, hasil laboratorium dan hasil tes diagnostic yang akan digunakan untuk perawatan medis di Rumah Sakit Tingkat III Baladhika Husada akan menjamin kerahasiaannya.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">b. </td>
								<td colspan="94">Saya memberi wewenang kepada Rumah Sakit untuk memberikan informasi tentang diagnosis hasil pelayanan dan pengobatan bila diperlukan untuk memproses klaim asuransi / Jamkesmas / Jamkesda / Perusahaan dan atau lembaga Pemerintah.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">c. </td>
								<td colspan="94">Saya memberi wewenang kepada Rumah Sakit untuk memberikan informasi tentang diagnosis hasil pelayanan dan pengobatan saya kepada anggota keluarga saya yaitu.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3"></td>
								<td colspan="94">
									<div class="input-group" style="width:300px">
										<input type="text" class="form-control" name='4_c1_gc_rajal' id='4_c1_gc_rajal' placeholder="......................................................................" autocomplete="off" style="width: 100%;height:20px;padding:0px;border:none;" value="<?= $objPatientNursing->vC1GCRajal ; ?>">
									</div>
								</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3"></td>
								<td colspan="94">
									<div class="input-group" style="width:300px">
										<input type="text" class="form-control" name='4_c2_gc_rajal' id='4_c2_gc_rajal' placeholder="......................................................................" autocomplete="off" style="width: 100%;height:20px;padding:0px;border:none;" value="<?= $objPatientNursing->vC2GCRajal ; ?>">
									</div>
								</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3"></td>
								<td colspan="94">
									<div class="input-group" style="width:300px">
										<input type="text" class="form-control" name='4_c3gc_rajal' id='4_c3gc_rajal' placeholder="......................................................................" autocomplete="off" style="width: 100%;height:20px;padding:0px;border:none;" value="<?= $objPatientNursing->vC3GCRajal ; ?>">
									</div>
								</td>
							</tr>
							<tr><td style="height:15px;"></td></tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3">5.</td>
								<td colspan="97">Informasi Rawat Inap</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">a. </td>
								<td colspan="94">Saya telah menerima informasi hak pasien oleh pihak Rumah Sakit.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">b. </td>
								<td colspan="94">Saya telah menerima informasi tentang peraturan yang diberlkakukan oleh Rumah Sakit dan saya beserta keluarga bersedia untuk mematuhinya termasuk akan mematuhi jam berkunjung pasien sesuai dengan aturan Rumah Sakit.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">c. </td>
								<td colspan="94">Anggota keluarga saya yang menunggu, saya bersedia untuk selalu memakai tanda pengenal khusus yang diberikan oleh Rumah Sakit dan demi keamanan seluruh pasien, setiap keluarga dan siapapun yang akan mengunjungi saya diluar jam berkunjung, bersedia untuk diminta / diperiksa identitasnya.</td>
							</tr>
							<tr><td style="height:15px;"></td></tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3">6.</td>
								<td colspan="97">Informasi biaya</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">a. </td>
								<td colspan="94">Saya memahami tentang informasi biaya pengobatan atau biaya tindakan yang dijelaskan oleh petugas Rumah Sakit.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">b. </td>
								<td colspan="94">Bila Pasien tidak dapat menunjukkan bukti sebagai peserta BPJS, Rumah Sakit akan membantu pemecahan dengan solusi memberikan batas waktu sampai dengan 3 x 24 Jam.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">c. </td>
								<td colspan="94">Kesepakatan berlaku sesuai batas waktu yang sudah di tentukan, jika tetap tidak terselesaikan maka Rumah Sakit berhak menetapkan pasien tersebut sebagai pasien swasta dengan beban pembiayaan sendiri.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">d. </td>
								<td colspan="94">Saya memahami tentang jenis pelayanan sesuai dengan kelas perawatan yang saya inginkan.</td>
							</tr>
							<tr><td style="height:15px;"></td></tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3">7.</td>
								<td colspan="97">Permintaan pulang atas keinginan pasien / keluarga</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">a. </td>
								<td colspan="94">Saya telah mendapatkan penjelasan tentang hak saya untuk menolak atau tidak melanjutkan pengobatan di Rumah Sakit Tk. III Baladhika Husada.</td>
							</tr>
							<tr style="vertical-align:top!important;">
								<td colspan="3"></td>
								<td colspan="3">b. </td>
								<td colspan="94">Saya tidak akan menuntuk pihak Rumah Sakit atau siapapun juga akibat dari keputusan saya pulang atas permintaan sendiri.</td>
							</tr>
							<tr><td style="height:15px;"></td></tr>
							<tr style="vertical-align:top!important;">
								<td colspan="100">Saya sadar bahwa praktik kedokteran dan bedah bukanlah ilmu pasti dan saya mengakui bahwa tidak ada jaminan atas hasil apapun terhadap perawatan prosedur atau pemeriksaan apapun yang dilakukan kepada saya. 
								Dengan tanda tangan saya di bawah ini, saya menyatakan bahwa saya telah membaca dan memahami seluruh kriteria-kriteria yang terdapat pada Persetujuan Umum (General Consent).</td>
							</tr>
						</table>
					</div>
				</div>
			</div>
		</div>
		</div>


<div class="box box-info form-horizontal box-info-pasien animated fadeInRight" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
				<div class="col-md-6">
					<div class="row">
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="tanggalasesmen_poli_mata"><b>Tanggal Pengisian</b></label>
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
									<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
								</span>
								<input type="text" class="form-control input-date" name='tanggal_pengisian_gc_rajal' id='tanggal_pengisian_gc_rajal' placeholder="Tanggal Pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTanggalPengisianGCRajal ; ?>" data-mask="00-00-0000">
							</div>
						</div>
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="tanggalasesmen_poli_mata"><b>Jam Pengisian</b></label>
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
									<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
								</span>
								<input type="text" class="form-control timepicker" name='jam_pengisian_gc_rajal' id='jam_pengisian_gc_rajal' placeholder="Jam Pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamPengisianGCRajal ; ?>" data-mask="00:00">
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12" style="margin-top:25px;">
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
									<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Pemberi Informasi</b></div>
								</span>
								<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="pemberi_informasi_gc_rajal" id="pemberi_informasi_gc_rajal" data-placeholder="Pemberi Informasi">
								<option value="<?= $objPatientNursing->vPemberiInformasiGCRajalId ; ?>" selected ><?= $objPatientNursing->vPemberiInformasiGCRajalNama ; ?></option>
								</select>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="col-md-12" style="">
						<div style="width: 100%; padding:3px 0px 0px 0px;text-align:center;" >
						<b>TANDA TANGAN WALI / PASIEN</b>
						</div>
					</div>
				<div class="col-md-12" style="">
					<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
					<div>
						<?php
						$sumberGambar = __USER_ASSETS__.'/images/putih.jpg';

						$gambarTersimpan = $objPatientNursing->vLokasiTandaTanganGeneralConsentRajal ? $objPatientNursing->vLokasiTandaTanganGeneralConsentRajal : $sumberGambar;
						?>
						<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
						<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
					</div>
					<div align="center">
						<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
						<div style="display:inline-block;margin-top:10px;">
						<a href="#" class="btn btn-success btn-xs hideSelesai" id="edit">Mulai Tanda Tangan</a>
						<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Tanda Tangan</a>
						<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Tanda Tangan</a>
						<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Tanda Tangan</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>




</form>
<div class="row animated fadeInRight">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTandaTanganGeneralConsentRajal ? $objPatientNursing->vLokasiTandaTanganGeneralConsentRajal : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD GS RAJAL');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTandaTanganGeneralConsentRajal')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}
	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-general-consent-rajal') ?>', strOption);
	}

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function (event) {
		setContent(goBackLink(),'content');
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function (event) {
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
		$('#back').click();
	});

	$('#float-simpan').off('click').on('click',function(){
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.NamaGeneralConsentRajal = $('#nama_pasien_wali').val();
		post.TglLahirGeneralConsentRajal = $('#tgl_lahir_pasien_wali').val();
		post.AlamatGeneralConsentRajal = $('#alamat_wali_pasien').val();
		post.NoTelpGeneralConsentRajal = $('#no_telp_wali_pasien').val();
		post.A7GCRajal = $('#a_7_gc_rajal').val();
		post.A8GCRajal = $('#a_8_gc_rajal').val();
		post.A9GCRajal = $('#a_9_gc_rajal').val();
		post.A10GCRajal = $('#a_10_gc_rajal').val();
		post.C1GCRajal = $('#4_c1_gc_rajal').val();
		post.C2GCRajal = $('#4_c2_gc_rajal').val();
		post.C3GCRajal = $('#4_c3gc_rajal').val();
		post.TanggalPengisianGCRajal = $('#tanggal_pengisian_gc_rajal').val();
		post.JamPengisianGCRajal = $('#jam_pengisian_gc_rajal').val();
		post.PemberiInformasiGCRajalId = $('#pemberi_informasi_gc_rajal').val();
		
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveGeneralConsentRajal')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#triage").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#pemberi_informasi_gc_rajal').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
};

$('#content').ready(function(){
	FormGizi();
});

</script>