<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if( strlen($objPatientNursing->vTujuanKonsul) ) {
	$objDeptKonsul = HmisRefDepartment::LoadById( $objPatientNursing->vTujuanKonsul );
	if( $objDeptKonsul ) {
		$TujuanKonsultasiId = $objPatientNursing->vTujuanKonsul;
		$TujuanKonsultasi = $objDeptKonsul->Name ;
	}
}

if( strlen($objPatientNursing->vDokterKonsul) ) {
	$objDokterKonsul = HmisRefEmployee::LoadById( $objPatientNursing->vDokterKonsul );
	if( $objDokterKonsul ) {
		$DokterTujuanKonsultasiId = $objPatientNursing->vTujuanKonsul;
		$DokterTujuanKonsultasi = $objDokterKonsul->FirstName ;
	}
}


require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
	.text-35{
		display: block;
		width:35px;
		text-align: center;
	}
	textarea, input{
		font-weight: 900;
	}
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
	<div class="col-md-6">
		<h1 class="panel-title1">KONSULTASI</h1>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<i class="fa fa-user"></i>
		<h3 class="box-title">Data Pasien</h3>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-6">
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Nama</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Umur</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
					</div>
				</div>

			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>
<div style="text-align:center; padding: 5px">
	<a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
</div>
<form>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<i class="fa fa-user"></i>
		<h3 class="box-title">Konsultasi</h3>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-6">
				<label class="control-label" for="tanggalkonsul"><b>Tanggal Konsul</b></label>
				<div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
					<input id="tanggalkonsul" type="text" class="form-control input-tanggal-konsul" name="tanggalkonsul" placeholder="Tanggal Konsul" value="<?= $objPatientNursing->vTanggalKonsul ? $objPatientNursing->vTanggalKonsul : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0">
				</div>
			</div>
			<div class="col-md-6">
				<label class="control-label" for="jamkonsul"><b>Jam Konsul</b></label>
				<div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					<input id="jamkonsul" type="text" class="form-control" name="jamkonsul" placeholder="HH:mm" value="<?= $objPatientNursing->vJamKonsul ? $objPatientNursing->vJamKonsul : date('H:i') ?>" style="z-index:0" data-mask="00:00">
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row">
			<div class="form-group">
				<label for="search-patient" class="col-md-2 control-label">Tujuan / Poli</label>
				<div class="col-md-6">
					<div class="input-group">
						<span class="input-group-addon"><i class="fa fa-location-arrow"></i></span>
						<!--<select bind-value="DepartmentId" bind-type="chosen" name="tujuankonsul" id="tujuankonsul" class="form-control resetable chosen-simple" tabindex="4" style="width: 100%">-->
						<select name="tujuankonsul" id="tujuankonsul" class="form-control input-sm-2 department" placeholder="Search Poli" >
						<?php if( strlen($TujuanKonsultasiId) ) { ?>
							<option value="<?= $TujuanKonsultasiId ?>" selected><?= $TujuanKonsultasi ?></option>
						<?php } ?>
						</select>
					</div>
				</div>
			</div>

			<div class="form-group">
				<label for="search-patient" class="col-md-2 control-label">Dokter Poli</label>
				<div class="col-md-6">
					<div class="input-group">
						<span class="input-group-addon"><i class="fa fa-location-arrow"></i></span>
						<!--<select name="dokterkonsul" id="dokterkonsul" class="form-control resetable chosen-simple" tabindex="5" style="width: 100%">-->
						<select name="dokterkonsul" id="dokterkonsul" class="form-control doctor" style="width: 540px;">
						<?php if( strlen($DokterTujuanKonsultasiId) ) { ?>
							<option value="<?= $DokterTujuanKonsultasiId ?>" selected><?= $DokterTujuanKonsultasi ?></option>
						<?php } ?>
						</select>
					</div>
				</div>
			</div>
			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="keterangankonsul"><b>Keterangan Konsultasi :</b></label>
					<textarea class="form-control" rows="3" id="keterangankonsul" name="keterangankonsul" placeholder="Keterangan Konsul" autocomplete="on"><?= $objPatientNursing->vKeteranganKonsul ?></textarea>
				</div>
			</div>

			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="diagnosakonsul"><b>Diagnosa:</b></label>
					<textarea class="form-control" rows="3" id="diagnosakonsul" name="diagnosakonsul" placeholder="Diagnosa" autocomplete="on"><?= $objPatientNursing->vDiagnosaKonsul ?></textarea>
				</div>
			</div>

			<?php if( strlen($objPatientNursing->vJawabanKonsultasi) ) { ?>
			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="jawabankonsultasi"><b>Jawaban Konsultasi:</b></label>
					<textarea class="form-control" rows="3" id="jawabankonsultasi" name="jawabankonsultasi" placeholder="Diagnosa" autocomplete="on"><?= $objPatientNursing->vJawabanKonsultasi ?></textarea>
				</div>
			</div>
			<?php } ?>

		</div>
	</div>
</div>


<div class="box box-info form-horizontal" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<?php
				if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
				?>
				<!-- <button>Simpan</button> -->
				<?php
				}
				?>
				<?php
				$penyelesai = ' ';
				if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){
					$objSystemUser = SystemUser::LoadById($objPatientNursing->IdUserPenyelesaiAsesmenAwal);
					$penyelesai .= $objSystemUser->FullName;
				}
				?>

				<div class="alert alert-success showSelesai" role="alert" style="display:none">
					<strong>Selesai!</strong> Asesmen Awal dinyatakan selesai dan ditandatangani oleh <span id="selesaiFullName"><?= $penyelesai ?></span> 
					pada tanggal <span id="selesaiTanggal"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('d-m-Y') : '-' ?></span>
					jam <span id="selesaiJam"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('H:i') : '-' ?></span>
					dari IP <span id="selesaiIp"><?= $objPatientNursing->IpUserPenyelesaiAsesmenAwal ?></span>
				</div>

				<a href="#" id="cetak-laporan" class="btn btn-warning showSelesai" style="display:none"><i class="fa fa-print"></i> Cetak Laporan</a>

				<span class="hideSelesai">
					<!-- <a href="#" class="btn btn-danger" id="open-modal"><i class="fa fa-pencil"></i> Simpan &amp; Tanda Tangan</a>
					<button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</button>
					<button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan Draft</button> -->
					<button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
					<button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan</button>
				</span>

				<a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
			</div>
		</div>
	</div>
</div>

</form>


<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="password" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var ObjectData = {};

$(document).ready(function() {
	$('#tombol-save-loading').hide();
	$('#simpanGambar-loading').hide();
	//KEADAAN UMUM
	var selected_value = $("input[name='keadaanumum']:checked").val();
	if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
		$('.keadaanumumrow').hide();
		$('#uraiankeadaanumum').val(''); //kosongkan 
	}else if(typeof selected_value === "undefined"){
		$('.keadaanumumrow').hide();
		$('#uraiankeadaanumum').val(''); //kosongkan 
	}
	else{
		$('.keadaanumumrow').show();
	}
	//
	$(".keadaanumum").change(function (e) {
		var selected_value = $("input[name='keadaanumum']:checked").val();
		if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
			$('.keadaanumumrow').hide();
			$('#uraiankeadaanumum').val(''); //kosongkan 
		}else if(typeof selected_value === "undefined"){
			$('.keadaanumumrow').hide();
			$('#uraiankeadaanumum').val(''); //kosongkan 
		}
		else{
			$('.keadaanumumrow').show();
		}
	});
});


$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
	event.preventDefault();
	console.log('simpan asesmen awal');
	if(validasiSimpan()){
		prosesKirimData('VERIFIKASI');
	}
})

$('#content').off('click', '#tombol-save').on('click', '#tombol-save', function (event) {
	event.preventDefault();
	console.log('simpan draft asesmen awal');
	prosesKirimData('DRAFT');
});

var validasiSimpan = function(){
	var password = $('#password');
	var checkSetuju = $('#check-setuju');

	if(!password.val()){
		toastr.warning('Password Masih Kosong', 'Peringatan');
		return null;
	}
	if(! checkSetuju.prop('checked')){
		toastr.warning('Anda Harus Menyetujui', 'Peringatan');
		return null;
	}
	return true;
}

var prosesKirimData = function(mode){
	ObjectData.pageId = strPageId;
	ObjectData.actorId = strActorId;
	ObjectData.nursingId = '<?= $strId ?>'; //nursing id
	ObjectData.department = strDepartmentId;

	if(mode == 'VERIFIKASI'){
		ObjectData.password = $('#password').val();
	}
	
	ObjectData.vTanggalKonsul = $('#tanggalkonsul').val();
	ObjectData.vJamKonsul = $('#jamkonsul').val();
	ObjectData.vTujuanKonsul = $('#tujuankonsul').val();
	ObjectData.vDokterKonsul = $('#dokterkonsul').val();
	ObjectData.vKeteranganKonsul = $('#keterangankonsul').val();
	ObjectData.vDiagnosaKonsul = $('#diagnosakonsul').val();


	ObjectData.KeadaanUmum = $("input[name='keadaanumum']:checked").val() ? $("input[name='keadaanumum']:checked").val() : '';
	ObjectData.UraianKeadaanUmum = $('#uraiankeadaanumum').val();
	ObjectData.KesanSakit = $("input[name='kesansakit']:checked").val() ? $("input[name='kesansakit']:checked").val() : '';
	ObjectData.Gcs = $('#gcs1').val() + '-' + $('#gcs2').val() + '-' + $('#gcs3').val();
	ObjectData.Sistolik = $('#sistolik').val();
	ObjectData.Diastolik = $('#diastolik').val();
	ObjectData.Nadi = $('#nadi').val();
	ObjectData.Rr = $('#rr').val();
	ObjectData.Suhu = $('#suhu').val();
	ObjectData.SaturasiOksigen = $('#saturasioksigen').val();
	ObjectData.Bb = $('#bb').val();
	ObjectData.Tb = $('#tb').val();
	ObjectData.ReflekPupil = $('#reflekpupil').val();
	ObjectData.KondisiPupil = $('#kondisipupil').val();
	
	ObjectData.mode = mode;

	var url;
	if(mode == 'DRAFT'){
		url = "<?= QApplication::UrlActionCreator('PatientNursingKonsul/Consult')?>";
	}else{
		url = "<?= QApplication::UrlActionCreator('PatientNursingKonsul/Consult')?>";
	}


	console.log(ObjectData)
	if(! ObjectData.vTujuanKonsul){
		toastr.error('Poli tujuan Konsultasi masih kosong', 'Informasi');
		return null;
	}
	if(! ObjectData.vDokterKonsul){
		toastr.error('Dokter Konsultasi masih kosong', 'Informasi');
		return null;
	}
	if(! ObjectData.vKeteranganKonsul){
		toastr.error('Keterangan Konsultasi masih kosong', 'Informasi');
		return null;
	}

	$.ajax({
		url: url, 
		success: function(result){
			if(mode == 'VERIFIKASI' && result.status != 'error'){
				$('#modal-area').modal("hide");
				disableAllInput();
				toastr.info(result.message, 'Informasi');
				$('#selesaiFullName').text(result.FullName);
				$('#selesaiTanggal').text(result.Tanggal);
				$('#selesaiJam').text(result.Jam);
				$('#selesaiIp').text(result.Ip);
			}else if(result.status == 'error'){
				toastr.error(result.message, 'Error');
			}else{
				toastr.info(result.message, 'Informasi');
			}
		},
		timeout: 5* 60 * 1000,
		error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		},
		beforeSend: function(xhr){
			$('#tombol-save').hide();
			$('#tombol-save-loading').show();
		},
		complete: function(xhr,status){
			$('#tombol-save').show();
			$('#tombol-save-loading').hide();
		},
		type: "POST",
		data: ObjectData
	});
}

// $("#jamasesmen").focus(function(e){
//	 showMePicker(e.target);
// });

$('#content').off('click', '#cetak-laporan').on('click', '#cetak-laporan', function () {
	var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
	openInNewTab(url);
});

$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function(event){
	event.preventDefault();
	event.stopPropagation();
	$('#float-kembali').hide();
	$('#float-kembali-loading').show();
	if (sessionStorage.exitForm) {
	setContent(sessionStorage.exitForm,'content');
	} else {
		setContent(goBackLink(),'content');
	}
/*	var Id = '<?= $objPatientNursing->Id ?>';
	console.log(Id);
	var backFromAssementAwal = window.sessionStorage.getItem('backFromAssementAwal');
	if( backFromAssementAwal ) {
		setContent(backFromAssementAwal,'content');
		return true;
	}
	var segmenSebelumnya = window.sessionStorage.getItem('segmenSebelumnya');
	if( segmenSebelumnya ) {
		setContent('<?= QApplication::UrlCreator('')?>/'+segmenSebelumnya+'?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
		return true;
	}*/
});


$('#jamkonsul').change(function(e){
	var waktu = $('#jamkonsul').val().split(":");
	var jam = waktu[0];
	var menit = waktu[1];
	if(jam > 23 || menit > 60){
		$('#jamkonsul').val('')
	}
})
//-------------

$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
	$('#modal-area').modal("show");
	$('#tandatangani').show();
	$('#tandatanganiperubahan').hide();
});

//-------------
$('.department').each(function() {
	$(this).ajaxChosen({
		type: 'GET'
		, dataType: 'json'
	},{
		useAjax: function(e){ return true; }
		, minLength: 0
		, processItems: function(data){
			return data;
		}
		, generateUrl: function(strSearch) {

			return "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmen/?pageId=')?><?=$strPageId?>"+ '&type=POLI&search=' + strSearch
		}
	}, {
		allow_single_deselect: true
	}).on('change', function(e) {
		// NOTHING
	});
});

$('#tujuankonsul').change(function(){
	console.log('tujuankonsul CHANGE')

	var optionSelected = $('#tujuankonsul option:selected');
	var doctor = $('#dokterkonsul');
	doctor.empty();
	if(optionSelected.data('personilId') && optionSelected.data('personilName')){
		doctor.append('<option selected value="'+optionSelected.data('personilId')+'">'+optionSelected.data('personilName')+'</option>');
		doctor.trigger("chosen:updated");
		return null;
	}

	var viewMainDepartment = $('#tujuankonsul').val() ? $('#tujuankonsul').val() : '';
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDoctor/?pageId=')?><?=$strPageId?>&department=" + viewMainDepartment, 
		success: function(result){
			var doctor = $('#dokterkonsul');
			doctor.empty();
			doctor.append('<option value="">Pilih...</option>');
			result.forEach(function(res){
				doctor.append('<option value="'+res.id+'">'+res.text+'</option>');
			});
			doctor.trigger("chosen:updated");
	}});
});

$('#dokterkonsul').chosen({
});


$('#dokterkonsul').change(function(){
	ObjectData.vDokterKonsul = $(this).val();
	console.log(ObjectData.vDokterKonsul);
});

function openInNewTab(url) {
	var win = window.open(url, '_blank');
	win.focus();
} 

$('.input-tanggal-konsul').datepicker({
	format: "dd-mm-yyyy",
	autoclose: true,
	maxDate: new Date('<?= date('d-m-Y') ?>'),
	minDate: new Date('<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>'),
	// endDate: null
});

function convertDateToISO(strDateIna) {
	return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}

function disableAllInput(){
	$("input, textarea, select").prop('disabled', true);
	$('.hideSelesai').hide();
	$('.showSelesai').show();
	warnaPencil = 'transparent';
}

<?php if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){ ?>
	disableAllInput();
<?php } ?>
</script>

