<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

if( strlen($objPatientNursing->vDokterPengirimLabId) > 0 ) {
	$objDokterPengirim = HmisRefEmployee::LoadById( $objPatientNursing->vDokterPengirimLabId);
	if( $objDokterPengirim ) {
		$DokterPengirimId = $objPatientNursing->vDokterPengirimLabId;
		$DokterPengirim = $objDokterPengirim->FirstName ;
	}
}

if( strlen($objPatientNursing->vPetugasSamplingLabId) > 0 ) {
	$objPetugasSampling = HmisRefEmployee::LoadById( $objPatientNursing->vPetugasSamplingLabId);
	if( $objPetugasSampling ) {
		$PetugasSamplingId = $objPatientNursing->vPetugasSamplingLabId;
		$PetugasSampling = $objPetugasSampling->FirstName ;
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
 <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_jiwa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">PENGANTAR PERMINTAAN PEMERIKSAAN LAB</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>


<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<form>
	
	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="col-md-4" style="margin-bottom:10px;">
					<label class="control-label" for="tanggal_permintaan_pemeriksaan"><b>Tanggal</b></label>
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
						</span>
							<input type="text" class="form-control input-date" data-mask="00-00-0000" name='tanggal_permintaan_pemeriksaan' id='tanggal_permintaan_pemeriksaan' placeholder="Tgl" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTanggalPermintaanPemeriksaanLab != "" ? $objPatientNursing->vTanggalPermintaanPemeriksaanLab : date("d-m-Y") ; ?>"  >
					</div>
				</div>
				<div class="col-md-4" style="margin-bottom:10px;">
					<label class="control-label" for="jam_permintaan_pemeriksaan"><b>Jam</b></label>
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
						</span>
							<input type="text" class="form-control timepicker" name='jam_permintaan_pemeriksaan' id='jam_permintaan_pemeriksaan' placeholder="Jam" data-mask="00:00" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamPermintaanPemeriksaanLab != "" ? $objPatientNursing->vJamPermintaanPemeriksaanLab : date("H:i") ; ?>"  >
					</div>
				</div>
				<div class="col-md-8" style="margin-bottom:10px">
					<label class="control-label" for="dokter_pengirim"><b>Dokter Pengirim</b></label>
					<div class="input-group" style="width:100%">
						<select data-plugin-selecttwo class="form-control doctor" tabindex="14" title="" name="dokter_pengirim" id="dokter_pengirim" data-placeholder="Dokter Pengirim" style="width:100%">
							<?php if( strlen($DokterPengirimId) ) { ?>
								<option value="<?= $DokterPengirimId ?>" selected><?= $DokterPengirim ?></option>
							<?php } ?>
						</select>

					</div>
				</div>
				<div class="col-md-8" style="margin-bottom:50px">
					<label class="control-label" for="dokter_pengirim"><b>Petugas Sampling</b></label>
					<div class="input-group" style="width:100%">
						<select data-plugin-selecttwo class="form-control doctor" tabindex="14" title="" name="petugas_sampling" id="petugas_sampling" data-placeholder="Petugas Sampling" style="width:100%">
							<?php if( strlen($PetugasSamplingId) ) { ?>
								<option value="<?= $PetugasSamplingId ?>" selected><?= $PetugasSampling ?></option>
							<?php } ?>
						</select>

					</div>
				</div>

				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>HEMATOLOGI LENGKAP :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="hematologi_rutin" id="hematologi_rutin" <?= ( stripos( '@'.$objPatientNursing->vHematologiLengkapLab , 'Hematologi Rutin/CBC,LED,Hitung Jenis Leukosit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hematologi_rutin" style="margin-left: 5px; margin-top: 5px;" >Hematologi Rutin/CBC,LED,Hitung Jenis Leukosit</label>
								<input type="checkbox" name="golongan_darah" id="golongan_darah" <?= ( stripos( '@'.$objPatientNursing->vHematologiLengkapLab , 'Golongan Darah A,B,O & Rh' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="golongan_darah" style="margin-left: 5px; margin-top: 5px;" >Golongan Darah A,B,O & Rh</label>
								<input type="checkbox" name="led" id="led" <?= ( stripos( '@'.$objPatientNursing->vHematologiLengkapLab , 'L E D' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="led" style="margin-left: 5px; margin-top: 5px;" >LED</label>
							</div>
						</div>
					</div>
				</div>

				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>ANEMIA :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="retikulosit" id="retikulosit" <?= ( stripos( '@'.$objPatientNursing->vAnemiaLab , 'Retikulosit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="retikulosit" style="margin-left: 5px; margin-top: 5px;" >Retikulosit</label>
								<input type="checkbox" name="si_besi_fe" id="si_besi_fe" <?= ( stripos( '@'.$objPatientNursing->vAnemiaLab , 'SI / Besi / Fe' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="si_besi_fe" style="margin-left: 5px; margin-top: 5px;" >SI / Besi / Fe</label>
								<input type="checkbox" name="tibc" id="tibc" <?= ( stripos( '@'.$objPatientNursing->vAnemiaLab , 'TIBC' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="tibc" style="margin-left: 5px; margin-top: 5px;" >TIBC</label>
								<input type="checkbox" name="hdt" id="hdt" <?= ( stripos( '@'.$objPatientNursing->vAnemiaLab , 'Hapusan Darah Tepi/HDT' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hdt" style="margin-left: 5px; margin-top: 5px;" >Hapusan Darah Tepi/HDT</label>
							</div>
						</div>
					</div>
				</div>

				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>FAAL HEMOSTASIS :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="waktu_pendarahan" id="waktu_pendarahan" <?= ( stripos( '@'.$objPatientNursing->vFaalHemostasisLab , 'Waktu Pendarahan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="waktu_pendarahan" style="margin-left: 5px; margin-top: 5px;" >Waktu Pendarahan</label>
								<input type="checkbox" name="waktu_pembekuan" id="waktu_pembekuan" <?= ( stripos( '@'.$objPatientNursing->vFaalHemostasisLab , 'Waktu Pembekuan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="waktu_pembekuan" style="margin-left: 5px; margin-top: 5px;" >Waktu Pembekuan</label>
								<input type="checkbox" name="pt" id="pt" <?= ( stripos( '@'.$objPatientNursing->vFaalHemostasisLab , 'PT' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="pt" style="margin-left: 5px; margin-top: 5px;" >PT</label>
								<input type="checkbox" name="aptt" id="aptt" <?= ( stripos( '@'.$objPatientNursing->vFaalHemostasisLab , 'aPTT' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="aptt" style="margin-left: 5px; margin-top: 5px;" >aPTT</label>
								<input type="checkbox" name="fibrinogen" id="fibrinogen" <?= ( stripos( '@'.$objPatientNursing->vFaalHemostasisLab , 'Fibrinogen' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="fibrinogen" style="margin-left: 5px; margin-top: 5px;" >Fibrinogen</label>
								<input type="checkbox" name="d_dimer" id="d_dimer" <?= ( stripos( '@'.$objPatientNursing->vFaalHemostasisLab , 'D-dimer' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="d_dimer" style="margin-left: 5px; margin-top: 5px;" >D-dimer</label>
								<input type="checkbox" name="retraksi_bekuan" id="retraksi_bekuan" <?= ( stripos( '@'.$objPatientNursing->vFaalHemostasisLab , 'Retraksi Bekuan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="retraksi_bekuan" style="margin-left: 5px; margin-top: 5px;" >Retraksi Bekuan</label>
								<input type="checkbox" name="agregasi_trombosit" id="agregasi_trombosit" <?= ( stripos( '@'.$objPatientNursing->vFaalHemostasisLab , 'Agregasi Trombosit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="agregasi_trombosit" style="margin-left: 5px; margin-top: 5px;" >Agregasi Trombosit</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>HEMATOLOGI LAIN :</b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="badan_inklusi_hbh" id="badan_inklusi_hbh" <?= ( stripos( '@'.$objPatientNursing->vHematologiLainLab , 'Badan Inklusi HbH' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="badan_inklusi_hbh" style="margin-left: 5px; margin-top: 5px;" >Badan Inklusi HbH</label>
								<input type="checkbox" name="g6pd" id="g6pd" <?= ( stripos( '@'.$objPatientNursing->vHematologiLainLab , 'G6PD' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="g6pd" style="margin-left: 5px; margin-top: 5px;" >G6PD</label>
								<input type="checkbox" name="g6pd_neonatus" id="g6pd_neonatus" <?= ( stripos( '@'.$objPatientNursing->vHematologiLainLab , 'G6PD Neonatus' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="g6pd_neonatus" style="margin-left: 5px; margin-top: 5px;" >G6PD Neonatus</label>
								<input type="checkbox" name="coombs_test" id="coombs_test" <?= ( stripos( '@'.$objPatientNursing->vHematologiLainLab , 'Coombs Test' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="coombs_test" style="margin-left: 5px; margin-top: 5px;" >Coombs' Test</label>
								<input type="checkbox" name="leukemia_phenotyping" id="leukemia_phenotyping" <?= ( stripos( '@'.$objPatientNursing->vHematologiLainLab , 'Leukemia Phenotyping' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="leukemia_phenotyping" style="margin-left: 5px; margin-top: 5px;" >Leukemia Phenotyping</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>URINALISA :</b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="urine_rutin" id="urine_rutin" <?= ( stripos( '@'.$objPatientNursing->vUrinalisaLab , 'Urine Rutin' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="urine_rutin" style="margin-left: 5px; margin-top: 5px;" >Urine Rutin</label>
								<input type="checkbox" name="protein_urine" id="protein_urine" <?= ( stripos( '@'.$objPatientNursing->vUrinalisaLab , 'Protein Urine' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="protein_urine" style="margin-left: 5px; margin-top: 5px;" >Protein Urine</label>
								<input type="checkbox" name="glukosa_urine" id="glukosa_urine" <?= ( stripos( '@'.$objPatientNursing->vUrinalisaLab , 'Glukosa Urine' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="glukosa_urine" style="margin-left: 5px; margin-top: 5px;" >Glukosa Urine</label>
								<input type="checkbox" name="bilirubin_urine" id="bilirubin_urine" <?= ( stripos( '@'.$objPatientNursing->vUrinalisaLab , 'Bilirubin Urine' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bilirubin_urine" style="margin-left: 5px; margin-top: 5px;" >Bilirubin Urine</label>
								<input type="checkbox" name="keton_urine" id="keton_urine" <?= ( stripos( '@'.$objPatientNursing->vUrinalisaLab , 'Keton Urine' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="keton_urine" style="margin-left: 5px; margin-top: 5px;" >Keton Urine</label>
								<input type="checkbox" name="sedimen_urine" id="sedimen_urine" <?= ( stripos( '@'.$objPatientNursing->vUrinalisaLab , 'Sedimen Urine' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="sedimen_urine" style="margin-left: 5px; margin-top: 5px;" >Sedimen Urine</label>
								<input type="checkbox" name="tes_kehamilan" id="tes_kehamilan" <?= ( stripos( '@'.$objPatientNursing->vUrinalisaLab , 'Tes Kehamilan (HCG)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="tes_kehamilan" style="margin-left: 5px; margin-top: 5px;" >Tes Kehamilan (HCG)</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>FAAL HATI :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="bilirubin_total" id="bilirubin_total" <?= ( stripos( '@'.$objPatientNursing->vFaalHatiLab , 'Bilirubin Total' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bilirubin_total" style="margin-left: 5px; margin-top: 5px;" >Bilirubin Total</label>
								<input type="checkbox" name="bilirubin_direk" id="bilirubin_direk" <?= ( stripos( '@'.$objPatientNursing->vFaalHatiLab , 'Bilirubin Direk' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bilirubin_direk" style="margin-left: 5px; margin-top: 5px;" >Bilirubin Direk</label>
								<input type="checkbox" name="protein_total" id="protein_total" <?= ( stripos( '@'.$objPatientNursing->vFaalHatiLab , 'Protein Total' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="protein_total" style="margin-left: 5px; margin-top: 5px;" >Protein Total</label>
								<input type="checkbox" name="albumin" id="albumin" <?= ( stripos( '@'.$objPatientNursing->vFaalHatiLab , 'Albumin' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="albumin" style="margin-left: 5px; margin-top: 5px;" >Albumin</label>
								<input type="checkbox" name="sgot" id="sgot" <?= ( stripos( '@'.$objPatientNursing->vFaalHatiLab , 'SGOT' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="sgot" style="margin-left: 5px; margin-top: 5px;" >SGOT</label>
								<input type="checkbox" name="sgpt" id="sgpt" <?= ( stripos( '@'.$objPatientNursing->vFaalHatiLab , 'SGPT' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="sgpt" style="margin-left: 5px; margin-top: 5px;" >SGPT</label>
								<input type="checkbox" name="gamma_gt" id="gamma_gt" <?= ( stripos( '@'.$objPatientNursing->vFaalHatiLab , 'Gamma GT' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="gamma_gt" style="margin-left: 5px; margin-top: 5px;" >Gamma GT</label>
								<input type="checkbox" name="alkali_fosfatase" id="alkali_fosfatase" <?= ( stripos( '@'.$objPatientNursing->vFaalHatiLab , 'Alkali Fosfatase' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="alkali_fosfatase" style="margin-left: 5px; margin-top: 5px;" >Alkali Fosfatase</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>DIABETES :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="gula_darah_puasa" id="gula_darah_puasa" <?= ( stripos( '@'.$objPatientNursing->vDiabetesLab , 'Gula Darah Puasa' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="gula_darah_puasa" style="margin-left: 5px; margin-top: 5px;" >Gula Darah Puasa</label>
								<input type="checkbox" name="gula_darah_2_jpp" id="gula_darah_2_jpp" <?= ( stripos( '@'.$objPatientNursing->vDiabetesLab , 'Gula Darah 2 JPP' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="gula_darah_2_jpp" style="margin-left: 5px; margin-top: 5px;" >Gula Darah 2 JPP</label>
								<input type="checkbox" name="gula_darah_acak" id="gula_darah_acak" <?= ( stripos( '@'.$objPatientNursing->vDiabetesLab , 'Gula Darah Acak' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="gula_darah_acak" style="margin-left: 5px; margin-top: 5px;" >Gula Darah Acak</label>
								<input type="checkbox" name="ttgo" id="ttgo" <?= ( stripos( '@'.$objPatientNursing->vDiabetesLab , 'TTGO' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ttgo" style="margin-left: 5px; margin-top: 5px;" >TTGO</label>
								<input type="checkbox" name="hba1c" id="hba1c" <?= ( stripos( '@'.$objPatientNursing->vDiabetesLab , 'HbA1C' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hba1c" style="margin-left: 5px; margin-top: 5px;" >HbA1C</label>
							</div>
						</div>
					</div>

				</div>

				<div class="row" style="padding:0px 12px;margin-bottom:0px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>LEMAK :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="cholesterol_total" id="cholesterol_total" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Cholesterol Total' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cholesterol_total" style="margin-left: 5px; margin-top: 5px;" >Cholesterol Total</label>
								<input type="checkbox" name="cholesterol_ldl" id="cholesterol_ldl" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Cholesterol LDL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cholesterol_ldl" style="margin-left: 5px; margin-top: 5px;" >Cholesterol LDL</label>
								<input type="checkbox" name="cholesterol_hdl" id="cholesterol_hdl" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Cholesterol HDL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cholesterol_hdl" style="margin-left: 5px; margin-top: 5px;" >Cholesterol HDL</label>
								<input type="checkbox" name="trigliserida" id="trigliserida" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Trigliserida' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="trigliserida" style="margin-left: 5px; margin-top: 5px;" >Trigliserida</label>
								<input type="checkbox" name="apo_a1" id="apo_a1" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Apo A1' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="apo_a1" style="margin-left: 5px; margin-top: 5px;" >Apo A1</label>
								<input type="checkbox" name="apo_b" id="apo_b" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Apo B' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="apo_b" style="margin-left: 5px; margin-top: 5px;" >Apo B</label>
								<input type="checkbox" name="small_densel_ldl" id="small_densel_ldl" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Small Densel LDL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="small_densel_ldl" style="margin-left: 5px; margin-top: 5px;" >Small Densel LDL</label>
								<input type="checkbox" name="lpa" id="lpa" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Lp (a)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lpa" style="margin-left: 5px; margin-top: 5px;" >Lp (a)</label>
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="rasio_cholesterol" id="rasio_cholesterol" <?= ( stripos( '@'.$objPatientNursing->vLemakLab , 'Rasio Cholesterol' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="rasio_cholesterol" style="margin-left: 5px; margin-top: 5px;" >Rasio Cholesterol</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>JANTUNG :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="ckmb" id="ckmb" <?= ( stripos( '@'.$objPatientNursing->vJantungLab , 'CKMB' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ckmb" style="margin-left: 5px; margin-top: 5px;" >CKMB</label>
								<input type="checkbox" name="troponin_i" id="troponin_i" <?= ( stripos( '@'.$objPatientNursing->vJantungLab , 'Troponin I' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="troponin_i" style="margin-left: 5px; margin-top: 5px;" >Troponin I</label>
								<input type="checkbox" name="ldh" id="ldh" <?= ( stripos( '@'.$objPatientNursing->vJantungLab , 'LDH' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ldh" style="margin-left: 5px; margin-top: 5px;" >LDH</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>ANALISA CAIRAN :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="cairan_otak" id="cairan_otak" <?= ( stripos( '@'.$objPatientNursing->vAnalisaCairanLab , 'Cairan Otak' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cairan_otak" style="margin-left: 5px; margin-top: 5px;" >Cairan Otak</label>
								<input type="checkbox" name="cairan_pleura" id="cairan_pleura" <?= ( stripos( '@'.$objPatientNursing->vAnalisaCairanLab , 'Cairan Pleura' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cairan_pleura" style="margin-left: 5px; margin-top: 5px;" >Cairan Pleura</label>
								<input type="checkbox" name="cairan_sendi" id="cairan_sendi" <?= ( stripos( '@'.$objPatientNursing->vAnalisaCairanLab , 'Cairan Sendi' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cairan_sendi" style="margin-left: 5px; margin-top: 5px;" >Cairan Sendi</label>
								<input type="checkbox" name="cairan_ascites" id="cairan_ascites" <?= ( stripos( '@'.$objPatientNursing->vAnalisaCairanLab , 'Cairan Ascites' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cairan_ascites" style="margin-left: 5px; margin-top: 5px;" >Cairan Ascites</label>
							</div>
						</div>
					</div>
				</div>

				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>GINJAL :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="bun_urea" id="bun_urea" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'BUN / Urea' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bun_urea" style="margin-left: 5px; margin-top: 5px;" >BUN / Urea</label>
								<input type="checkbox" name="kreatinin_serum" id="kreatinin_serum" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'Kreatinin Serum' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kreatinin_serum" style="margin-left: 5px; margin-top: 5px;" >Kreatinin Serum</label>
								<input type="checkbox" name="urea_urine" id="urea_urine" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'Urea N Urine' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="urea_urine" style="margin-left: 5px; margin-top: 5px;" >Urea N Urine</label>
								<input type="checkbox" name="kreatinin_urine" id="kreatinin_urine" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'Kreatinin Urine' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kreatinin_urine" style="margin-left: 5px; margin-top: 5px;" >Kreatinin Urine</label>
								<input type="checkbox" name="kreatinin_clearance" id="kreatinin_clearance" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'Kreatinin Clearance' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kreatinin_clearance" style="margin-left: 5px; margin-top: 5px;" >Kreatinin Clearance</label>
								<input type="checkbox" name="cystatin_c" id="cystatin_c" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'Cystatin-C' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cystatin_c" style="margin-left: 5px; margin-top: 5px;" >Cystatin-C</label>
								<input type="checkbox" name="asam_urat" id="asam_urat" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'Asam Urat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="asam_urat" style="margin-left: 5px; margin-top: 5px;" >Asam Urat</label>
							</div>
						</div>
					</div>

					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="urine_24_jam" id="urine_24_jam" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'Urine 24 jam' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="urine_24_jam" style="margin-left: 5px; margin-top: 5px;" >Urine 24 jam</label>
								<input type="checkbox" name="egfr" id="egfr" <?= ( stripos( '@'.$objPatientNursing->vGinjalLab , 'eGFR (Rasio Albumin-Kreatinin Urine Sewaktu)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="egfr" style="margin-left: 5px; margin-top: 5px;" >eGFR (Rasio Albumin-Kreatinin Urine Sewaktu)</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>IMUNO-SEROLOGI :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="hbsag_elisa" id="hbsag_elisa" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'HbsAg Elisa' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hbsag_elisa" style="margin-left: 5px; margin-top: 5px;" >HbsAg Elisa</label>
								<input type="checkbox" name="hbsag_device" id="hbsag_device" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'HbsAg Device' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hbsag_device" style="margin-left: 5px; margin-top: 5px;" >HbsAg Device</label>
								<input type="checkbox" name="anti_hbs_device" id="anti_hbs_device" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'Anti HBS Device' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="anti_hbs_device" style="margin-left: 5px; margin-top: 5px;" >Anti HBS Device</label>
								<input type="checkbox" name="widal" id="widal" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'Widal' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="widal" style="margin-left: 5px; margin-top: 5px;" >Widal</label>
								<input type="checkbox" name="tubex_tf" id="tubex_tf" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'Tubex Tf' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="tubex_tf" style="margin-left: 5px; margin-top: 5px;" >Tubex Tf</label>
								<input type="checkbox" name="igg_igm_salmonella" id="igg_igm_salmonella" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'IgG/IgM Salmonella' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="igg_igm_salmonella" style="margin-left: 5px; margin-top: 5px;" >IgG/IgM Salmonella</label>
								<input type="checkbox" name="igg_igm_dengue" id="igg_igm_dengue" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'IgG/IgM Dengue' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="igg_igm_dengue" style="margin-left: 5px; margin-top: 5px;" >IgG/IgM Dengue</label>
								<input type="checkbox" name="ns1_dengue" id="ns1_dengue" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'Ns1 Dengue' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ns1_dengue" style="margin-left: 5px; margin-top: 5px;" >Ns1 Dengue</label>
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="anti_hiv" id="anti_hiv" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'Anti HIV' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="anti_hiv" style="margin-left: 5px; margin-top: 5px;" >Anti HIV</label>
								<input type="checkbox" name="procalcitonin" id="procalcitonin" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'Procalcitonin' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="procalcitonin" style="margin-left: 5px; margin-top: 5px;" >Procalcitonin</label>
								<input type="checkbox" name="crp" id="crp" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'CRP' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="crp" style="margin-left: 5px; margin-top: 5px;" >CRP</label>
								<input type="checkbox" name="vdrl" id="vdrl" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'VDRL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="vdrl" style="margin-left: 5px; margin-top: 5px;" >VDRL</label>
								<input type="checkbox" name="asto" id="asto" <?= ( stripos( '@'.$objPatientNursing->vImunoSerologiLab , 'ASTO' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="asto" style="margin-left: 5px; margin-top: 5px;" >ASTO</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>TUBERKULOSIS :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="bta" id="bta" <?= ( stripos( '@'.$objPatientNursing->vTuberkulosisLab , 'BTA (Mikroskopik)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bta" style="margin-left: 5px; margin-top: 5px;" >BTA (Mikroskopik)</label>
								<input type="checkbox" name="adenosine_deaminase" id="adenosine_deaminase" <?= ( stripos( '@'.$objPatientNursing->vTuberkulosisLab , 'Adenosine Deaminase' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="adenosine_deaminase" style="margin-left: 5px; margin-top: 5px;" >Adenosine Deaminase</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>ANALISA FAECES :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="faeces_rutin" id="faeces_rutin" <?= ( stripos( '@'.$objPatientNursing->vAnalisaFaecesLab , 'Faeces Rutin' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="faeces_rutin" style="margin-left: 5px; margin-top: 5px;" >Faeces Rutin</label>
								<input type="checkbox" name="darah_samar" id="darah_samar" <?= ( stripos( '@'.$objPatientNursing->vAnalisaFaecesLab , 'Darah Samar' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="darah_samar" style="margin-left: 5px; margin-top: 5px;" >Darah Samar</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>ELEKTROLIT :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="kalium" id="kalium" <?= ( stripos( '@'.$objPatientNursing->vElektrolitLab , 'Kalium' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kalium" style="margin-left: 5px; margin-top: 5px;" >Kalium</label>
								<input type="checkbox" name="natrium" id="natrium" <?= ( stripos( '@'.$objPatientNursing->vElektrolitLab , 'Natrium' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="natrium" style="margin-left: 5px; margin-top: 5px;" >Natrium</label>
								<input type="checkbox" name="chlorida" id="chlorida" <?= ( stripos( '@'.$objPatientNursing->vElektrolitLab , 'Chlorida' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="chlorida" style="margin-left: 5px; margin-top: 5px;" >Chlorida</label>
								<input type="checkbox" name="calcium" id="calcium" <?= ( stripos( '@'.$objPatientNursing->vElektrolitLab , 'Calcium' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="calcium" style="margin-left: 5px; margin-top: 5px;" >Calcium</label>
								<input type="checkbox" name="magnesium" id="magnesium" <?= ( stripos( '@'.$objPatientNursing->vElektrolitLab , 'Magnesium' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="magnesium" style="margin-left: 5px; margin-top: 5px;" >Magnesium</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>TIROID :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="ft3" id="ft3" <?= ( stripos( '@'.$objPatientNursing->vTiroidLab , 'FT3' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ft3" style="margin-left: 5px; margin-top: 5px;" >FT3</label>
								<input type="checkbox" name="ft4" id="ft4" <?= ( stripos( '@'.$objPatientNursing->vTiroidLab , 'FT4' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ft4" style="margin-left: 5px; margin-top: 5px;" >FT4</label>
								<input type="checkbox" name="tsh" id="tsh" <?= ( stripos( '@'.$objPatientNursing->vTiroidLab , 'TSH' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="tsh" style="margin-left: 5px; margin-top: 5px;" >TSH</label>
								<input type="checkbox" name="tsh_neonatus" id="tsh_neonatus" <?= ( stripos( '@'.$objPatientNursing->vTiroidLab , 'TSH Neonatus' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="tsh_neonatus" style="margin-left: 5px; margin-top: 5px;" >TSH Neonatus</label>
								<input type="checkbox" name="t3" id="t3" <?= ( stripos( '@'.$objPatientNursing->vTiroidLab , 'T3' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="t3" style="margin-left: 5px; margin-top: 5px;" >T3</label>
								<input type="checkbox" name="t4" id="t4" <?= ( stripos( '@'.$objPatientNursing->vTiroidLab , 'T4' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="t4" style="margin-left: 5px; margin-top: 5px;" >T4</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>PENANDA TUMOR :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="afp" id="afp" <?= ( stripos( '@'.$objPatientNursing->vPenandaTumorLab , 'AFP' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="afp" style="margin-left: 5px; margin-top: 5px;" >AFP</label>
								<input type="checkbox" name="cea" id="cea" <?= ( stripos( '@'.$objPatientNursing->vPenandaTumorLab , 'CEA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cea" style="margin-left: 5px; margin-top: 5px;" >CEA</label>
								<input type="checkbox" name="ca_19-9" id="ca_19-9" <?= ( stripos( '@'.$objPatientNursing->vPenandaTumorLab , 'CA 19-9' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ca_19-9" style="margin-left: 5px; margin-top: 5px;" >CA 19-9</label>
								<input type="checkbox" name="ca_125" id="ca_125" <?= ( stripos( '@'.$objPatientNursing->vPenandaTumorLab , 'CA 125' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ca_125" style="margin-left: 5px; margin-top: 5px;" >CA 125</label>
								<input type="checkbox" name="ca_15-3" id="ca_15-3" <?= ( stripos( '@'.$objPatientNursing->vPenandaTumorLab , 'CA 15-3' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ca_15-3" style="margin-left: 5px; margin-top: 5px;" >CA 15-3</label>
								<input type="checkbox" name="nse" id="nse" <?= ( stripos( '@'.$objPatientNursing->vPenandaTumorLab , 'NSE' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="nse" style="margin-left: 5px; margin-top: 5px;" >NSE</label>
								<input type="checkbox" name="psa" id="psa" <?= ( stripos( '@'.$objPatientNursing->vPenandaTumorLab , 'PSA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="psa" style="margin-left: 5px; margin-top: 5px;" >PSA</label>
								<input type="checkbox" name="free_psa" id="free_psa" <?= ( stripos( '@'.$objPatientNursing->vPenandaTumorLab , 'FREE PSA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="free_psa" style="margin-left: 5px; margin-top: 5px;" >FREE PSA</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>TES NARKOBA :</b></div></span>
						</div>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="amphetamin" id="amphetamin" <?= ( stripos( '@'.$objPatientNursing->vTesNarkobaLab , 'Amphetamin' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="amphetamin" style="margin-left: 5px; margin-top: 5px;" >Amphetamin</label>
								<input type="checkbox" name="thc_ganja" id="thc_ganja" <?= ( stripos( '@'.$objPatientNursing->vTesNarkobaLab , 'THC / Ganja' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="thc_ganja" style="margin-left: 5px; margin-top: 5px;" >THC / Ganja</label>
								<input type="checkbox" name="morphin" id="morphin" <?= ( stripos( '@'.$objPatientNursing->vTesNarkobaLab , 'Morphin' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="morphin" style="margin-left: 5px; margin-top: 5px;" >Morphin</label>
								<input type="checkbox" name="metamphetamin" id="metamphetamin" <?= ( stripos( '@'.$objPatientNursing->vTesNarkobaLab , 'Metamphetamin' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="metamphetamin" style="margin-left: 5px; margin-top: 5px;" >Metamphetamin</label>
								<input type="checkbox" name="benzo" id="benzo" <?= ( stripos( '@'.$objPatientNursing->vTesNarkobaLab , 'Benzo' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="benzo" style="margin-left: 5px; margin-top: 5px;" >Benzo</label>
								<input type="checkbox" name="coccain" id="coccain" <?= ( stripos( '@'.$objPatientNursing->vTesNarkobaLab , 'Coccain' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="coccain" style="margin-left: 5px; margin-top: 5px;" >Coccain</label>
								<input type="checkbox" name="corisoprodol" id="corisoprodol" <?= ( stripos( '@'.$objPatientNursing->vTesNarkobaLab , 'Corisoprodol (SOMA)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="corisoprodol" style="margin-left: 5px; margin-top: 5px;" >Corisoprodol (SOMA)</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;text-align:left;"><div style="width:170px;"><b>ANALISA GAS DARAH :</b></div></span>

						</div>
					</div>

					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;">
								<input type="checkbox" name="bga" id="bga" <?= ( stripos( '@'.$objPatientNursing->vAnalisaGasDarahLab , 'BGA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bga" style="margin-left: 5px; margin-top: 5px;" >BGA</label>
							</div>

						</div>
					</div>
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 100px; padding-right: 5px; margin-top: 3px;" ><b>Suhu</b></div>
							</span>
							<input type="number" class="form-control" name='bga_suhu' id='bga_suhu' placeholder="Suhu" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vAnalisaGasDarahSuhuLab ; ?>">
						</div>
					</div>
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 100px; padding-right: 5px; margin-top: 3px;" ><b>fiO2 </b></div>
							</span>
							<input type="number" class="form-control" name='bga_fiO2' id='bga_fiO2' placeholder="fiO2 " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vAnalisaGasDarahFiO2Lab ; ?>">
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-top:10px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 150px; padding-right: 5px; margin-top: 3px;" ><b>Pemeriksaan Tambahan </b></div>
							</span>
							<input type="text" class="form-control" name='pemeriksaan_tambahan' id='pemeriksaan_tambahan' placeholder="Pemeriksaan Tambahan " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vPemeriksaanTambahanLab ; ?>">
						</div>
					</div>

				</div>



			</div>
		</div>
	</div>
</div>











</form>
<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_1');
		var imgTersimpan = document.getElementById('gambarTersimpan_1');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi1 ? $objPatientNursing->vLokasiTTDEdukasi1 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_1' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_1'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_1').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_1').removeClass('disabled');
			$('#simpanGambar_1').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_1').show();
			$('#simpanGambar_1').show();
			$('#edit_1').hide();
			return false;
		})


		$('#clearArea_1').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_1'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_1').click(function() {

			var canvas = document.getElementById('myCanvas_1');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_1');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi1')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#simpanGambar-loading_1').show();
				},
				complete: function(xhr,status){
					$('#edit_1').removeClass('disabled');
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#clearArea_1').hide();
					$('#simpanGambar-loading_1').hide();
					$('#edit_1').show();
				}
			})

		})

		$('#clearArea_1').hide();
		$('#simpanGambar_1').hide();
		$('#tombol-save-loading_1').hide();
		$('#simpanGambar-loading_1').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_2');
		var imgTersimpan = document.getElementById('gambarTersimpan_2');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi2 ? $objPatientNursing->vLokasiTTDEdukasi2 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_2' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_2'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_2').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_2').removeClass('disabled');
			$('#simpanGambar_2').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_2').show();
			$('#simpanGambar_2').show();
			$('#edit_2').hide();
			return false;
		})


		$('#clearArea_2').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_2').click(function() {

			var canvas = document.getElementById('myCanvas_2');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_2');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi2')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#simpanGambar-loading_2').show();
				},
				complete: function(xhr,status){
					$('#edit_2').removeClass('disabled');
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#clearArea_2').hide();
					$('#simpanGambar-loading_2').hide();
					$('#edit_2').show();
				}
			})

		})

		$('#clearArea_2').hide();
		$('#simpanGambar_2').hide();
		$('#tombol-save-loading_2').hide();
		$('#simpanGambar-loading_2').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_3');
		var imgTersimpan = document.getElementById('gambarTersimpan_3');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi3 ? $objPatientNursing->vLokasiTTDEdukasi3 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_3' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_3'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_3').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_3').removeClass('disabled');
			$('#simpanGambar_3').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_3').show();
			$('#simpanGambar_3').show();
			$('#edit_3').hide();
			return false;
		})


		$('#clearArea_3').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_3'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_3').click(function() {

			var canvas = document.getElementById('myCanvas_3');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_3');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi3')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_3').addClass('disabled');
					$('#simpanGambar_3').hide();
					$('#simpanGambar-loading_3').show();
				},
				complete: function(xhr,status){
					$('#edit_3').removeClass('disabled');
					$('#clearArea_3').addClass('disabled');
					$('#simpanGambar_3').addClass('disabled');
					$('#simpanGambar_3').hide();
					$('#clearArea_3').hide();
					$('#simpanGambar-loading_3').hide();
					$('#edit_3').show();
				}
			})

		})

		$('#clearArea_3').hide();
		$('#simpanGambar_3').hide();
		$('#tombol-save-loading_3').hide();
		$('#simpanGambar-loading_3').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_4');
		var imgTersimpan = document.getElementById('gambarTersimpan_4');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi4 ? $objPatientNursing->vLokasiTTDEdukasi4 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_4' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_4'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_4').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_4').removeClass('disabled');
			$('#simpanGambar_4').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_4').show();
			$('#simpanGambar_4').show();
			$('#edit_4').hide();
			return false;
		})


		$('#clearArea_4').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_4'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_4').click(function() {

			var canvas = document.getElementById('myCanvas_4');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_4');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi4')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#simpanGambar-loading_4').show();
				},
				complete: function(xhr,status){
					$('#edit_4').removeClass('disabled');
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#clearArea_4').hide();
					$('#simpanGambar-loading_4').hide();
					$('#edit_4').show();
				}
			})

		})

		$('#clearArea_4').hide();
		$('#simpanGambar_4').hide();
		$('#tombol-save-loading_4').hide();
		$('#simpanGambar-loading_4').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_5');
		var imgTersimpan = document.getElementById('gambarTersimpan_5');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi5 ? $objPatientNursing->vLokasiTTDEdukasi5 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_5' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_5'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_5').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_5').removeClass('disabled');
			$('#simpanGambar_5').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_5').show();
			$('#simpanGambar_5').show();
			$('#edit_5').hide();
			return false;
		})


		$('#clearArea_5').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_5'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_5').click(function() {

			var canvas = document.getElementById('myCanvas_5');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_5');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi5')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#simpanGambar-loading_5').show();
				},
				complete: function(xhr,status){
					$('#edit_5').removeClass('disabled');
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#clearArea_5').hide();
					$('#simpanGambar-loading_5').hide();
					$('#edit_5').show();
				}
			})

		})

		$('#clearArea_5').hide();
		$('#simpanGambar_5').hide();
		$('#tombol-save-loading_5').hide();
		$('#simpanGambar-loading_5').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_6');
		var imgTersimpan = document.getElementById('gambarTersimpan_6');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi6 ? $objPatientNursing->vLokasiTTDEdukasi6 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_6' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_6'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_6').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_6').removeClass('disabled');
			$('#simpanGambar_6').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_6').show();
			$('#simpanGambar_6').show();
			$('#edit_6').hide();
			return false;
		})


		$('#clearArea_6').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_6'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_6').click(function() {

			var canvas = document.getElementById('myCanvas_6');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_6');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi6')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_6').addClass('disabled');
					$('#simpanGambar_6').hide();
					$('#simpanGambar-loading_6').show();
				},
				complete: function(xhr,status){
					$('#edit_6').removeClass('disabled');
					$('#clearArea_6').addClass('disabled');
					$('#simpanGambar_6').addClass('disabled');
					$('#simpanGambar_6').hide();
					$('#clearArea_6').hide();
					$('#simpanGambar-loading_6').hide();
					$('#edit_6').show();
				}
			})

		})

		$('#clearArea_6').hide();
		$('#simpanGambar_6').hide();
		$('#tombol-save-loading_6').hide();
		$('#simpanGambar-loading_6').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_7');
		var imgTersimpan = document.getElementById('gambarTersimpan_7');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi7 ? $objPatientNursing->vLokasiTTDEdukasi7 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_7' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_7'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_7').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_7').removeClass('disabled');
			$('#simpanGambar_7').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_7').show();
			$('#simpanGambar_7').show();
			$('#edit_7').hide();
			return false;
		})


		$('#clearArea_7').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_7'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_7').click(function() {

			var canvas = document.getElementById('myCanvas_7');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_7');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi7')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_7').addClass('disabled');
					$('#simpanGambar_7').hide();
					$('#simpanGambar-loading_7').show();
				},
				complete: function(xhr,status){
					$('#edit_7').removeClass('disabled');
					$('#clearArea_7').addClass('disabled');
					$('#simpanGambar_7').addClass('disabled');
					$('#simpanGambar_7').hide();
					$('#clearArea_7').hide();
					$('#simpanGambar-loading_7').hide();
					$('#edit_7').show();
				}
			})

		})

		$('#clearArea_7').hide();
		$('#simpanGambar_7').hide();
		$('#tombol-save-loading_7').hide();
		$('#simpanGambar-loading_7').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_8');
		var imgTersimpan = document.getElementById('gambarTersimpan_8');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi8 ? $objPatientNursing->vLokasiTTDEdukasi8 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_8' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_8'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_8').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_8').removeClass('disabled');
			$('#simpanGambar_8').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_8').show();
			$('#simpanGambar_8').show();
			$('#edit_8').hide();
			return false;
		})


		$('#clearArea_8').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_8'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_8').click(function() {

			var canvas = document.getElementById('myCanvas_8');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_8');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi8')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_8').addClass('disabled');
					$('#simpanGambar_8').hide();
					$('#simpanGambar-loading_8').show();
				},
				complete: function(xhr,status){
					$('#edit_8').removeClass('disabled');
					$('#clearArea_8').addClass('disabled');
					$('#simpanGambar_8').addClass('disabled');
					$('#simpanGambar_8').hide();
					$('#clearArea_8').hide();
					$('#simpanGambar-loading_8').hide();
					$('#edit_8').show();
				}
			})

		})

		$('#clearArea_8').hide();
		$('#simpanGambar_8').hide();
		$('#tombol-save-loading_8').hide();
		$('#simpanGambar-loading_8').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_9');
		var imgTersimpan = document.getElementById('gambarTersimpan_9');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi9 ? $objPatientNursing->vLokasiTTDEdukasi9 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_9' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_9'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_9').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_9').removeClass('disabled');
			$('#simpanGambar_9').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_9').show();
			$('#simpanGambar_9').show();
			$('#edit_9').hide();
			return false;
		})


		$('#clearArea_9').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_9'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_9').click(function() {

			var canvas = document.getElementById('myCanvas_9');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_9');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi9')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_9').addClass('disabled');
					$('#simpanGambar_9').hide();
					$('#simpanGambar-loading_9').show();
				},
				complete: function(xhr,status){
					$('#edit_9').removeClass('disabled');
					$('#clearArea_9').addClass('disabled');
					$('#simpanGambar_9').addClass('disabled');
					$('#simpanGambar_9').hide();
					$('#clearArea_9').hide();
					$('#simpanGambar-loading_9').hide();
					$('#edit_9').show();
				}
			})

		})

		$('#clearArea_9').hide();
		$('#simpanGambar_9').hide();
		$('#tombol-save-loading_9').hide();
		$('#simpanGambar-loading_9').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_10');
		var imgTersimpan = document.getElementById('gambarTersimpan_10');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi10 ? $objPatientNursing->vLokasiTTDEdukasi10 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_10' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_10'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_10').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_10').removeClass('disabled');
			$('#simpanGambar_10').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_10').show();
			$('#simpanGambar_10').show();
			$('#edit_10').hide();
			return false;
		})


		$('#clearArea_10').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_10'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_10').click(function() {

			var canvas = document.getElementById('myCanvas_10');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_10');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi10')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_10').addClass('disabled');
					$('#simpanGambar_10').hide();
					$('#simpanGambar-loading_10').show();
				},
				complete: function(xhr,status){
					$('#edit_10').removeClass('disabled');
					$('#clearArea_10').addClass('disabled');
					$('#simpanGambar_10').addClass('disabled');
					$('#simpanGambar_10').hide();
					$('#clearArea_10').hide();
					$('#simpanGambar-loading_10').hide();
					$('#edit_10').show();
				}
			})

		})

		$('#clearArea_10').hide();
		$('#simpanGambar_10').hide();
		$('#tombol-save-loading_10').hide();
		$('#simpanGambar-loading_10').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_11');
		var imgTersimpan = document.getElementById('gambarTersimpan_11');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi11 ? $objPatientNursing->vLokasiTTDEdukasi11 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_11' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_11'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_11').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_11').removeClass('disabled');
			$('#simpanGambar_11').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_11').show();
			$('#simpanGambar_11').show();
			$('#edit_11').hide();
			return false;
		})


		$('#clearArea_11').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_11'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_11').click(function() {

			var canvas = document.getElementById('myCanvas_11');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_11');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi11')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_11').addClass('disabled');
					$('#simpanGambar_11').hide();
					$('#simpanGambar-loading_11').show();
				},
				complete: function(xhr,status){
					$('#edit_11').removeClass('disabled');
					$('#clearArea_11').addClass('disabled');
					$('#simpanGambar_11').addClass('disabled');
					$('#simpanGambar_11').hide();
					$('#clearArea_11').hide();
					$('#simpanGambar-loading_11').hide();
					$('#edit_11').show();
				}
			})

		})

		$('#clearArea_11').hide();
		$('#simpanGambar_11').hide();
		$('#tombol-save-loading_11').hide();
		$('#simpanGambar-loading_11').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
	$('.doctor').each(function () {
    		$(this).ajaxChosen({
        		type: 'GET' 
        			, dataType: 'json'
    		},{
        	useAjax: function(e){ return true; }
       			, minLength: 0
        		, processItems: function(data){
            		// alert(JSON.stringify(data));
            	return data;
        	}
        	, generateUrl: function(strSearch){
            		// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            	return urlDoctor + strSearch
        	}
    		});
	});

	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Urologi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-urologi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Permintaan Pemeriksaan Lab')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-permintaan-pemeriksaan-lab') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
        event.preventDefault();
        event.stopPropagation();
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
        event.preventDefault();
        event.stopPropagation();
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function (event) {
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function (event) {
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
        event.preventDefault();
        event.stopPropagation();
		posting('DRAFT');
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
        event.preventDefault();
        event.stopPropagation();
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}


		post.TanggalPermintaanPemeriksaanLab= $('#tanggal_permintaan_pemeriksaan').val();
		post.JamPermintaanPemeriksaanLab= $('#jam_permintaan_pemeriksaan').val();
		post.DokterPengirimLabId= $('#dokter_pengirim').val();
		post.PetugasSamplingLabId= $('#petugas_sampling').val();


		post.HematologiLengkapLab= '';
		if( $("#hematologi_rutin").is(':checked') ) {
			if( post.HematologiLengkapLab) {
				post.HematologiLengkapLab= post.HematologiLengkapLab+ ',' + 'Hematologi Rutin/CBC,LED,Hitung Jenis Leukosit';
			} else {
				post.HematologiLengkapLab= 'Hematologi Rutin/CBC,LED,Hitung Jenis Leukosit';
			}
		}
		if( $("#golongan_darah").is(':checked') ) {
			if( post.HematologiLengkapLab) {
				post.HematologiLengkapLab= post.HematologiLengkapLab+ ',' + 'Golongan Darah A,B,O & Rh';
			} else {
				post.HematologiLengkapLab= 'Golongan Darah A,B,O & Rh';
			}
		}
		if( $("#led").is(':checked') ) {
			if( post.HematologiLengkapLab) {
				post.HematologiLengkapLab= post.HematologiLengkapLab+ ',' + 'L E D';
			} else {
				post.HematologiLengkapLab= 'L E D';
			}
		}

		post.AnemiaLab = '';
		if( $("#retikulosit").is(':checked') ) {
			if( post.AnemiaLab ) {
				post.AnemiaLab = post.AnemiaLab + ',' + 'Retikulosit';
			} else {
				post.AnemiaLab = 'Retikulosit';
			}
		}
		if( $("#si_besi_fe").is(':checked') ) {
			if( post.AnemiaLab ) {
				post.AnemiaLab = post.AnemiaLab + ',' + 'SI / Besi / Fe';
			} else {
				post.AnemiaLab = 'SI / Besi / Fe';
			}
		}
		if( $("#tibc").is(':checked') ) {
			if( post.AnemiaLab ) {
				post.AnemiaLab = post.AnemiaLab + ',' + 'TIBC';
			} else {
				post.AnemiaLab = 'TIBC';
			}
		}
		if( $("#hdt").is(':checked') ) {
			if( post.AnemiaLab ) {
				post.AnemiaLab = post.AnemiaLab + ',' + 'Hapusan Darah Tepi/HDT';
			} else {
				post.AnemiaLab = 'Hapusan Darah Tepi/HDT';
			}
		}

		post.FaalHemostasisLab = '';
		if( $("#waktu_pendarahan").is(':checked') ) {
			if( post.FaalHemostasisLab ) {
				post.FaalHemostasisLab = post.FaalHemostasisLab + ',' + 'Waktu Pendarahan';
			} else {
				post.FaalHemostasisLab = 'Waktu Pendarahan';
			}
		}
		if( $("#waktu_pembekuan").is(':checked') ) {
			if( post.FaalHemostasisLab ) {
				post.FaalHemostasisLab = post.FaalHemostasisLab + ',' + 'Waktu Pembekuan';
			} else {
				post.FaalHemostasisLab = 'Waktu Pembekuan';
			}
		}
		if( $("#pt").is(':checked') ) {
			if( post.FaalHemostasisLab ) {
				post.FaalHemostasisLab = post.FaalHemostasisLab + ',' + 'PT';
			} else {
				post.FaalHemostasisLab  = 'PT';
			}
		}
		if( $("#aptt").is(':checked') ) {
			if( post.FaalHemostasisLab ) {
				post.FaalHemostasisLab = post.FaalHemostasisLab + ',' + 'aPTT';
			} else {
				post.FaalHemostasisLab = 'aPTT';
			}
		}
		if( $("#fibrinogen").is(':checked') ) {
			if( post.FaalHemostasisLab ) {
				post.FaalHemostasisLab = post.FaalHemostasisLab + ',' + 'Fibrinogen';
			} else {
				post.FaalHemostasisLab = 'Fibrinogen';
			}
		}
		if( $("#d_dimer").is(':checked') ) {
			if( post.FaalHemostasisLab ) {
				post.FaalHemostasisLab = post.FaalHemostasisLab + ',' + 'D-dimer';
			} else {
				post.FaalHemostasisLab = 'D-dimer';
			}
		}
		if( $("#retraksi_bekuan").is(':checked') ) {
			if( post.FaalHemostasisLab ) {
				post.FaalHemostasisLab = post.FaalHemostasisLab + ',' + 'Retraksi Bekuan';
			} else {
				post.FaalHemostasisLab = 'Retraksi Bekuan';
			}
		}
		if( $("#agregasi_trombosit").is(':checked') ) {
			if( post.FaalHemostasisLab ) {
				post.FaalHemostasisLab = post.FaalHemostasisLab + ',' + 'Agregasi Trombosit';
			} else {
				post.FaalHemostasisLab = 'Agregasi Trombosit';
			}
		}

		post.HematologiLainLab = '';
		if( $("#badan_inklusi_hbh").is(':checked') ) {
			if( post.HematologiLainLab ) {
				post.HematologiLainLab = post.HematologiLainLab + ',' + 'Badan Inklusi HbH';
			} else {
				post.HematologiLainLab = 'Badan Inklusi HbH';
			}
		}
		if( $("#g6pd").is(':checked') ) {
			if( post.HematologiLainLab ) {
				post.HematologiLainLab = post.HematologiLainLab + ',' + 'G6PD';
			} else {
				post.HematologiLainLab = 'G6PD';
			}
		}
		if( $("#g6pd_neonatus").is(':checked') ) {
			if( post.HematologiLainLab ) {
				post.HematologiLainLab = post.HematologiLainLab + ',' + 'G6PD Neonatus';
			} else {
				post.HematologiLainLab = 'G6PD Neonatus';
			}
		}
		if( $("#coombs_test").is(':checked') ) {
			if( post.HematologiLainLab ) {
				post.HematologiLainLab = post.HematologiLainLab + ',' + 'Coombs Test';
			} else {
				post.HematologiLainLab = 'Coombs Test';
			}
		}
		if( $("#leukemia_phenotyping").is(':checked') ) {
			if( post.HematologiLainLab ) {
				post.HematologiLainLab = post.HematologiLainLab + ',' + 'Leukemia Phenotyping';
			} else {
				post.HematologiLainLab = 'Leukemia Phenotyping';
			}
		}


		post.UrinalisaLab = '';
		if( $("#urine_rutin").is(':checked') ) {
			if( post.UrinalisaLab ) {
				post.UrinalisaLab = post.UrinalisaLab + ',' + 'Urine Rutin';
			} else {
				post.UrinalisaLab = 'Urine Rutin';
			}
		}
		if( $("#protein_urine").is(':checked') ) {
			if( post.UrinalisaLab ) {
				post.UrinalisaLab = post.UrinalisaLab + ',' + 'Protein Urine';
			} else {
				post.UrinalisaLab = 'Protein Urine';
			}
		}
		if( $("#glukosa_urine").is(':checked') ) {
			if( post.UrinalisaLab ) {
				post.UrinalisaLab = post.UrinalisaLab + ',' + 'Glukosa Urine';
			} else {
				post.UrinalisaLab = 'Glukosa Urine';
			}
		}
		if( $("#bilirubin_urine").is(':checked') ) {
			if( post.UrinalisaLab ) {
				post.UrinalisaLab = post.UrinalisaLab + ',' + 'Bilirubin Urine';
			} else {
				post.UrinalisaLab = 'Bilirubin Urine';
			}
		}
		if( $("#keton_urine").is(':checked') ) {
			if( post.UrinalisaLab ) {
				post.UrinalisaLab = post.UrinalisaLab + ',' + 'Keton Urine';
			} else {
				post.UrinalisaLab = 'Keton Urine';
			}
		}
		if( $("#sedimen_urine").is(':checked') ) {
			if( post.UrinalisaLab ) {
				post.UrinalisaLab = post.UrinalisaLab + ',' + 'Sedimen Urine';
			} else {
				post.UrinalisaLab = 'Sedimen Urine';
			}
		}
		if( $("#tes_kehamilan").is(':checked') ) {
			if( post.UrinalisaLab ) {
				post.UrinalisaLab = post.UrinalisaLab + ',' + 'Tes Kehamilan (HCG)';
			} else {
				post.UrinalisaLab = 'Tes Kehamilan (HCG)';
			}
		}

		post.FaalHatiLab = '';
		if( $("#bilirubin_total").is(':checked') ) {
			if( post.FaalHatiLab ) {
				post.FaalHatiLab = post.FaalHatiLab + ',' + 'Bilirubin Total';
			} else {
				post.FaalHatiLab = 'Bilirubin Total';
			}
		}
		if( $("#bilirubin_direk").is(':checked') ) {
			if( post.FaalHatiLab ) {
				post.FaalHatiLab = post.FaalHatiLab + ',' + 'Bilirubin Direk';
			} else {
				post.AnemiaLab = 'Bilirubin Direk';
			}
		}
		if( $("#protein_total").is(':checked') ) {
			if( post.FaalHatiLab ) {
				post.FaalHatiLab = post.FaalHatiLab + ',' + 'Protein Total';
			} else {
				post.FaalHatiLab = 'Protein Total';
			}
		}
		if( $("#albumin").is(':checked') ) {
			if( post.FaalHatiLab ) {
				post.FaalHatiLab = post.FaalHatiLab + ',' + 'Albumin';
			} else {
				post.FaalHatiLab = 'Albumin';
			}
		}
		if( $("#sgot").is(':checked') ) {
			if( post.FaalHatiLab ) {
				post.FaalHatiLab = post.FaalHatiLab + ',' + 'SGOT';
			} else {
				post.FaalHatiLab = 'SGOT';
			}
		}
		if( $("#sgpt").is(':checked') ) {
			if( post.FaalHatiLab ) {
				post.FaalHatiLab = post.FaalHatiLab + ',' + 'SGPT';
			} else {
				post.AnemiaLab = 'SGPT';
			}
		}
		if( $("#gamma_gt").is(':checked') ) {
			if( post.FaalHatiLab ) {
				post.FaalHatiLab = post.FaalHatiLab + ',' + 'Gamma GT';
			} else {
				post.FaalHatiLab = 'Gamma GT';
			}
		}
		if( $("#alkali_fosfatase").is(':checked') ) {
			if( post.FaalHatiLab ) {
				post.FaalHatiLab = post.FaalHatiLab + ',' + 'Alkali Fosfatase';
			} else {
				post.FaalHatiLab = 'Alkali Fosfatase';
			}
		}

		post.DiabetesLab = '';
		if( $("#gula_darah_puasa").is(':checked') ) {
			if( post.DiabetesLab ) {
				post.DiabetesLab = post.DiabetesLab + ',' + 'Gula Darah Puasa';
			} else {
				post.DiabetesLab = 'Gula Darah Puasa';
			} 
		}
		if( $("#gula_darah_2_jpp").is(':checked') ) {
			if( post.DiabetesLab ) {
				post.DiabetesLab = post.DiabetesLab + ',' + 'Gula Darah 2 JPP';
			} else {
				post.DiabetesLab = 'Gula Darah 2 JPP'; 
			}
		}
		if( $("#gula_darah_acak").is(':checked') ) {
			if( post.DiabetesLab ) {
				post.DiabetesLab = post.DiabetesLab + ',' + 'Gula Darah Acak';
			} else {
				post.DiabetesLab = 'Gula Darah Acak';
			}
		}
		if( $("#ttgo").is(':checked') ) {
			if( post.DiabetesLab ) {
				post.DiabetesLab = post.DiabetesLab + ',' + 'TTGO';
			} else {
				post.DiabetesLab = 'TTGO';
			}
		}
		if( $("#hba1c").is(':checked') ) {
			if( post.DiabetesLab ) {
				post.DiabetesLab = post.DiabetesLab + ',' + 'HbA1C';
			} else {
				post.DiabetesLab = 'HbA1C';
			}
		}

		post.LemakLab = '';
		if( $("#cholesterol_total").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Cholesterol Total';
			} else {
				post.LemakLab = 'Cholesterol Total';
			}
		}
		if( $("#cholesterol_ldl").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Cholesterol LDL';
			} else {
				post.LemakLab = 'Cholesterol LDL';
			}
		}
		if( $("#cholesterol_hdl").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Cholesterol HDL';
			} else {
				post.LemakLab = 'Cholesterol HDL';
			}
		}
		if( $("#trigliserida").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Trigliserida';
			} else {
				post.LemakLab = 'Trigliserida';
			}
		}

		if( $("#apo_a1").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Apo A1';
			} else {
				post.LemakLab = 'Apo A1';
			}
		}
		if( $("#apo_b").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Apo B';
			} else {
				post.LemakLab = 'Apo B';
			}
		}
		if( $("#small_densel_ldl").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Small Densel LDL';
			} else {
				post.LemakLab = 'Small Densel LDL';
			}
		}
		if( $("#lpa").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Lp (a)';
			} else {
				post.LemakLab = 'Lp (a)';
			}
		}
		if( $("#rasio_cholesterol").is(':checked') ) {
			if( post.LemakLab ) {
				post.LemakLab = post.LemakLab + ',' + 'Rasio Cholesterol';
			} else {
				post.LemakLab = 'Rasio Cholesterol';
			}
		}

		post.JantungLab = '';
		if( $("#ckmb").is(':checked') ) {
			if( post.JantungLab ) {
				post.JantungLab = post.JantungLab + ',' + 'CKMB';
			} else {
				post.JantungLab = 'CKMB';
			}
		}
		if( $("#troponin_i").is(':checked') ) {
			if( post.JantungLab ) {
				post.JantungLab = post.JantungLab + ',' + 'Troponin I';
			} else {
				post.JantungLab = 'Troponin I';
			}
		}
		if( $("#ldh").is(':checked') ) {
			if( post.JantungLab ) {
				post.JantungLab = post.JantungLab + ',' + 'LDH';
			} else {
				post.JantungLab = 'LDH';
			}
		}

		post.AnalisaCairanLab = '';
		if( $("#cairan_otak").is(':checked') ) {
			if( post.AnalisaCairanLab ) {
				post.AnalisaCairanLab = post.AnalisaCairanLab + ',' + 'Cairan Otak';
			} else {
				post.AnalisaCairanLab = 'Cairan Otak';
			}
		}
		if( $("#cairan_pleura").is(':checked') ) {
			if( post.AnalisaCairanLab ) {
				post.AnalisaCairanLab = post.AnalisaCairanLab + ',' + 'Cairan Pleura';
			} else {
				post.AnalisaCairanLab = 'Cairan Pleura';
			}
		}
		if( $("#cairan_sendi").is(':checked') ) {
			if( post.AnalisaCairanLab ) {
				post.AnalisaCairanLab = post.AnalisaCairanLab + ',' + 'Cairan Sendi';
			} else {
				post.AnalisaCairanLab = 'Cairan Sendi';
			}
		}
		if( $("#cairan_ascites").is(':checked') ) {
			if( post.AnalisaCairanLab ) {
				post.AnalisaCairanLab = post.AnalisaCairanLab + ',' + 'Cairan Ascites';
			} else {
				post.AnalisaCairanLab = 'Cairan Ascites';
			}
		}

		post.GinjalLab = '';
		if( $("#bun_urea").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'BUN / Urea';
			} else {
				post.GinjalLab = 'BUN / Urea';
			}
		}
		if( $("#kreatinin_serum").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'Kreatinin Serum';
			} else {
				post.GinjalLab = 'Kreatinin Serum';
			}
		}
		if( $("#urea_urine").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'Urea N Urine';
			} else {
				post.GinjalLab = 'Urea N Urine';
			}
		}
		if( $("#kreatinin_urine").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'Kreatinin Urine';
			} else {
				post.GinjalLab = 'Kreatinin Urine';
			}
		}
		if( $("#kreatinin_clearance").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'Kreatinin Clearance';
			} else {
				post.GinjalLab = 'Kreatinin Clearance';
			}
		}
		if( $("#cystatin_c").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'Cystatin-C';
			} else {
				post.GinjalLab = 'Cystatin-C';
			}
		}
		if( $("#asam_urat").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'Asam Urat';
			} else {
				post.GinjalLab = 'Asam Urat';
			}
		}
		if( $("#urine_24_jam").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'Urine 24 jam';
			} else {
				post.GinjalLab = 'Urine 24 jam';
			}
		}
		if( $("#egfr").is(':checked') ) {
			if( post.GinjalLab ) {
				post.GinjalLab = post.GinjalLab + ',' + 'eGFR (Rasio Albumin-Kreatinin Urine Sewaktu)';
			} else {
				post.GinjalLab = 'eGFR (Rasio Albumin-Kreatinin Urine Sewaktu)';
			}
		}

		post.ImunoSerologiLab = '';
		if( $("#hbsag_elisa").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'HbsAg Elisa';
			} else {
				post.ImunoSerologiLab = 'HbsAg Elisa';
			}
		}
		if( $("#hbsag_device").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'HbsAg Device';
			} else {
				post.ImunoSerologiLab = 'HbsAg Device';
			}
		}
		if( $("#anti_hbs_device").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'Anti HBS Device';
			} else {
				post.ImunoSerologiLab = 'Anti HBS Device';
			}
		}
		if( $("#widal").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'Widal';
			} else {
				post.ImunoSerologiLab = 'Widal';
			}
		}
		if( $("#tubex_tf").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'Tubex Tf';
			} else {
				post.ImunoSerologiLab = 'Tubex Tf';
			}
		}
		if( $("#igg_igm_salmonella").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'IgG/IgM Salmonella';
			} else {
				post.ImunoSerologiLab = 'IgG/IgM Salmonella';
			}
		}
		if( $("#igg_igm_dengue").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'IgG/IgM Dengue';
			} else {
				post.ImunoSerologiLab = 'IgG/IgM Dengue';
			}
		}
		if( $("#ns1_dengue").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'Ns1 Dengue';
			} else {
				post.ImunoSerologiLab = 'Ns1 Dengue';
			}
		}
		if( $("#anti_hiv").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'Anti HIV';
			} else {
				post.ImunoSerologiLab = 'Anti HIV';
			}
		}
		if( $("#procalcitonin").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'Procalcitonin';
			} else {
				post.ImunoSerologiLab = 'Procalcitonin';
			}
		}
		if( $("#crp").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'CRP';
			} else {
				post.ImunoSerologiLab = 'CRP';
			}
		}
		if( $("#vdrl").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'VDRL';
			} else {
				post.ImunoSerologiLab = 'VDRL';
			}
		}
		if( $("#asto").is(':checked') ) {
			if( post.ImunoSerologiLab ) {
				post.ImunoSerologiLab = post.ImunoSerologiLab + ',' + 'ASTO';
			} else {
				post.ImunoSerologiLab = 'ASTO';
			}
		}

		post.TuberkulosisLab = '';
		if( $("#bta").is(':checked') ) {
			if( post.TuberkulosisLab ) {
				post.TuberkulosisLab = post.TuberkulosisLab + ',' + 'BTA (Mikroskopik)';
			} else {
				post.TuberkulosisLab = 'BTA (Mikroskopik)';
			}
		}
		if( $("#adenosine_deaminase").is(':checked') ) {
			if( post.TuberkulosisLab ) {
				post.TuberkulosisLab = post.TuberkulosisLab + ',' + 'Adenosine Deaminase';
			} else {
				post.TuberkulosisLab = 'Adenosine Deaminase';
			}
		}

		post.AnalisaFaecesLab = '';
		if( $("#faeces_rutin").is(':checked') ) {
			if( post.AnalisaFaecesLab ) {
				post.AnalisaFaecesLab = post.AnalisaFaecesLab + ',' + 'Faeces Rutin';
			} else {
				post.AnalisaFaecesLab = 'Faeces Rutin';
			}
		}
		if( $("#darah_samar").is(':checked') ) {
			if( post.AnalisaFaecesLab ) {
				post.AnalisaFaecesLab = post.AnalisaFaecesLab + ',' + 'Darah Samar';
			} else {
				post.AnalisaFaecesLab = 'Darah Samar';
			}
		}

		post.ElektrolitLab = '';
		if( $("#kalium").is(':checked') ) {
			if( post.ElektrolitLab ) {
				post.ElektrolitLab = post.ElektrolitLab + ',' + 'Kalium';
			} else {
				post.ElektrolitLab = 'Kalium';
			}
		}
		if( $("#natrium").is(':checked') ) {
			if( post.ElektrolitLab ) {
				post.ElektrolitLab = post.ElektrolitLab + ',' + 'Natrium';
			} else {
				post.ElektrolitLab = 'Natrium';
			}
		}
		if( $("#chlorida").is(':checked') ) {
			if( post.ElektrolitLab ) {
				post.ElektrolitLab = post.ElektrolitLab + ',' + 'Chlorida';
			} else {
				post.ElektrolitLab = 'Chlorida';
			}
		}
		if( $("#calcium").is(':checked') ) {
			if( post.ElektrolitLab ) {
				post.ElektrolitLab = post.ElektrolitLab + ',' + 'Calcium';
			} else {
				post.ElektrolitLab = 'Calcium';
			}
		}
		if( $("#magnesium").is(':checked') ) {
			if( post.ElektrolitLab ) {
				post.ElektrolitLab = post.ElektrolitLab + ',' + 'Magnesium';
			} else {
				post.ElektrolitLab = 'Magnesium';
			}
		}

		post.TiroidLab = '';
		if( $("#ft3").is(':checked') ) {
			if( post.TiroidLab ) {
				post.TiroidLab = post.TiroidLab + ',' + 'FT3';
			} else {
				post.TiroidLab = 'FT3';
			}
		}
		if( $("#ft4").is(':checked') ) {
			if( post.TiroidLab ) {
				post.TiroidLab = post.TiroidLab + ',' + 'FT4';
			} else {
				post.TiroidLab = 'FT4';
			}
		}
		if( $("#tsh").is(':checked') ) {
			if( post.TiroidLab ) {
				post.TiroidLab = post.TiroidLab + ',' + 'TSH';
			} else {
				post.TiroidLab = 'TSH';
			}
		}
		if( $("#tsh_neonatus").is(':checked') ) {
			if( post.TiroidLab ) {
				post.TiroidLab = post.TiroidLab + ',' + 'TSH Neonatus';
			} else {
				post.TiroidLab = 'TSH Neonatus';
			}
		}
		if( $("#t3").is(':checked') ) {
			if( post.TiroidLab ) {
				post.TiroidLab = post.TiroidLab + ',' + 'T3';
			} else {
				post.TiroidLab = 'T3';
			}
		}
		if( $("#t4").is(':checked') ) {
			if( post.TiroidLab ) {
				post.TiroidLab = post.TiroidLab + ',' + 'T4';
			} else {
				post.TiroidLab = 'T4';
			}
		}

		post.PenandaTumorLab = '';
		if( $("#afp").is(':checked') ) {
			if( post.PenandaTumorLab ) {
				post.PenandaTumorLab = post.PenandaTumorLab + ',' + 'AFP';
			} else {
				post.PenandaTumorLab = 'AFP';
			}
		}
		if( $("#cea").is(':checked') ) {
			if( post.PenandaTumorLab ) {
				post.PenandaTumorLab = post.PenandaTumorLab + ',' + 'CEA';
			} else {
				post.PenandaTumorLab = 'CEA';
			}
		}
		if( $("#ca_19-9").is(':checked') ) {
			if( post.PenandaTumorLab ) {
				post.PenandaTumorLab = post.PenandaTumorLab + ',' + 'CA 19-9';
			} else {
				post.PenandaTumorLab = 'CA 19-9';
			}
		}
		if( $("#ca_125").is(':checked') ) {
			if( post.PenandaTumorLab ) {
				post.PenandaTumorLab = post.PenandaTumorLab + ',' + 'CA 125';
			} else {
				post.PenandaTumorLab = 'CA 125';
			}
		}
		if( $("#ca_15-3").is(':checked') ) {
			if( post.PenandaTumorLab ) {
				post.PenandaTumorLab = post.PenandaTumorLab + ',' + 'CA 15-3';
			} else {
				post.PenandaTumorLab = 'CA 15-3';
			}
		}
		if( $("#nse").is(':checked') ) {
			if( post.PenandaTumorLab ) {
				post.PenandaTumorLab = post.PenandaTumorLab + ',' + 'NSE';
			} else {
				post.PenandaTumorLab = 'NSE';
			}
		}
		if( $("#psa").is(':checked') ) {
			if( post.PenandaTumorLab ) {
				post.PenandaTumorLab = post.PenandaTumorLab + ',' + 'PSA';
			} else {
				post.PenandaTumorLab = 'PSA';
			}
		}
		if( $("#free_psa").is(':checked') ) {
			if( post.PenandaTumorLab ) {
				post.PenandaTumorLab = post.PenandaTumorLab + ',' + 'FREE PSA';
			} else {
				post.PenandaTumorLab = 'FREE PSA';
			}
		}

		post.TesNarkobaLab = '';
		if( $("#amphetamin").is(':checked') ) {
			if( post.TesNarkobaLab ) {
				post.TesNarkobaLab = post.TesNarkobaLab + ',' + 'Amphetamin';
			} else {
				post.TesNarkobaLab = 'Amphetamin';
			}
		}
		if( $("#thc_ganja").is(':checked') ) {
			if( post.TesNarkobaLab ) {
				post.TesNarkobaLab = post.TesNarkobaLab + ',' + 'THC / Ganja';
			} else {
				post.TesNarkobaLab = 'THC / Ganja';
			}
		}
		if( $("#morphin").is(':checked') ) {
			if( post.TesNarkobaLab ) {
				post.TesNarkobaLab = post.TesNarkobaLab + ',' + 'Morphin';
			} else {
				post.TesNarkobaLab = 'Morphin';
			}
		}
		if( $("#metamphetamin").is(':checked') ) {
			if( post.TesNarkobaLab ) {
				post.TesNarkobaLab = post.TesNarkobaLab + ',' + 'Metamphetamin';
			} else {
				post.TesNarkobaLab = 'Metamphetamin';
			}
		}
		if( $("#benzo").is(':checked') ) {
			if( post.TesNarkobaLab ) {
				post.TesNarkobaLab = post.TesNarkobaLab + ',' + 'Benzo';
			} else {
				post.TesNarkobaLab = 'Benzo';
			}
		}
		if( $("#coccain").is(':checked') ) {
			if( post.TesNarkobaLab ) {
				post.TesNarkobaLab = post.TesNarkobaLab + ',' + 'Coccain';
			} else {
				post.TesNarkobaLab = 'Coccain';
			}
		}
		if( $("#corisoprodol").is(':checked') ) {
			if( post.TesNarkobaLab ) {
				post.TesNarkobaLab = post.TesNarkobaLab + ',' + 'Corisoprodol (SOMA)';
			} else {
				post.TesNarkobaLab = 'Corisoprodol (SOMA)';
			}
		}

		post.AnalisaGasDarahLab = '';
		if( $("#bga").is(':checked') ) {
			if( post.AnalisaGasDarahLab ) {
				post.AnalisaGasDarahLab = post.AnalisaGasDarahLab + ',' + 'BGA';
			} else {
				post.AnalisaGasDarahLab = 'BGA';
			}
		}

		post.AnalisaGasDarahSuhuLab = $('#bga_suhu').val();
		post.AnalisaGasDarahFiO2Lab = $('#bga_fiO2').val();
		post.PemeriksaanTambahanLab = $('#pemeriksaan_tambahan').val();

		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SavePermintaanPemeriksaanLab')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$(".chosen").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#edukator_1').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_2').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	$('#edukator_3').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_4').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_5').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_6').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_7').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_8').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_9').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_10').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_11').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
});

</script>
