<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);


$IndikasiAlasanMrs =  $objPatientNursing->IndikasiAlasanMrs;
$RingkasanRiwayatPenyakit = $objPatientNursing->RingkasanRiwayatPenyakitEdit ? $objPatientNursing->RingkasanRiwayatPenyakitEdit : $objPatientNursing->RingkasanRiwayatPenyakit;
$PemeriksaanPenunjang = $objPatientNursing->PemeriksaanPenunjangEdit ? $objPatientNursing->PemeriksaanPenunjangEdit : $objPatientNursing->PemeriksaanPenunjang;

$PengobatanTindakLanjut = $objPatientNursing->PengobatanTindakLanjutEdit ? $objPatientNursing->PengobatanTindakLanjutEdit : $objPatientNursing->PengobatanTindakLanjut;
$InformasiUntukPasien = $objPatientNursing->InformasiUntukPasienEdit ? $objPatientNursing->InformasiUntukPasienEdit : $objPatientNursing->InformasiUntukPasien;
$TindakLanjutUntukPasien = $objPatientNursing->TindakLanjutUntukPasienEdit ? $objPatientNursing->TindakLanjutUntukPasienEdit : $objPatientNursing->TindakLanjutUntukPasien;

$Suhu = $objPatientNursing->SuhuEdit ? $objPatientNursing->SuhuEdit : $objPatientNursing->Suhu;
$Nadi = $objPatientNursing->NadiEdit ? $objPatientNursing->NadiEdit : $objPatientNursing->Nadi;
$RespirationRate = $objPatientNursing->RespirationRateEdit ? $objPatientNursing->RespirationRateEdit : $objPatientNursing->RespirationRate;
$TekananDarah = $objPatientNursing->TekananDarahEdit ? $objPatientNursing->TekananDarahEdit : $objPatientNursing->TekananDarah;
$KondisiPasienPulang = $objPatientNursing->KondisiPasienPulangEdit ? $objPatientNursing->KondisiPasienPulangEdit : $objPatientNursing->KondisiPasienPulang;
$SebabKematian = $objPatientNursing->SebabKematianEdit ? $objPatientNursing->SebabKematianEdit : $objPatientNursing->SebabKematian;


?>
<!--
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
-->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>

<?php if ($objPatientNursing->vIdPemeriksaan) {
		$objPatientNursing1 = HmisPatientNursing::LoadById($objPatientNursing->vIdPemeriksaan);
		//echo 'idhmispatient : '.$objHmisPatient->vProgramRehabilitasiMedikId."<br>";
		//echo 'idpemeriksaan : '.$objPatientNursing->vIdPemeriksaan;
} else if (strlen($objHmisPatient->vProgramRehabilitasiMedikId)) {
		$objPatientNursing1 = HmisPatientNursing::LoadById($objHmisPatient->vProgramRehabilitasiMedikId);
		//echo 'idhmispatient : '.$objHmisPatient->vProgramRehabilitasiMedikId."<br>";
		//echo 'idpemeriksaan : '.$objPatientNursing->vIdPemeriksaan;
}?>
    <script>
	//	alert('IdJadwal : <?= $objHmisPatient->vProgramRehabilitasiMedikId ; ?> \nEnd Program : <?= $objHmisPatient->vProgramBerakhirPadaTanggal ; ?> \n<?= date('Ymd', strtotime($objHmisPatient->vProgramBerakhirPadaTanggal)) ." > ". date('Ymd', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) ?>'  );
    </script>


<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
</style>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>

<div style="padding:0px;background:#f1f4f6;width:100%;max-width:1000px;margin:0px auto;" id=''>
<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;text-align:center;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
	<div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		<h3 class="box-title">Data Pasien</h3>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">No. Rekam Medis</div>
					</span>
					<input type="text" class="form-control input-sm" name="rekmed" id='rekmed' required value="<?= $objPatientNursing->Mr ; ?>" readonly>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">Cara bayar</div>
					</span>
					<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">Nama</div>
					</span>
					<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">Ruang / Kamar</div>
					</span>
					<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">Alamat</div>
					</span>
					<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">Tanggal Masuk</div>
					</span>
					<input type="text" class="form-control input-sm" name="masuk" id="masuk"  value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">Umur</div>
					</span>
					<input type="text" class="form-control input-sm" id="umur"  value="<?= $lahir . ' / ' . $umur ?>" readonly>
				</div>
			</div>
<!--			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">ID</div>
					</span>
					<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">Diagnosa</div>
					</span>
					<input type="text" class="form-control input-sm" id="diagnosautama"  value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
				</div>
			</div>
-->			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group" style="width:100%">
					<span class="input-group-addon" style="text-align: left;border:none;">
						<div style="width: 120px;">DPJP</div>
					</span>
					<input type="text" class="form-control input-sm" name="DoctorName" id="DoctorName" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
				</div>
			</div>
		</div>
	</div>
</div>


<!--<form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" >-->

	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">
	
<div style="margin-bottom:20px;">
<input type="hidden" id="tgl_pelayanan" placeholder="Jadwal 1"  autocomplete="off" value="<?= date('d-m-Y', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) ?>" readonly>
</div>

<div class="box" style="border-top-width:0px;">
	<div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		<span class="control-label"  style="margin-bottom:0px;"><b>PERMINTAAN TERAPI </b></span>
	</div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 15px;">
			<h3 style="text-align:center;">KONTROL KE - <?= $nomerKontrol?> DARI <?= $objPatientNursing1->vPengulanganSiklus - 1 ?></h3>

			</div>
			<div class="col-md-12" style="margin-bottom: 15px;text-align:center;">
				<a  class="btn btn-primary btn-md" onclick="showJadwal();" style="width:105px;margin:0px auto;">
				  Lihat Jadwal
				</a>
			<?php $objUser = unserialize($_SESSION[__USER_LOGIN__]); $objSystemUser = SystemUser::LoadById($objUser->Id);
			if ( $objPatientNursing->DoctorId == $objSystemUser->ReferenceId) { ?>
				<a class="btn btn-info btn-md" onclick="showSiklusBaru();" style="margin:0px auto;">
				  Siklus Pemeriksaan Baru
				</a>
			<?php } ?>
			</div>
			<?php if (strlen($notifikasi) > 0) { ?>
			<div class="col-md-12" style="margin-bottom: 15px;">
			<h3 style="text-align:center;"><?= $notifikasi ?></h3>
			</div>
			<?php } ?>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosa_medis">Diagnosis Medis (ICD - 10)</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="diagnosa_medis" id="diagnosa_medis" placeholder="Diagnosa" autocomplete="off" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1  ; ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosecode1"><span class="diagnoselabel1" style="font-weight: bold"></span>&nbsp;</label>
                <select name="diagnosecode1" id="diagnosecode1" class="form-control diagnosa" data-placeholder="Search Diagnosa">
                    <?php if ($objPatientNursing->AdmissionDiagnoseCode1) {
                        $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode1);
                        ?>
                        <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                    <?php } ?>
                </select>
            </div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="tata_laksana">Tindakan Medis (ICR9 CM)</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="tata_laksana" id="tata_laksana" placeholder="Tata Laksana KFR" autocomplete="off" value="<?= $objPatientNursing->PlanningTreatmentDescription1 ?>">
				</div>
			</div>
            <div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="tindakanlabel1"><span class="tindakanlabel1" style="font-weight: bold"></span>&nbsp;</label>
                <select name="tindakan1" id="tindakan1" class="form-control treatment" data-placeholder="Search Tindakan" >
                    <?php if ($objPatientNursing->PlanningTreatmentCode1) {
                        $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode1);
                        ?>
                        <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                    <?php } ?>
                </select>
            </div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="evaluasi_kontrol_sebelumnya">Evaluasi Pemeriksaan/Kontrol Sebelumnya</label>
				<div class="input-group" style="width:100%;">
					<textarea name="evaluasi_kontrol_sebelumnya" id="evaluasi_kontrol_sebelumnya" rows="2" class="form-control autoresize" placeholder="Evaluasi Pemeriksaan/Kontrol Sebelumnya" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vEvaluasiKontrolSebelumnya?></textarea>
				</div>
			</div>
		</div>
	<div class="row">
<!-- -->			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="terapis_rehab">Terapis</label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" name="terapis_rehab" id="terapis_rehab" data-placeholder="Pilih Terapis">
					<option value="<?= $objPatientNursing->vTerapisRehabId != "" ? $objPatientNursing->vTerapisRehabId : "" ; ?>" selected ><?= $objPatientNursing->vTerapisRehabNama != "" ? $objPatientNursing->vTerapisRehabNama : "" ; ?></option>
					</select>
				</div>
			</div>
			<div class="col-md-6">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="dpjp_rehab">Dokter Penanggung Jawab Pelayanan</label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" name="dpjp_rehab" id="dpjp_rehab" data-placeholder="Pilih Dokter SpKFR">
					<option value="<?= $objPatientNursing->vDokterRehab1Id != "" ? $objPatientNursing->vDokterRehab1Id : $objPatientNursing->DoctorId; ?>" selected ><?= $objPatientNursing->vDokterRehab1Nama != "" ? $objPatientNursing->vDokterRehab1Nama : $objPatientNursing->DoctorName ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
	<div class="box-footer" style="">
		<div class="row">
			<div class="col-xs-12">
				<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
				<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
				<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
				
				<!--
				<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
				-->
				<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
			</div>
		</div>
	</div>
</div>
<br><br><br><br><br>


  <!-- The Modal -->
<div class="modal fade" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title" style="text-align:center;">JADWAL KONTROL</h4>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
		<table style="margin-bottom:15px;">
			<tr>
				<td>Siklus Pemeriksaan&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td>:&nbsp;&nbsp;</td>
				<td><?= $objPatientNursing1->vSiklusRehab?> hari</td>
			</tr>
			<tr>
				<td>Jumlah</td>
				<td>:</td>
				<td><?= $objPatientNursing1->vPengulanganSiklus?> kali</td>
			</tr>
			<tr>
				<td>Sampai Tanggal</td>
				<td>:</td>
				<td><?= $objPatientNursing1->vProgramBerakhirPadaTanggal ? date('d-m-Y', strtotime($objPatientNursing1->vProgramBerakhirPadaTanggal)) : "" ?></td>
			</tr>
		</table>
	  <hr>
          <table class="table table-striped" style="margin-bottom:0px;">
			<thead>
			  <tr>
				<th>No</th>
				<th>Nama</th>
				<th>Tanggal</th>
				<th>Lihat Hasil</th>
			  </tr>
			</thead>
			<tbody>
			  <tr style="border:<?= $nomerKontrol == 0 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-1">
				<td>1</td>
				<td>Pemeriksaan</td>
				<td class="<?= $nomerKontrol == 0 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab1 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab1)) : "" ?></td>
				<td>
				<span onclick="previewJadwal('<?= $objPatientNursing1->vTanggalPelayananRehab1Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 0 ? "currentJadwal" : "" ?> tampilkan-1"  style="display:none;">Tampilkan</span>
				</td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 1 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-2">
				<td>2</td>
				<td>Kontrol ke 1</td>
				<td class="<?= $nomerKontrol == 1 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab2 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab2)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab2Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 1 ? "currentTampilkan" : "" ?> tampilkan-2" style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 2 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-3">
				<td>3</td>
				<td>Kontrol ke 2</td>
				<td class="<?= $nomerKontrol == 2 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab3 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab3)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab3Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 2 ? "currentTampilkan" : "" ?> tampilkan-3"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 3 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-4">
				<td>4</td>
				<td>Kontrol ke 3</td>
				<td class="<?= $nomerKontrol == 3 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab4 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab4)) : ""   ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab4Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 3 ? "currentTampilkan" : "" ?> tampilkan-4"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 4 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-5">
				<td>5</td>
				<td>Kontrol ke 4</td>
				<td class="<?= $nomerKontrol == 4 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab5 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab5)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab5Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 4 ? "currentTampilkan" : "" ?> tampilkan-5"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 5 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-6">
				<td>6</td>
				<td>Kontrol ke 5</td>
				<td class="<?= $nomerKontrol == 5 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab6 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab6)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab6Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 5 ? "currentTampilkan" : "" ?> tampilkan-6"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 6 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-7">
				<td>7</td>
				<td>Kontrol ke 6</td>
				<td class="<?= $nomerKontrol == 6 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab7 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab7)) : ""  ?></td>
				<td>
				<?php if ($objPatientNursing1->vTanggalPelayananRehab7) { ?>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab7Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 6 ? "currentTampilkan" : "" ?> tampilkan-7"  style="display:none;">Tampilkan</span>
				<?php } ?></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 7 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-8">
				<td>8</td>
				<td>Kontrol ke 7</td>
				<td class="<?= $nomerKontrol == 7 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab8 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab8)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab8Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 7 ? "currentTampilkan" : "" ?> tampilkan-8"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 8 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-9">
				<td>9</td>
				<td>Kontrol ke 8</td>
				<td class="<?= $nomerKontrol == 8 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab9 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab9)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab9Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 8 ? "currentTampilkan" : "" ?> tampilkan-9"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 9 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-10">
				<td>10</td>
				<td>Kontrol ke 9</td>
				<td class="<?= $nomerKontrol == 9 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab10 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab10)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab10Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 9 ? "currentTampilkan" : "" ?> tampilkan-10"  style="display:none;">Tampilkan</span></td>
			  </tr>
			</tbody>
		  </table>
		  <script>
			  <?php if($objPatientNursing1->vPengulanganSiklus > 0 ) { ?>
			   $('.showjadwal-1').show();
			  <?php }
			  if($objPatientNursing1->vPengulanganSiklus > 1 ) { ?>
			   $('.showjadwal-2').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 2 ) { ?>
			   $('.showjadwal-3').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 3 ) { ?>
			   $('.showjadwal-4').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 4 ) { ?>
			   $('.showjadwal-5').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 5 ) { ?>
			   $('.showjadwal-6').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 6 ) { ?>
			   $('.showjadwal-7').show();
			  <?php }
			  if($objPatientNursing1->vPengulanganSiklus > 7 ) { ?>
			   $('.showjadwal-8').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 8 ) { ?>
			   $('.showjadwal-9').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 9 ) { ?>
			   $('.showjadwal-10').show();
			  <?php } ?>
			  
			  
			  <?php if($objPatientNursing1->vTanggalPelayananRehab1Id){ ?>
			   $('.tampilkan-1').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab2Id){ ?>
			   $('.tampilkan-2').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab3Id){ ?>
			   $('.tampilkan-3').show();
			  <?php }
			  if($objPatientNursing1->vTanggalPelayananRehab4Id){ ?>
			   $('.tampilkan-4').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab5Id){ ?>
			   $('.tampilkan-5').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab6Id){ ?>
			   $('.tampilkan-6').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab7Id){ ?>
			   $('.tampilkan-7').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab8Id){ ?>
			   $('.tampilkan-8').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab9Id){ ?>
			   $('.tampilkan-9').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab10Id){ ?>
			   $('.tampilkan-10').show();
			  <?php } ?>
		  </script>
		<!--
		<table style="">
			<tr>
				<td><div style="width:30px;height:16px;border:3px solid blue;float:left;margin-right:5px;"></div><span> = Posisi saat ini</span></td>
			</tr>
		</table>
		-->
	</div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Tutup</button>
      </div>

    </div>
  </div>
</div>


  <!-- The Modal -->
<div class="modal fade" id="siklusModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title" style="text-align:center;">MEMBUAT ULANG SIKLUS PEMERIKSAAN</h4>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
		<span>Apakah Anda ingin membuat ulang siklus pemeriksaan?</span>
		<br><br>
		<span><b>Tindakan ini akan :</b></span>
		<br>
		<span>- Memuat formulir utama agar dapat memulai kembali siklus pemeriksaan dari awal.</span>
<!--		<br>
		<span>- Memberikan Anda kesempatan untuk memperbarui informasi dan keluhan terbaru.</span>
 -->         
		  <script>
			 
		  </script>
	</div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-primary pull-left" onclick="menujuFormRehabilitasi()">Lanjutkan</button>
        <button type="button" class="btn btn-danger pull-right tutupmodal" data-dismiss="modal">Tutup</button>
      </div>

    </div>
  </div>
</div>

<!--</form>-->



<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="text" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<!-- Modal -->
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">
	
	function showJadwal() {
        $("#myModal").modal({ backdrop: "static", keyboard: false});
    }
	
	function showSiklusBaru() {
        $("#siklusModal").modal({ backdrop: "static", keyboard: false});
    }
	
	
	function menujuFormRehabilitasi(){
        var agree = function() {
            jQuery.fallr('hide',function(){
				$('.tutupmodal').click();
				setContent('<?= QApplication::UrlCreator('form-medis-rajal/form-rehabilitasi-1')?>/?pageId='+sessionStorage.pageId+'&Id='+strId+'&level=','content');
			});
        };
		var cancel = function() {
            jQuery.fallr('hide',function(){
            });
        };
		jFallr(
			'Apakah anda yakin untuk memuat halaman formulir utama Rehabilitasi?<br>' //+
			//"<?= $objPatientNursing->FirstName; ?> [<?= $objPatientNursing->Mr; ?>] ?"
			, agree
			, cancel
		);
	}
	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Urologi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-urologi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Rehabilitasi')
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		openpreviewPage('<?= QApplication::UrlCreator('form-medis-rajal/print-form-rehabilitasi1') ?>?'+ strOption);
		openFormPrintPage.setSize(window.innerWidth  - 40, innerHeight - 40);
	}
	
	function previewJadwal(IdNursing) {
		FormPrintPage.setTitle('Print Preview Jadwal')
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id='+IdNursing;
		openpreviewPage('<?= QApplication::UrlCreator('form-medis-rajal/print-form-rehabilitasi') ?>?'+ strOption);
		openFormPrintPage.setSize(window.innerWidth  - 40, innerHeight - 40);
	}
	
	function previewJadwalKontrol(IdNursing) {
		FormPrintPage.setTitle('Print Preview Jadwal Kontrol')
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id='+IdNursing;
		openpreviewPage('<?= QApplication::UrlCreator('form-medis-rajal/print-form-rehabilitasi1') ?>?'+ strOption);
		openFormPrintPage.setSize(window.innerWidth  - 40, innerHeight - 40);
	}

console.log("")
var FormGizi = function(){

	'use strict';


	$('#dpjp_rehab').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});

	$('#terapis_rehab').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	
    $('.diagnosa').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , noresetSearch: true
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini = $(this);
            var id = '.diagnoselabel' + ini.attr('id').substr(12,1);
            $(id).text(ini.val());
        });
    }).trigger('change');
	
	
    $('.treatment').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=procedure&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini2 = $(this);
            var id2 = '.tindakanlabel' + ini2.attr('id').substr(8,1);
            $(id2).text(ini2.val());
        });
    }).trigger('change');
	
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		unInitialize();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		unInitialize();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	function SimpanData(){
        var agree = function() {
            jQuery.fallr('hide',function(){
				posting('DRAFT');
			});
        };
		var cancel = function() {
            jQuery.fallr('hide',function(){
            });
        };
		jFallr(
			'Simpan Data Pemeriksaan Rehabilitasi <br>' +
			"<?= $objPatientNursing->FirstName; ?> [<?= $objPatientNursing->Mr; ?>] ?"
			, agree
			, cancel
		);
	}
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function(event){
        event.preventDefault();
        event.stopPropagation();
		SimpanData();
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
        event.preventDefault();
        event.stopPropagation();
		SimpanData();
	});
	
	$('#menu-cetak').off('click').on('click',function(){
		var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-rehabilitasi')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
		openInNewTab(url);
		unInitialize();
		//print();
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		
		
		post.vIdPemeriksaan = '<?= $objPatientNursing1->Id;?>';
		
		post.vTanggalPelayananRehab = $('#tgl_pelayanan').val();
		post.vEvaluasiKontrolSebelumnya = $('#evaluasi_kontrol_sebelumnya').val();
		
		post.AdmissionDiagnoseDescription1 = $('#diagnosa_medis').val();
		post.AdmissionDiagnoseCode1 = $('#diagnosecode1').val();
		post.PlanningTreatmentDescription1 = $('#tata_laksana').val();
		post.PlanningTreatmentCode1 = $('#tindakan1').val();
		
		
		post.vTerapisRehabId = $('#terapis_rehab').val();
		post.vDokterRehab1Id = $('#dpjp_rehab').val();
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/SaveRehabilitasiUjiFungsi2')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#save-loading').show();
				$('#float-simpan').hide();
				$('#float-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					//back();
					//unInitialize();
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					$('.currentTanggal').html('<?= date('d-m-Y', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) ?>');
					$('.currentTampilkan').attr("onclick","previewJadwalKontrol('<?= $objPatientNursing->Id ?>')")
					$('.currentTampilkan').show();
					//back();
					//unInitialize();
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

};

$('#content').ready(function(){
	FormGizi();
	$("#pengulangan_siklus").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrol == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});

</script>