<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	
	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);


if( strlen($objPatientNursing->vRuangSPPR) > 0 ) {
	$objRuangTujuan = HmisRefDepartment::LoadById( $objPatientNursing->vRuangSPPR);
	if( $objRuangTujuan ) {
		$RuangTujuanId = $objPatientNursing->vRuangSPPR;
		$RuangTujuan = $objRuangTujuan->Name ;
	}
}

if( strlen($objPatientNursing->vDokterSPPR) > 0 ) {
	$objDokterSPPR = HmisRefEmployee::LoadById( $objPatientNursing->vDokterSPPR);
	if( $objDokterSPPR ) {
		$DokterSPPRId = $objPatientNursing->vDokterSPPR;
		$DokterSPPR= $objDokterSPPR->FirstName ;
	}
}


?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
.ext-el-mask{width:100%!important;height:100%!important;}
</style>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>

<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<!-- Modal -->
<div id="modalGambarEswl" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Upload Gambar</h4>
	  </div>
	  <div class="modal-body">
		<form>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">No RM</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->Mr ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Nama</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->FirstName ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Upload Data</div>
				<div class="col-sm-8">
					<input type="file" name="filegambareswl" id="filegambareswl" class="form-control">
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Deskripsi</div>
				<div class="col-sm-8">
					<textarea name="deskripsigambareswl" id="deskripsigambareswl" class="form-control"></textarea>
				</div>
			</div>
		<form>
	  </div>
	  <div class="modal-footer">
		<button type="button" id="simpanGambarEswl" class="btn btn-success">Simpan</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Close</button> 
	  </div>
	</div>

  </div>
</div>



<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="box-header">
				<i class="fa fa-user"></i>
				<h3 class="box-title">Data Pasien</h3>
			</div>
			<div class="box-body">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Nama</label>
							<div class="col-sm-8">
								<?php
								$namaPasien = ViewHelper::autoFullName($objPatientNursing->FirstName, $objHmisPatient->Predicate, $objPatientNursing->CreateTime->Timestamp, $objPatientNursing->DateOfBirth->Timestamp, $objPatientNursing->Gender);
								?>
								<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $namaPasien ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Umur</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="dpjp" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
							</div>
						</div>
						<?php if($objPatientNursing->NursingCategory == 3){ ?>
							<div class="form-group">
								<label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
								<div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
									<input type="text" class="form-control input-sm" id="ppjp" required value="<?= $strPpjp ?>" readonly>
								</div>
							</div>
						<?php } ?>

					</div>


					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
							<div class="col-sm-8">
								<?php
								if($objPatientNursing->DepartmentName){
									$namaDepartemen = $objPatientNursing->DepartmentName;
								}elseif($objPatientNursing->TransferDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}elseif($objPatientNursing->StartCheckinDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}
								?>
								<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $namaDepartemen ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">TT</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" required value="<?= $objPatientNursing->NursingBedName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="dxU" id="dxU" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">ID</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- Kode Floating + Dock Menu -->
<div class="floating-menu" align="center" style='right:0px; top:160px; width:50px; min-height: 80px; '>
	<ul id="fisheye_menu"> 
		<li>
			<a id="menu-erm" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img title="" src="<?= __ASSETS__ ?>/images/floating-menu/document.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
		<li>
			<a id="menu-simpan" onClick="" class="fisheye" data-simpletooltip-position="left" title="Simpan">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/files.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li>
		<!--
		<li>
			<a id="menu-billing" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/document.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
		<li>
			<a id="menu-resep" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/progress.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
		<li>
			<a id="menu-simpan" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/notes.jpg" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
		<li>
			<a id="menu-selesai-pelayanan" onClick="" class="fisheye" data-simpletooltip-position="left" title="">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/map-green.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li>
		-->
		<li>
			<a id="menu-kembali" onClick="" class="fisheye" data-simpletooltip-position="left" title="Kembali">
			<img src="<?= __ASSETS__ ?>/images/floating-menu/map.png" style="margin: 5px; width:30px; height: 30px;" alt="" />
			<span></span>
			</a>
		</li> 
	</ul>
</div>
<script>
	var InitializeFishEye = function(){
		function unInitialize() {
			setTimeout(function(){
				Reflect.deleteProperty(window, 'InitializeFishEye');
			},100);
		}
		$(".fisheye").simpletooltip({
			position: "left"
			, color: "#FFFFFF"
			, background_color: "#0088BE"
			, border_color: "#00669C"
			, border_width: 4
			, click: true
			, hideOnLeave: true
		});
		unInitialize();
	}
	$('#content').ready(function(){
		InitializeFishEye();
	});
</script>

<form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" >
	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="row">

		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-header">
			    		<i class="fa fa-user"></i>
			    		<h3 class="box-title">FORM SURAT PENGANTAR PERMINTAAN RAWAT (SPPR)</h3>
				</div>
				

				<div class="row" style="height: 8px;">
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Tanggal Permintaan: </b></div></span>
							<input type="date" class="form-control" name="tgl_permintaan_sppr" id="tgl_permintaan_sppr" placeholder="Tanggal Permintaan" autocomplete="off" value="<?= $objPatientNursing->vTglPermintaanSPPR ; ?>">

						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="form-group">
							<label class="radio-inline"><b>Ketentuan Rawat: </b></label>
							<label class="radio-inline alergiobat"><input type="radio" name="KetentuanRawat" id="segera" value="Segera" <?= ($objPatientNursing->vKetentuanPerawatanSPPR == 'Segera' ) ? 'checked' : '' ?>>Segera</label>
							<label class="radio-inline alergiobat"><input type="radio" name="KetentuanRawat" id="bisaditunda" value="Bisa Ditunda" <?= $objPatientNursing->vKetentuanPerawatanSPPR == 'Bisa Ditunda' ? 'checked' : '' ?>>Bisa Ditunda</label>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Ruang perawatan</b></div></span>
							<select name="ruang_sppr" id="ruang_sppr" class="form-control ruang" style="width: 300px;">
								<option value="">-- Pilih Ruangan --</option>
								<?php $objDepartment = SystemDepartment::LoadByGroupName('RUANGAN'); ?>
								<?php foreach ($objDepartment as $item) { ?> 
								<?php if( strlen($RuangTujuanId) ) { ?>
									<option value="<?= $item->Id ?>" ><?= $item->Name; ?></option>
									<option value="<?= $RuangTujuanId ?>" selected><?= $RuangTujuan ?> </option>
								<?php } }?>

							</select>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Dokter Rawat Inap</b></div></span>
							<select name="dokter_sppr" id="dokter_sppr" class="form-control doctor" style="width: 300px;">
							<?php if( strlen($DokterSPPRId) ) { ?>
								<option value="<?= $DokterSPPRId ?>" selected><?= $DokterSPPR ?></option>
							<?php } ?>
							</select>
						</div>
					</div>
				</div>

				<!--
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Nama Pasien</b></div></span>
							<input type="text" class="form-control" name="nama_pasien" id="nama_pasien" placeholder="Nama Pasien" autocomplete="off" value="<?= $objPatientNursing->FirstName ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Tanggal Lahir</b></div></span>
							<input type="text" class="form-control" name="tgl_lahir" id="tgl_lahir" placeholder="Tgl Lahir" autocomplete="off" value="<?= $lahir ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>No RM</b></div></span>
							<input type="text" class="form-control" name="mr" id="mr" placeholder="No RM" autocomplete="off" value="<?= $objPatientNursing->Mr ; ?>" readonly>
						</div>
					</div>
				</div>
				-->
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Diagnosa</b></div></span>
							<input type="text" class="form-control" name="diagnosa" id="diagnosa" placeholder="Diagnosa" autocomplete="off" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ; ?>" readonly>

						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Kebutuhan pasien <br>prioritas</b></div></span>
							<textarea name="kebutuhan_prioritas_sppr" id="kebutuhan_prioritas_sppr" rows="4" class="form-control" placeholder="Kebutuhan pasien prioritas" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKebutuhanPasienPrioritasSPPR ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Prosedur / Operasi</b></div></span>
							<textarea name="prosedur_operasi_sppr" id="prosedur_operasi_sppr" rows="4" class="form-control" placeholder="Prosedur / Operasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vProsedurOperasiSPPR ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>DPJP</b></div></span>
							<input type="text" class="form-control" name="dpjp" id="dpjp" placeholder="DPJP" autocomplete="off" value="<?= $objPatientNursing->DoctorName ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>GCS</b></div></span>
							<input type="text" class="form-control" name="gcs_sppr" id="gcs_sppr" placeholder="GCS" autocomplete="off" value="<?= $objPatientNursing->vGCSSPPR ; ?>">
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Alat Terpasang</b></div></span>
							<input type="text" class="form-control" name="alat_terpasang_sppr" id="alat_terpasang_sppr" placeholder="Alat Terpasang" autocomplete="off" value="<?= $objPatientNursing->vAlatTerpasangSPPR ; ?>">
						</div>
					</div>
				</div>



			</div>
		</div>
	</div>




</form>

<div class="row">
	<div class="col-xs-6">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Tunggu</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="menu-cetak" class="btn btn-warning showSelesai"><i class="fa fa-print"></i> Cetak</button>

		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
	</div>
	<!--<div class="col-xs-6 btn-group">
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>-->
</div>


<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="text" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<!-- Modal -->

<style>

/* Kode Floating - Menu yang selalu mengikuti */
div.floating-menu {

	top:220px;
	position:fixed;
	/*background:#fff4c8; */
	background-color:#aac6e8;
	border:1px solid #0055b5;
	width:40px;
	/* height:285px; */
	height:130px;
	z-index:100;

	/*
	-webkit-border-top-right-radius: 8px;
	-khtml-border-radius-topright: 8px;	
	-moz-border-radius-topright: 8px;
	border-top-right-radius: 8px;
	*/

	-webkit-border-top-right-radius: 5px;
	-khtml-border-radius-topright: 5px;
	-moz-border-radius-topright: 5px;
	border-top-left-radius: 5px;

	/*
	-webkit-border-bottom-right-radius: 8px;
	-khtml-border-radius-bottomright: 8px;	
	-moz-border-radius-bottomright: 8px;
	border-bottom-right-radius: 8px;
	*/

	-webkit-border-bottom-right-radius: 5px;
	-khtml-border-radius-bottomright: 5px;
	-moz-border-radius-bottomright: 5px;
	border-bottom-left-radius: 5px;

}

.floating-menu li img 
{

	transition: transform 0.4s;
	transform: scale(1);

	-webkit-border-top-right-radius: 5px;
	-khtml-border-radius-topright: 5px;
	-moz-border-radius-topright: 5px;
	border-top-left-radius: 5px;

	-webkit-border-bottom-right-radius: 5px;
	-khtml-border-radius-bottomright: 5px;
	-moz-border-radius-bottomright: 5px;
	border-bottom-left-radius: 5px;

}
.floating-menu li:hover img {
	transform: scale(1.2);
}
.floating-menu li:hover:after img {
	color: blue;
	content: attr(title);
	position: absolute;
	right: 50px;
}

</style>


<style>

.ui-state-focus
{
	color:White;
	background:#96B202;
	outline:none;
}
.ui-autocomplete-wrapper {
}
.ui-autocomplete {
	list-style-type: none;
	padding: 0;
	font-weight: bold;
}

</style>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
		console.log(Id);
		setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId,'content');
	}

	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openAppPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	$('#content').off('click', '#cetak-laporan').on('click', '#cetak-laporan', function () {
		FormPrintPage.setTitle('Print Preview Asesmen Anak')
		openAppPrintPage( '<?= QApplication::UrlCreator('form-keperawatan-rajal/print-keperawatan-anak') ?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>' );
	});
	
	function print() {
		FormPrintPage.setTitle('Print Preview Surat Pengantar Permintaan Rawat')
		openAppPrintPage('<?= QApplication::UrlCreator('form-medis-rajal/print-sppr')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>');
	}
	function openInNewTab(url) {
		var win = window.open(url, '_blank');
		win.focus();
	} 

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function (event) {
		back();
		unInitialize();
	});

	$('#content').off('click', '#print').on('click', '#print', function (event) {
		print();
	});

	//$('#content').off('click', '#print').on('click', '#print, function () {
	//	var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-eswl')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
	//	openInNewTab(url);
	//});


	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});

	$('#menu-kembali').off('click').on('click',function(){
		back();
		unInitialize();
	});
	$('#menu-cetak').off('click').on('click',function(){
		print();
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TglPermintaanSPPR = $('#tgl_permintaan_sppr').val();
		post.RuangSPPR = $('#ruang_sppr').val();
		post.DokterSPPR = $('#dokter_sppr').val();
		post.GCSSPPR = $('#gcs_sppr').val();
		post.AlatTerpasangSPPR = $('#alat_terpasang_sppr').val();

		post.KebutuhanPasienPrioritasSPPR = $('#kebutuhan_prioritas_sppr').val();
		post.ProsedurOperasiSPPR = $('#prosedur_operasi_sppr').val();

		post.KetentuanPerawatanSPPR = '';
		if( $("#segera").is(':checked') ) {
			if( post.KetentuanPerawatanSPPR ) {
				post.KetentuanPerawatanSPPR = post.KetentuanPerawatanSPPR + ',' + 'Segera';
			} else {
				post.KetentuanPerawatanSPPR = 'Segera';
			}
		}
		if( $("#bisaditunda").is(':checked') ) {
			if( post.KetentuanPerawatanSPPR ) {
				post.KetentuanPerawatanSPPR = post.KetentuanPerawatanSPPR + ',' + 'Bisa Ditunda';
			} else {
				post.KetentuanPerawatanSPPR = 'Bisa Ditunda';
			}
		}



		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/SavePerawatanSPPR')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					//back();
					//unInitialize();
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					//back();
					//unInitialize();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

};

$('#content').ready(function(){
	FormGizi();
	$("#gizi_status").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_biokimia").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_klinis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pola_makan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_susunan_makanan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pemberian_asi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_diagnosa").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '350px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_evaluasi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#dokter_eswl").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#asisten_eswl").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#anti_profilaksis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#analgenikum").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#sedation").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});

});

$(document).off('click', '.page-tindakan').on('click', '.page-tindakan', function () {
	//'hmis-patient-medical-service-rnap/tindakan'
	var Id = '<?= $objPatientNursing->Id ?>';
	console.log(Id);
	var backFromAssementAwal = window.sessionStorage.getItem('backFromAssementAwal');
	if( backFromAssementAwal ) {
		setContent(backFromAssementAwal,'content');
		return true;
	}
	var segmenSebelumnya = window.sessionStorage.getItem('segmenSebelumnya');
	if( segmenSebelumnya ) {
		setContent('<?= QApplication::UrlCreator('')?>/'+segmenSebelumnya+'?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
		return true;
	}
});


var urlRuang = "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>&search=";
$('.ruang').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlRuang + strSearch
        }
    });
});

var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
$('.doctor').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlDoctor + strSearch
        }
    });
});

	 //------------------upload Gambar-----------------

	var urlPreviewGambarEswl = '<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/HospitalFileService/Content/?pageId='+sessionStorage.pageId+'&Id=';

	$(document).off('click', '#uploadGambarEswl').on('click', '#uploadGambarEswl', function () {
		$('#modalGambarEswl').modal('show');
	});

	$(document).off('click', '#previewGambarEswl').on('click', '#previewGambarEswl', function () {
		var idfile = $('#previewGambarEswl').data('idfile');
		window.open(urlPreviewGambarEswl + idfile, '_blank').focus();
	});


	$('#simpanGambarEswl').click(function(){
		var fd = new FormData();
		var files = $('#filegambareswl')[0].files;
		
		// Check file selected or not
		if(files.length == 0 ){
			alert("Please select a file.");
			return null;
		}
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $objPatientNursing->Id ?>');
		fd.append("department", strDepartmentId);

		fd.append('deskripsifile', $('#deskripsigambareswl').val());
		fd.append('file',files[0]);

		$.ajax({
			url: '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadGambarEswl')?>',
			type: 'post',
			data: fd,
			contentType: false,
			processData: false,
			success: function(response){
				if(response.status == 'success'){
					$('#modalGambarEswl').modal('hide');
					toastr.info(response.message,'Informasi');
					$('#uploadGambarEswl').html('Upload Gambar <i class="fa fa-check"></i>');
					$('#previewGambarEswl').show();
					$('#previewGambarEswl').data('idfile', response.id);
				}else{
					alert('file not uploaded');
				}
			},
		});
	})

	var statusUploadGambarEswl = false;
	<?php
	$objSystemFileManager = SystemFileManager::QuerySingle(
		QQ::AndCondition(
			QQ::Equal(QQN::SystemFileManager()->PatientNursingId, $objPatientNursing->Id)
			, QQ::Equal(QQN::SystemFileManager()->Category, 'GAMBAR ESWL')
			, QQ::Equal(QQN::SystemFileManager()->State, 'A')
		)
	);

	if($objSystemFileManager){
	?>
		statusUploadGambarEswl = true;
		$('#previewGambarEswl').data('idfile', '<?= $objSystemFileManager->Id ?>');
	<?php
	}
	?>

	if(statusUploadGambarEswl){
		$('#uploadGambarEswl').html('Upload Gambar Eswl<i class="fa fa-check"></i>');
		$('#previewGambarEswl').show();
	};


</script>