<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> 

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>-->
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">USG OBSTETRI</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6" style="margin-bottom:5px;">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!-- <form> -->
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="padding-bottom:0px;">
        <i class="fa fa-user"></i>
        <h4 class="box-title">Pemeriksaan</h4>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-6" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_pemeriksaan_usg_obstetri"><b>Tanggal Pemeriksaan</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><div style="width:20px;"><i class="glyphicon glyphicon-calendar"></i></div></span>
                    <input id="tanggal_pemeriksaan_usg_obstetri" type="text" class="form-control input-date" name="tanggal_pemeriksaan_usg_obstetri" placeholder="Tanggal Pemeriksaan" value="<?= $objPatientNursing->vTanggalPemeriksaanUsgObstetri != "" ? $objPatientNursing->vTanggalPemeriksaanUsgObstetri : date("d-m-Y")  ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
                <label class="control-label" for="jam_pemeriksaan_usg_obstetri"><b>Jam Pemeriksaan</b></label>
				<div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                <input id="jam_pemeriksaan_usg_obstetri" type="text" class="form-control timepicker" name="jam_pemeriksaan_usg_obstetri" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPemeriksaanUsgObstetri != "" ? $objPatientNursing->vJamPemeriksaanUsgObstetri : date("H:i"); ?>"  style="z-index:0" data-mask="00:00">
            </div>
			</div>
        </div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:;">
    <div class="box-header">
        <h4>Hasil Pemeriksaan</h4>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-9" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Janin</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="janin" id="janin_tunggal_usg_obstetri" value="Tunggal" <?= ($objPatientNursing->vJaninUsgObstetri == 'Tunggal' ) ? 'checked' : '' ?>>Tunggal</label>
						<label class="radio-inline"><input type="radio" name="janin" id="janin_ganda_usg_obstetri" value="Ganda" <?= ($objPatientNursing->vJaninUsgObstetri == 'Ganda' ) ? 'checked' : '' ?>>Ganda</label>
						<label class="radio-inline"><input type="radio" name="janin" id="janin_triple_usg_obstetri" value="Triplet" <?= ($objPatientNursing->vJaninUsgObstetri == 'Triplet' ) ? 'checked' : '' ?>>Triplet</label>
						<label class="radio-inline"><input type="radio" name="janin" id="janin_intrauterin_usg_obstetri" value="Intrauterin" <?= ($objPatientNursing->vJaninUsgObstetri == 'Intrauterin' ) ? 'checked' : '' ?>>Intrauterin</label>
						<label class="radio-inline"><input type="radio" name="janin" id="janin_ekstrauterin_usg_obstetri" value="Kestrausterin" <?= ($objPatientNursing->vJaninUsgObstetri == 'Kestrausterin' ) ? 'checked' : '' ?>>Kestrausterin</label>
					</div>
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="janin_lainnya" id="janin_lainnya_usg_obstetrii" placeholder="Lainnya" value="<?= $objPatientNursing->vJaninLainnyaUsgObstetrii  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-5" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Presentasi</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="presentasi" id="presentasi_kepala_usg_obstetri" value="Kepala" <?= ($objPatientNursing->vPresentasiUsgObstetri == 'Kepala' ) ? 'checked' : '' ?>>Kepala</label>
						<label class="radio-inline"><input type="radio" name="presentasi" id="presentasi_bokong_usg_obstetri" value="Bokong" <?= ($objPatientNursing->vPresentasiUsgObstetri == 'Bokong' ) ? 'checked' : '' ?>>Bokong</label>
					</div>
				</div>
			</div>
			<div class="col-md-7" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="presentasi_lainnya_usg_obstetri" id="presentasi_lainnya_usg_obstetri" placeholder="Lainnya" value="<?= $objPatientNursing->vPresentasiLainnyaUsgObstetri  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-5" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Letak</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="letak" id="letak_lintang_usg_obstetri" value="Lintang" <?= ($objPatientNursing->vLetakUsgObstetri  == 'Lintang' ) ? 'checked' : '' ?>>Lintang</label>
						<label class="radio-inline"><input type="radio" name="letak" id="letak_kepala_di_usg_obstetri" value="Kepala di" <?= ($objPatientNursing->vLetakUsgObstetri == 'Kepala' ) ? 'checked' : '' ?>>Kepala di</label>
					</div>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Posisi Kepala</b></div></span>
					<input type="text" class="form-control" name="posisi_kepala_usg_obstetri" id="posisi_kepala_usg_obstetri" placeholder="Posisi Kepala" value="<?= $objPatientNursing->vPosisiKepalaUsgObstetri  ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 70px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="nadi" id="posisi_kepala_lainnya_usg_obstetri" placeholder="Posisi kepala lainnya" value="<?= $objPatientNursing->vPosisiKepalaLainnyaUsgObstetri  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-5" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Tanda hidup</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="tanda_hidup" id="tanda_hidup_hidup_usg_osbstetri" value="Hidup" <?= ($objPatientNursing->vTandaHidupUsgOsbstetri  == 'Hidup' ) ? 'checked' : '' ?>>Hidup, dengan DJJ</label>
						<label class="radio-inline"><input type="radio" name="tanda_hidup" id="tanda_hidup_iufd_usg_osbstetri" value="IUFD" <?= ($objPatientNursing->vTandaHidupUsgOsbstetri == 'IUFD' ) ? 'checked' : '' ?>>IUFD</label>
					</div>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>DJJ</b></div></span>
					<input type="text" class="form-control" name="djj_usg_obstetri" id="djj_usg_obstetri" placeholder="DJJ" value="<?= $objPatientNursing->vDjjUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 105px;" ><b>dpm dan teratur</b></div></span>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:;">
    <div class="box-header">
        <h4>Biometri</h4>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>CRL</b></div></span>
					<input type="text" class="form-control" name="crl_usg_obstetri" id="crl_usg_obstetri" placeholder="CRL" value="<?= $objPatientNursing->vCrlUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>BPD</b></div></span>
					<input type="text" class="form-control" name="bpd_usg_obstetri" id="bpd_usg_obstetri" placeholder="BPD" value="<?= $objPatientNursing->vBpdUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>HC</b></div></span>
					<input type="text" class="form-control" name="hc_usg_obstetri" id="hc_usg_obstetri" placeholder="HC" value="<?= $objPatientNursing->vHcUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>AC</b></div></span>
					<input type="text" class="form-control" name="ac_usg_obstetri" id="ac_usg_obstetri" placeholder="AC" value="<?= $objPatientNursing->vAcUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>FL</b></div></span>
					<input type="text" class="form-control" name="fl_usg_obstetri" id="fl_usg_obstetri" placeholder="FL" value="<?= $objPatientNursing->vFlUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-5" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 90px;" ><b>EFW (BPD AC)</b></div></span>
					<input type="text" class="form-control" name="efw_bpd_ac_usg_obstetri" id="efw_bpd_ac_usg_obstetri" placeholder="EFW (BPD AC)" value="<?= $objPatientNursing->vEfwBpdAcUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 35px;" ><b>gram</b></div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 70px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="biometri_lainnya_usg_obstetri" id="biometri_lainnya_usg_obstetri" placeholder="Lainnya" value="<?= $objPatientNursing->vBiometriLainnyaUsgObstetri  ?>">
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:5px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 70px;" ><b>Usia gestasi</b></div></span>
					<input type="text" class="form-control" name="usia_gestasi_minggu_usg_obstetri" id="usia_gestasi_minggu_usg_obstetri" placeholder="Minggu" value="<?= $objPatientNursing->vUsiaGestasiMingguUsgObstetri  ?>">
					<span class="input-group-addon" style="border-width:1px 0px;"><div style="width: 45px;" ><b>Minggu</b></div></span>
					<input type="text" class="form-control" name="usia_gestasi_hari_usg_obstetri" id="usia_gestasi_hari_usg_obstetri" placeholder="Hari" value="<?= $objPatientNursing->vUsiaGestasiHariUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>Hari</b></div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Berdasarkan</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="usia_berdasarkan" id="usia_berdasarkan_crl_usg_obstetri" value="CRL" <?= ($objPatientNursing->vUsiaBerdasarkanUsgObstetri  == 'CRL' ) ? 'checked' : '' ?>>CRL</label>
						<label class="radio-inline"><input type="radio" name="usia_berdasarkan" id="usia_berdasarkan_bpd_usg_obstetri" value="BPD" <?= ($objPatientNursing->vUsiaBerdasarkanUsgObstetri == 'BPD' ) ? 'checked' : '' ?>>BPD</label>
						<label class="radio-inline"><input type="radio" name="usia_berdasarkan" id="usia_berdasarkan_hc_usg_obstetri" value="HC" <?= ($objPatientNursing->vUsiaBerdasarkanUsgObstetri == 'HC' ) ? 'checked' : '' ?>>HC</label>
					</div>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="usia_gestasi_lainnya_usg_obstetri" id="usia_gestasi_lainnya_usg_obstetri" placeholder="Lainnya" value="<?= $objPatientNursing->vUsiaGestasiLainnyaUsgObstetri  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 70px;" ><b>Plasenta</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="plasenta_usg_obstetri" id="plasenta_normal_usg_obstetri" value="Normal" <?= ($objPatientNursing->vPlasentaUsgObstetri  == 'Normal' ) ? 'checked' : '' ?>>Normal</label>
						<label class="radio-inline"><input type="radio" name="plasenta_usg_obstetri" id="plasenta_abnormal_usg_obstetri" value="Abnormal" <?= ($objPatientNursing->vPlasentaUsgObstetri == 'Abnormal' ) ? 'checked' : '' ?>>Abnormal</label>
					</div>
				</div>
			</div>
			<div class="col-md-8" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Masalah</b></div></span>
					<input type="text" class="form-control" name="masalah_plasenta_usg_obstetri" id="masalah_plasenta_usg_obstetri" placeholder="Masalah" value="<?= $objPatientNursing->vMasalahPlasentaUsgObstetri ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Lokasi Implantasi</b></div></span>
					<input type="text" class="form-control" name="lokasi_implantasi_usg_obstetri" id="lokasi_implantasi_usg_obstetri" placeholder="Lokasi Implantasi" value="<?= $objPatientNursing->vLokasiImplantasiUsgObstetri  ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Derajat maturasi</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="derajat_maturasi" id="derajat_maturasi_0_usg_obstetri" value="0" <?= ($objPatientNursing->vDerajatMaturasiUsgObstetri  == '0' ) ? 'checked' : '' ?>>0</label>
						<label class="radio-inline"><input type="radio" name="derajat_maturasi" id="derajat_maturasi_1_usg_obstetri" value="1" <?= ($objPatientNursing->vDerajatMaturasiUsgObstetri == '1' ) ? 'checked' : '' ?>>1</label>
						<label class="radio-inline"><input type="radio" name="derajat_maturasi" id="derajat_maturasi_2_usg_obstetri" value="2" <?= ($objPatientNursing->vDerajatMaturasiUsgObstetri == '2' ) ? 'checked' : '' ?>>2</label>
						<label class="radio-inline"><input type="radio" name="derajat_maturasi" id="derajat_maturasi_3_usg_obstetri" value="3" <?= ($objPatientNursing->vDerajatMaturasiUsgObstetri == '3' ) ? 'checked' : '' ?>>3</label>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:;">
    <div class="box-header">
        <h4>MVP amnion</h4>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Normal</b></div></span>
					<input type="text" class="form-control" name="mvp_amnion_normal_usg_obstetri" id="mvp_amnion_normal_usg_obstetri" placeholder="Normal" value="<?= $objPatientNursing->vMvpAmnionNormalUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Oligohidramnion</b></div></span>
					<input type="text" class="form-control" name="mvp_amnion_oligohidramnion_usg_obstetri" id="mvp_amnion_oligohidramnion_usg_obstetri" placeholder="Oligohidramnion" value="<?= $objPatientNursing->vMvpAmnionOligohidramnionUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Hidramnion</b></div></span>
					<input type="text" class="form-control" name="mvp_amnion_hidramnion_usg_obstetri" id="mvp_amnion_hidramnion_usg_obstetri" placeholder="Hidramnion" value="<?= $objPatientNursing->vMvpAmnionHidramnionUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:5px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Air ketuban</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="air_ketuban_usg_obstetri" id="air_ketuban_jernih_usg_obstetri" value="Jernih" <?= ($objPatientNursing->vAirKetubanUsgObstetri  == 'Jernih' ) ? 'checked' : '' ?>>Jernih</label>
						<label class="radio-inline"><input type="radio" name="air_ketuban_usg_obstetri" id="air_ketuban_mengandung_usg_obstetri" value="Mengandung" <?= ($objPatientNursing->vAirKetubanUsgObstetri == 'Mengandung' ) ? 'checked' : '' ?>>Mengandung partiker vernits janin</label>
						<label class="radio-inline"><input type="radio" name="air_ketuban_usg_obstetri" id="air_ketuban_keruh_usg_obstetri" value="Keruh" <?= ($objPatientNursing->vAirKetubanUsgObstetri == 'Keruh' ) ? 'checked' : '' ?>>Keruh</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Gerak janin</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="gerak_janin_usg_obstetri" id="gerak_janin_normal_usg_obstetri" value="Normal" <?= ($objPatientNursing->vGerakJaninUsgObstetri  == 'Normal' ) ? 'checked' : '' ?>>Normal</label>
						<label class="radio-inline"><input type="radio" name="gerak_janin_usg_obstetri" id="gerak_janin_jarang_usg_obstetri" value="Sedikit" <?= ($objPatientNursing->vGerakJaninUsgObstetri == 'Sedikit' ) ? 'checked' : '' ?>>Sedikit/jarang partiker vernits janin</label>
						<label class="radio-inline"><input type="radio" name="gerak_janin_usg_obstetri" id="gerak_janin_berlebihan_usg_obstetri" value="Banyak" <?= ($objPatientNursing->vGerakJaninUsgObstetri == 'Banyak' ) ? 'checked' : '' ?>>Banyak/berlebihan</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Anatomi janin</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="anatomi_janin_usg_obstetri" id="anatomi_janin_normal_usg_obstetri" value="normal" <?= ($objPatientNursing->vAnatomiJaninUsgObstetri  == 'normal' ) ? 'checked' : '' ?>>Tampak normal</label>
						<label class="radio-inline"><input type="radio" name="anatomi_janin_usg_obstetri" id="anatomi_janin_curiga_usg_obstetri" value="Curiga" <?= ($objPatientNursing->vAnatomiJaninUsgObstetri == 'Curiga' ) ? 'checked' : '' ?>>Curiga ada kelainan</label>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Kelainan</b></div></span>
					<input type="text" class="form-control" name="kelainan_anatomi_janin_usg_obstetri" id="kelainan_anatomi_janin_usg_obstetri" placeholder="Kelainan" value="<?= $objPatientNursing->vKelainanAnatomiJaninUsgObstetri  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Doppler</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="doppler_usg_obstetri" id="doppler_tidak_dilakukan_usg_obstetri" value="Tidak" <?= ($objPatientNursing->vDopplerUsgObstetri  == 'Tidak' ) ? 'checked' : '' ?>>Tidak dilakukan</label>
						<label class="radio-inline"><input type="radio" name="doppler_usg_obstetri" id="doppler_dilakukan_usg_obstetri" value="Dilakukan" <?= ($objPatientNursing->vDopplerUsgObstetri == 'Dilakukan' ) ? 'checked' : '' ?>>Dilakukan</label>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Hasilnya</b></div></span>
					<input type="text" class="form-control" name="hasilnya_dilakukan_doppler_usg_obstetri" id="hasilnya_dilakukan_doppler_usg_obstetri" placeholder="Hasilnya" value="<?= $objPatientNursing->vHasilnyaDilakukanDopplerUsgObstetr ?>">
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="">
		<i class="fa fa-user-md"></i>
        <h3 class="box-title">Dokter</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
						<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Dokter yang menangani</b></div>
					</span>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_usg_obstetri" id="dokter_yang_menangani_usg_obstetri" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterUsgObstetriaId != "" ? $objPatientNursing->vDokterUsgObstetriaId : $objPatientNursing->DoctorId  ; ?>" selected ><?= $objPatientNursing->vDokterUsgObstetriNama != "" ? $objPatientNursing->vDokterUsgObstetriNama : $objPatientNursing->DoctorName ; ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>


<!-- 
<div class="box box-info form-horizontal box-info-pasien" style="padding-top: 10px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-12">
				<h4>Diagnosa</h4>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Utama</label>
					<div class="col-sm-4">
						<input name="diagnosedesc1" id="diagnosedesc1" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc1" placeholder="Diagnosa Utama Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						<select name="diagnosecode1" id="diagnosecode1" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?> >
							<?php if ($objPatientNursing->AdmissionDiagnoseCode1) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode1);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select>
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel1" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Sekunder</label>
					<div class="col-sm-4">
						<input name="diagnosedesc2" id="diagnosedesc2" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" placeholder="Diagnosa Sekunder Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription2 ?>" autocomplete="off"/>
					</div>
				<div class="col-sm-5">
							<select name="diagnosecode2" id="diagnosecode2" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : '' ?> >
							<?php if ($objPatientNursing->AdmissionDiagnoseCode2) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode2);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select>
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel2" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 1</label>
					<div class="col-sm-4">
						<input name="diagnosedesc3" id="diagnosedesc3" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc3" placeholder="Diagnosa Komplikasi 1 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription3 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						<select name="diagnosecode3" id="diagnosecode3" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode3) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode3);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select>
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel3" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 2</label>
					<div class="col-sm-4">
						<input name="diagnosedesc4" id="diagnosedesc4" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc4" placeholder="Diagnosa Komplikasi 2 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription4 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						 <select name="diagnosecode4" id="diagnosecode4" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode4) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode4);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select> 
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel4" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 3</label>
					<div class="col-sm-4">
						<input name="diagnosedesc5" id="diagnosedesc5" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc5" placeholder="Diagnosa Komplikasi 3 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription5 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						<select name="diagnosecode5" id="diagnosecode5" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode5) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode5);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select>
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel5" style="font-weight: bold"></span>
					</div>
				</div>
				<hr>
			</div>
		</div>
	</div>
</div>
 -->

<!-- </form> -->

<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
		
	$("#tanggal_pemeriksaan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("tanggal_pemeriksaan_usg_obstetri" , $("#tanggal_pemeriksaan_usg_obstetri").val() );
	});
	$("#jam_pemeriksaan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("jam_pemeriksaan_usg_obstetri" , $("#jam_pemeriksaan_usg_obstetri").val() );
	});
	$("#janin_tunggal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("janin_tunggal_usg_obstetri" , $("#janin_tunggal_usg_obstetri").val() );
	});
	$("#janin_ganda_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("janin_ganda_usg_obstetri" , $("#janin_ganda_usg_obstetri").val() );
	});
	$("#janin_triple_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("janin_triple_usg_obstetri" , $("#janin_triple_usg_obstetri").val() );
	});
	$("#janin_lainnya_usg_obstetrii").bind('input propertychange', function () {
		sessionStorage.setItem("janin_lainnya_usg_obstetrii" , $("#janin_lainnya_usg_obstetrii").val() );
	});
	$("#presentasi_kepala_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("presentasi_kepala_usg_obstetri" , $("#presentasi_kepala_usg_obstetri").val() );
	});
	$("#presentasi_bokong_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("presentasi_bokong_usg_obstetri" , $("#presentasi_bokong_usg_obstetri").val() );
	});
	$("#presentasi_lainnya_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("presentasi_lainnya_usg_obstetri" , $("#presentasi_lainnya_usg_obstetri").val() );
	});
	$("#letak_lintang_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("letak_lintang_usg_obstetri" , $("#letak_lintang_usg_obstetri").val() );
	});
	$("#letak_kepala_di_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("letak_kepala_di_usg_obstetri" , $("#letak_kepala_di_usg_obstetri").val() );
	});
	$("#posisi_kepala_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("posisi_kepala_usg_obstetri" , $("#posisi_kepala_usg_obstetri").val() );
	});
	$("#posisi_kepala_lainnya_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("posisi_kepala_lainnya_usg_obstetri" , $("#posisi_kepala_lainnya_usg_obstetri").val() );
	});
	$("#tanda_hidup_hidup_usg_osbstetri").bind('input propertychange', function () {
		sessionStorage.setItem("tanda_hidup_hidup_usg_osbstetri" , $("#tanda_hidup_hidup_usg_osbstetri").val() );
	});
	$("#tanda_hidup_iufd_usg_osbstetri").bind('input propertychange', function () {
		sessionStorage.setItem("tanda_hidup_iufd_usg_osbstetri" , $("#tanda_hidup_iufd_usg_osbstetri").val() );
	});
	$("#djj_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("djj_usg_obstetri" , $("#djj_usg_obstetri").val() );
	});
	$("#crl_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("crl_usg_obstetri" , $("#crl_usg_obstetri").val() );
	});
	$("#bpd_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("bpd_usg_obstetri" , $("#bpd_usg_obstetri").val() );
	});
	$("#hc_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("hc_usg_obstetri" , $("#hc_usg_obstetri").val() );
	});
	$("#ac_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("ac_usg_obstetri" , $("#ac_usg_obstetri").val() );
	});
	$("#fl_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("fl_usg_obstetri" , $("#fl_usg_obstetri").val() );
	});
	$("#efw_bpd_ac_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("efw_bpd_ac_usg_obstetri" , $("#efw_bpd_ac_usg_obstetri").val() );
	});
	$("#biometri_lainnya_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("biometri_lainnya_usg_obstetri" , $("#biometri_lainnya_usg_obstetri").val() );
	});
	$("#usia_gestasi_minggu_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_gestasi_minggu_usg_obstetri" , $("#usia_gestasi_minggu_usg_obstetri").val() );
	});
	$("#usia_gestasi_hari_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_gestasi_hari_usg_obstetri" , $("#usia_gestasi_hari_usg_obstetri").val() );
	});
	$("#usia_berdasarkan_crl_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_berdasarkan_crl_usg_obstetri" , $("#usia_berdasarkan_crl_usg_obstetri").val() );
	});
	$("#usia_berdasarkan_bpd_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_berdasarkan_bpd_usg_obstetri" , $("#usia_berdasarkan_bpd_usg_obstetri").val() );
	});
	$("#usia_berdasarkan_hc_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_berdasarkan_hc_usg_obstetri" , $("#usia_berdasarkan_hc_usg_obstetri").val() );
	});
	$("#usia_gestasi_lainnya_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_gestasi_lainnya_usg_obstetri" , $("#usia_gestasi_lainnya_usg_obstetri").val() );
	});
	$("#plasenta_normal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("plasenta_normal_usg_obstetri" , $("#plasenta_normal_usg_obstetri").val() );
	});
	$("#plasenta_abnormal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("plasenta_abnormal_usg_obstetri" , $("#plasenta_abnormal_usg_obstetri").val() );
	});
	$("#masalah_plasenta_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("masalah_plasenta_usg_obstetri" , $("#masalah_plasenta_usg_obstetri").val() );
	});
	$("#lokasi_implantasi_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("lokasi_implantasi_usg_obstetri" , $("#lokasi_implantasi_usg_obstetri").val() );
	});
	$("#derajat_maturasi_0_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("derajat_maturasi_0_usg_obstetri" , $("#derajat_maturasi_0_usg_obstetri").val() );
	});
	$("#derajat_maturasi_1_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("derajat_maturasi_1_usg_obstetri" , $("#derajat_maturasi_1_usg_obstetri").val() );
	});
	$("#derajat_maturasi_2_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("derajat_maturasi_2_usg_obstetri" , $("#derajat_maturasi_2_usg_obstetri").val() );
	});
	$("#derajat_maturasi_3_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("derajat_maturasi_3_usg_obstetri" , $("#derajat_maturasi_3_usg_obstetri").val() );
	});
	$("#mvp_amnion_normal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("mvp_amnion_normal_usg_obstetri" , $("#mvp_amnion_normal_usg_obstetri").val() );
	});
	$("#mvp_amnion_oligohidramnion_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("mvp_amnion_oligohidramnion_usg_obstetri" , $("#mvp_amnion_oligohidramnion_usg_obstetri").val() );
	});
	$("#mvp_amnion_hidramnion_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("mvp_amnion_hidramnion_usg_obstetri" , $("#mvp_amnion_hidramnion_usg_obstetri").val() );
	});
	$("#air_ketuban_jernih_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("air_ketuban_jernih_usg_obstetri" , $("#air_ketuban_jernih_usg_obstetri").val() );
	});
	$("#air_ketuban_mengandung_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("air_ketuban_mengandung_usg_obstetri" , $("#air_ketuban_mengandung_usg_obstetri").val() );
	});
	$("#air_ketuban_keruh_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("air_ketuban_keruh_usg_obstetri" , $("#air_ketuban_keruh_usg_obstetri").val() );
	});
	$("#gerak_janin_normal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("gerak_janin_normal_usg_obstetri" , $("#gerak_janin_normal_usg_obstetri").val() );
	});
	$("#gerak_janin_jarang_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("gerak_janin_jarang_usg_obstetri" , $("#gerak_janin_jarang_usg_obstetri").val() );
	});
	$("#gerak_janin_berlebihan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("gerak_janin_berlebihan_usg_obstetri" , $("#gerak_janin_berlebihan_usg_obstetri").val() );
	});
	$("#anatomi_janin_normal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("anatomi_janin_normal_usg_obstetri" , $("#anatomi_janin_normal_usg_obstetri").val() );
	});
	$("#anatomi_janin_curiga_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("anatomi_janin_curiga_usg_obstetri" , $("#anatomi_janin_curiga_usg_obstetri").val() );
	});
	$("#kelainan_anatomi_janin_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("kelainan_anatomi_janin_usg_obstetri" , $("#kelainan_anatomi_janin_usg_obstetri").val() );
	});
	$("#doppler_tidak_dilakukan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("doppler_tidak_dilakukan_usg_obstetri" , $("#doppler_tidak_dilakukan_usg_obstetri").val() );
	});
	$("#doppler_dilakukan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("doppler_dilakukan_usg_obstetri" , $("#doppler_dilakukan_usg_obstetri").val() );
	});
	$("#hasilnya_dilakukan_doppler_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("hasilnya_dilakukan_doppler_usg_obstetri" , $("#hasilnya_dilakukan_doppler_usg_obstetri").val() );
	});
	$("#dokter_yang_menangani_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_usg_obstetri" , $("#dokter_yang_menangani_usg_obstetri").val() );
	});


	$(document).ready(function() {
		sessionStorage.setItem( "form-usg-obstetri" , "yes" );
		if( sessionStorage.getItem("form-usg-obstetri") == "yes" ) {
			if(sessionStorage.getItem("form-usg-obstetri-nursing-id") == '<?= $objPatientNursing->Id; ?>'){
				if ( sessionStorage.getItem("tanggal_pemeriksaan_usg_obstetri") ) {
					$("#tanggal_pemeriksaan_usg_obstetri").val(sessionStorage.getItem("tanggal_pemeriksaan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("jam_pemeriksaan_usg_obstetri") ) {
					$("#jam_pemeriksaan_usg_obstetri").val(sessionStorage.getItem("jam_pemeriksaan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("janin_tunggal_usg_obstetri") ) {
					$("#janin_tunggal_usg_obstetri").val(sessionStorage.getItem("janin_tunggal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("janin_ganda_usg_obstetri") ) {
					$("#janin_ganda_usg_obstetri").val(sessionStorage.getItem("janin_ganda_usg_obstetri") );
				}
				if ( sessionStorage.getItem("janin_triple_usg_obstetri") ) {
					$("#janin_triple_usg_obstetri").val(sessionStorage.getItem("janin_triple_usg_obstetri") );
				}
				if ( sessionStorage.getItem("janin_lainnya_usg_obstetrii") ) {
					$("#janin_lainnya_usg_obstetrii").val(sessionStorage.getItem("janin_lainnya_usg_obstetrii") );
				}
				if ( sessionStorage.getItem("presentasi_kepala_usg_obstetri") ) {
					$("#presentasi_kepala_usg_obstetri").val(sessionStorage.getItem("presentasi_kepala_usg_obstetri") );
				}
				if ( sessionStorage.getItem("presentasi_bokong_usg_obstetri") ) {
					$("#presentasi_bokong_usg_obstetri").val(sessionStorage.getItem("presentasi_bokong_usg_obstetri") );
				}
				if ( sessionStorage.getItem("presentasi_lainnya_usg_obstetri") ) {
					$("#presentasi_lainnya_usg_obstetri").val(sessionStorage.getItem("presentasi_lainnya_usg_obstetri") );
				}
				if ( sessionStorage.getItem("letak_lintang_usg_obstetri") ) {
					$("#letak_lintang_usg_obstetri").val(sessionStorage.getItem("letak_lintang_usg_obstetri") );
				}
				if ( sessionStorage.getItem("letak_kepala_di_usg_obstetri") ) {
					$("#letak_kepala_di_usg_obstetri").val(sessionStorage.getItem("letak_kepala_di_usg_obstetri") );
				}
				if ( sessionStorage.getItem("posisi_kepala_usg_obstetri") ) {
					$("#posisi_kepala_usg_obstetri").val(sessionStorage.getItem("posisi_kepala_usg_obstetri") );
				}
				if ( sessionStorage.getItem("posisi_kepala_lainnya_usg_obstetri") ) {
					$("#posisi_kepala_lainnya_usg_obstetri").val(sessionStorage.getItem("posisi_kepala_lainnya_usg_obstetri") );
				}
				if ( sessionStorage.getItem("tanda_hidup_hidup_usg_osbstetri") ) {
					$("#tanda_hidup_hidup_usg_osbstetri").val(sessionStorage.getItem("tanda_hidup_hidup_usg_osbstetri") );
				}
				if ( sessionStorage.getItem("tanda_hidup_iufd_usg_osbstetri") ) {
					$("#tanda_hidup_iufd_usg_osbstetri").val(sessionStorage.getItem("tanda_hidup_iufd_usg_osbstetri") );
				}
				if ( sessionStorage.getItem("djj_usg_obstetri") ) {
					$("#djj_usg_obstetri").val(sessionStorage.getItem("djj_usg_obstetri") );
				}
				if ( sessionStorage.getItem("crl_usg_obstetri") ) {
					$("#crl_usg_obstetri").val(sessionStorage.getItem("crl_usg_obstetri") );
				}
				if ( sessionStorage.getItem("bpd_usg_obstetri") ) {
					$("#bpd_usg_obstetri").val(sessionStorage.getItem("bpd_usg_obstetri") );
				}
				if ( sessionStorage.getItem("hc_usg_obstetri") ) {
					$("#hc_usg_obstetri").val(sessionStorage.getItem("hc_usg_obstetri") );
				}
				if ( sessionStorage.getItem("ac_usg_obstetri") ) {
					$("#ac_usg_obstetri").val(sessionStorage.getItem("ac_usg_obstetri") );
				}
				if ( sessionStorage.getItem("fl_usg_obstetri") ) {
					$("#fl_usg_obstetri").val(sessionStorage.getItem("fl_usg_obstetri") );
				}
				if ( sessionStorage.getItem("efw_bpd_ac_usg_obstetri") ) {
					$("#efw_bpd_ac_usg_obstetri").val(sessionStorage.getItem("efw_bpd_ac_usg_obstetri") );
				}
				if ( sessionStorage.getItem("biometri_lainnya_usg_obstetri") ) {
					$("#biometri_lainnya_usg_obstetri").val(sessionStorage.getItem("biometri_lainnya_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_gestasi_minggu_usg_obstetri") ) {
					$("#usia_gestasi_minggu_usg_obstetri").val(sessionStorage.getItem("usia_gestasi_minggu_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_gestasi_hari_usg_obstetri") ) {
					$("#usia_gestasi_hari_usg_obstetri").val(sessionStorage.getItem("usia_gestasi_hari_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_berdasarkan_crl_usg_obstetri") ) {
					$("#usia_berdasarkan_crl_usg_obstetri").val(sessionStorage.getItem("usia_berdasarkan_crl_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_berdasarkan_bpd_usg_obstetri") ) {
					$("#usia_berdasarkan_bpd_usg_obstetri").val(sessionStorage.getItem("usia_berdasarkan_bpd_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_berdasarkan_hc_usg_obstetri") ) {
					$("#usia_berdasarkan_hc_usg_obstetri").val(sessionStorage.getItem("usia_berdasarkan_hc_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_gestasi_lainnya_usg_obstetri") ) {
					$("#usia_gestasi_lainnya_usg_obstetri").val(sessionStorage.getItem("usia_gestasi_lainnya_usg_obstetri") );
				}
				if ( sessionStorage.getItem("plasenta_normal_usg_obstetri") ) {
					$("#plasenta_normal_usg_obstetri").val(sessionStorage.getItem("plasenta_normal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("plasenta_abnormal_usg_obstetri") ) {
					$("#plasenta_abnormal_usg_obstetri").val(sessionStorage.getItem("plasenta_abnormal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("masalah_plasenta_usg_obstetri") ) {
					$("#masalah_plasenta_usg_obstetri").val(sessionStorage.getItem("masalah_plasenta_usg_obstetri") );
				}
				if ( sessionStorage.getItem("lokasi_implantasi_usg_obstetri") ) {
					$("#lokasi_implantasi_usg_obstetri").val(sessionStorage.getItem("lokasi_implantasi_usg_obstetri") );
				}
				if ( sessionStorage.getItem("derajat_maturasi_0_usg_obstetri") ) {
					$("#derajat_maturasi_0_usg_obstetri").val(sessionStorage.getItem("derajat_maturasi_0_usg_obstetri") );
				}
				if ( sessionStorage.getItem("derajat_maturasi_1_usg_obstetri") ) {
					$("#derajat_maturasi_1_usg_obstetri").val(sessionStorage.getItem("derajat_maturasi_1_usg_obstetri") );
				}
				if ( sessionStorage.getItem("derajat_maturasi_2_usg_obstetri") ) {
					$("#derajat_maturasi_2_usg_obstetri").val(sessionStorage.getItem("derajat_maturasi_2_usg_obstetri") );
				}
				if ( sessionStorage.getItem("derajat_maturasi_3_usg_obstetri") ) {
					$("#derajat_maturasi_3_usg_obstetri").val(sessionStorage.getItem("derajat_maturasi_3_usg_obstetri") );
				}
				if ( sessionStorage.getItem("mvp_amnion_normal_usg_obstetri") ) {
					$("#mvp_amnion_normal_usg_obstetri").val(sessionStorage.getItem("mvp_amnion_normal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("mvp_amnion_oligohidramnion_usg_obstetri") ) {
					$("#mvp_amnion_oligohidramnion_usg_obstetri").val(sessionStorage.getItem("mvp_amnion_oligohidramnion_usg_obstetri") );
				}
				if ( sessionStorage.getItem("mvp_amnion_hidramnion_usg_obstetri") ) {
					$("#mvp_amnion_hidramnion_usg_obstetri").val(sessionStorage.getItem("mvp_amnion_hidramnion_usg_obstetri") );
				}
				if ( sessionStorage.getItem("air_ketuban_jernih_usg_obstetri") ) {
					$("#air_ketuban_jernih_usg_obstetri").val(sessionStorage.getItem("air_ketuban_jernih_usg_obstetri") );
				}
				if ( sessionStorage.getItem("air_ketuban_mengandung_usg_obstetri") ) {
					$("#air_ketuban_mengandung_usg_obstetri").val(sessionStorage.getItem("air_ketuban_mengandung_usg_obstetri") );
				}
				if ( sessionStorage.getItem("air_ketuban_keruh_usg_obstetri") ) {
					$("#air_ketuban_keruh_usg_obstetri").val(sessionStorage.getItem("air_ketuban_keruh_usg_obstetri") );
				}
				if ( sessionStorage.getItem("gerak_janin_normal_usg_obstetri") ) {
					$("#gerak_janin_normal_usg_obstetri").val(sessionStorage.getItem("gerak_janin_normal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("gerak_janin_jarang_usg_obstetri") ) {
					$("#gerak_janin_jarang_usg_obstetri").val(sessionStorage.getItem("gerak_janin_jarang_usg_obstetri") );
				}
				if ( sessionStorage.getItem("gerak_janin_berlebihan_usg_obstetri") ) {
					$("#gerak_janin_berlebihan_usg_obstetri").val(sessionStorage.getItem("gerak_janin_berlebihan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("anatomi_janin_normal_usg_obstetri") ) {
					$("#anatomi_janin_normal_usg_obstetri").val(sessionStorage.getItem("anatomi_janin_normal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("anatomi_janin_curiga_usg_obstetri") ) {
					$("#anatomi_janin_curiga_usg_obstetri").val(sessionStorage.getItem("anatomi_janin_curiga_usg_obstetri") );
				}
				if ( sessionStorage.getItem("kelainan_anatomi_janin_usg_obstetri") ) {
					$("#kelainan_anatomi_janin_usg_obstetri").val(sessionStorage.getItem("kelainan_anatomi_janin_usg_obstetri") );
				}
				if ( sessionStorage.getItem("doppler_tidak_dilakukan_usg_obstetri") ) {
					$("#doppler_tidak_dilakukan_usg_obstetri").val(sessionStorage.getItem("doppler_tidak_dilakukan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("doppler_dilakukan_usg_obstetri") ) {
					$("#doppler_dilakukan_usg_obstetri").val(sessionStorage.getItem("doppler_dilakukan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("hasilnya_dilakukan_doppler_usg_obstetri") ) {
					$("#hasilnya_dilakukan_doppler_usg_obstetri").val(sessionStorage.getItem("hasilnya_dilakukan_doppler_usg_obstetri") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_usg_obstetri") ) {
					$("#dokter_yang_menangani_usg_obstetri").val(sessionStorage.getItem("dokter_yang_menangani_usg_obstetri") );
				}

			}else{
				sessionStorage.setItem( "form-usg-obstetri-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggal_pemeriksaan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "jam_pemeriksaan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "janin_tunggal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "janin_ganda_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "janin_triple_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "janin_lainnya_usg_obstetrii" ,"") ; 
				sessionStorage.setItem( "presentasi_kepala_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "presentasi_bokong_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "presentasi_lainnya_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "letak_lintang_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "letak_kepala_di_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "posisi_kepala_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "posisi_kepala_lainnya_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "tanda_hidup_hidup_usg_osbstetri" ,"") ; 
				sessionStorage.setItem( "tanda_hidup_iufd_usg_osbstetri" ,"") ; 
				sessionStorage.setItem( "djj_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "crl_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "bpd_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "hc_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "ac_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "fl_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "efw_bpd_ac_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "biometri_lainnya_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_gestasi_minggu_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_gestasi_hari_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_berdasarkan_crl_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_berdasarkan_bpd_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_berdasarkan_hc_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_gestasi_lainnya_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "plasenta_normal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "plasenta_abnormal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "masalah_plasenta_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "lokasi_implantasi_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "derajat_maturasi_0_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "derajat_maturasi_1_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "derajat_maturasi_2_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "derajat_maturasi_3_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "mvp_amnion_normal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "mvp_amnion_oligohidramnion_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "mvp_amnion_hidramnion_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "air_ketuban_jernih_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "air_ketuban_mengandung_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "air_ketuban_keruh_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "gerak_janin_normal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "gerak_janin_jarang_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "gerak_janin_berlebihan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "anatomi_janin_normal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "anatomi_janin_curiga_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "kelainan_anatomi_janin_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "doppler_tidak_dilakukan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "doppler_dilakukan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "hasilnya_dilakukan_doppler_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_usg_obstetri" ,"") ; 
			}
		} else { 
			sessionStorage.setItem( "form-usg-obstetri" , "yes" );
		}

	});

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}
	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Asesmen Urologi')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-urologi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview USG Obstetri')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-obstetri') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
/*
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-obstetri') ?>', strOption);
	}
*/
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalPemeriksaanUsgObstetri = $("#tanggal_pemeriksaan_usg_obstetri").val();
		post.JamPemeriksaanUsgObstetri = $("#jam_pemeriksaan_usg_obstetri").val();
		
		post.JaninUsgObstetri= '';
		if( $("#janin_tunggal_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Tunggal'; }
		if( $("#janin_ganda_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Ganda'; }
		if( $("#janin_triple_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Triplet'; }
		if( $("#janin_intrauterin_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Intrauterin'; }
		if( $("#janin_ekstrauterin_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Kestrausterin'; }
		
		post.JaninLainnyaUsgObstetrii = $("#janin_lainnya_usg_obstetrii").val();
		
		post.PresentasiUsgObstetri= '';
		if( $("#presentasi_kepala_usg_obstetri").is(':checked') ) { post.PresentasiUsgObstetri = 'Kepala'; }
		if( $("#presentasi_bokong_usg_obstetri").is(':checked') ) { post.PresentasiUsgObstetri = 'Bokong'; }
		
		post.PresentasiLainnyaUsgObstetri = $("#presentasi_lainnya_usg_obstetri").val();
		
		post.LetakUsgObstetri= '';
		if( $("#letak_lintang_usg_obstetri").is(':checked') ) { post.LetakUsgObstetri = 'Lintang'; }
		if( $("#letak_kepala_di_usg_obstetri").is(':checked') ) { post.LetakUsgObstetri = 'Kepala'; }
		
		post.PosisiKepalaUsgObstetri = $("#posisi_kepala_usg_obstetri").val();
		post.PosisiKepalaLainnyaUsgObstetri = $("#posisi_kepala_lainnya_usg_obstetri").val();
		
		post.TandaHidupUsgOsbstetri= '';
		if( $("#tanda_hidup_hidup_usg_osbstetri").is(':checked') ) { post.TandaHidupUsgOsbstetri = 'Hidup'; }
		if( $("#tanda_hidup_iufd_usg_osbstetri").is(':checked') ) { post.TandaHidupUsgOsbstetri = 'IUFD'; }
		
		post.DjjUsgObstetri = $("#djj_usg_obstetri").val();
		post.CrlUsgObstetri = $("#crl_usg_obstetri").val();
		post.BpdUsgObstetri = $("#bpd_usg_obstetri").val();
		post.HcUsgObstetri = $("#hc_usg_obstetri").val();
		post.AcUsgObstetri = $("#ac_usg_obstetri").val();
		post.FlUsgObstetri = $("#fl_usg_obstetri").val();
		post.EfwBpdAcUsgObstetri = $("#efw_bpd_ac_usg_obstetri").val();
		post.BiometriLainnyaUsgObstetri = $("#biometri_lainnya_usg_obstetri").val();
		post.UsiaGestasiMingguUsgObstetri = $("#usia_gestasi_minggu_usg_obstetri").val();
		post.UsiaGestasiHariUsgObstetri = $("#usia_gestasi_hari_usg_obstetri").val();
		
		post.UsiaBerdasarkanUsgObstetri= '';
		if( $("#usia_berdasarkan_crl_usg_obstetri").is(':checked') ) { post.UsiaBerdasarkanUsgObstetri = 'CRL'; }
		if( $("#usia_berdasarkan_bpd_usg_obstetri").is(':checked') ) { post.UsiaBerdasarkanUsgObstetri = 'BPD'; }
		if( $("#usia_berdasarkan_hc_usg_obstetri").is(':checked') ) { post.UsiaBerdasarkanUsgObstetri = 'HC'; }
		
		post.UsiaGestasiLainnyaUsgObstetri = $("#usia_gestasi_lainnya_usg_obstetri").val();
		
		post.PlasentaUsgObstetri= '';
		if( $("#plasenta_normal_usg_obstetri").is(':checked') ) { post.PlasentaUsgObstetri = 'Normal'; }
		if( $("#plasenta_abnormal_usg_obstetri").is(':checked') ) { post.PlasentaUsgObstetri = 'Abnormal'; }
		
		post.MasalahPlasentaUsgObstetri = $("#masalah_plasenta_usg_obstetri").val();
		post.LokasiImplantasiUsgObstetri = $("#lokasi_implantasi_usg_obstetri").val();
		
		post.DerajatMaturasiUsgObstetri= '';
		if( $("#derajat_maturasi_0_usg_obstetri").is(':checked') ) { post.DerajatMaturasiUsgObstetri = '0'; }
		if( $("#derajat_maturasi_1_usg_obstetri").is(':checked') ) { post.DerajatMaturasiUsgObstetri = '1'; }
		if( $("#derajat_maturasi_2_usg_obstetri").is(':checked') ) { post.DerajatMaturasiUsgObstetri = '2'; }
		if( $("#derajat_maturasi_3_usg_obstetri").is(':checked') ) { post.DerajatMaturasiUsgObstetri = '3'; }
		
		post.MvpAmnionNormalUsgObstetri = $("#mvp_amnion_normal_usg_obstetri").val();
		post.MvpAmnionOligohidramnionUsgObstetri = $("#mvp_amnion_oligohidramnion_usg_obstetri").val();
		post.MvpAmnionHidramnionUsgObstetri = $("#mvp_amnion_hidramnion_usg_obstetri").val();
		
		post.AirKetubanUsgObstetri= '';
		if( $("#air_ketuban_jernih_usg_obstetri").is(':checked') ) { post.AirKetubanUsgObstetri = 'Jernih'; }
		if( $("#air_ketuban_mengandung_usg_obstetri").is(':checked') ) { post.AirKetubanUsgObstetri = 'Mengandung'; }
		if( $("#air_ketuban_keruh_usg_obstetri").is(':checked') ) { post.AirKetubanUsgObstetri = 'Keruh'; }
		
		post.GerakJaninUsgObstetri= '';
		if( $("#gerak_janin_normal_usg_obstetri").is(':checked') ) { post.GerakJaninUsgObstetri = 'Normal'; }
		if( $("#gerak_janin_jarang_usg_obstetri").is(':checked') ) { post.GerakJaninUsgObstetri = 'Sedikit'; }
		if( $("#gerak_janin_berlebihan_usg_obstetri").is(':checked') ) { post.GerakJaninUsgObstetri = 'Banyak'; }
		
		post.AnatomiJaninUsgObstetri= '';
		if( $("#anatomi_janin_normal_usg_obstetri").is(':checked') ) { post.AnatomiJaninUsgObstetri = 'normal'; }
		if( $("#anatomi_janin_curiga_usg_obstetri").is(':checked') ) { post.AnatomiJaninUsgObstetri = 'Curiga'; }
		
		post.KelainanAnatomiJaninUsgObstetri = $("#kelainan_anatomi_janin_usg_obstetri").val();
		
		post.DopplerUsgObstetri= '';
		if( $("#doppler_tidak_dilakukan_usg_obstetri").is(':checked') ) { post.DopplerUsgObstetri = 'Tidak'; }
		if( $("#doppler_dilakukan_usg_obstetri").is(':checked') ) { post.DopplerUsgObstetri = 'Dilakukan'; }
		
		post.HasilnyaDilakukanDopplerUsgObstetr = $("#hasilnya_dilakukan_doppler_usg_obstetri").val();
		post.DokterUsgObstetriaId = $("#dokter_yang_menangani_usg_obstetri").val();
		
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenUsgObstetri')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					sessionStorage.setItem( "tanggal_pemeriksaan_usg_obstetri" , "" );
					sessionStorage.setItem( "jam_pemeriksaan_usg_obstetri" , "" );
					sessionStorage.setItem( "janin_tunggal_usg_obstetri" , "" );
					sessionStorage.setItem( "janin_ganda_usg_obstetri" , "" );
					sessionStorage.setItem( "janin_triple_usg_obstetri" , "" );
					sessionStorage.setItem( "janin_lainnya_usg_obstetrii" , "" );
					sessionStorage.setItem( "presentasi_kepala_usg_obstetri" , "" );
					sessionStorage.setItem( "presentasi_bokong_usg_obstetri" , "" );
					sessionStorage.setItem( "presentasi_lainnya_usg_obstetri" , "" );
					sessionStorage.setItem( "letak_lintang_usg_obstetri" , "" );
					sessionStorage.setItem( "letak_kepala_di_usg_obstetri" , "" );
					sessionStorage.setItem( "posisi_kepala_usg_obstetri" , "" );
					sessionStorage.setItem( "posisi_kepala_lainnya_usg_obstetri" , "" );
					sessionStorage.setItem( "tanda_hidup_hidup_usg_osbstetri" , "" );
					sessionStorage.setItem( "tanda_hidup_iufd_usg_osbstetri" , "" );
					sessionStorage.setItem( "djj_usg_obstetri" , "" );
					sessionStorage.setItem( "crl_usg_obstetri" , "" );
					sessionStorage.setItem( "bpd_usg_obstetri" , "" );
					sessionStorage.setItem( "hc_usg_obstetri" , "" );
					sessionStorage.setItem( "ac_usg_obstetri" , "" );
					sessionStorage.setItem( "fl_usg_obstetri" , "" );
					sessionStorage.setItem( "efw_bpd_ac_usg_obstetri" , "" );
					sessionStorage.setItem( "biometri_lainnya_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_gestasi_minggu_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_gestasi_hari_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_berdasarkan_crl_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_berdasarkan_bpd_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_berdasarkan_hc_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_gestasi_lainnya_usg_obstetri" , "" );
					sessionStorage.setItem( "plasenta_normal_usg_obstetri" , "" );
					sessionStorage.setItem( "plasenta_abnormal_usg_obstetri" , "" );
					sessionStorage.setItem( "masalah_plasenta_usg_obstetri" , "" );
					sessionStorage.setItem( "lokasi_implantasi_usg_obstetri" , "" );
					sessionStorage.setItem( "derajat_maturasi_0_usg_obstetri" , "" );
					sessionStorage.setItem( "derajat_maturasi_1_usg_obstetri" , "" );
					sessionStorage.setItem( "derajat_maturasi_2_usg_obstetri" , "" );
					sessionStorage.setItem( "derajat_maturasi_3_usg_obstetri" , "" );
					sessionStorage.setItem( "mvp_amnion_normal_usg_obstetri" , "" );
					sessionStorage.setItem( "mvp_amnion_oligohidramnion_usg_obstetri" , "" );
					sessionStorage.setItem( "mvp_amnion_hidramnion_usg_obstetri" , "" );
					sessionStorage.setItem( "air_ketuban_jernih_usg_obstetri" , "" );
					sessionStorage.setItem( "air_ketuban_mengandung_usg_obstetri" , "" );
					sessionStorage.setItem( "air_ketuban_keruh_usg_obstetri" , "" );
					sessionStorage.setItem( "gerak_janin_normal_usg_obstetri" , "" );
					sessionStorage.setItem( "gerak_janin_jarang_usg_obstetri" , "" );
					sessionStorage.setItem( "gerak_janin_berlebihan_usg_obstetri" , "" );
					sessionStorage.setItem( "anatomi_janin_normal_usg_obstetri" , "" );
					sessionStorage.setItem( "anatomi_janin_curiga_usg_obstetri" , "" );
					sessionStorage.setItem( "kelainan_anatomi_janin_usg_obstetri" , "" );
					sessionStorage.setItem( "doppler_tidak_dilakukan_usg_obstetri" , "" );
					sessionStorage.setItem( "doppler_dilakukan_usg_obstetri" , "" );
					sessionStorage.setItem( "hasilnya_dilakukan_doppler_usg_obstetri" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_usg_obstetri" , "" );
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$('#dokter_yang_menangani_usg_obstetri').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	$("#triage").chosen({
			no_results_text: 'Tidak ditemukan'
			, width: '100%;'
			, allow_single_deselect: true
		});

};

$('#content').ready(function(){
	FormGizi();
	window.scrollTo(0, 0);
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormAssemenUsgObstetri == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});
</script>