<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$strExecutionDir = dirname(__FILE__);
$prefix_funct = 'KeperawatanKandungan';

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

    // $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
    // $waktuakhir = date_create();
    $diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
    $umurDalamTahun = $diff->y;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>'; 
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    .text-55{
        display: block;
        width:55px;
        text-align: center;
    }
    .text-165{
        display: block;
        width:165px;
        text-align: center;
    }
    .mb-2{
        margin-bottom: 5px;
    }
    textarea, input{
        font-weight: 900;
        margin: 0;
        padding: 0;
    }
    /* .text-kecil textarea{
        font-weight: 100;
    }
    .text-kecil input{
        font-size: 8px;
        font-weight: 100;
    }
    .text-kecil row,
    .text-kecil col-*{
        margin: 0 !important;
        padding: 0 !important;
    } */
.ext-el-mask{width:100%!important;height:100%!important;}
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-6">
        <h1 class="panel-title1">PENGKAJIAN AWAL KEPERAWATAN RAWAT JALAN KLINIK KANDUNGAN</h1>
    </div>
</div>

<div class="row">
    <div class="col-sm-11">

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-header">
                <i class="fa fa-user"></i>
                <h3 class="box-title">Data Pasien</h3>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ? $objPatientNursing->FullName : $objPatientNursing->FirstName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        
        <?php if($objPatientNursing->KeperawatanKandunganVerifikasi){?>
        <div class="row">
            <div class="col-md-1"></div>
            <div class="col-md-6">
                <div class="callout callout-success">
                    <h3><i class="fa fa-key"></i> Tanda Tangan!</h3>
                    <p>Data telah ditandatangani dengan Signature<br>
                    <b><?= $objPatientNursing->KeperawatanKandunganVerifikasi ?></b>
                    </p>
                </div>
            </div>
            <div class="col-md-5">
                <div id="koreksi" class="callout callout-warning" style="">
                    <h3><i class="fa fa-key"></i> Koreksi Data!</h3>
                    <p><b>Perhatian !!!</b>Semua data yang di koreksi akan disalin dan ditandai<br>
                    </p>
                </div>
            </div>
        </div>
        <?php } ?>

        <div style="text-align:center; padding: 5px">
            <a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
        </div>
        <form id="formasesmen">
        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-header">
                <i class="fa fa-user"></i>
                <h3 class="box-title">Rawat Jalan</h3>
            </div>
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/tanggal-jam.php'));
                tpltTanggalJam($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/vital-sign.php'));
                tpltVitalSign($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/bio-psiko.php'));
                tpltBioPsiko($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/skrining-nyeri.php'));
                tpltSkriningNyeri($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/wong-baker.php'));
                tpltWongBaker($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/skrining-resiko-jatuh.php'));
                tpltSkriningResikoJatuh($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/skrining-gizi.php'));
                tpltSkriningGizi($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/status-fungsional.php'));
                tpltStatusFungsional($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/masalah-keperawatan.php'));
                tpltMasalahKeperawatan($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/tujuan.php'));
                tpltTujuan($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/implementasi.php'));
                tpltImplementasi($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
            <div class="box-body">
                <?php
                require (str_replace('\\','/',$strExecutionDir.'/../template-input/edukasi.php'));
                tpltEdukasi($objPatientNursing, $prefix_funct);
                ?>
            </div>
        </div>

        <div class="box box-info form-horizontal" style="padding-bottom: 25px;">
            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <?php
                        if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
                        ?>
                        <!-- <button>Simpan</button> -->
                        <?php
                        }
                        ?>
                        <?php if($objPatientNursing->KeperawatanKandunganVerifikasi){ ?>
                            <button class="btn btn-danger" id="btn-modal-perubahan"><i class="fa fa-pencil"></i> Simpan Perubahan</button>
                            <button class="btn btn-danger" id="btn-modal-konfirmasi-edit"><i class="fa fa-pencil"></i> Edit</button>
                            <a href="#" id="cetak-laporan" class="btn btn-warning"><i class="fa fa-print"></i> Cetak Laporan</a>
                        <?php } else { ?>
                            <a href="#" class="btn btn-danger" id="open-modal"><i class="fa fa-pencil"></i> Simpan &amp; Tanda Tangan</a>
                            <a href="#" disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</a>
                            <a href="#" class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan Draft</a>
                        <?php } ?>
                        <a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
                    </div>
                </div>
            </div>
        </div>

        </form>
    </div>
</div>

<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Konfirmasi</h4>
      </div>
      <div class="modal-body">
        <p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
            pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
        </p>

        <div>
            <hr>
            <label><b>Password<b></label>
            <input type="password" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
      </div>
      <div class="modal-footer">
      <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button>
        <button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
      </div>
    </div>

  </div>
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var ObjectData = {};
ObjectData.Nyeri = '<?= $objPatientNursing->GeneralNyeri ?>';
console.log('ks nyeri:'+ObjectData.Nyeri)
// var drawer;


function showMePicker(input) {
    Timepicker.showPicker({
        onSubmit: function(time){$(input).val(time.formatted())},
        onCancel: function(){$(input).val('')}
    });
}

$(document).ready(function() {
    $('#tombol-save-loading').hide();
});

function kirimData(mode){
    ObjectData.pageId = strPageId;
    ObjectData.actorId = strActorId;
    ObjectData.nursingId = '<?= $strId ?>'; //nursing id
    ObjectData.department = strDepartmentId;

    if(mode == 'DRAF'){
        ObjectData.Password = null;
        ObjectData.UserId = null;
    }else if('VERIFIKASI'){
        ObjectData.Password = $('#password').val();
        ObjectData.UserId = strStaffId;
    }else{
        return null;
    }
    ObjectData.Mode = mode;

    var ObjectTanggalJam = segmenTanggalJam.ambilValue();
    var ObjectVitalSign = segmenVitalSign.ambilValue();
    var ObjectBioPsiko = segmenBioPsiko.ambilValue();
    var ObjectSkriningNyeri = segmenSkriningNyeri.ambilValue();
    var ObjectWongBaker = segmenWongBaker.ambilValue();
    var ObjectSkriningResikoJatuh = segmenSkriningResikoJatuh.ambilValue();
    var ObjectSkriningGizi = segmenSkriningGizi.ambilValue();
    var ObjectStatusFungsional = segmenStatusFungsional.ambilValue();
    var ObjectMasalahKeperawatan = segmenMasalahKeperawatan.ambilValue();
    var ObjectTujuan = segmenTujuan.ambilValue();
    var ObjectImplementasi = segmenImplementasi.ambilValue();
    var ObjectEdukasi = segmenEdukasi.ambilValue();

    var ObjectDataKirim = Object.assign({},
        ObjectData,
        ObjectTanggalJam,
        ObjectVitalSign,
        ObjectBioPsiko,
        ObjectSkriningNyeri,
        ObjectWongBaker,
        ObjectSkriningResikoJatuh,
        ObjectSkriningGizi,
        ObjectStatusFungsional,
        ObjectMasalahKeperawatan,
        ObjectTujuan,
        ObjectImplementasi,
        ObjectEdukasi
    );

    console.log(ObjectDataKirim)
    $.ajax({
        url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/KeperawatanKandungan')?>", 
        success: function(result){
            if(result.status == 'error'){
                toastr.error(result.message, 'Informasi');
            }
            toastr.info('Data Terkirim', 'Informasi');
            window.location.reload();
        },
        timeout: 5* 60 * 1000,
        error: function(xhr,status,error){
            console.log(xhr);
            alert('Gagal menyimpan data');
        },
        beforeSend: function(xhr){
            $('#tombol-save').hide();
            $('#tombol-save-loading').show();
        },
        complete: function(xhr,status){
            $('#tombol-save').show();
            $('#tombol-save-loading').hide();
        },
        type: "POST",
        data: ObjectDataKirim
    });
}

function kirimPerubahan(){
    ObjectData.pageId = strPageId;
    ObjectData.actorId = strActorId;
    ObjectData.nursingId = '<?= $strId ?>'; //nursing id
    ObjectData.department = strDepartmentId;

    ObjectData.Password = $('#password').val();
    ObjectData.UserId = strStaffId;

    ObjectData.PrefixPost = '<?= $prefix_funct ?>';

    //gunakan ambilValueEdit() jangan pakai ambilValue() krn data edit saja yg dikirim
    var ObjectTanggalJam = segmenTanggalJam.ambilValueEdit();
    var ObjectVitalSign = segmenVitalSign.ambilValueEdit();
    var ObjectBioPsiko = segmenBioPsiko.ambilValueEdit();
    var ObjectSkriningNyeri = segmenSkriningNyeri.ambilValueEdit();
    var ObjectWongBaker = segmenWongBaker.ambilValueEdit();
    // var ObjectPengkajian = segmenPengkajian.ambilValueEdit();
    var ObjectSkriningResikoJatuh = segmenSkriningResikoJatuh.ambilValueEdit();
    var ObjectSkriningGizi = segmenSkriningGizi.ambilValueEdit();
    var ObjectStatusFungsional = segmenStatusFungsional.ambilValueEdit();
    var ObjectMasalahKeperawatan = segmenMasalahKeperawatan.ambilValueEdit();
    var ObjectTujuan = segmenTujuan.ambilValueEdit();
    var ObjectImplementasi = segmenImplementasi.ambilValueEdit();
    var ObjectEdukasi = segmenEdukasi.ambilValueEdit();

    var ObjectDataKirim = Object.assign({},
        ObjectData,
        ObjectTanggalJam,
        ObjectVitalSign,
        ObjectBioPsiko,
        ObjectSkriningNyeri,
        ObjectWongBaker,
        // ObjectPengkajian,
        ObjectSkriningResikoJatuh,
        ObjectSkriningGizi,
        ObjectStatusFungsional,
        ObjectMasalahKeperawatan,
        ObjectTujuan,
        ObjectImplementasi,
        ObjectEdukasi
    );

    console.log(ObjectDataKirim)
    $.ajax({
        url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/EditKeperawatan')?>", 
        success: function(result){
            if(result.status == 'error'){
                toastr.error(result.message, 'Informasi');
            }
            toastr.info('Perubahan Terkirim', 'Informasi');
            window.location.reload();
        },
        timeout: 5* 60 * 1000,
        error: function(xhr,status,error){
            console.log(xhr);
            alert('Gagal menyimpan data | '+ status);
        },
        beforeSend: function(xhr){
            $('#tombol-save').hide();
            $('#tombol-save-loading').show();
        },
        complete: function(xhr,status){
            $('#tombol-save').show();
            $('#tombol-save-loading').hide();
        },
        type: "POST",
        data: ObjectDataKirim
    });
}

$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
    $('#modal-area').modal("show");
    $('#tandatangani').show();
    $('#tandatanganiperubahan').hide();
});

$('#content').off('click', '#btn-modal-perubahan').on('click', '#btn-modal-perubahan', function () {
    $('#modal-area').modal("show");
    $('#tandatanganiperubahan').show();
    $('#tandatangani').hide();

});

$('#content').off('click', '#tombol-save').on('click', '#tombol-save', function (event) {
    event.preventDefault();
    console.log('simpan asesmen awal');
    kirimData('DRAF');
});

function validasiSimpan(){
    var password = $('#password');
    var checkSetuju = $('#check-setuju');

    if(!password.val()){
        toastr.warning('Password Masih Kosong', 'Peringatan');
        return null;
    }
    if(! checkSetuju.prop('checked')){
        toastr.warning('Anda Harus Menyetujui', 'Peringatan');
        return null;
    }
    return true;
}

$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
    if(validasiSimpan()){
        kirimData('VERIFIKASI');
    }
});

$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
    if(validasiSimpan()){
        kirimPerubahan();
    }
});

// $("#jamasesmen").focus(function(e){
//     showMePicker(e.target);
// });



	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#F2F5FA;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openAppPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
$('#content').off('click', '#cetak-laporan').on('click', '#cetak-laporan', function () {
	FormPrintPage.setTitle('Print Preview Asesmen Kandungan')
	openAppPrintPage( '<?= QApplication::UrlCreator('form-keperawatan-rajal/print-keperawatan-kandungan') ?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>' );
});


$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function () {
    //'hmis-patient-medical-service-rnap/tindakan'
    var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
});

$('#jamasesmen').change(function(e){
    var waktu = $('#jamasesmen').val().split(":");
    var jam = waktu[0];
    var menit = waktu[1];
    if(jam > 23 || menit > 60){
        $('#jamasesmen').val('')
    }
})

function openInNewTab(url) {
    var win = window.open(url, '_blank');
    win.focus();
} 

$('.input-date').datepicker({
    format: "dd-mm-yyyy",
    autoclose: true,
    endDate: null
});

function convertDateToISO(strDateIna) {
    return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}

$("input, textarea").attr('autocomplete', 'off');
<?php if($objPatientNursing->KeperawatanKandunganVerifikasi){ ?>
    $("#formasesmen input, #formasesmen textarea, #formasesmen select").prop('disabled', true);
    $('#btn-modal-konfirmasi-edit').show();
    $('#btn-modal-perubahan').hide();
    
    $('#btn-modal-konfirmasi-edit').click(function(){
        jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            konfirmasiEditPerubahan,
            function(){
                jQuery.fallr('hide',function(){});
            }
        );
    });

    function konfirmasiEditPerubahan(){
        $("#formasesmen input, #formasesmen textarea, #formasesmen select").prop('disabled', false);
        $('#btn-modal-perubahan').show();
        $('#btn-modal-konfirmasi-edit').hide();
        jQuery.fallr('hide',function(){});
    }

    $("#formasesmen input, #formasesmen textarea, #formasesmen select").click(function(){
        $(this).data('status', 'edit'); //tanam state edit di element
    });

<?php } ?>
</script>
