<?php
$strId = System::GetValue('Id',null,'string');
if($strId){
    $objPatientNursing = HmisPatientNursingActive::LoadById($strId);
}
if(!$objPatientNursing){
    echo 'Data Pasien Tidak Ditemukan';
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Asesmen Awal Medis Rawat Jalan</title>
    <style>
    @media print
        {
            .noprint {display:none;}
        }
/* other */
* {
    box-sizing: border-box;
    font-size: 12pt;
}
.flex-coloumn .flex-row .f-60 h2 {
    /* display: inline-block;
    width: 80mm; */
    margin: 10pt;    
}

ul {
    list-style-type: none;
    padding: 2pt 0 ;
}

ol {
    padding: 2pt 0 ;

}

.flex-row .f-10.center ul.test li, .flex-row .f-45 ul li{
    border-top: 0.25mm solid black;
}

hr {
    border: 0.4mm solid black;
    margin-bottom: 2mm;
}

div.f-60 h2 {
    text-align: center;
    margin: auto;
}

.flex-coloumn .flex-row h4 {
    margin: 0 auto;
}


.flex-row .flex-coloumn .f-15>p {
    margin: 2.6mm 0;
}

.ts-10 {
    font-size: 10pt;
}

.ts-9 {
    font-size: 9pt;
}
.ts-8 {
    font-size: 8pt;
}

.flex-coloumn .flex-row .flex-coloumn .wrap {
    margin: auto;
}


.ttd {
    display: block;
    width: 60mm;
    height: 20mm;
    margin: auto;
}

.colon-5 {
    display: inline-block;
    width: 56mm;
}
.colon-4 {
    display: inline-block;
    width: 68mm;
}
.colon {
    display: inline-block;
    width: 52mm;
}
.colon-1 {
    display: inline-block;
    width: 42mm;
}
.colon-2 {
    display: inline-block;
    width: 32mm;
}

.colon-3 {
    display: inline-block;
    width: 28mm;
}
/* end other */



/* flex properti */
.wrap {
    flex-wrap: wrap;
}

.flex-coloumn {
    display: flex;
    flex-direction: column;

    /* properti lain */
    max-width: 800px;
    text-align: right;
}

.flex-row {
    margin: 0.5mm 0;
    display: flex;
}

.f-10 {
    flex-basis: 10%;
}

.f-17 {
    flex-basis: 17%;
}

.f-13 {
    flex-basis: 13%;
}

.f-15 {
    flex-basis: 15%;
}

.f-18 {
    flex-basis: 18%;
}

.f-75 {
    flex-basis: 75%;
}

.f-20 {
    flex-basis: 20%;
}

.f-23 {
    flex-basis: 23%;
}

.f-35 {
    flex-basis: 35%;
}

.f-33 {
    flex-basis: 33%;
}

.f-34 {
    flex-basis: 34%;
}

.f-2 {
    flex-basis: 2%;
}

.f-40 {
    flex-basis: 40%;
}

.f-45 {
    flex-basis: 45%;
}

.f-50 {
    flex-basis: 50%;
}

.f-55 {
    flex-basis: 55%;
}

.f-30 {
    flex-basis: 30%;
}

.f-70 {
    flex-basis: 70%;
}

.f-24 {
    flex-basis: 24%;
}

.f-27 {
    flex-basis: 27%;
}

.f-60 {
    flex-basis: 60%;
}

.f-25 {
    flex-basis: 25%;
}

.f-80 {
    flex-basis: 80%;
}

.f-100 {
    flex-basis: 100%;
}

.fg-1 {
    flex-grow: 1;
}
.fg-2 {
    flex-grow: 2;
}

.fg-3 {
    flex-grow: 3;
}

.fg-4 {
    flex-grow: 4;
}

/* end flex */



/* penataan */
.center {
    margin: 0 auto;
    text-align: center;
}

.left {
    text-align: left;
}

.nomargin {
    margin: 0;
}

.right {
    text-align: right;
}

.justify {
    text-align: justify;
}

.all-center {
    margin: auto;
    text-align: center;
}

/* end penataan */



/* border */
.border {
    border: 0.25mm solid black;
}

.bt {
    border-top: 0.25mm solid black;
}

.br {
    border-right: 0.25mm solid black;
}

.bl {
    border-left: 0.25mm solid black;
}

.bb {
    border-bottom: 0.25mm solid black;
}

.b-in {
    border-style: outset;
}

.b-out {
    border-style: solid;
}

/* end border */



/* margin */
.ml-5 {
    margin-left: 1.3mm;
}

.mt-50 {
    margin-top: 8mm;
}

/* end margin */



/* padding */
.pl-20 {
    padding-left: 5mm;
}

.pt-10 {
    padding-top: 2.5mm;
}

.pl-10 {
    padding-left: 2mm;
}

.pt-15 {
    padding-top: 4mm;
}

.pb-10 {
    padding-bottom: 2.5mm;
}

.p-5 {
    padding: 1.3mm;
}

.p-c {
    padding-top: 3.2mm;
    padding-left: 2mm;
}

.p {
    padding: 2mm;
}

.p-3 {
    padding: 1mm;
}

/* end padding  */



/* gambar */
.logo {
    width: 36mm;
    height: 26mm;
    margin: 0.5mm;
    padding-left: 5mm;
    padding-right: 5mm;
}

.mata {
    width: 40mm;
}

.mulut {
    width: 60mm;
}

.dewasa {
    width: 60mm;
}
.anatomi {
    height: auto;
    width: 70mm;
}
/* end gambar */

@page {
    size: 210mm 297mm;
    /* margin: 25.4mm 25.4mm 25.4mm 25.4mm; */
    margin: 2mm 10mm;
}


@media print {

    html,
    body{
        width: 210mm;
        height: 297mm;
        page-break-inside: auto;
    }

    .flex-coloumn {
        max-width: 100%;
    }

    .break {
        display: block;
        height: 20mm;
    }
    
    .break-2 {
        page-break-before: always;
    }

    /* other */
    * {
        box-sizing: border-box;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 10pt;
    }

    hr {
        border: 0.3mm solid black;
    }

    div.f-60 h2 {
        text-align: center;
        margin: auto;
    }

    .flex-coloumn .flex-row h4 {
        margin: 0 auto;
    }

    

    .flex-row .flex-coloumn .f-15>p {
        margin: 2.6mm 0;
    }

    .flex-coloumn .flex-row .flex-coloumn .wrap {
        margin: auto;
    }

    .ttd {
        display: block;
        width: 60mm;
        height: 20mm;
        margin: auto;
    }

    /* end other */

}

/* @media print {
    .flex-coloumn {
        display: flex;
        flex-direction: column;
    
        margin: 0 30px;
        max-width: 100%;
        text-align: right;
    }
    .border {
        border: 1px solid black;
    }
    .flex-row {
        margin: 2px 0;
        display: flex;
        align-items: baseline;
    }
    
} */
    </style>
</head>

<body>
    <div class="noprint">
        <a href="#" onclick="window.close()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
        <!-- <a href="../../print.php?tp=5&id=RI.16.00056128"><img src='../../assets/images/print-icon.png' alt="" width='30' height='30' title='Print Dot Matrix' /></a> -->
        <a href="#" onclick="window.print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
        <!-- <button onclick="printE()">E-Print</button> -->
        <!-- <a href="#"  onclick="tableToExcel('testTable')"><img id="expxls" name="expxls" src="../../assets/images/excel_icon_50.gif" alt="Excel" width="28" height="28" border="0"/></a> -->
    </div>
    <div class="flex-coloumn center">
        <div class="flex-row center">
            <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
            <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                  <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
            <?php } else { ?>
                  &nbsp;
            <?php } ?>
            <div class="flex-coloumn arial center">
                <h3 class="nomargin" style="letter-spacing: 4px;"><?= System::getPublicVariable('title') ?></h3>
                <h3 class="nomargin"><?= System::getPublicVariable('nama') ?></h3>
                <h3 class="nomargin"><?= System::getPublicVariable('alamat') ?></h3>
                <h3 class="nomargin">web : <a
                        href="mailto:rsud.gambiran@kedirikota.go.id"><?= System::getPublicVariable('alamat') ?></a> </h3>
                <h3 class="nomargin" style="letter-spacing: 12px;">><?= System::getPublicVariable('kota') ?></h3>
                <h5 class="nomargin right">Kode Pos : 64132</h5>
            </div>
            <div style="width:140px; margin: 2px 25px;">
                 <?php $pathFoto = '/assets/images/picture_middle.jpg'; ?>
                 <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                       <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                 <?php } else { ?>
                       &nbsp;
                 <?php } ?>
                 <?php $pathFoto = '/assets/images/picture_right.jpg'; ?>
                 <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                       <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="60px" height="60px" >
                 <?php } else { ?>
                       &nbsp;
                 <?php } ?>
            </div>
        </div>
    </div>
    <hr>
    <div class="flex-coloumn border center">
        <div class="flex-row nomargin">
            <div class="f-40 br pt-15 pb-10 center">
                <?php if ( $objPatientNursing->NursingCategory=='1' ) { ?>
                <h2 class="colon">ASESMEN AWAL MEDIS RAWAT JALAN</h2>
                <?php } else if ( $objPatientNursing->NursingCategory=='2' ) { ?>
                <h2 class="colon">ASESMEN AWAL MEDIS RAWAT DARURAT</h2>
                <?php } else if ( $objPatientNursing->NursingCategory=='3' ) { ?>
                <h2 class="colon">ASESMEN AWAL MEDIS RAWAT INAP</h2>
                <?php } ?>
            </div>
            <div class="flex-row f-60 wrap all-center" style="margin-left: 6px;">
                <div class="flex-coloumn left f-40">
                    <p class="nomargin"><b>Nama</b></p>
                    <p class="nomargin"><b>Tgl. Lahir</b></p>
                    <p class="nomargin"><b>No. Rekam Medis</b></p>
                </div>
                <div class="flex-coloumn left">
                    <p class="nomargin">&nbsp;:</p>
                    <p class="nomargin">&nbsp;:</p>
                    <p class="nomargin">&nbsp;:</p>
                </div>
                <div class="flex-coloumn left f-55">
                    <?php
                    // if(isset($objPatientNursing->TitleName)){
                    //     $namaPasien = $objPatientNursing->FullName .', '.$objPatientNursing->TitleName;
                    // }
                    // else if($objPatientNursing->NursingStartDate && $objPatientNursing->DateOfBirth && $objPatientNursing->Gender){
                    //     $umur_dalam_detik = $objPatientNursing->NursingStartDate->Timestamp - $objPatientNursing->DateOfBirth->Timestamp;
                    //     $gender = $objPatientNursing->Gender;
                    //     $cek_nama = $objPatientNursing->FullName;
                    //     $namaPasien = ViewHelper::tambahTitelNama($cek_nama, $umur_dalam_detik, $gender);
                    // }
                    // else{
                    //     $namaPasien = $objPatientNursing->FullName;
                    // }
                    $namaPasien = $objPatientNursing->FirstName;
                    ?>
                    <p class="nomargin">&nbsp;<?= $namaPasien ?> </p>
                    <p class="nomargin">&nbsp;<?= $objPatientNursing->DateOfBirth ? $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') : "" ?></p>
                    <p class="nomargin">&nbsp;<?= $objPatientNursing->Mr ?></p>
                </div>
                <div class="flex-coloumn center">
                    <p class="nomargin all-center"><i>(Mohon tempelkan label jika ada)</i></p>
                </div>
            </div>
        </div>
        <div class="flex-coloumn left bt">
            <div class="flex-row p bb">
                <p class="nomargin">Tanggal Asesmen : <?= $objPatientNursing->GeneralTanggalAsesmen ?></p>
                <p class="nomargin"> &nbsp; &nbsp; Jam : <?= $objPatientNursing->GeneralJamAsesmen ?> WIB</p>
            </div>
            <div class="flex-row p bb wrap">
                <p class="nomargin">KELUHAN UTAMA : <b><?= $objPatientNursing->GeneralKeluhanUtama ?></b></p>
            </div>
            <div class="flex-row p bb wrap">
                <p class="nomargin">RIWAYAT PENYAKIT SEKARANG : <b><?= $objPatientNursing->GeneralRiwayatPenyakitSekarang ?></b></p>
            </div>
            <div class="flex-row p bb wrap">
                <div class="flex-row f-100">
                    <p class="nomargin ">RIWAYAT PENYAKIT DAHULU : <b><?= $objPatientNursing->GeneralRiwayatPenyakitDahulu ?></b></p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin">RIWAYAT PENYAKIT KELUARGA : <b><?= $objPatientNursing->GeneralRiwayatPenyakitKeluarga ?></b></p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin">RIWAYAT OPERASI : <b><?= $objPatientNursing->GeneralRiwayatOperasi ?></b></p>
                </div>
            </div>
            <div class="flex-row pl-10 bb wrap">
                <div class="flex-row f-100">
                    <p class="nomargin f-17"><span class="colon-2">Alergi Obat </span>:&nbsp;</p>
                    <p class="nomargin f-10"><?= $objPatientNursing->GeneralAlergiObat == 'TIDAK' ? '&#9745;':'&#9744;' ?> &nbsp;Tidak</p>
                    <p class="nomargin"><?= $objPatientNursing->GeneralAlergiObat == 'YA' ? '&#9745;':'&#9744;' ?> &nbsp;Iya, sebutkan : <b><?= $objPatientNursing->GeneralUraianAlergiObat ?></b></p>
                </div>
                <div class="flex-row f-100">
                    <p class="nomargin f-17"><span class="colon-2">Alergi Makanan </span>:&nbsp;</p>
                    <p class="nomargin f-10"><?= $objPatientNursing->GeneralAlergiMakanan == 'TIDAK' ? '&#9745;':'&#9744;' ?> &nbsp;Tidak</p>
                    <p class="nomargin"><?= $objPatientNursing->GeneralAlergiMakanan == 'YA' ? '&#9745;':'&#9744;' ?> &nbsp;Iya, sebutkan : <b><?= $objPatientNursing->GeneralUraianAlergiMakanan ?></b></p>
                </div>
            </div>
            <div class="flex-row pl-10 bb">
                <div class="flex-row f-10">
                    <p class="nomargin"><span class="colon">RIWAYAT IMUNISASI (Untuk anak-anak ≤ 14 tahun) </span></p>
                    <p class="nomargin"></p>
                </div>
                <div class="flex-coloumn left">
                    <div class="flex-row">
                        <p class="nomargin"><?= $objPatientNursing->GeneralRiwayatImunisasi == 'LENGKAP' ? '&#9745;':'&#9744;' ?><span class="colon-3">&nbsp;Lengkap </span>:&nbsp;</p>
                        <p class="nomargin"> &nbsp; BCG, DPT, HEPATITIS B, POLIO, CAMPAK</p>
                    </div>
                    <div class="flex-row">
                        <p class="nomargin"><?= $objPatientNursing->GeneralRiwayatImunisasi == 'TIDAK LENGKAP' ? '&#9745;':'&#9744;' ?> &nbsp;<span class="colon-3">&nbsp;Tidak Lengkap</span>:&nbsp;</p>
                        <p class="nomargin">Sebutkan yang belum : <b><?= $objPatientNursing->GeneralUraianRiwayatImunisasiBelum ?></b></p>
                    </div>
                </div>
            </div>
            <div class="flex-coloumn pl-10 bb">
                <div class="flex-row f-100 left">
                    <div class="f-17 left">
                        <p class="nomargin"><span class="colon-3">Keadaan Umum </span>:</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKeadaanUmum == 'BAIK' ? '&#9745;':'&#9744;' ?> Baik</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKeadaanUmum == 'SESAK' ? '&#9745;':'&#9744;' ?> Sesak</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKeadaanUmum == 'PUCAT' ? '&#9745;':'&#9744;' ?> Pucat</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKeadaanUmum == 'LEMAH' ? '&#9745;':'&#9744;' ?> Lemah</p>
                    </div>
                    <div class="f-20">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKeadaanUmum == 'KESADARAN MENURUN' ? '&#9745;':'&#9744;' ?> Kesadaran menurun</p>
                    </div>
                    <div class="f-20 left">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKeadaanUmum == 'LAINNYA' ? '&#9745;':'&#9744;' ?> Lainnya : <?= $objPatientNursing->GeneralUraianKeadaanUmum ?></p>
                    </div>
                </div>
                <div class="flex-row f-100 left">
                    <div class="f-17 left">
                        <p class="nomargin"><span class="colon-3">Kesan Sakit </span>:</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKesanSakit == 'RINGAN' ? '&#9745;':'&#9744;' ?> Ringan</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKesanSakit == 'SEDANG' ? '&#9745;':'&#9744;' ?> Sedang</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralKesanSakit == 'BERAT' ? '&#9745;':'&#9744;' ?> Berat</p>
                    </div>
                </div>
            </div>
            <div class="flex-row p bb wrap">
                <p class="nomargin fg-1">GCS : <b><?= $objPatientNursing->GeneralGcs ?></b></p>
                <p class="nomargin fg-1">TD : <b><?= $objPatientNursing->GeneralSistolik ?>/<?= $objPatientNursing->GeneralDiastolik ?></b> mmHg</p>
                <p class="nomargin fg-1">N : <b><?= $objPatientNursing->GeneralNadi ?></b> x/m</p>
                <p class="nomargin fg-1">RR : <b><?= $objPatientNursing->GeneralRr ?></b> x/m</p>
                <p class="nomargin fg-1">Suhu : <b><?= $objPatientNursing->GeneralSuhu ?></b> &#8451;</p>
                <p class="nomargin fg-1">BB : <b><?= $objPatientNursing->GeneralBb ?></b> kg</p>
                <p class="nomargin fg-1">TB : <b><?= $objPatientNursing->GeneralTb ?></b> cm</p>
            </div>
            <div class="flex-coloumn p bb">
                <div class="flex-row left">
                    <p class="nomargin f-35">SKALA NYERI, <i>Apakah terjadi nyeri</i> </span>:</p>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralNyeri == 'TIDAK' ? '&#9745;':'&#9744;' ?> Tidak</p>
                    </div>
                    <div class="f-10">
                        <p class="nomargin"><?= $objPatientNursing->GeneralNyeri == 'YA' ? '&#9745;':'&#9744;' ?> Iya</p>
                    </div>
                </div>
                <div class="flex-row">
                    <div class="flex-row f-100 center">
                        <p class="nomargin f-30"><i style="font-size: 10pt;"><span class="colon-2">Dewasa</span>
                                (numeric scale)</i></p>
                        <?php
                            $strExecutionDir = dirname(__FILE__);
                            $strFilename = str_replace('\\','/',$strExecutionDir.'/assetfile/numeric_scale.svg');
                            if(file_exists($strFilename))
                            {
                                include($strFilename);
                            }
                        ?>
                    </div>
                    <div class="flex-row f-100 center">
                        <p class="nomargin f-30"><i style="font-size: 10pt;"><span class="colon-2">Anak>9th</span> (wong
                                beker scale)</i></p>
                        <?php
                            $strExecutionDir = dirname(__FILE__);
                            $strFilename = str_replace('\\','/',$strExecutionDir.'/assetfile/wong_baker_scale.svg');
                            if(file_exists($strFilename))
                            {
                                include($strFilename);
                            }
                        ?>
                    </div>
                </div>
            </div>
            <div class="flex-row p bb">
                <p class="nomargin f-30 ts-10"><i class="ts-10">FLACC Scale</i>(Untuk Usia 1-3 Th) :</p>
                <p class="nomargin f-17 ts-10"><?= $objPatientNursing->GeneralFlaccScale === '0' ? '&#9745;':'&#9744;' ?> 0 : Tidak Nyeri&nbsp;</p>
                <p class="nomargin f-20 ts-10"><?= $objPatientNursing->GeneralFlaccScale === '1-3' ? '&#9745;':'&#9744;' ?> 1-3 : Nyeri Ringan&nbsp;</p>
                <p class="nomargin f-20 ts-10"><?= $objPatientNursing->GeneralFlaccScale === '4-6' ? '&#9745;':'&#9744;' ?> 4-6 : Nyeri Sedang&nbsp;</p>
                <p class="nomargin f-20 ts-10"><?= $objPatientNursing->GeneralFlaccScale === '7-10' ? '&#9745;':'&#9744;' ?> 7-10 : Nyeri Berat</p>
            </div>
            <div class="flex-row p bb">
                <p class="nomargin f-30 ts-10"><span class="colon-5"><i class="ts-10">NIPS Scale</i>(Untuk Usia < 1 Th)
                            :</span> </p> 
                <p class="nomargin f-18 ts-8"><?= $objPatientNursing->GeneralNipsScale === '0' ? '&#9745;':'&#9744;' ?> 0 : Tidak perlu intervensi&nbsp;</p>
                <p class="nomargin f-20 ts-8"><?= $objPatientNursing->GeneralNipsScale === '1-3' ? '&#9745;':'&#9744;' ?> 1-3 : Interv.non farmakologis&nbsp;</p>
                <p class="nomargin f-23 ts-8"><?= $objPatientNursing->GeneralNipsScale === '4-5' ? '&#9745;':'&#9744;' ?> 4-5 : Terapi analgesik non opioid&nbsp;</p>
                <p class="nomargin f-15 ts-8"><?= $objPatientNursing->GeneralNipsScale === '6-7' ? '&#9745;':'&#9744;' ?> 6-7 : Terapi opioid</p>
            </div>
            <div class="flex-row p bb wrap">
                <p class="nomargin"><b>STATUS AMBULANSI :</b> <?= $objPatientNursing->GeneralStatusAmbulasi ?></p>
            </div>
            <p class="nomargin p"><b>PEMERIKSAAN FISIK</b></p>
            <div class="flex-row p f-100">
                <div class="flex-coloumn border left f-70">
                    <div class="flex-row nomargin bb">
                        <p class="f-30 left pl-10">KEPALA & WAJAH</p>
                        <p class="nomargin f-70 bl p"><?= $objPatientNursing->GeneralFisikKepalaWajah ?></p>
                    </div>
                    <div class="flex-row nomargin bb">
                        <p class="f-30 left pl-10">LEHER</p>
                        <p class="nomargin f-70 bl p"><?= $objPatientNursing->GeneralFisikLeher ?></p>
                    </div>
                    <div class="flex-row nomargin bb">
                        <p class="f-30 left pl-10">DADA</p>
                        <p class="nomargin f-70 bl p"><?= $objPatientNursing->GeneralFisikDada ?></p>
                    </div>
                    <div class="flex-row nomargin bb">
                        <p class="f-30 left pl-10">ABDOMEN</p>
                        <p class="nomargin f-70 bl p"><?= $objPatientNursing->GeneralFisikAbdomen ?></p>
                    </div>
                    <div class="flex-row nomargin bb">
                        <p class="f-30 left pl-10">EXTREMITAS</p>
                        <p class="nomargin f-70 bl p"><?= $objPatientNursing->GeneralFisikExtremitas ?></p>
                    </div>
                    <div class="flex-row nomargin">
                        <p class="f-30 left pl-10">GENITAL</p>
                        <p class="nomargin f-70 bl p"><?= $objPatientNursing->GeneralFisikGenital ?></p>
                    </div>
                </div>
                <div class="flex-coloumn p bb bt br left f-30">
                    <?php
                    if($objPatientNursing->GeneralGambarAnatomi){
                        $sumberGambar = __IMAGE_ASSETS__. $objPatientNursing->GeneralGambarAnatomi;
                    }else{
                        $sumberGambar = __USER_ASSETS__.'/images/anatomi.png';
                    }
                    
                    ?>
                    <img class="center anatomi" src="<?= $sumberGambar ?>" alt="anatomi">
                </div>
            </div>
        </div>
    </div>
    <p style="page-break-after: always"></p>
    <div class="flex-row">
        <!-- <div class="break"></div> -->
    </div>
    <div class="flex-coloumn border center">
        <p class="nomargin p left"><b>PEMERIKSAAN KHUSUS</b></p>
        <div class="flex-row p f-100">
            <div class="flex-coloumn border left f-100">
                <div class="flex-row nomargin bb">
                    <p class="f-15 pl-10 ">PARU</p>
                    <p class="nomargin f-80 bl p"><?= $objPatientNursing->GeneralKhususParu ?></p>
                </div>
                <div class="flex-row nomargin bb">
                    <p class="f-15 pl-10">JANTUNG</p>
                    <p class="nomargin f-80 bl p"><?= $objPatientNursing->GeneralKhususJantung ?></p>
                </div>
                <div class="flex-row nomargin bb">
                    <p class="f-15 pl-10">NEUROLOGI</p>
                    <p class="nomargin f-80 bl p"><?= $objPatientNursing->GeneralKhususNeurologi ?></p>
                </div>
                <div class="flex-row nomargin">
                    <p class="f-15 pl-10">UROLOGI</p>
                    <p class="nomargin f-80 bl p"><?= $objPatientNursing->GeneralKhususUrologi ?></p>
                </div>
            </div>
        </div>
        <div class="flex-coloumn p bb left">
            <p class="nomargin"><b>PEMERIKSAAN PENUNJANG</b></p>
            <ol class="nomargin pl-20" style="list-style: upper-latin;">
                <li>
                    <p><span class="colon-1">LABORATORIUM</span>: <b><?= $objPatientNursing->GeneralPemeriksaanLaboratorium ?></b></p>
                </li>
                <li>
                    <p><span class="colon-1">RADIOLOGI</span>: <b><?= $objPatientNursing->GeneralPemeriksaanRadiologi ?></b></p>
                </li>
                <li>
                    <p><span class="colon-1">EKG</span>: <b><?= $objPatientNursing->GeneralPemeriksaanEkg ?></b></p>
                </li>
                <li>
                    <p><span class="colon-1">ECHOCARDIOGRAFI</span>: <b><?= $objPatientNursing->GeneralPemeriksaanEchocardiografi ?></b></p>
                </li>
                <li>
                    <p><span class="colon-1">TREADMIL</span>: <b><?= $objPatientNursing->GeneralPemeriksaanTreadmil ?></b></p>
                </li>
                <li>
                    <p><span class="colon-1">LAINNYA</span>: <b><?= $objPatientNursing->GeneralPemeriksaanLainnya ?></b></p>
                </li>
            </ol>
        </div>
        <div class="flex-row p bb nomargin left">
            <p class="nomargin"><span class="colon-1">DIAGNOSA MEDIS</span>: <b><?= $objPatientNursing->GeneralDiagnosaMedis ?></b></p>
        </div>
        <div class="flex-row p bb nomargin left">
            <p class="nomargin"><span class="colon-1">MASALAH MEDIS</span>: <b><?= $objPatientNursing->GeneralMasalahMedis ?></b></p>
        </div>
        <div class="flex-row nomargin left">
            <div class="flex-coloumn left f-50">
                <div class="flex-row bb p">
                    <p class="nomargin"><span>RENCANA TINDAKAN </span>: <b><?= $objPatientNursing->GeneralRencanaTindakan ?></b></p>
                </div>
                <div class="flex-coloumn left">
                    <p class="nomargin p"><span class="colon-1">MODALITAS FISIK </span>: <b><?= $objPatientNursing->GeneralModalitasFisik ?></b></p>
                    <p class="nomargin p"><span class="colon-1">PROTESA / ORTESA </span>: <b><?= $objPatientNursing->GeneralProtesaOrtesa ?></b></p>
                </div>
            </div>
            <div class="flex-coloumn p bl left f-50">
                <p class="nomargin"><span class="colon-1">RENCANA TERAPI </span>: <b><?= $objPatientNursing->GeneralRencanaTerapi ?></b></p>
            </div>
        </div>
    </div>
    <div class="flex-row wrap mt-50">
        <div class="flex-coloumn center" style="font-size: 12px;">
            <p class="nomargin">Telah dilakukan asesmen oleh Dokter</p>
            <p class="nomargin">Pasien/keluarga</p>
            <div class="ttd"></div>
            <p class="nomargin">(............................................................)</p>
            <p class="nomargin"><i>tanda tangan & nama terang</i></p>
        </div>
        <div class="flex-coloumn center" style="font-size: 12px;">
            <!-- <p class="nomargin">Tanggal ......../ ............/ pukul : ........</p> -->
            <!-- <p class="nomargin">Tanggal : <?= $objPatientNursing->GeneralTanggalAsesmen ?> / pukul : <?= $objPatientNursing->GeneralJamAsesmen ?></p> -->
            <p class="nomargin">Tanggal : <?= $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('d M Y') ?> / pukul : <?= $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('H:i') ?></p>
            <p class="nomargin">Dokter yang melakukan asesmen</p>
            <div class="ttd" id="qrcode"></div>
            <?php
            $penyelesai = ' ';
            if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){
                $objSystemUser = SystemUser::LoadById($objPatientNursing->IdUserPenyelesaiAsesmenAwal);
                $penyelesai .= $objSystemUser->FullName;
            }
            ?>
            <p class="nomargin">( <?= $penyelesai ? $penyelesai : '............................................................' ?> )</p>
            <p class="nomargin"><i>tanda tangan & nama terang</i></p>
        </div>
    </div>

    <script src="<?= __ASSETS__ ?>/user/js/qrcode.js"></script>
    <script>
        "use strict";
        var textQrcode = "<?= $objPatientNursing->Id .' '. $objPatientNursing->IdUserPenyelesaiAsesmenAwal.' '.$objPatientNursing->IpUserPenyelesaiAsesmenAwal.' '.$objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('Y-m-d') ?>";
        var qrcode = new QRCode("qrcode", {
            text: textQrcode,
            width: 70,
            height: 70,
            colorDark : "#000000",
            colorLight : "#ffffff",
            correctLevel : QRCode.CorrectLevel.H
        });
    </script>
    <script>
    var nilaiSkalaNyeriDewasa = '<?= $objPatientNursing->GeneralNilaiSkalaNyeriDewasa ?>';
    var nilaiSkalaNyeriWbc = '<?= $objPatientNursing->GeneralNilaiSkalaNyeriWbc ?>';
    var areaKlik = document.getElementsByClassName('areaklik')
    var i
    for(i=0; i < areaKlik.length; i++){
        if(areaKlik[i].getAttribute("data-numericscale") == nilaiSkalaNyeriDewasa){
            areaKlik[i].style.fill = '#ff0000'
        }
    }
    var iconWbc = document.getElementsByClassName('iconwbc')
    var i
    for(i=0; i < iconWbc.length; i++){
        if(iconWbc[i].getAttribute("data-nilaiwbc") == nilaiSkalaNyeriWbc){
            var centang = iconWbc[i].getAttribute("data-centang")
            dataCentang = centang.replace('#', '')
            console.log(dataCentang)
            document.getElementById(dataCentang).style.fill = '#00ff00'
        }
    }

    </script>
</body>

</html>