<?php
function tpltBioPsiko($objPatientNursing = null, $prefix = null){
    $ori_fisik = $prefix.'PenampilanFisik';
    $edit_fisik = $prefix.'PenampilanFisikEdit';
    $ori_emosional = $prefix.'StatusEmosional';
    $edit_emosional = $prefix.'StatusEmosionalEdit';
    $ori_hubungan = $prefix.'HubunganAnggotaKeluarga';
    $edit_hubungan = $prefix.'HubunganAnggotaKeluargaEdit';
    $ori_ekonomi = $prefix.'StatusEkonomi';
    $edit_ekonomi = $prefix.'StatusEkonomiEdit';
    $ori_suku = $prefix.'SukuBangsa';
    $edit_suku = $prefix.'SukuBangsaEdit';
    $ori_keyakinan = $prefix.'Keyakinan';
    $edit_keyakinan = $prefix.'KeyakinanEdit';
    $ori_masalah_spiritual = $prefix.'MasalahSpiritual';
    $edit_masalah_spiritual = $prefix.'MasalahSpiritualEdit';
    $ori_spiritual_care = $prefix.'SpiritualCare';
    $edit_spiritual_care = $prefix.'SpiritualCareEdit';

    $fisik = $objPatientNursing->$edit_fisik ? $objPatientNursing->$edit_fisik : $objPatientNursing->$ori_fisik;
    $emosional = $objPatientNursing->$edit_emosional ? $objPatientNursing->$edit_emosional : $objPatientNursing->$ori_emosional;
    $hubungan = $objPatientNursing->$edit_hubungan ? $objPatientNursing->$edit_hubungan : $objPatientNursing->$ori_hubungan;
    $ekonomi = $objPatientNursing->$edit_ekonomi ? $objPatientNursing->$edit_ekonomi : $objPatientNursing->$ori_ekonomi;
    $suku = $objPatientNursing->$edit_suku ? $objPatientNursing->$edit_suku : $objPatientNursing->$ori_suku;
    $keyakinan = $objPatientNursing->$edit_keyakinan ? $objPatientNursing->$edit_keyakinan : $objPatientNursing->$ori_keyakinan;
    $masalah_spiritual = $objPatientNursing->$edit_masalah_spiritual ? $objPatientNursing->$edit_masalah_spiritual : $objPatientNursing->$ori_masalah_spiritual;
    $spiritual_care = $objPatientNursing->$edit_spiritual_care ? $objPatientNursing->$edit_spiritual_care : $objPatientNursing->$ori_spiritual_care;
?>
<div class="row" style="margin-bottom: 5px;">
    <div class="col-md-4">
        <label class="control-label" for="penampilanfisik"><b>Penampilan Fisik</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="penampilanfisik" name="penampilanfisik" class="form-control">
                <option value="">--Pilih--</option>
                <option value="RAPI" <?= $fisik == 'RAPI' ? 'selected' : '' ?>>Rapi</option>
                <option value="KURANG RAPI" <?= $fisik == 'KURANG RAPI' ? 'selected' : '' ?>>Kurang Rapi</option>
                <option value="TIDAK RAPI" <?= $fisik == 'TIDAK RAPI' ? 'selected' : '' ?>>Tidak Rapi</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="statusemosional"><b>Status emosional</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select name="statusemosional" id="statusemosional" class="form-control">
                <option value="">--Pilih--</option>
                <option value="DEPRESI" <?= $emosional == 'DEPRESI' ? 'selected' : '' ?>>Depresi</option>
                <option value="KETAKUTAN" <?= $emosional == 'KETAKUTAN' ? 'selected' : '' ?>>Ketakutan</option>
                <option value="AGRESIF" <?= $emosional == 'AGRESIF' ? 'selected' : '' ?>>Agresif</option>
                <option value="POTENSIAL MENYAKITI DIRI SENDIRI ATAU ORANG LAIN" <?= $emosional == 'POTENSIAL MENYAKITI DIRI SENDIRI ATAU ORANG LAIN' ? 'selected' : '' ?>>Potensial menyakiti diri sendiri atau orang lain</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="hubungananggotakeluarga"><b>Hub. dengan anggota keluarga</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select name="hubungananggotakeluarga" id="hubungananggotakeluarga" class="form-control">
                <option value="">--Pilih--</option>
                <option value="BAIK" <?= $hubungan == 'BAIK' ? 'selected' : '' ?>>Baik</option>
                <option value="TIDAK BAIK" <?= $hubungan == 'TIDAK BAIK' ? 'selected' : '' ?>>Tidak Baik</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="statusekonomi"><b>Status Ekonomi</b></label>
        <div class="input-group">
            <span id="statusekonomi" name="statusekonomi" class="input-group-addon"><i class="fa fa-file"></i></span>
            <select name="" id="" class="form-control">
                <option value="">--Pilih--</option>
                <option value="KURANG" <?= $ekonomi == 'KURANG' ? 'selected' : '' ?>>Kurang</option>
                <option value="CUKUP" <?= $ekonomi == 'CUKUP' ? 'selected' : '' ?>>Cukup</option>
                <option value="LEBIH" <?= $ekonomi == 'LEBIH' ? 'selected' : '' ?>>Lebih</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="sukubangsa"><b>Suku bangsa</b></label>
        <div class="input-group">
            <span name="sukubangsa" id="sukubangsa" class="input-group-addon"><i class="fa fa-file"></i></span>
            <select class="form-control">
                <option value="">--Pilih--</option>
                <option value="JAWA" <?= $suku == 'JAWA' ? 'selected' : '' ?>>jawa</option>
                <option value="MADURA" <?= $suku == 'MADURA' ? 'selected' : '' ?>>Madura</option>
                <option value="LAIN-LAIN" <?= $suku == 'LAIN-LAIN' ? 'selected' : '' ?>>Lain-lain</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="keyakinan"><b>Keyakinan</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <input type="text" name="keyakinan" id="keyakinan" class="form-control" value="<?= $keyakinan ?>">
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="masalahspiritual"><b>Masalah Spiritual</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select name="masalahspiritual" id="masalahspiritual" class="form-control">
                <option value="">--Pilih--</option>
                <option value="TIDAK ADA" <?= $masalah_spiritual == 'TIDAK ADA' ? 'selected' : '' ?>>Tidak Ada</option>
                <option value="CEMAS" <?= $masalah_spiritual == 'CEMAS' ? 'selected' : '' ?>>Cemas</option>
                <option value="BERDUKA" <?= $masalah_spiritual == 'BERDUKA' ? 'selected' : '' ?>>Berduka</option>
                <option value="DISTRES SPIRITUAL" <?= $masalah_spiritual == 'DISTRES SPIRITUAL' ? 'selected' : '' ?>>Distres spiritual</option>
                <option value="LAIN-LAIN" <?= $masalah_spiritual == 'LAIN-LAIN' ? 'selected' : '' ?>>Lain-lain</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="spiritualcare"><b>Butuh Spiritual Care(Kyai, pendeta, dll)</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select name="spiritualcare" id="spiritualcare" class="form-control">
                <option value="">--Pilih--</option>
                <option value="YA" <?= $spiritual_care == 'YA' ? 'selected' : '' ?>>YA</option>
                <option value="TIDAK" <?= $spiritual_care == 'TIDAK' ? 'selected' : '' ?>>TIDAK</option>
            </select>
        </div>
    </div>
</div>

<script>
    var segmenBioPsiko = {
        ambilValue : function (){
            return {
                PenampilanFisik : $('#penampilanfisik').val(),
                StatusEmosional : $('#statusemosional').val(),
                HubunganAnggotaKeluarga : $('#hubungananggotakeluarga').val(),
                StatusEkonomi : $('#statusekonomi').val(),
                SukuBangsa : $('#sukubangsa').val(),
                Keyakinan : $('#keyakinan').val(),
                MasalahSpiritual : $('#masalahspiritual').val(),
                SpiritualCare : $('#spiritualcare').val(),
            }
        },
        ambilValueEdit : function (){
            var obj = {};
            var penampilanfisik = $('#penampilanfisik');
            var statusemosional = $('#statusemosional');
            var hubungananggotakeluarga = $('#hubungananggotakeluarga');
            var statusekonomi = $('#statusekonomi');
            var sukubangsa = $('#sukubangsa');
            var keyakinan = $('#keyakinan');
            var masalahspiritual = $('#masalahspiritual');
            var spiritualcare = $('#spiritualcare');
            if(penampilanfisik.data('status') == 'edit'){
                obj.PenampilanFisik = penampilanfisik.val();
            }
            if(statusemosional.data('status') == 'edit'){
                obj.StatusEmosional = statusemosional.val();
            }
            if(hubungananggotakeluarga.data('status') == 'edit'){
                obj.HubunganAnggotaKeluarga = hubungananggotakeluarga.val();
            }
            if(statusekonomi.data('status') == 'edit'){
                obj.StatusEkonomi = statusekonomi.val();
            }
            if(sukubangsa.data('status') == 'edit'){
                obj.SukuBangsa = sukubangsa.val();
            }
            if(keyakinan.data('status') == 'edit'){
                obj.Keyakinan = keyakinan.val();
            }
            if(masalahspiritual.data('status') == 'edit'){
                obj.MasalahSpiritual = masalahspiritual.val();
            }
            if(spiritualcare.data('status') == 'edit'){
                obj.SpiritualCare = spiritualcare.val();
            }
            return obj;
        }
    }
</script>
<?php
}
?>