<?php
function tpltPengkajian($objPatientNursing = null, $prefix = null){
    $ori_PengkajianWajah = $prefix.'PengkajianWajah';
    $edit_PengkajianWajah = $prefix.'PengkajianWajahEdit';

    $ori_PengkajianKaki = $prefix.'PengkajianKaki';
    $edit_PengkajianKaki = $prefix.'PengkajianKakiEdit';
    
    $ori_PengkajianAktifitas = $prefix.'PengkajianAktifitas';
    $edit_PengkajianAktifitas = $prefix.'PengkajianAktifitasEdit';
    
    $ori_PengkajianMenangis = $prefix.'PengkajianMenangis';
    $edit_PengkajianMenangis = $prefix.'PengkajianMenangisEdit';
    
    $ori_PengkajianBersuara = $prefix.'PengkajianBersuara';
    $edit_PengkajianBersuara = $prefix.'PengkajianBersuaraEdit';
    
    // $ori_PengkajianTotal = $prefix.'PengkajianTotal';
    // $edit_PengkajianTotal = $prefix.'PengkajianTotalEdit';

    $PengkajianWajah = $objPatientNursing->$edit_PengkajianWajah ? $objPatientNursing->$edit_PengkajianWajah : $objPatientNursing->$ori_PengkajianWajah;
    $PengkajianKaki = $objPatientNursing->$edit_PengkajianKaki ? $objPatientNursing->$edit_PengkajianKaki : $objPatientNursing->$ori_PengkajianKaki;
    $PengkajianAktifitas = $objPatientNursing->$edit_PengkajianAktifitas ? $objPatientNursing->$edit_PengkajianAktifitas : $objPatientNursing->$ori_PengkajianAktifitas;
    $PengkajianMenangis = $objPatientNursing->$edit_PengkajianMenangis ? $objPatientNursing->$edit_PengkajianMenangis : $objPatientNursing->$ori_PengkajianMenangis;
    $PengkajianBersuara = $objPatientNursing->$edit_PengkajianBersuara ? $objPatientNursing->$edit_PengkajianBersuara : $objPatientNursing->$ori_PengkajianBersuara;
?>
<div class="row" style="margin-bottom: 5px;">
    <div class="col-md-4">
        <label class="control-label" for="pengkajianwajah">
            <b>Pengkajian Wajah</b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="pengkajianwajah" name="pengkajianwajah" class="form-control">
                <option value="">--Pilih--</option>
                <option value="0" <?= $PengkajianWajah == '0' ? 'selected' : '' ?>>Tersenyum, tidak ada ekspresi khusus</option>
                <option value="1" <?= $PengkajianWajah == '1' ? 'selected' : '' ?>>terkadang meringis / menarik diri</option>
                <option value="2" <?= $PengkajianWajah == '2' ? 'selected' : '' ?>>Sering menggetarkan dagu dan mengatupkan ragang</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="pengkajiankaki">
            <b>Pengkajian Kaki</b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="pengkajiankaki" name="pengkajiankaki" class="form-control">
                <option value="">--Pilih--</option>
                <option value="0" <?= $PengkajianKaki == '0' ? 'selected' : '' ?>>Gerakan normal / relaksasi</option>
                <option value="1" <?= $PengkajianKaki == '1' ? 'selected' : '' ?>>Tidak tenang / tegang</option>
                <option value="2" <?= $PengkajianKaki == '2' ? 'selected' : '' ?>>Kaki dibuat menendang / menarik diri</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="pengkajianaktifitas">
            <b>Pengkajian Aktifitas</b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="pengkajianaktifitas" name="pengkajianaktifitas" class="form-control">
                <option value="">--Pilih--</option>
                <option value="0" <?= $PengkajianAktifitas == '0' ? 'selected' : '' ?>>Tidur, posisi normal, mudah bergerak</option>
                <option value="1" <?= $PengkajianAktifitas == '1' ? 'selected' : '' ?>>Gerakan menggeliat, beguling kaku</option>
                <option value="2" <?= $PengkajianAktifitas == '2' ? 'selected' : '' ?>>Melengkungkan punggung /kaku / menghentak</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="pengkajianmenangis">
            <b>Pengkajian Menangis</b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="pengkajianmenangis" name="pengkajianmenangis" class="form-control">
                <option value="">--Pilih--</option>
                <option value="0" <?= $PengkajianMenangis == '0' ? 'selected' : '' ?>>Tidak menangis ( bangun / tidur)</option>
                <option value="1" <?= $PengkajianMenangis == '1' ? 'selected' : '' ?>>Mengerang, merengek-rengek</option>
                <option value="2" <?= $PengkajianMenangis == '2' ? 'selected' : '' ?>>Menangis terus menerus, terhisak, menjerit</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="pengkajianbersuara">
            <b>Pengkajian Bersuara</b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="pengkajianbersuara" name="pengkajianbersuara" class="form-control">
                <option value="">--Pilih--</option>
                <option value="0" <?= $PengkajianBersuara == '0' ? 'selected' : '' ?>>Bersuara normal, tenang</option>
                <option value="1" <?= $PengkajianBersuara == '1' ? 'selected' : '' ?>>Tenang bila dipeluk, digendong atau diajak bicara</option>
                <option value="2" <?= $PengkajianBersuara == '2' ? 'selected' : '' ?>>Menangis terus menerus, terhisak, menjerit</option>
            </select>
        </div>
    </div>
</div>

<script>
    var segmenPengkajian = {
        ambilValue : function (){
            var pengkajianWajah = parseInt($('#pengkajianwajah').val());
            var pengkajianKaki = parseInt($('#pengkajiankaki').val());
            var pengkajianAktifitas = parseInt($('#pengkajianaktifitas').val());
            var pengkajianMenangis = parseInt($('#pengkajianmenangis').val());
            var pengkajianBersuara = parseInt($('#pengkajianbersuara').val());
            var total = pengkajianWajah + pengkajianKaki + pengkajianAktifitas + pengkajianMenangis + pengkajianBersuara;
            var pengkajianTotal = isNaN(total) ? '' : total;
            return {
                PengkajianWajah : pengkajianWajah,
                PengkajianKaki : pengkajianKaki,
                PengkajianAktifitas : pengkajianAktifitas,
                PengkajianMenangis : pengkajianMenangis,
                PengkajianBersuara : pengkajianBersuara,
                PengkajianTotal : pengkajianTotal,
            }
        },
        ambilValueEdit : function (){
            var obj = {};
            var edit = false;
            var pengkajianwajah = $('#pengkajianwajah');
            var pengkajiankaki = $('#pengkajiankaki');
            var pengkajianaktifitas = $('#pengkajianaktifitas');
            var pengkajianmenangis = $('#pengkajianmenangis');
            var pengkajianbersuara = $('#pengkajianbersuara');
            if(pengkajianwajah.data('status') == 'edit'){
                obj.PengkajianWajah = parseInt(pengkajianwajah.val());
                edit = true;
            }
            if(pengkajiankaki.data('status') == 'edit'){
                obj.PengkajianKaki = parseInt(pengkajiankaki.val());
                edit = true;
            }
            if(pengkajianaktifitas.data('status') == 'edit'){
                obj.PengkajianAktifitas = parseInt(pengkajianaktifitas.val());
                edit = true;
            }
            if(pengkajianmenangis.data('status') == 'edit'){
                obj.PengkajianMenangis = parseInt(pengkajianmenangis.val());
                edit = true;
            }
            if(pengkajianbersuara.data('status') == 'edit'){
                obj.PengkajianBersuara = parseInt(pengkajianbersuara.val());
                edit = true;
            }
            if(edit){
                obj.PengkajianTotal = parseInt(pengkajianwajah.val()) + parseInt(pengkajiankaki.val())
                                 + parseInt(pengkajianaktifitas.val()) + parseInt(pengkajianmenangis.val()) 
                                 + parseInt(pengkajianbersuara.val());
            }
            return obj;
        }
    }
</script>
<?php
}
?>