<?php
function tpltTanggalJam($objPatientNursing = null, $prefix = null){
    //jam butuh lib jquery.mask.min.js
    $ori_tanggal = $prefix.'TanggalAsesmen';
    $edit_tanggal = $prefix.'TanggalAsesmenEdit';
    $ori_jam = $prefix.'JamAsesmen';
    $edit_jam = $prefix.'JamAsesmenEdit';

    $tanggal = $objPatientNursing->$edit_tanggal ? $objPatientNursing->$edit_tanggal : $objPatientNursing->$ori_tanggal;
    $jam = $objPatientNursing->$edit_jam ? $objPatientNursing->$edit_jam : $objPatientNursing->$ori_jam;
?>
<div class="row">
    <div class="col-md-6">
        <label class="control-label" for="tanggalasesmen"><b>Tanggal Asesmen</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
            <input id="tanggalasesmen" type="text" class="form-control input-date" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="<?= $tanggal ?>" style="z-index:0">
        </div>
    </div>
    <div class="col-md-6">
        <label class="control-label" for="jamasesmen"><b>Jam Asesmen</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
            <input id="jamasesmen" type="text" class="form-control" name="jamasesmen" placeholder="HH:mm" value="<?= $jam ?>" style="z-index:0" data-mask="00:00">
        </div>
    </div>
</div>

<script>
    var segmenTanggalJam = {
        ambilValue : function (){
            return {
                TanggalAsesmen : $('#tanggalasesmen').val(),
                JamAsesmen : $('#jamasesmen').val(),
            }
        },
        ambilValueEdit : function (){
            var obj = {};
            var tanggalasesmen = $('#tanggalasesmen');
            var jamasesmen = $('#jamasesmen');
            if(tanggalasesmen.data('status') == 'edit'){
                obj.TanggalAsesmen = tanggalasesmen.val();
            }
            if(jamasesmen.data('status') == 'edit'){
                obj.JamAsesmen = jamasesmen.val();
            }
            return obj;
        }
    }
</script>
<?php
}
?>