<?php
function tpltVitalSign($objPatientNursing = null, $prefix = null){
    //
    $ori_sistolik = $prefix.'Sistolik';
    $edit_sistolik = $prefix.'SistolikEdit';
    $ori_diastolik = $prefix.'Diastolik';
    $edit_diastolik = $prefix.'DiastolikEdit';
    $ori_nadi = $prefix.'Nadi';
    $edit_nadi = $prefix.'NadiEdit';
    $ori_respirasi = $prefix.'Rr';
    $edit_respirasi = $prefix.'RrEdit';
    $ori_suhu = $prefix.'Suhu';
    $edit_suhu = $prefix.'SuhuEdit';
    $ori_lokasi = $prefix.'LokasiSuhu';
    $edit_lokasi = $prefix.'LokasiSuhuEdit';
    $ori_berat = $prefix.'Bb';
    $edit_berat = $prefix.'BbEdit';
    $ori_tinggi = $prefix.'Tb';
    $edit_tinggi = $prefix.'TbEdit';
    $ori_spo2 = $prefix.'Spo2';
    $edit_spo2 = $prefix.'Spo2Edit';

    $sistolik = $objPatientNursing->$edit_sistolik ? $objPatientNursing->$edit_sistolik : $objPatientNursing->$ori_sistolik;
    $diastolik = $objPatientNursing->$edit_diastolik ? $objPatientNursing->$edit_diastolik : $objPatientNursing->$ori_diastolik;
    $nadi = $objPatientNursing->$edit_nadi ? $objPatientNursing->$edit_nadi : $objPatientNursing->$ori_nadi;
    $respirasi = $objPatientNursing->$edit_respirasi ? $objPatientNursing->$edit_respirasi : $objPatientNursing->$ori_respirasi;
    $suhu = $objPatientNursing->$edit_suhu ? $objPatientNursing->$edit_suhu : $objPatientNursing->$ori_suhu;
    $lokasi = $objPatientNursing->$edit_lokasi ? $objPatientNursing->$edit_lokasi : $objPatientNursing->$ori_lokasi;
    $berat = $objPatientNursing->$edit_berat ? $objPatientNursing->$edit_berat : $objPatientNursing->$ori_berat;
    $tinggi = $objPatientNursing->$edit_tinggi ? $objPatientNursing->$edit_tinggi : $objPatientNursing->$ori_tinggi;
    //$spo2 = $objPatientNursing->$edit_spo2 ? $objPatientNursing->$edit_spo2 : $objPatientNursing->$ori_spo2;

?>

<div class="row" style="margin-bottom: 5px;">
    <div class="col-md-6" style="margin-bottom: 5px;">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-35"><b>TD:</b></span></span>
            <input data-proses="OK" type="text" class="form-control" name="sistolik" id="sistolik" placeholder="sistolik" value="<?= $sistolik; ?>" style="width:50%">
            <input data-proses="OK" type="text" class="form-control" name="diastolik" id="diastolik" placeholder="diastolik" value="<?= $diastolik; ?>" style="width:50%">
            <span class="input-group-addon"><span class="text-35">mmHg</span></span>
        </div>
    </div>
    <div class="col-md-6" style="margin-bottom: 5px;">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-35"><b>N:</b></span></span>
            <input type="text" class="form-control" name="nadi" id="nadi" placeholder="Nadi" value="<?= $nadi ?>">
            <span class="input-group-addon"><span class="text-35">x/m</span></span>
        </div>
    </div>
    <div class="col-md-6" style="margin-bottom: 5px;">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-35"><b>RR:</b></span></span>
            <input type="text" class="form-control" name="rr" id="rr" placeholder="RR" autocomplete="on"  value="<?= $respirasi ?>">
            <span class="input-group-addon"><span class="text-35">x/m</span></span>
        </div>
    </div>
    <div class="col-md-6" style="margin-bottom: 5px;">
        <div class="input-group" style="width:100%">
            <span class="input-group-addon"><span class="text-35"><b>Suhu:</b></span></span>
            <input type="text" class="form-control" name="suhu" id="suhu" placeholder="Suhu" value="<?= $suhu ?>">
            <span class="input-group-addon"><span class="">&#8451;</span></span>
            <select id="lokasisuhu" class="form-control" style="">
                <option value="">Pilih lokasi</option>
                <option value="AXILER" <?= $lokasi == 'AXILER' ?'selected' : '' ?>>AXILER</option>
                <option value="ORAL" <?= $lokasi == 'ORAL' ?'selected' : '' ?>>ORAL</option>
                <option value="RECTAL" <?= $lokasi == 'RECTAL' ?'selected' : '' ?>>RECTAL</option>
            </select>
        </div>
    </div>
    <div class="col-md-6" style="margin-bottom: 5px;">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-35"><b>BB:</b></span></span>
            <input type="text" class="form-control" name="bb" id="bb" placeholder="Berat Badan"  value="<?= $berat ?>">
            <span class="input-group-addon"><span class="text-35">kg</span></span>
        </div>
    </div>
    <div class="col-md-6" style="margin-bottom: 5px;">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-35"><b>TB:</b></span></span>
            <input type="text" class="form-control" name="tb" id="tb" placeholder="Tinggi Badan" value="<?= $tinggi ?>">
            <span class="input-group-addon"><span class="text-35">cm</span></span>
        </div>
    </div>
    <div class="col-md-6" style="margin-bottom: 5px;">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-35"><b>SPO2:</b></span></span>
            <input type="text" class="form-control" name="spo2" id="spo2" placeholder="SPO2" value="<?= $spo2 ?>">
        </div>
    </div>

</div>


<script>
    var segmenVitalSign = {
        ambilValue : function (){
            return {
                Sistolik : $('#sistolik').val(),
                Diastolik : $('#diastolik').val(),
                Nadi : $('#nadi').val(),
                Rr : $('#rr').val(),
                Suhu : $('#suhu').val(),
                LokasiSuhu : $('#lokasisuhu').val(),
                Bb : $('#bb').val(),
                Tb : $('#tb').val(),
                Spo2 : $('#spo2').val(),
            }
        },
        ambilValueEdit : function (){
            var obj = {};
            var sistolik = $('#sistolik');
            var diastolik = $('#diastolik');
            var nadi = $('#nadi');
            var rr = $('#rr');
            var suhu = $('#suhu');
            var lokasisuhu = $('#lokasisuhu');
            var bb = $('#bb');
            var tb = $('#tb');
            var spo2 = $('#spo2');
            if(sistolik.data('status') == 'edit'){
                obj.Sistolik = sistolik.val();
            }
            if(diastolik.data('status') == 'edit'){
                obj.Diastolik = diastolik.val();
            }
            if(nadi.data('status') == 'edit'){
                obj.Nadi = nadi.val();
            }
            if(rr.data('status') == 'edit'){
                obj.Rr = rr.val();
            }
            if(suhu.data('status') == 'edit'){
                obj.Suhu = suhu.val();
            }
            if(lokasisuhu.data('status') == 'edit'){
                obj.LokasiSuhu = lokasisuhu.val();
            }
            if(bb.data('status') == 'edit'){
                obj.Bb = bb.val();
            }
            if(tb.data('status') == 'edit'){
                obj.Tb = tb.val();
            }
            if(spo2.data('status') == 'edit'){
                obj.Spo2 = spo2.val();
            }
            return obj;
        }
    }
</script>
<?php
}
?>
