<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 
<!--
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
 <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_jiwa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>

<div style="width:100%;max-width:1000px;margin:0px auto;">
<div id="e-rm-form-gizi" class="hidden">true</div>
<!-- <link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css"> -->
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">TERAPI KELUARGA</h1>
    </div>
</div>

<div class="box box-info box-info-pasien">
    <div class="box-header with-border" style="text-align:;">
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">No. Rekam Medis</div></span>
						<input type="text" class="form-control input-sm" name="rekmed" id='rekmed'  value="<?= $objPatientNursing->Mr ; ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Cara bayar</div></span>
						<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Nama</div></span>
						<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Ruang / Kamar</div></span>
						<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Alamat</div></span>
						<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Tanggal Masuk</div></span>
						<input type="text" class="form-control input-sm" name="masuk" id="masuk"  value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Umur</div></span>
						<input type="text" class="form-control input-sm" id="umur"  value="<?= $lahir . ' / ' . $umur ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">ID</div></span>
						<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Diagnosa</div></span>
						<input type="text" class="form-control input-sm" id="diagnosautama"  value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">DPJP</div></span>
						<input type="text" class="form-control input-sm" name="DoctorName" id="DoctorName" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
					</div>
            </div>
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!--  <form> -->
<div class="box" style="border-top-width:0px;">
    <div class="box-body" style="">
        <div class="row">
            <div class="col-md-6 col-lg-3" style="margin-bottom: 10px;">
                <label class="control-label" for="tanggalasesmen_tk">Tanggal Asesmen</label>
                <div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen_tk" type="text" class="form-control input-date" name="tanggalasesmen_tk" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalAsesmenTK != "" ? $objPatientNursing->vTanggalAsesmenTK : date("d-m-Y") ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6 col-lg-3">
                <label class="control-label" for="jamasesmen_tk">Jam Asesmen</label>
                <div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen_tk" type="text" class="form-control" name="jamasesmen_tk" placeholder="HH:mm" value="<?= $objPatientNursing->vJamAsesmenTK != "" ? $objPatientNursing->vJamAsesmenTK : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
        </div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-body">
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<input class="border-checkbox" type="checkbox" id="mengetahui_kemampuan" <?= $objPatientNursing->vMengetahuiKemampuanTK == 'Ya' ? 'checked' : '' ?>>
			<label class="border-checkbox-label" for="mengetahui_kemampuan">Mengetahui kemampuan keluarga untuk memecahkan masalah</label>
				<textarea name="ket_mengetahui_kemampuan" id="ket_mengetahui_kemampuan" class="form-control autoresize" placeholder="Keterangan" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKetMengetahuiKemampuan ?></textarea>
			</div>
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<input class="border-checkbox" type="checkbox" id="menunjukkan_pikiran_tk" <?= $objPatientNursing->vMenunjukkanPikiranTK == 'Ya' ? 'checked' : '' ?>>
			<label class="border-checkbox-label" for="menunjukkan_pikiran_tk">Menunjukkan pikiran serta emosinya dengan cara yang baik</label>
				<textarea name="ket_menunjukkan_pikiran_tk" id="ket_menunjukkan_pikiran_tk" class="form-control autoresize" placeholder="Keterangan" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKetMenunjukkanPikiranTK ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<input class="border-checkbox" type="checkbox" id="mengindentifikasi_masalah_tk" <?= $objPatientNursing->vMengidentifikasiMasalahTK == 'Ya' ? 'checked' : '' ?>> 
			<label class="border-checkbox-label" for="mengindentifikasi_masalah_tk">Mengidentifikasi masalah yang dapat berkontribusi terhadap konflik</label>
				<textarea name="ket_mengindentifikasi_masalah_tk" id="ket_mengindentifikasi_masalah_tk" class="form-control autoresize" placeholder="Keterangan" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKetMengidentifikasiMasalahTK ?></textarea>
			</div>
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<input class="border-checkbox" type="checkbox" id="mengetahui_cara_tk" <?= $objPatientNursing->vMengetahuiCaraTK == 'Ya' ? 'checked' : '' ?>>
			<label class="border-checkbox-label" for="mengetahui_cara_tk">Mengetahui cara mengatasinya</label>
				<textarea name="ket_mengetahui_cara_tk" id="ket_mengetahui_cara_tk" class="form-control autoresize" placeholder="Keterangan" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKetMengetahuiCaraTK ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<input class="border-checkbox" type="checkbox" id="memastikan_kekuatan_tk" <?= $objPatientNursing->vMemastikanKekuatanTK == 'Ya' ? 'checked' : '' ?>>
			<label class="border-checkbox-label" for="memastikan_kekuatan_tk">Memastikan kekuatan setiap anggota keluarga (kepedulian satu sama lain, kelemahan)</label>
				<textarea name="ket_memastikan_kekuatan_tk" id="ket_memastikan_kekuatan_tk" class="form-control autoresize" placeholder="Keterangan" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKetMemastikanKekuatanTK ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<label class="" for="memberikan_penghargaan">Diagnosis</label>
				<textarea name="diagnosis_tk" id="diagnosis_tk" class="form-control autoresize" placeholder="Diagnosis" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vDiagnosisTK ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6">
				<div class="input-group" style="width:100%;">
					<label class="" for="dokter_pemeriksa_tk_id">Pemeriksa</label>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_pemeriksa_id" id="dokter_pemeriksa_id" data-placeholder="Pemeriksa">
					<option value="<?= $objPatientNursing->vDokterPemeriksaTKId != "" ? $objPatientNursing->vDokterPemeriksaTKId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterPemeriksaTKNama != "" ? $objPatientNursing->vDokterPemeriksaTKNama : $objPatientNursing->DoctorName; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
	<div class="box-footer">
		<div class="row">
			<div class="col-xs-12">
				<button id="save-loading" class="btn btn-primary disabled" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin" style="width:18px;"></i> Simpan</button>
				<button id="save" class="btn btn-primary"><i class="fa fa-save" style="width:18px;"></i> Simpan</button>
				<button id="cetak_laporan" class="btn btn-success"><i class="fa fa-print" style="width:18px;"></i> Print</button>
				<button id="back"type="button" class="page-kembali btn btn-default pull-right">Kembali</button>
			</div>
		</div>
	</div>
</div>



<!-- </form> -->
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">
        
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
var FormGizi = function(){

	'use strict';
	
	
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	
	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview Terapi Keluarga')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/terapi-keluarga-print') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalAsesmenTK = $('#tanggalasesmen_tk').val();
		post.JamAsesmenTK = $('#jamasesmen_tk').val();
		
		post.MengetahuiKemampuanTK = $("#mengetahui_kemampuan").is(':checked') ? 'Ya' : '';
		post.KetMengetahuiKemampuan = $('#ket_mengetahui_kemampuan').val();
		
		post.MenunjukkanPikiranTK = $("#menunjukkan_pikiran_tk").is(':checked') ? 'Ya' : '';
		post.KetMenunjukkanPikiranTK = $('#ket_menunjukkan_pikiran_tk').val();
		
		post.MengidentifikasiMasalahTK = $("#mengindentifikasi_masalah_tk").is(':checked') ? 'Ya' : '';
		post.KetMengidentifikasiMasalahTK = $('#ket_mengindentifikasi_masalah_tk').val();
		
		post.MengetahuiCaraTK = $("#mengetahui_cara_tk").is(':checked') ? 'Ya' : '';
		post.KetMengetahuiCaraTK = $('#ket_mengetahui_cara_tk').val();
		
		post.MemastikanKekuatanTK = $("#memastikan_kekuatan_tk").is(':checked') ? 'Ya' : '';
		post.KetMemastikanKekuatanTK = $('#ket_memastikan_kekuatan_tk').val();
		
		post.DiagnosisTK = $('#diagnosis_tk').val();
		
		
		post.DokterPemeriksaTKId = $('#dokter_pemeriksa_id').val();
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveTerapiKeluarga')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#dokter_pemeriksa_id").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	
	$('#dokter_pemeriksa_id').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormTerapiKeluarga == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});

</script>