<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_jiwa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>

<div style="width:100%;max-width:1000px;margin:0px auto;">
<div id="e-rm-form-gizi" class="hidden">true</div>
<!-- <link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css"> -->
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">USG BEDAH ANAK</h1>
    </div>
</div>

<div class="box box-info box-info-pasien">
    <div class="box-header with-border" style="text-align:;">
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">No. Rekam Medis</div></span>
						<input type="text" class="form-control input-sm" name="rekmed" id='rekmed' required value="<?= $objPatientNursing->Mr ; ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Cara bayar</div></span>
						<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Nama</div></span>
						<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Ruang / Kamar</div></span>
						<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Alamat</div></span>
						<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Tanggal Masuk</div></span>
						<input type="text" class="form-control input-sm" name="masuk" id="masuk"  value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Umur</div></span>
						<input type="text" class="form-control input-sm" id="umur"  value="<?= $lahir . ' / ' . $umur ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">ID</div></span>
						<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Diagnosa</div></span>
						<input type="text" class="form-control input-sm" id="diagnosautama"  value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">DPJP</div></span>
						<input type="text" class="form-control input-sm" name="DoctorName" id="DoctorName" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
					</div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Pekerjaan</div></span>
						<input type="text" class="form-control input-sm" id="pekerjaan" placeholder="Pekerjaan"  value="<?= $objPatientNursing->OccupationDescription; ?>" >
                </div>
            </div>
            <!--<div class="col-md-6" style="margin-bottom:5px;">
					<div class="input-group" style="width:100%">
						<span class="input-group-addon" style="text-align: left;border:none;"><div style="width: 120px;">Kebangsaan</div></span>
					  <select data-plugin-selecttwo class="form-control"  name="kebangsaan" id="kebangsaan" data-placeholder="BELUM DIISI">
						<option value="" ></option>
						<option value="WNI" <?= $objHmisPatient->CitizenShip == "WNI" ? "selected" : ""; ?> <?= $objHmisPatient->CitizenShip == "1" ? "selected" : ""; ?>>WNI</option>
						<option value="WNA" <?= $objHmisPatient->CitizenShip == "WNA" ? "selected" : ""; ?>>WNA</option>
					  </select>
					</div>
            </div>-->
        </div>
    </div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!--  <form> -->

<div class="box" style="border-top-width:0px;">
    <div class="box-body">
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<label class="" for="klinis"><b>Klinis :</b> </label>
				<textarea name="klinis_usg_bedah_anak" id="klinis_usg_bedah_anak" class="form-control autoresize" placeholder="Klinis" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKlinisUsgBedahAnak ?></textarea>
			</div>

			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<label class="" for="ginjal_kanan"><b>Ginjal Kanan :</b> </label>
				<textarea name="ginjal_kanan_usg_bedah_anak" id="ginjal_kanan_usg_bedah_anak" class="form-control autoresize" placeholder="Ginjal Kanan" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vGinjalKananUsgBedahAnak ?></textarea>
			</div>
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<label class="" for="ginjal_kiri"><b>Ginjal Kiri :</b> </label>
				<textarea name="ginjal_kiri_usg_bedah_anak" id="ginjal_kiri_usg_bedah_anak" class="form-control autoresize" placeholder="Ginjal Kiri" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vGinjalKiriUsgBedahAnak ?></textarea>
			</div>
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<label class="" for="buli"><b>Buli :</b> </label>
				<textarea name="buli_usg_bedah_anak" id="buli_usg_bedah_anak" class="form-control autoresize" placeholder="Buli" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vBuliUsgBedahAnak ?></textarea>
			</div>
			<div class="col-md-12 col-lg-12" style="margin-bottom: 20px;">
			<label class="" for="kesimpulan"><b>Kesimpulan :</b> </label>
				<textarea name="kesimpulan_usg_bedah_anak" id="kesimpulan_usg_bedah_anak" class="form-control autoresize" placeholder="Kesimpulan" style="margin-top:5px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKesimpulanUsgBedahAnak ?></textarea>
			</div>

		</div>
	</div>
</div>



<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;">
		  <span class="control-label"  style="margin-bottom:0px;"><b>WAKTU PENGISIAN</b></span>
    </div>
    <div class="box-body" style="">
        <div class="row">
            <div class="col-sm-6 col-md-6 col-lg-3" style="margin-bottom: 10px;">
                <label class="control-label" for="tanggal_pengisian_usg_bedah_anak">Tanggal Pengisian</label>
                <div class="input-group" style="width:100%;">
                    <input id="tanggal_pengisian_usg_bedah_anak" type="text" data-mask="00-00-0000" class="form-control input-date" name="tanggal_pengisian_usg_bedah_anak" placeholder="dd-mm-yyyy" value="<?= $objPatientNursing->vTanggalPengisianUsgBedahAnak != "" ? $objPatientNursing->vTanggalPengisianUsgBedahAnak : date("d-m-Y"); ?>" >
                    <label style="border:none;position:absolute;top:3px;right:15px;z-index:5;" for="tanggal_pengisian_usg_bedah_anak" class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></label>
                </div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-3" style="margin-bottom: 10px;">
                <label class="control-label" for="jam_pengisian_usg_bedah_anak">Jam Pengisian</label>
                <div class="input-group" style="width:100%;">
                    <input id="jam_pengisian_usg_bedah_anak" type="time" class="form-control" name="jam_pengisian_usg_bedah_anak" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPengisianUsgBedahAnak != "" ? $objPatientNursing->vJamPengisianUsgBedahAnak : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
			<div class="col-md-6">
				<div class="input-group" style="width:100%;">
					<label class="" for="dokter_pemeriksa_id">Pemeriksa</label>
					<select data-plugin-selecttwo class="form-control" title="" name="dokter_pemeriksa_usg_bedah_anak" id="dokter_pemeriksa_usg_bedah_anak" data-placeholder="Pemeriksa">
					<option value="<?= $objPatientNursing->vDokterPeriksaUsgBedahAnakId != "" ? $objPatientNursing->vDokterPeriksaUsgBedahAnakId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterPeriksaUsgBedahAnakNama != "" ? $objPatientNursing->vDokterPeriksaUsgBedahAnakNama : $objPatientNursing->DoctorName; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
	<div class="box-footer">
		<div class="row">
			<div class="col-xs-12">
				<button id="save-loading" class="btn btn-primary disabled" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin" style="width:18px;"></i> Simpan</button>
				<button id="save" class="btn btn-primary"><i class="fa fa-save" style="width:18px;"></i> Simpan</button>
				<button id="cetak_laporan" class="btn btn-success"><i class="fa fa-print" style="width:18px;"></i> Print</button>
				<button id="back"type="button" class="page-kembali btn btn-default pull-right">Kembali</button>
			</div>
		</div>
	</div>
</div>



<!-- </form> -->
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">
        
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
var FormGizi = function(){

	'use strict';
	
	
	$(document).ready(function() {
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/jiwa.jpg';
			$urlGambar = $objPatientNursing->vLokasiAnatomiJiwa ? $objPatientNursing->vLokasiAnatomiJiwa : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'JIWA');
			fd.append("gambar", blob, 'jiwa.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadJiwa')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	var FormPrintPage = new Ext.Window({
		layout: 'fit'
		, x: 30, y: 30, width: (window.innerHeight - 60) , height: ( window.innerWidth - 60 )
		, title: '<?= $objPatientNursing->FirstName . ' / ' . $objPatientNursing->Mr ?>'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		, items: [ {
			html: 
				''
				+ '<iframe id="Form_Print_Page" name="Form_Print_Page" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; border: none;background:#525659;" />'
		} ]
		, buttons: [
		{ text: ' Cetak ', handler: function() { $("#Form_Print_Page").get(0).contentWindow.print();}}
		
		]
	});
	var openFormPrintPage = function(url) {
		var $printiframe = $( "#Form_Print_Page" );
		$printiframe.attr( 'src' , url );
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
		FormPrintPage.show();
	};
	FormPrintPage.on('hide', function() {
		document.body.style.overflow = 'auto';
		$( "Form_Print_Page" ).attr('src' , '');
	});
	FormPrintPage.on('show', function() {
		document.body.style.overflow = 'hidden';
	});
	window.addEventListener('resize', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	window.addEventListener('scroll', function() {
		FormPrintPage.setSize(window.innerWidth - 60, window.innerHeight - 60).setPagePosition(30, (30 + window.pageYOffset));
	});
	function cetaklaporan() {
		FormPrintPage.setTitle('Print Preview USG Bedah Anak')
		openFormPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/usg-bedah-anak-print') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});
	$('.input-datetime').datetimepicker({
		format: "dd-mm-yyyy hh:mm"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.OccupationDescription = $('#pekerjaan').val();
		post.CitizenShip = $('#kebangsaan').val();
		post.KlinisUsgBedahAnak = $('#klinis_usg_bedah_anak').val();
		post.GinjalKananUsgBedahAnak = $('#ginjal_kanan_usg_bedah_anak').val();
		post.GinjalKiriUsgBedahAnak = $('#ginjal_kiri_usg_bedah_anak').val();
		post.BuliUsgBedahAnak = $('#buli_usg_bedah_anak').val();
		post.KesimpulanUsgBedahAnak = $('#kesimpulan_usg_bedah_anak').val();
		
		post.TanggalPengisianUsgBedahAnak = $('#tanggal_pengisian_usg_bedah_anak').val();
		post.JamPengisianUsgBedahAnak = $('#jam_pengisian_usg_bedah_anak').val();
		post.DokterPeriksaUsgBedahAnakId = $('#dokter_pemeriksa_usg_bedah_anak').val();
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveUsgBedahAnak')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#kebangsaan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	
	$('#dokter_pemeriksa_usg_bedah_anak').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormUsgBedahAnak == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});
</script>